typedef unsigned int size_t;
typedef signed char int8_t;
typedef short int int16_t;
typedef int int32_t;
typedef long long int int64_t;
typedef unsigned char uint8_t;
typedef unsigned short int uint16_t;
typedef unsigned int uint32_t;
typedef unsigned long long int uint64_t;
int printf(const char *, ...);
float fabs(float);
float fabsf(float);
void __assert_fail(const char * __assertion,
                   const char * __file,
                   unsigned int __line,
                   const char * __function)
{
}
static void platform_main_end(uint32_t crc, int flag)
{
    printf("checksum = %X\n", crc);
}
static int8_t safe_unary_minus_func_int8_t_s(int8_t si)
{
    return -si;
}
static int8_t safe_add_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si1 + si2;
}
static int8_t safe_sub_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si1 - si2;
}
static int8_t safe_mul_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si1 * si2;
}
static int8_t safe_mod_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si2 == 0 || si1 == -128 && si2 == -1 ? si1 : si1 % si2;
}
static int8_t safe_div_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si2 == 0 || si1 == -128 && si2 == -1 ? si1 : si1 / si2;
}
static int8_t safe_lshift_func_int8_t_s_s(int8_t left, int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 || left > 127 >> (int) right ? left : left << (int) right;
}
static int8_t safe_lshift_func_int8_t_s_u(int8_t left,
                                          unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 || left > 127 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static int8_t safe_rshift_func_int8_t_s_s(int8_t left, int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static int8_t safe_rshift_func_int8_t_s_u(int8_t left,
                                          unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static int16_t safe_unary_minus_func_int16_t_s(int16_t si)
{
    return -si;
}
static int16_t safe_add_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si1 + si2;
}
static int16_t safe_sub_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si1 - si2;
}
static int16_t safe_mul_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si1 * si2;
}
static int16_t safe_mod_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si2 == 0 || si1 == -32767 - 1 && si2 == -1 ? si1 : si1 % si2;
}
static int16_t safe_div_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si2 == 0 || si1 == -32767 - 1 && si2 == -1 ? si1 : si1 / si2;
}
static int16_t safe_lshift_func_int16_t_s_s(int16_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 || left > 32767 >> (int) right ? left : left << (int) right;
}
static int16_t safe_lshift_func_int16_t_s_u(int16_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 || left > 32767 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static int16_t safe_rshift_func_int16_t_s_s(int16_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static int16_t safe_rshift_func_int16_t_s_u(int16_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static int32_t safe_unary_minus_func_int32_t_s(int32_t si)
{
    return si == -2147483647 - 1 ? si : -si;
}
static int32_t safe_add_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return si1 > 0 && si2 > 0 && si1 > 2147483647 - si2 || si1 < 0 && si2 < 0 && si1 < -2147483647 - 1 - si2 ? si1 : si1 + si2;
}
static int32_t safe_sub_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return ((si1 ^ si2) & ((si1 ^ (si1 ^ si2) & ~2147483647) - si2 ^ si2)) < 0 ? si1 : si1 - si2;
}
static int32_t safe_mul_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return si1 > 0 && si2 > 0 && si1 > 2147483647 / si2 || si1 > 0 && si2 <= 0 && si2 < (-2147483647 - 1) / si1 || si1 <= 0 && si2 > 0 && si1 < (-2147483647 - 1) / si2 || si1 <= 0 && si2 <= 0 && si1 != 0 && si2 < 2147483647 / si1 ? si1 : si1 * si2;
}
static int32_t safe_mod_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return si2 == 0 || si1 == -2147483647 - 1 && si2 == -1 ? si1 : si1 % si2;
}
static int32_t safe_div_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return si2 == 0 || si1 == -2147483647 - 1 && si2 == -1 ? si1 : si1 / si2;
}
static int32_t safe_lshift_func_int32_t_s_s(int32_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 || left > 2147483647 >> (int) right ? left : left << (int) right;
}
static int32_t safe_lshift_func_int32_t_s_u(int32_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 || left > 2147483647 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static int32_t safe_rshift_func_int32_t_s_s(int32_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static int32_t safe_rshift_func_int32_t_s_u(int32_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static int64_t safe_unary_minus_func_int64_t_s(int64_t si)
{
    return si == -9223372036854775807L - 1 ? si : -si;
}
static int64_t safe_add_func_int64_t_s_s(int64_t si1, int64_t si2)
{
    return si1 > 0 && si2 > 0 && si1 > 9223372036854775807L - si2 || si1 < 0 && si2 < 0 && si1 < -9223372036854775807L - 1 - si2 ? si1 : si1 + si2;
}
static int64_t safe_sub_func_int64_t_s_s(int64_t si1, int64_t si2)
{
    return ((si1 ^ si2) & ((si1 ^ (si1 ^ si2) & ~9223372036854775807L) - si2 ^ si2)) < 0 ? si1 : si1 - si2;
}
static int64_t safe_mul_func_int64_t_s_s(int64_t si1, int64_t si2)
{
    return si1 > 0 && si2 > 0 && si1 > 9223372036854775807L / si2 || si1 > 0 && si2 <= 0 && si2 < (-9223372036854775807L - 1) / si1 || si1 <= 0 && si2 > 0 && si1 < (-9223372036854775807L - 1) / si2 || si1 <= 0 && si2 <= 0 && si1 != 0 && si2 < 9223372036854775807L / si1 ? si1 : si1 * si2;
}
static int64_t safe_mod_func_int64_t_s_s(int64_t si1, int64_t si2)
{
    return si2 == 0 || si1 == -9223372036854775807L - 1 && si2 == -1 ? si1 : si1 % si2;
}
static int64_t safe_div_func_int64_t_s_s(int64_t si1, int64_t si2)
{
    return si2 == 0 || si1 == -9223372036854775807L - 1 && si2 == -1 ? si1 : si1 / si2;
}
static int64_t safe_lshift_func_int64_t_s_s(int64_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 || left > 9223372036854775807L >> (int) right ? left : left << (int) right;
}
static int64_t safe_lshift_func_int64_t_s_u(int64_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 || left > 9223372036854775807L >> (unsigned int) right ? left : left << (unsigned int) right;
}
static int64_t safe_rshift_func_int64_t_s_s(int64_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static int64_t safe_rshift_func_int64_t_s_u(int64_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint8_t safe_unary_minus_func_uint8_t_u(uint8_t ui)
{
    return -ui;
}
static uint8_t safe_add_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return ui1 + ui2;
}
static uint8_t safe_sub_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return ui1 - ui2;
}
static uint8_t safe_mul_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return (unsigned int) ui1 * (unsigned int) ui2;
}
static uint8_t safe_mod_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 % ui2;
}
static uint8_t safe_div_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 / ui2;
}
static uint8_t safe_lshift_func_uint8_t_u_s(uint8_t left,
                                            int right)
{
    return (int) right < 0 || (int) right >= 32 || left > 255 >> (int) right ? left : left << (int) right;
}
static uint8_t safe_lshift_func_uint8_t_u_u(uint8_t left,
                                            unsigned int right)
{
    return (unsigned int) right >= 32 || left > 255 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static uint8_t safe_rshift_func_uint8_t_u_s(uint8_t left,
                                            int right)
{
    return (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static uint8_t safe_rshift_func_uint8_t_u_u(uint8_t left,
                                            unsigned int right)
{
    return (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint16_t safe_unary_minus_func_uint16_t_u(uint16_t ui)
{
    return -ui;
}
static uint16_t safe_add_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui1 + ui2;
}
static uint16_t safe_sub_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui1 - ui2;
}
static uint16_t safe_mul_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return (unsigned int) ui1 * (unsigned int) ui2;
}
static uint16_t safe_mod_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 % ui2;
}
static uint16_t safe_div_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 / ui2;
}
static uint16_t safe_lshift_func_uint16_t_u_s(uint16_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 || left > 65535 >> (int) right ? left : left << (int) right;
}
static uint16_t safe_lshift_func_uint16_t_u_u(uint16_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 || left > 65535 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static uint16_t safe_rshift_func_uint16_t_u_s(uint16_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static uint16_t safe_rshift_func_uint16_t_u_u(uint16_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint32_t safe_unary_minus_func_uint32_t_u(uint32_t ui)
{
    return -ui;
}
static uint32_t safe_add_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui1 + ui2;
}
static uint32_t safe_sub_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui1 - ui2;
}
static uint32_t safe_mul_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return (unsigned int) ui1 * (unsigned int) ui2;
}
static uint32_t safe_mod_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 % ui2;
}
static uint32_t safe_div_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 / ui2;
}
static uint32_t safe_lshift_func_uint32_t_u_s(uint32_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 || left > 4294967295u >> (int) right ? left : left << (int) right;
}
static uint32_t safe_lshift_func_uint32_t_u_u(uint32_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 || left > 4294967295u >> (unsigned int) right ? left : left << (unsigned int) right;
}
static uint32_t safe_rshift_func_uint32_t_u_s(uint32_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static uint32_t safe_rshift_func_uint32_t_u_u(uint32_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint64_t safe_unary_minus_func_uint64_t_u(uint64_t ui)
{
    return -ui;
}
static uint64_t safe_add_func_uint64_t_u_u(uint64_t ui1,
                                           uint64_t ui2)
{
    return ui1 + ui2;
}
static uint64_t safe_sub_func_uint64_t_u_u(uint64_t ui1,
                                           uint64_t ui2)
{
    return ui1 - ui2;
}
static uint64_t safe_mul_func_uint64_t_u_u(uint64_t ui1,
                                           uint64_t ui2)
{
    return (unsigned long long) ui1 * (unsigned long long) ui2;
}
static uint64_t safe_mod_func_uint64_t_u_u(uint64_t ui1,
                                           uint64_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 % ui2;
}
static uint64_t safe_div_func_uint64_t_u_u(uint64_t ui1,
                                           uint64_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 / ui2;
}
static uint64_t safe_lshift_func_uint64_t_u_s(uint64_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 || left > 18446744073709551615uL >> (int) right ? left : left << (int) right;
}
static uint64_t safe_lshift_func_uint64_t_u_u(uint64_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 || left > 18446744073709551615uL >> (unsigned int) right ? left : left << (unsigned int) right;
}
static uint64_t safe_rshift_func_uint64_t_u_s(uint64_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static uint64_t safe_rshift_func_uint64_t_u_u(uint64_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static float safe_add_func_float_f_f(float sf1, float sf2)
{
    return fabsf(0.5f * sf1 + 0.5f * sf2) > 0.5f * 3.40282347e+38F ? sf1 : sf1 + sf2;
}
static float safe_sub_func_float_f_f(float sf1, float sf2)
{
    return fabsf(0.5f * sf1 - 0.5f * sf2) > 0.5f * 3.40282347e+38F ? sf1 : sf1 - sf2;
}
static float safe_mul_func_float_f_f(float sf1, float sf2)
{
    return fabsf(0x1.0p-100f * sf1 * (0x1.0p-28f * sf2)) > 0x1.0p-100f * (0x1.0p-28f * 3.40282347e+38F) ? sf1 : sf1 * sf2;
}
static float safe_div_func_float_f_f(float sf1, float sf2)
{
    return fabsf(sf2) < 1.0f && (sf2 == 0.0f || fabsf(0x1.0p-49f * sf1 / (0x1.0p100f * sf2)) > 0x1.0p-100f * (0x1.0p-49f * 3.40282347e+38F)) ? sf1 : sf1 / sf2;
}
static double safe_add_func_double_f_f(double sf1, double sf2)
{
    return fabs(0.5 * sf1 + 0.5 * sf2) > 0.5 * 1.7976931348623157e+308 ? sf1 : sf1 + sf2;
}
static double safe_sub_func_double_f_f(double sf1, double sf2)
{
    return fabs(0.5 * sf1 - 0.5 * sf2) > 0.5 * 1.7976931348623157e+308 ? sf1 : sf1 - sf2;
}
static double safe_mul_func_double_f_f(double sf1, double sf2)
{
    return fabs(0x1.0p-100 * sf1 * (0x1.0p-924 * sf2)) > 0x1.0p-100 * (0x1.0p-924 * 1.7976931348623157e+308) ? sf1 : sf1 * sf2;
}
static double safe_div_func_double_f_f(double sf1, double sf2)
{
    return fabs(sf2) < 1.0 && (sf2 == 0.0 || fabs(0x1.0p-974 * sf1 / (0x1.0p100 * sf2)) > 0x1.0p-100 * (0x1.0p-974 * 1.7976931348623157e+308)) ? sf1 : sf1 / sf2;
}
static int32_t safe_convert_func_float_to_int32_t(float sf1)
{
    return sf1 <= -2147483647 - 1 || sf1 >= 2147483647 ? 2147483647 : (int32_t) sf1;
}
static uint32_t crc32_tab[256];
static uint32_t crc32_context = 0xffffffffuL;
static void crc32_gentab(void)
{
    uint32_t crc;
    const uint32_t poly = 0xedb88320uL;
    int i, j;
    for (i = 0; i < 256; i++)
    {
        crc = i;
        for (j = 8; j > 0; j--)
        {
            if (crc & 1)
            {
                crc = crc >> 1 ^ poly;
            }
            else
            {
                crc >>= 1;
            }
        }
        crc32_tab[i] = crc;
    }
}
static void crc32_byte(uint8_t b)
{
    crc32_context = crc32_context >> 8 & 0xffffff ^ crc32_tab[(crc32_context ^ b) & 0xff];
}
static void crc32_8bytes(uint64_t val)
{
    crc32_byte(val >> 0 & 0xff);
    crc32_byte(val >> 8 & 0xff);
    crc32_byte(val >> 16 & 0xff);
    crc32_byte(val >> 24 & 0xff);
    crc32_byte(val >> 32 & 0xff);
    crc32_byte(val >> 40 & 0xff);
    crc32_byte(val >> 48 & 0xff);
    crc32_byte(val >> 56 & 0xff);
}
static void transparent_crc(uint64_t val, char * vname, int flag)
{
    crc32_8bytes(val);
    if (flag)
    {
        printf("...checksum after hashing %s : %lX\n",
               vname,
               crc32_context ^ 0xffffffffuL);
    }
}
static void transparent_crc_bytes(char * ptr,
                                  int nbytes,
                                  char * vname,
                                  int flag)
{
    int i;
    for (i = 0; i < nbytes; i++)
    {
        crc32_byte(ptr[i]);
    }
    if (flag)
    {
        printf("...checksum after hashing %s : %lX\n",
               vname,
               crc32_context ^ 0xffffffffuL);
    }
}
static long __undefined;
struct S0 {
    volatile uint8_t f0;
    volatile uint32_t f1;
    const volatile int16_t f2;
    volatile uint32_t f3;
    int16_t f4;
    volatile uint64_t f5;
};
struct S1 {
    signed f0 : 5; signed f1 : 8; uint32_t f2; volatile uint16_t f3;
};
static int8_t g_16 = 0x61L;
static int32_t g_25 = 0x6eab3cf8L;
static struct S0 g_59 = { 1uL, 0xed469f41L, 0xf53cL, 0xcbf698baL, -1L, 0x49e864adb5d2300bLL };
static volatile int64_t g_60 = 0xe07f0936a74b4fbfLL;
static int32_t g_62 = 3L;
static volatile struct S1 g_80 = { -4, -4, 0x4f663622L, 0xfa2eL };
static volatile int32_t * * volatile g_108 = (void *) 0;
static volatile int32_t * * volatile * const g_107 = &g_108;
static int32_t * g_116 = &g_62;
static struct S1 g_125 = { 1, -5, 0x24141e32L, 1uL };
static volatile struct S0 g_126 = { 0xbL, 0uL, 0x77e3L, 18446744073709551615uL, 0x4c8L, 5uL };
static int32_t * * * volatile g_129 = (void *) 0;
static int32_t * * g_132 = &g_116;
static int32_t * * * volatile g_131 = &g_132;
static uint8_t g_266 = 0xccL;
static volatile struct S1 g_313 = { -4, -14, 0xbce0e0f3L, 0x7a9bL };
static int64_t g_566 = -9L;
static volatile uint16_t g_570 = 0uL;
static uint8_t g_687 = 250uL;
static volatile uint8_t g_692 = 0x82L;
static volatile struct S0 g_753 = { 1uL, 18446744073709551606uL, -1L, 7uL, 0x7256L, 18446744073709551611uL };
static volatile struct S0 g_763 = { 1uL, 0xdc33b451L, -8L, 0x53a7278cL, 3L, 18446744073709551615uL };
static volatile struct S0 g_792 = { 255uL, 0x45f4a48L, -1L, 1uL, -1L, 0x64b141677a4ac4cLL };
static volatile struct S1 g_793 = { 3, 15, 0x139af61bL, 65526uL };
static volatile struct S1 g_794 = { -3, 6, 0x7005ee34L, 0xc9b9L };
static struct S0 g_803 = { 0x55L, 18446744073709551615uL, 0xa09cL, 0xcfb1d8efL, -4L, 0xbd35dc7e0b9db818LL };
static struct S0 g_804 = { 246uL, 0xaa6aa057L, -6L, 0xa3680caeL, 1L, 1uL };
static const struct S1 g_818 = { -4, -10, 0uL, 0x2c76L };
static volatile struct S1 g_847 = { -3, 9, 18446744073709551614uL, 0x1b89L };
static struct S1 g_1163 = { -0, -13, 0xbae1ce67L, 4uL };
static const struct S1 * g_1174 = (void *) 0;
static const struct S1 g_1202 = { -2, -4, 0x4b14e178L, 0x6718L };
static uint32_t g_1416 = 0x7aec422eL;
static struct S0 g_1441 = { 0xc3L, 0uL, 0x3f39L, 3uL, 8L, 0xdf5ca00cac530f6eLL };
static volatile int32_t g_1478 = 0x647e141eL;
static struct S0 g_1530 = { 0xdfL, 0x6abbda1eL, 0L, 0xf4ed0adL, 0L, 0x194cd6b76cc454e7LL };
static struct S0 * g_1529 = &g_1530;
static struct S1 g_1594 = { 1, -15, 1uL, 65529uL };
static volatile struct S1 * g_1596 = &g_847;
static volatile struct S1 * * volatile g_1595 = &g_1596;
static const struct S0 g_1639 = { 253uL, 0uL, 0x8b90L, 0uL, 0xf2bcL, 18446744073709551608uL };
static int32_t g_1648 = 0xe1a00619L;
static uint8_t g_2015 = 0uL;
static volatile struct S1 g_2191 = { -3, -0, 0xff05b2f0L, 65531uL };
static volatile struct S1 * * volatile g_2210 = &g_1596;
static struct S1 g_2213 = { 0, -0, 0xe975e4d3L, 0xde00L };
static int32_t g_2243 = 0x41ccde37L;
static int32_t * volatile g_2280 = (void *) 0;
static uint32_t g_2309 = 0x78979873L;
static struct S0 g_2321 = { 255uL, 18446744073709551613uL, 0xeb97L, 9uL, 0xda48L, 0xe34739b25885d871LL };
static const struct S1 g_2325 = { 3, -13, 0xd605087L, 65528uL };
static struct S1 g_2326 = { 4, 11, 0xf27c41d8L, 0xe835L };
static const struct S0 g_2347 = { 0uL, 0xfc64b101L, 9L, 18446744073709551615uL, 0x2928L, 18446744073709551607uL };
static int32_t * * volatile g_2678 = &g_116;
static const struct S1 g_2792 = { -0, 11, 0xaf3db8f7L, 0x8427L };
static int32_t g_2951 = 0x91fa2ad1L;
static volatile struct S1 g_2952 = { 0, -7, 0uL, 0xc54dL };
static int32_t * * volatile g_2976 = &g_116;
static int32_t * * const volatile g_3092 = &g_116;
static int32_t * * volatile g_3383 = &g_116;
static volatile uint32_t g_3732 = 1uL;
static const struct S0 g_3771 = { 0xe7L, 0xbd7eb7f6L, 0x3aa0L, 18446744073709551613uL, 0x7cecL, 0xc87c56e30e774214LL };
static int32_t * * volatile g_3800 = &g_116;
static uint32_t g_4114 = 0xf64a08c1L;
static struct S0 g_4141 = { 0x42L, 18446744073709551611uL, -8L, 0x11136a37L, -8L, 0x82d87d8d374f33a5LL };
static int32_t * * volatile g_4148 = (void *) 0;
static const volatile struct S1 g_4181 = { 0, -7, 1uL, 1uL };
static const struct S0 * g_4217 = &g_2321;
static const struct S0 * * volatile g_4216 = &g_4217;
static volatile uint16_t g_4582 = 65532uL;
static struct S1 g_4585 = { 1, -3, 0x62f0ff62L, 0xc4a2L };
static struct S1 func_1(void);
static int32_t func_2(const int8_t p_3,
                      int8_t p_4,
                      const uint16_t p_5,
                      uint16_t p_6,
                      int64_t p_7);
static int16_t func_10(uint32_t p_11,
                       int32_t p_12,
                       uint8_t p_13,
                       int16_t p_14);
static uint16_t func_19(int32_t p_20);
static uint64_t func_26(int64_t p_27,
                        int32_t * p_28,
                        const int32_t * const p_29);
static int32_t * func_30(uint32_t p_31, int32_t * p_32);
static int16_t func_35(const uint32_t p_36);
static uint64_t func_47(int32_t * p_48);
static int32_t * func_49(uint8_t p_50,
                         int32_t * p_51,
                         int8_t p_52,
                         int32_t * p_53);
static struct S1 func_1(void)
{
    uint32_t l_15 = 1uL;
    int32_t l_4167 = 0xbbb51a81L;
    int32_t * l_4218 = &g_25;
    int32_t * l_4219 = (void *) 0;
    int32_t * l_4220 = &g_2951;
    int32_t * l_4221 = &g_62;
    int32_t * l_4222 = &g_2951;
    int32_t * l_4223 = &g_2951;
    int32_t * l_4224 = (void *) 0;
    int32_t * l_4225 = (void *) 0;
    int32_t * l_4226 = (void *) 0;
    int32_t * l_4227 = &g_2243;
    int32_t * l_4228 = &g_2951;
    int32_t * l_4229 = &g_25;
    int32_t * l_4230 = &g_2243;
    int32_t * l_4231 = &g_25;
    int32_t * l_4232 = &g_2951;
    int32_t * l_4233 = &g_2951;
    int32_t * l_4234 = (void *) 0;
    int32_t * l_4235 = (void *) 0;
    int32_t * l_4236 = &g_25;
    int32_t * l_4237 = &g_2243;
    int32_t * l_4238 = (void *) 0;
    int32_t * l_4239 = &g_25;
    int32_t * l_4240 = &g_25;
    int32_t * l_4241 = &g_2951;
    int32_t * l_4242 = &g_2951;
    int32_t * l_4243 = &g_25;
    int32_t * l_4244 = &g_25;
    int32_t * l_4245 = &g_25;
    int32_t * l_4246 = &g_2951;
    int32_t * l_4247 = &g_62;
    int32_t * l_4248 = &g_2243;
    int32_t * l_4249 = &g_2243;
    int32_t l_4250 = 0L;
    int32_t * l_4251 = (void *) 0;
    int32_t * l_4252 = &g_25;
    int32_t l_4253 = 0x2abe3b11L;
    int32_t * l_4254 = &l_4250;
    int32_t * l_4255 = &l_4250;
    int32_t * l_4256 = &g_2243;
    int32_t * l_4257 = &g_2951;
    int32_t * l_4258 = (void *) 0;
    int32_t * l_4259 = (void *) 0;
    int32_t * l_4260 = &g_2243;
    int32_t * l_4261 = &l_4250;
    int32_t * l_4262 = (void *) 0;
    int32_t * l_4263 = &g_2243;
    int32_t * l_4264 = (void *) 0;
    int32_t l_4265 = 0xb26642c1L;
    int32_t * l_4266 = (void *) 0;
    int32_t * l_4267 = &g_25;
    int32_t * l_4268 = &g_25;
    int32_t * l_4269 = &g_2243;
    int32_t * l_4270 = &g_62;
    int32_t * l_4271 = &g_62;
    int32_t * l_4272 = &l_4265;
    int32_t * l_4273 = &g_2243;
    int32_t * l_4274 = (void *) 0;
    int32_t * l_4275 = &g_25;
    int32_t * l_4276 = &g_2951;
    int32_t l_4277 = -3L;
    int32_t * l_4278 = &g_25;
    int32_t * l_4279 = &g_25;
    int32_t * l_4280 = (void *) 0;
    int32_t * l_4281 = &g_25;
    int32_t * l_4282 = &l_4277;
    int32_t * l_4283 = &g_2243;
    int32_t * l_4284 = &g_2243;
    int32_t * l_4285 = &g_62;
    int32_t * l_4286 = (void *) 0;
    int32_t * l_4287 = &l_4253;
    int32_t * l_4288 = &g_25;
    int32_t * l_4289 = (void *) 0;
    int32_t * l_4290 = &g_2243;
    int32_t * l_4291 = &l_4253;
    int32_t * l_4292 = (void *) 0;
    int32_t * l_4293 = &l_4253;
    int32_t * l_4294 = &l_4265;
    int32_t * l_4295 = &l_4253;
    int32_t * l_4296 = &l_4265;
    int32_t * l_4297 = &g_62;
    int32_t * l_4298 = &g_25;
    int32_t * l_4299 = &g_62;
    int32_t l_4300 = 5L;
    int32_t * l_4301 = &l_4277;
    int32_t * l_4302 = (void *) 0;
    int32_t * l_4303 = (void *) 0;
    int32_t * l_4304 = &l_4300;
    int32_t * l_4305 = &g_25;
    int32_t * l_4306 = &l_4277;
    int32_t * l_4307 = (void *) 0;
    int32_t * l_4308 = (void *) 0;
    int32_t * l_4309 = &l_4250;
    int32_t * l_4310 = (void *) 0;
    int32_t * l_4311 = &g_62;
    int32_t * l_4312 = &l_4265;
    int32_t * l_4313 = &l_4253;
    int32_t * l_4314 = &l_4250;
    int32_t * l_4315 = &l_4300;
    int32_t * l_4316 = &l_4250;
    int32_t l_4317 = 0x48237beaL;
    int32_t * l_4318 = &l_4253;
    int32_t * l_4319 = &l_4300;
    int32_t * l_4320 = &l_4300;
    int32_t * l_4321 = &g_2243;
    int32_t * l_4322 = &l_4317;
    int32_t * l_4323 = &g_2243;
    int32_t * l_4324 = &g_25;
    int32_t * l_4325 = &l_4300;
    int32_t l_4326 = 0x667759c3L;
    int32_t * l_4327 = &g_25;
    int32_t * l_4328 = &g_2243;
    int32_t * l_4329 = &g_62;
    int32_t * l_4330 = (void *) 0;
    int32_t * l_4331 = &g_62;
    int32_t * l_4332 = &l_4265;
    int32_t * l_4333 = &l_4326;
    int32_t * l_4334 = (void *) 0;
    int32_t * l_4335 = &g_2951;
    int32_t * l_4336 = (void *) 0;
    int32_t * l_4337 = (void *) 0;
    int32_t * l_4338 = &g_62;
    int32_t * l_4339 = &l_4277;
    int32_t l_4340 = 0x37f92d6L;
    int32_t * l_4341 = &l_4300;
    int32_t * l_4342 = (void *) 0;
    int32_t l_4343 = 0x3f804c9eL;
    int32_t * l_4344 = &l_4343;
    int32_t * l_4345 = &l_4317;
    int32_t * l_4346 = &l_4340;
    int32_t * l_4347 = &l_4343;
    int32_t * l_4348 = &l_4343;
    int32_t * l_4349 = &l_4317;
    int32_t * l_4350 = &l_4343;
    int32_t * l_4351 = &l_4317;
    int32_t l_4352 = 0x7977f3efL;
    int32_t * l_4353 = &l_4317;
    int32_t l_4354 = -2L;
    int32_t * l_4355 = (void *) 0;
    int32_t l_4356 = -1L;
    int32_t * l_4357 = &l_4356;
    int32_t * l_4358 = (void *) 0;
    int32_t * l_4359 = &g_25;
    int32_t * l_4360 = (void *) 0;
    int32_t * l_4361 = &l_4265;
    int32_t * l_4362 = &l_4265;
    int32_t * l_4363 = &l_4340;
    int32_t * l_4364 = (void *) 0;
    int32_t * l_4365 = (void *) 0;
    int32_t * l_4366 = (void *) 0;
    int32_t * l_4367 = (void *) 0;
    int32_t * l_4368 = &l_4265;
    int32_t * l_4369 = (void *) 0;
    int32_t * l_4370 = &l_4354;
    int32_t * l_4371 = &l_4354;
    int32_t * l_4372 = &l_4300;
    int32_t * l_4373 = &l_4352;
    int32_t * l_4374 = &l_4326;
    int32_t * l_4375 = &l_4265;
    int32_t * l_4376 = &l_4250;
    int32_t * l_4377 = &l_4343;
    int32_t * l_4378 = &g_62;
    int32_t * l_4379 = (void *) 0;
    int32_t l_4380 = -1L;
    int32_t * l_4381 = (void *) 0;
    int32_t * l_4382 = &l_4352;
    int32_t * l_4383 = &l_4265;
    int32_t l_4384 = 0L;
    int32_t * l_4385 = (void *) 0;
    int32_t * l_4386 = &l_4340;
    int32_t * l_4387 = (void *) 0;
    int32_t * l_4388 = &g_62;
    int32_t * l_4389 = &l_4356;
    int32_t * l_4390 = &l_4317;
    int32_t * l_4391 = &l_4317;
    int32_t * l_4392 = &l_4300;
    int32_t * l_4393 = &l_4253;
    int32_t * l_4394 = &l_4300;
    int32_t * l_4395 = &l_4300;
    int32_t * l_4396 = (void *) 0;
    int32_t * l_4397 = &l_4250;
    int32_t * l_4398 = &l_4343;
    int32_t * l_4399 = (void *) 0;
    int32_t * l_4400 = &l_4354;
    int32_t * l_4401 = &l_4300;
    int32_t * l_4402 = &l_4354;
    int32_t * l_4403 = &l_4343;
    int32_t * l_4404 = &l_4340;
    int32_t * l_4405 = &l_4300;
    int32_t * l_4406 = &l_4253;
    int32_t * l_4407 = &l_4300;
    int32_t * l_4408 = &l_4384;
    int32_t * l_4409 = &l_4384;
    int32_t * l_4410 = (void *) 0;
    int32_t * l_4411 = (void *) 0;
    int32_t * l_4412 = &l_4343;
    int32_t * l_4413 = &g_2243;
    int32_t * l_4414 = &g_2951;
    int32_t * l_4415 = &l_4317;
    int32_t * l_4416 = &l_4384;
    int32_t * l_4417 = &l_4277;
    int32_t * l_4418 = &l_4352;
    int32_t * l_4419 = &g_2951;
    int32_t * l_4420 = &l_4354;
    int32_t * l_4421 = &l_4340;
    int32_t * l_4422 = &g_2243;
    int32_t * l_4423 = (void *) 0;
    int32_t * l_4424 = (void *) 0;
    int32_t * l_4425 = (void *) 0;
    int32_t * l_4426 = (void *) 0;
    int32_t * l_4427 = &l_4253;
    int32_t * l_4428 = &l_4340;
    int32_t l_4429 = 0x48043658L;
    int32_t * l_4430 = &l_4380;
    int32_t * l_4431 = (void *) 0;
    int32_t * l_4432 = &l_4277;
    int32_t * l_4433 = (void *) 0;
    int32_t * l_4434 = (void *) 0;
    int32_t * l_4435 = &l_4354;
    int32_t * l_4436 = &l_4354;
    int32_t * l_4437 = &l_4300;
    int32_t l_4438 = 0xaf8cfb1dL;
    int32_t l_4439 = 0x24d4fcbL;
    int32_t * l_4440 = (void *) 0;
    int32_t * l_4441 = &l_4317;
    int32_t * l_4442 = &l_4277;
    int32_t * l_4443 = &l_4439;
    int32_t * l_4444 = (void *) 0;
    int32_t * l_4445 = &l_4352;
    int32_t l_4446 = 1L;
    int32_t * l_4447 = (void *) 0;
    int32_t * l_4448 = &l_4317;
    int32_t * l_4449 = &g_25;
    int32_t * l_4450 = &l_4340;
    int8_t l_4451 = 0L;
    int32_t * l_4452 = &l_4352;
    int32_t * l_4453 = (void *) 0;
    int32_t * l_4454 = &l_4265;
    int32_t * l_4455 = (void *) 0;
    int32_t * l_4456 = &g_62;
    int32_t * l_4457 = (void *) 0;
    int32_t * l_4458 = (void *) 0;
    int32_t * l_4459 = &l_4253;
    int32_t * l_4460 = &l_4277;
    int32_t * l_4461 = &l_4354;
    int32_t l_4462 = 0x9aba066eL;
    int32_t * l_4463 = &l_4354;
    int16_t l_4464 = 0x7d24L;
    int32_t * l_4465 = (void *) 0;
    int32_t * l_4466 = &l_4446;
    int32_t * l_4467 = &g_25;
    int32_t * l_4468 = (void *) 0;
    int32_t * l_4469 = (void *) 0;
    int32_t * l_4470 = &l_4429;
    int32_t * l_4471 = (void *) 0;
    int32_t * l_4472 = &l_4253;
    int32_t * l_4473 = &l_4253;
    int32_t * l_4474 = &l_4253;
    int32_t l_4475 = 1L;
    int32_t * l_4476 = (void *) 0;
    int32_t * l_4477 = &g_2243;
    int32_t * l_4478 = &l_4439;
    int32_t * l_4479 = &l_4253;
    int32_t * l_4480 = (void *) 0;
    int32_t * l_4481 = (void *) 0;
    int32_t * l_4482 = &l_4439;
    int32_t * l_4483 = (void *) 0;
    int32_t * l_4484 = &l_4356;
    int32_t l_4485 = 0x809a8f8aL;
    int32_t * l_4486 = &l_4352;
    int32_t l_4487 = 0xd6b371aeL;
    int32_t * l_4488 = &g_2243;
    int32_t * l_4489 = &l_4438;
    int32_t * l_4490 = (void *) 0;
    int32_t * l_4491 = (void *) 0;
    int32_t * l_4492 = &l_4429;
    int32_t * l_4493 = &g_2951;
    int32_t * l_4494 = &l_4487;
    int32_t * l_4495 = &g_2951;
    int32_t * l_4496 = &l_4265;
    int32_t * l_4497 = &g_2951;
    int32_t l_4498 = 0xfa593587L;
    int32_t * l_4499 = &l_4485;
    int32_t * l_4500 = &l_4380;
    int32_t * l_4501 = &l_4356;
    int32_t l_4502 = 5L;
    int32_t * l_4503 = (void *) 0;
    int32_t * l_4504 = &l_4475;
    int32_t * l_4505 = &l_4380;
    int32_t * l_4506 = &l_4340;
    int32_t * l_4507 = &g_62;
    int32_t * l_4508 = (void *) 0;
    int32_t * l_4509 = (void *) 0;
    int32_t * l_4510 = (void *) 0;
    int32_t l_4511 = 0L;
    int32_t * l_4512 = &l_4511;
    int32_t * l_4513 = &l_4250;
    int32_t * l_4514 = &g_25;
    int32_t * l_4515 = &g_25;
    int32_t * l_4516 = (void *) 0;
    int32_t l_4517 = 0xc69cda21L;
    int32_t * l_4518 = &l_4340;
    int32_t * l_4519 = &l_4485;
    int32_t * l_4520 = &l_4485;
    int32_t * l_4521 = (void *) 0;
    int32_t * l_4522 = &l_4475;
    int32_t l_4523 = 1L;
    int32_t * l_4524 = &l_4343;
    int32_t * l_4525 = (void *) 0;
    int32_t * l_4526 = &g_2243;
    int32_t * l_4527 = &g_2951;
    int32_t * l_4528 = &l_4439;
    int32_t * l_4529 = &g_25;
    int32_t * l_4530 = &l_4438;
    int32_t * l_4531 = &l_4250;
    int32_t * l_4532 = &l_4300;
    int32_t * l_4533 = &l_4517;
    int32_t * l_4534 = &g_2951;
    int32_t * l_4535 = &l_4446;
    int32_t * l_4536 = &l_4498;
    int32_t * l_4537 = &l_4250;
    int32_t * l_4538 = &g_2951;
    int32_t * l_4539 = &l_4253;
    int32_t l_4540 = 0x39f19491L;
    int32_t * l_4541 = &l_4340;
    int32_t * l_4542 = &l_4250;
    int32_t * l_4543 = &l_4326;
    int32_t * l_4544 = &l_4517;
    int32_t * l_4545 = (void *) 0;
    int32_t l_4546 = 0xb2acba95L;
    int32_t * l_4547 = &l_4462;
    int32_t * l_4548 = &l_4253;
    int32_t l_4549 = 2L;
    int32_t * l_4550 = (void *) 0;
    int32_t * l_4551 = &l_4384;
    int32_t * l_4552 = (void *) 0;
    int32_t * l_4553 = &g_25;
    int32_t l_4554 = 0x700d2cb3L;
    int32_t * l_4555 = &l_4326;
    int32_t * l_4556 = &l_4429;
    int32_t * l_4557 = &l_4429;
    int32_t * l_4558 = &l_4326;
    int32_t l_4559 = 1L;
    int32_t * l_4560 = (void *) 0;
    int32_t * l_4561 = &g_25;
    int32_t * l_4562 = &g_2243;
    int32_t * l_4563 = &l_4340;
    int32_t * l_4564 = &l_4462;
    int32_t * l_4565 = &l_4517;
    int32_t * l_4566 = (void *) 0;
    int32_t * l_4567 = &l_4326;
    int32_t * l_4568 = (void *) 0;
    int32_t * l_4569 = &l_4265;
    int32_t l_4570 = 0x26af8350L;
    int32_t * l_4571 = &g_2951;
    int32_t * l_4572 = &l_4485;
    int32_t * l_4573 = &l_4343;
    int32_t * l_4574 = &l_4517;
    int32_t * l_4575 = &l_4380;
    int32_t * l_4576 = &l_4559;
    int32_t * l_4577 = (void *) 0;
    int32_t * l_4578 = &l_4475;
    int32_t * l_4579 = &l_4554;
    int32_t * l_4580 = &l_4546;
    int32_t * l_4581 = &l_4549;
    if (func_2(0x9a57L & (safe_rshift_func_int16_t_s_u(func_10(l_15,
                                                               g_16,
                                                               (l_15 && safe_lshift_func_uint16_t_u_u(func_19(l_15),
                                                                                                      0)) != l_15 <= l_15,
                                                               0xcc8bf9e1aa18d599LL <= g_2213.f2),
                                                       l_15) || g_793.f0),
               l_15,
               g_2213.f0,
               g_2213.f1,
               l_15))
    {
        struct S0 * * l_4142 = (void *) 0;
        struct S0 * * l_4143 = (void *) 0;
        struct S0 * * l_4144 = &g_1529;
        *l_4144 = (g_4141, &g_59);
        g_1529 == &g_59 ? (void) 0 : __assert_fail("g_1529 == &g_59",
                                                   "t.c",
                                                   500,
                                                   __PRETTY_FUNCTION__);
    }
    else
    {
        int32_t * l_4147 = &g_2243;
        int16_t l_4178 = 1L;
        const struct S1 * * l_4179 = &g_1174;
        int32_t * l_4209 = &g_62;
        int32_t * l_4210 = &g_25;
        int32_t * l_4211 = &g_25;
        int32_t * l_4212 = (void *) 0;
        uint8_t l_4213 = 0x23L;
        for (g_2326.f2 = 19; g_2326.f2 < 52; g_2326.f2++)
        {
            int32_t * l_4168 = &g_62;
            int32_t * * l_4169 = &l_4147;
            *g_3800 = l_4147;
            g_116 == &g_2243 ? (void) 0 : __assert_fail("g_116 == &g_2243",
                                                        "t.c",
                                                        518,
                                                        __PRETTY_FUNCTION__);
        }
        g_116 == &g_2243 || g_116 == &g_62 || g_116 == &g_25 || g_116 == &g_2951 ? (void) 0 : __assert_fail("g_116 == &g_2243 || g_116 == &g_62 || g_116 == &g_25 || g_116 == &g_2951",
                                                                                                            "t.c",
                                                                                                            521,
                                                                                                            __PRETTY_FUNCTION__);
        for (g_1416 = 0; g_1416 == 17; ++g_1416)
        {
            uint16_t l_4172 = 0xcb82L;
            if (*l_4147)
                break;
            if (l_4172)
                continue;
            l_4147 = l_4147;
        }
        if (l_15)
        {
            const struct S1 * * l_4180 = &g_1174;
            int32_t l_4184 = 0x3aba727bL;
            l_4180 = (safe_mul_func_uint16_t_u_u(safe_sub_func_uint32_t_u_u((*g_1529, l_4167 || 1L),
                                                                            ! (*g_116)),
                                                 l_4178), l_4179);
            *g_1596 = g_4181;
            for (g_2951 = 0; g_2951 <= 0; g_2951 = safe_add_func_int8_t_s_s(g_2951,
                                                                            8))
            {
                if (l_4184)
                    break;
            }
        }
        else
        {
            int32_t * * const l_4191 = &g_116;
            int32_t l_4208 = 6L;
            l_4208 |= (safe_lshift_func_int8_t_s_u((safe_add_func_int16_t_s_s(safe_sub_func_int8_t_s_s(((((void *) 0 != l_4191) > * (*l_4191), g_2321.f1), safe_mul_func_int16_t_s_s(safe_add_func_int16_t_s_s(6L,
                                                                                                                                                                                                               safe_add_func_uint16_t_u_u((* (*l_4191) < ((safe_lshift_func_uint8_t_u_u(((*l_4147, func_30(safe_lshift_func_uint16_t_u_s(safe_rshift_func_uint16_t_u_u(1L ^ safe_sub_func_uint32_t_u_u(safe_mul_func_uint16_t_u_u((-7L & 0x94L, l_15) == 1L,
                                                                                                                                                                                                                                                                                                                                                                                                                                  3L) > g_803.f3,
                                                                                                                                                                                                                                                                                                                                                                                                       * (*l_4191)),
                                                                                                                                                                                                                                                                                                                                                                       4),
                                                                                                                                                                                                                                                                                                                                         g_566),
                                                                                                                                                                                                                                                                                                           *l_4191)) != l_4147) <= g_1163.f1,
                                                                                                                                                                                                                                                                                        2), * (*l_4191)), 0xbc18ee71L) != * (*l_4191)) <= 0uL < g_4141.f4,
                                                                                                                                                                                                                                          l_4167)) >= * (*l_4191),
                                                                                                                                                                                     0x9142L)) & *l_4147 && 9L,
                                                                                                       g_2325.f0),
                                                                              *l_4147), 0xbaL),
                                                   g_1163.f1), *l_4147) ^ *l_4147;
        }
        ++l_4213;
    }
    g_116 == &g_2243 || g_116 == &g_62 || g_116 == &g_25 || g_116 == &g_2951 ? (void) 0 : __assert_fail("g_116 == &g_2243 || g_116 == &g_62 || g_116 == &g_25 || g_116 == &g_2951",
                                                                                                        "t.c",
                                                                                                        552,
                                                                                                        __PRETTY_FUNCTION__);
    g_1529 == &g_1530 || g_1529 == &g_59 ? (void) 0 : __assert_fail("g_1529 == &g_1530 || g_1529 == &g_59",
                                                                    "t.c",
                                                                    554,
                                                                    __PRETTY_FUNCTION__);
    *g_4216 = &g_3771;
    g_4217 == &g_3771 ? (void) 0 : __assert_fail("g_4217 == &g_3771",
                                                 "t.c",
                                                 557,
                                                 __PRETTY_FUNCTION__);
    --g_4582;
    return g_4585;
}
static int32_t func_2(const int8_t p_3,
                      int8_t p_4,
                      const uint16_t p_5,
                      uint16_t p_6,
                      int64_t p_7)
{
    int32_t * l_2977 = &g_25;
    int32_t * l_2978 = &g_2243;
    int32_t * l_2979 = &g_62;
    int32_t * l_2980 = &g_2243;
    int32_t l_2981 = 5L;
    int32_t * l_2982 = &g_2243;
    int32_t * l_2983 = &g_2951;
    int32_t * l_2984 = &l_2981;
    int32_t * l_2985 = &g_25;
    int32_t * l_2986 = &g_25;
    int32_t * l_2987 = (void *) 0;
    int32_t * l_2988 = (void *) 0;
    int32_t * l_2989 = &g_2951;
    int32_t * l_2990 = &g_62;
    int32_t * l_2991 = &g_25;
    int32_t * l_2992 = &g_25;
    int32_t * l_2993 = &g_25;
    int32_t * l_2994 = &l_2981;
    int32_t * l_2995 = &g_62;
    int32_t * l_2996 = &g_62;
    uint16_t l_2997 = 0xc9eaL;
    volatile struct S1 * l_3013 = &g_2191;
    int32_t l_3126 = 0L;
    int32_t l_3176 = 6L;
    int32_t l_3226 = -1L;
    int32_t l_3321 = 0L;
    int32_t l_3328 = -4L;
    int32_t l_3333 = 0L;
    int32_t l_3356 = 5L;
    int32_t l_3361 = -1L;
    int64_t l_3747 = 0L;
    int64_t l_3749 = 0L;
    uint16_t l_3751 = 65534uL;
    int32_t l_3926 = -1L;
    uint64_t l_4130 = 1uL;
    l_2997++;
    for (g_25 = -6; g_25 >= 4; g_25++)
    {
        int16_t l_3004 = 0x2013L;
        int32_t * l_3009 = &l_2981;
        uint32_t l_3041 = 0x651f90c1L;
        struct S0 * const l_3076 = &g_804;
        int32_t * l_3090 = &g_2951;
        int32_t l_3097 = 0x35609814L;
        int32_t l_3105 = 1L;
        int32_t l_3110 = 3L;
        int32_t l_3147 = 0xe69c58b4L;
        int32_t l_3269 = 0x28ad7facL;
        int32_t l_3289 = 0xd54208e6L;
        int32_t l_3302 = 0x21e03ceaL;
        int32_t l_3317 = 0xc98a449bL;
        int32_t l_3345 = 0x41385635L;
        uint32_t l_3920 = 4294967286uL;
        int32_t * l_3923 = (void *) 0;
        struct S0 * * l_4140 = &g_1529;
    }
    return *l_2977;
}
static int16_t func_10(uint32_t p_11,
                       int32_t p_12,
                       uint8_t p_13,
                       int16_t p_14)
{
    uint32_t l_2958 = 0x5d6f4b1aL;
    uint32_t l_2961 = 7uL;
    int32_t * l_2975 = &g_2951;
    *g_2976 = func_49(l_2958,
                      *g_2678,
                      g_2792.f2,
                      (safe_lshift_func_int16_t_s_u(l_2961,
                                                    0) | (p_12 & safe_lshift_func_int8_t_s_u(safe_add_func_int64_t_s_s((~safe_lshift_func_uint16_t_u_s(0xfdcdL,
                                                                                                                                                       l_2961), ((safe_add_func_uint8_t_u_u((safe_mod_func_uint64_t_u_u(1uL,
                                                                                                                                                                                                                        safe_rshift_func_int8_t_s_u((l_2961, -8L),
                                                                                                                                                                                                                                                    1)) && -7L) < l_2958,
                                                                                                                                                                                            l_2961), g_2325.f0) == 0xc1c0960fL, (void *) 0) != (void *) 0),
                                                                                                                       g_1163.f1),
                                                                                             l_2958), p_14) <= g_2951, l_2975));
    g_116 == &g_62 || g_116 == &g_25 || g_116 == &g_2951 ? (void) 0 : __assert_fail("g_116 == &g_62 || g_116 == &g_25 || g_116 == &g_2951",
                                                                                    "t.c",
                                                                                    642,
                                                                                    __PRETTY_FUNCTION__);
    return p_13;
}
static uint16_t func_19(int32_t p_20)
{
    uint16_t l_22 = 0x780eL;
    int32_t * l_23 = (void *) 0;
    int32_t * l_24 = &g_25;
    int32_t * l_2950 = &g_2951;
    int32_t * * * l_2953 = &g_132;
    int32_t * l_2956 = (void *) 0;
    int32_t * l_2957 = &g_62;
    *l_24 = !l_22;
    *l_2950 &= func_26(*l_24,
                       func_30(p_20,
                               (g_16, ((p_20, safe_mul_func_int16_t_s_s(func_35(g_16),
                                                                        safe_sub_func_int16_t_s_s(p_20,
                                                                                                  p_20) || *l_24)) >= 1L, *g_2678))),
                       l_24) == p_20;
    g_116 == &g_62 || g_116 == &g_25 ? (void) 0 : __assert_fail("g_116 == &g_62 || g_116 == &g_25",
                                                                "t.c",
                                                                664,
                                                                __PRETTY_FUNCTION__);
    *l_2957 &= p_20 < ((g_2952, l_2953 != (*l_2950, l_2953)) == g_2325.f1) == *l_24 <= safe_sub_func_uint8_t_u_u(1L <= p_20,
                                                                                                                 g_1441.f4);
    return *l_24;
}
static uint64_t func_26(int64_t p_27,
                        int32_t * p_28,
                        const int32_t * const p_29)
{
    const uint32_t l_2817 = 0uL;
    int32_t * l_2826 = &g_2243;
    int32_t * l_2827 = &g_62;
    int32_t l_2828 = 0x1ade7b66L;
    int32_t * l_2829 = (void *) 0;
    int32_t * l_2830 = &g_62;
    int32_t * l_2831 = &g_25;
    int32_t * l_2832 = &l_2828;
    int32_t * l_2833 = &g_2243;
    int32_t l_2834 = -10L;
    int32_t * l_2835 = &l_2834;
    int32_t l_2836 = 0xb0b37ac5L;
    int32_t * l_2837 = &g_2243;
    int32_t * l_2838 = &l_2828;
    int32_t * l_2839 = &g_25;
    int32_t * l_2840 = &g_2243;
    int32_t * l_2841 = (void *) 0;
    int32_t * l_2842 = &l_2836;
    int32_t * l_2843 = &g_2243;
    int32_t * l_2844 = &l_2834;
    int32_t * l_2845 = &l_2836;
    int32_t * l_2846 = (void *) 0;
    int32_t * l_2847 = &l_2834;
    int32_t * l_2848 = &l_2836;
    int32_t * l_2849 = &g_25;
    int32_t * l_2850 = &g_62;
    int32_t * l_2851 = &g_62;
    int32_t * l_2852 = (void *) 0;
    int32_t l_2853 = 1L;
    int32_t * l_2854 = &g_2243;
    int32_t * l_2855 = (void *) 0;
    int32_t * l_2856 = (void *) 0;
    int32_t * l_2857 = (void *) 0;
    int32_t l_2858 = -1L;
    int32_t * l_2859 = &l_2836;
    int8_t l_2860 = 0xfdL;
    int32_t * l_2861 = &l_2836;
    int32_t * l_2862 = &l_2853;
    int32_t l_2863 = 0x196e9328L;
    int32_t * l_2864 = (void *) 0;
    int32_t * l_2865 = &l_2853;
    int32_t * l_2866 = (void *) 0;
    int32_t * l_2867 = &g_62;
    int32_t * l_2868 = (void *) 0;
    int32_t * l_2869 = (void *) 0;
    int32_t * l_2870 = &g_25;
    int32_t * l_2871 = &l_2853;
    int32_t * l_2872 = (void *) 0;
    int32_t * l_2873 = &l_2858;
    int32_t * l_2874 = &l_2853;
    int32_t l_2875 = -1L;
    int32_t * l_2876 = &g_2243;
    int32_t * l_2877 = &l_2828;
    int32_t * l_2878 = (void *) 0;
    int32_t * l_2879 = &l_2834;
    int32_t * l_2880 = &g_25;
    int32_t * l_2881 = &l_2875;
    int32_t * l_2882 = &g_62;
    int32_t * l_2883 = &g_2243;
    int32_t * l_2884 = (void *) 0;
    int32_t * l_2885 = &l_2853;
    int32_t * l_2886 = (void *) 0;
    int32_t * l_2887 = &g_25;
    int32_t * l_2888 = &l_2853;
    int32_t * l_2889 = (void *) 0;
    int32_t * l_2890 = &l_2836;
    int32_t * l_2891 = &l_2853;
    int32_t l_2892 = -1L;
    int32_t * l_2893 = (void *) 0;
    int32_t * l_2894 = &l_2853;
    int32_t * l_2895 = &l_2853;
    int32_t * l_2896 = &l_2858;
    int32_t * l_2897 = &g_62;
    int32_t * l_2898 = &l_2858;
    int32_t * l_2899 = &g_62;
    int32_t * l_2900 = &l_2834;
    int32_t * l_2901 = &g_2243;
    int32_t * l_2902 = &g_2243;
    int32_t * l_2903 = &l_2834;
    int32_t * l_2904 = &g_25;
    int32_t * l_2905 = (void *) 0;
    int32_t * l_2906 = &l_2863;
    int32_t * l_2907 = &l_2834;
    int32_t * l_2908 = &g_25;
    int32_t * l_2909 = &g_62;
    int32_t * l_2910 = &g_25;
    int32_t * l_2911 = &g_62;
    int32_t * l_2912 = &l_2863;
    int32_t * l_2913 = (void *) 0;
    int32_t * l_2914 = &l_2892;
    int32_t * l_2915 = &g_2243;
    int32_t * l_2916 = &l_2863;
    int32_t * l_2917 = (void *) 0;
    int32_t * l_2918 = &l_2834;
    int32_t * l_2919 = &g_2243;
    int32_t * l_2920 = &l_2892;
    int32_t * l_2921 = (void *) 0;
    int32_t l_2922 = 9L;
    int32_t * l_2923 = &g_2243;
    int32_t * l_2924 = &g_62;
    int32_t * l_2925 = &l_2858;
    int32_t * l_2926 = &g_2243;
    int32_t l_2927 = 0L;
    int32_t * l_2928 = &g_25;
    int32_t * l_2929 = &l_2892;
    int32_t * l_2930 = &l_2863;
    int32_t * l_2931 = &l_2858;
    int32_t * l_2932 = &l_2858;
    int32_t * l_2933 = (void *) 0;
    int32_t * l_2934 = &g_2243;
    int32_t * l_2935 = &l_2927;
    int32_t * l_2936 = &g_62;
    int32_t * l_2937 = (void *) 0;
    int32_t * l_2938 = &l_2875;
    int32_t * l_2939 = (void *) 0;
    int32_t * l_2940 = &l_2834;
    int32_t * l_2941 = (void *) 0;
    int32_t * l_2942 = &l_2834;
    int32_t * l_2943 = &g_25;
    int32_t * l_2944 = &l_2922;
    int32_t * l_2945 = &g_2243;
    int32_t * l_2946 = (void *) 0;
    uint8_t l_2947 = 0xbbL;
    *g_2678 = func_30(+ (+safe_mod_func_int32_t_s_s((0x8fL & (p_27 || p_27 || safe_mod_func_uint16_t_u_u(p_27 >= (((safe_add_func_uint8_t_u_u(safe_rshift_func_uint16_t_u_s(safe_mul_func_uint8_t_u_u(safe_add_func_uint64_t_u_u(l_2817 ^ l_2817 || safe_add_func_uint8_t_u_u(safe_mod_func_uint16_t_u_u(safe_sub_func_int64_t_s_s(safe_rshift_func_int16_t_s_u((* (*g_1595), l_2817 > 1L) >= g_2325.f0,
                                                                                                                                                                                                                                                                                                                                                                8),
                                                                                                                                                                                                                                                                                                                                   l_2817),
                                                                                                                                                                                                                                                                                                         0x5e9L) != 0x5f87619ed5b49b04LL,
                                                                                                                                                                                                                                                                              p_27),
                                                                                                                                                                                                                                 g_1163.f2),
                                                                                                                                                                                                      p_27),
                                                                                                                                                                            3),
                                                                                                                                              g_804.f4), p_27) || 0x64f7L || 2L, p_27) < l_2817) & 0xe6L || p_27,
                                                                                                         l_2817) != 0xb966683a7c861535LL)) == g_16,
                                                    0x4f3c7360L)),
                      l_2826);
    ++l_2947;
    return g_1648;
}
static int32_t * func_30(uint32_t p_31, int32_t * p_32)
{
    struct S1 * l_2791 = &g_1594;
    int32_t l_2801 = -1L;
    int32_t * l_2802 = &l_2801;
    l_2802 = (safe_sub_func_uint16_t_u_u(((!(+p_31 > (safe_unary_minus_func_uint32_t_u((safe_mul_func_uint16_t_u_u(0x4dL < ((void *) 0 != l_2791),
                                                                                                                   (g_2792, 0xc02b8ba01bd72c3cLL & (g_753.f0 & safe_rshift_func_int8_t_s_s(+0xc23e8efaL <= safe_add_func_uint32_t_u_u(safe_mod_func_int8_t_s_s(!l_2801 >= 18446744073709551608uL,
                                                                                                                                                                                                                                                               l_2801),
                                                                                                                                                                                                                                      *p_32),
                                                                                                                                                                                           3)))), p_31)) || p_31) && p_31), 1L) != g_2213.f2) >= -1L,
                                         p_31), (void *) 0);
    l_2802 == 0 ? (void) 0 : __assert_fail("l_2802 == 0",
                                           "t.c",
                                           819,
                                           __PRETTY_FUNCTION__);
    return *g_2678;
}
static int16_t func_35(const uint32_t p_36)
{
    uint16_t l_54 = 65535uL;
    int32_t * l_57 = &g_25;
    uint32_t l_2190 = 0x41cd021cL;
    struct S1 * * l_2194 = (void *) 0;
    uint32_t l_2234 = 2uL;
    int32_t * * * l_2319 = &g_132;
    int32_t l_2427 = 0x5f119cb9L;
    int32_t l_2459 = -5L;
    int32_t l_2465 = 0x2e05d2b1L;
    int32_t l_2485 = -1L;
    int32_t l_2494 = 0L;
    int32_t l_2517 = 0x33e3c823L;
    int32_t l_2568 = 0x2e6a4121L;
    int32_t l_2617 = 1L;
    struct S0 * l_2773 = &g_804;
    if (safe_add_func_int8_t_s_s(safe_mod_func_uint16_t_u_u(0x7b18L,
                                                            ((safe_mul_func_uint8_t_u_u(248uL,
                                                                                        *l_57), *l_57), 0x67ac54d3fef8cbb3LL) | 4uL) == 0x178eedc809f5503eLL != 18446744073709551615uL,
                                 g_566) > l_2190)
    {
        uint32_t l_2196 = 0xc84f78b0L;
        int32_t l_2203 = 0x8e4563edL;
        int32_t * l_2209 = &l_2203;
        int32_t l_2238 = 0x367a2a0fL;
        *g_1596 = g_2191;
        l_2203 &= safe_lshift_func_uint16_t_u_s((g_126.f3, l_2194) != (void *) 0 != +l_2196,
                                                1) | ((safe_add_func_uint64_t_u_u((*l_57 && l_2196) & l_2196,
                                                                                  safe_mul_func_uint16_t_u_u(safe_sub_func_int32_t_s_s(g_803.f4 & l_2196,
                                                                                                                                       *g_116),
                                                                                                             g_1163.f0)) >= g_818.f2, *l_57), 0xba0bL);
        for (g_566 = -13; g_566 == -24; g_566--)
        {
            int32_t * l_2208 = &g_25;
            int32_t * l_2226 = (void *) 0;
            int32_t * l_2227 = &g_62;
            l_2209 = (g_1202.f1 > (*l_57 ^ *l_57 || (*g_1596, safe_mul_func_uint8_t_u_u(p_36,
                                                                                        (&l_2203 != (void *) 0) >= p_36) >= (l_2203 ^ 0x93ccL))), l_2208);
            l_2209 == &g_25 ? (void) 0 : __assert_fail("l_2209 == &g_25",
                                                       "t.c",
                                                       863,
                                                       __PRETTY_FUNCTION__);
            *g_2210 = *g_1595;
            *l_2227 |= safe_sub_func_int32_t_s_s(p_36 <= (g_2213, ((*g_1595 != (void *) 0) < (((g_1530.f4 ^ safe_mod_func_uint16_t_u_u(safe_mul_func_int16_t_s_s(safe_mul_func_uint8_t_u_u(255uL,
                                                                                                                                                                                           safe_mod_func_int8_t_s_s(0x49L,
                                                                                                                                                                                                                    safe_sub_func_int8_t_s_s(((p_36, safe_rshift_func_uint8_t_u_s(*l_2209,
                                                                                                                                                                                                                                                                                  3) & 0xd4fc38ebL) && p_36) != 1uL != 65526uL && p_36,
                                                                                                                                                                                                                                             g_818.f0) && 8uL)) != *l_2209,
                                                                                                                                                                 0xa830L),
                                                                                                                                       p_36) <= 0x9bb53017L, *l_2209), g_1530.f4) <= 6uL && p_36) != *l_57, 1L)),
                                                 *l_57);
        }
        l_2209 == &g_25 || l_2209 == &l_2203 ? (void) 0 : __assert_fail("l_2209 == &g_25 || l_2209 == &l_2203",
                                                                        "t.c",
                                                                        868,
                                                                        __PRETTY_FUNCTION__);
        l_2238 |= -1L ^ 0x9dc9L > *l_2209 == (safe_rshift_func_uint8_t_u_u(safe_sub_func_int64_t_s_s(safe_mod_func_uint64_t_u_u(p_36,
                                                                                                                                0xb143f17757a0342fLL) < 0x7896L,
                                                                                                     g_2191.f2),
                                                                           l_2234), (safe_sub_func_uint8_t_u_u(~p_36,
                                                                                                               p_36) > *l_57 & g_1441.f4) >= 5L == -5L & 0x6dL);
    }
    else
    {
        uint64_t l_2248 = 0xdd18997fa8f6db87LL;
        uint64_t l_2269 = 0x564bfa94cefbe635LL;
        struct S1 * l_2271 = &g_1594;
        struct S1 * * l_2270 = &l_2271;
        uint32_t l_2285 = 4294967294uL;
        int32_t * const * l_2287 = &l_57;
        int8_t l_2337 = 2L;
        int32_t l_2361 = 0x37885045L;
        int32_t l_2362 = 0xe1154088L;
        int32_t l_2363 = -8L;
        int32_t l_2400 = 0x8e312c68L;
        int32_t l_2509 = 0x22d7cee5L;
        int32_t l_2533 = 1L;
        int32_t l_2595 = 1L;
        int32_t l_2604 = 0xbaa8ef24L;
        int32_t l_2635 = 1L;
        int32_t l_2643 = 0L;
        uint32_t l_2762 = 4294967289uL;
        int16_t l_2779 = 0xafd3L;
        struct S0 * * l_2780 = (void *) 0;
        struct S0 * * l_2781 = &l_2773;
        for (g_62 = 0; g_62 >= 25; g_62 = safe_add_func_int64_t_s_s(g_62,
                                                                    5))
        {
            int32_t * l_2241 = (void *) 0;
            int32_t * l_2242 = &g_2243;
            *l_2242 ^= -6L;
            return p_36;
        }
    }
    g_116 == &g_62 || g_116 == &g_25 ? (void) 0 : __assert_fail("g_116 == &g_62 || g_116 == &g_25",
                                                                "t.c",
                                                                903,
                                                                __PRETTY_FUNCTION__);
    return g_2243;
}
static uint64_t func_47(int32_t * p_48)
{
    const int8_t l_139 = 9L;
    int32_t l_151 = 0x734cf679L;
    int32_t l_261 = 1L;
    int32_t l_269 = 0xfe7776e9L;
    int32_t l_398 = 0xc168bad6L;
    int32_t l_403 = 0xbf4fe604L;
    int32_t l_448 = 0xf42d3900L;
    int32_t l_477 = 0x1e43741L;
    int32_t l_488 = 0x8e696d5fL;
    int32_t l_501 = 0L;
    int32_t l_520 = 0L;
    int64_t l_690 = 0xdae90db2c35b8b97LL;
    int32_t l_691 = 8L;
    int32_t * * l_701 = &g_116;
    if (l_691 < 8)
    {
        {
            const int32_t * * l_1206 = (void *) 0;
            const int32_t * * * l_1205 = &l_1206;
            int32_t * l_1236 = &l_269;
            struct S1 * l_1239 = (void *) 0;
            int32_t l_1271 = 0x45209252L;
            int32_t l_1342 = 0xef6f63aL;
            int32_t l_1353 = 1L;
            int32_t l_1364 = 1L;
            int32_t l_1403 = 1L;
        }
    }
    if ((g_126, p_48 == p_48) >= *g_116)
    {
        uint32_t l_128 = 3uL;
        int32_t * * * l_130 = (void *) 0;
        int32_t l_157 = -1L;
        int32_t l_171 = 0x574c5a94L;
        int32_t l_237 = 0xc132fbb4L;
        int32_t l_427 = -1L;
        int32_t l_449 = 1L;
        int32_t l_450 = 0L;
        int32_t l_475 = 0x8116e444L;
        int32_t l_504 = 0x85d6a8d5L;
        if (+(0uL ^ g_126.f1, l_128))
        {
            *g_116 &= 0xd866L || g_126.f5;
        }
        else
        {
            return l_128;
        }
        *g_131 = &p_48;
        g_132 == &p_48 ? (void) 0 : __assert_fail("g_132 == &p_48",
                                                  "t.c",
                                                  2022,
                                                  __PRETTY_FUNCTION__);
        if ((g_126.f5 == (safe_rshift_func_uint8_t_u_s(safe_lshift_func_uint16_t_u_s(safe_sub_func_int8_t_s_s((&g_116 == ((*p_48, ((l_128 >= l_139 != *g_116 != 4uL) < (safe_mod_func_uint16_t_u_u(0xbc2055579fd63578LL & l_139 <= l_139,
                                                                                                                                                                                                   0xcc80L) ^ l_139), l_139)), &p_48), 0x6efadcadL) < *g_116,
                                                                                                              251uL) ^ 0x58ebf8ec998684faLL,
                                                                                     1),
                                                       g_125.f1) ^ 0L), (void *) 0) != p_48)
        {
            int16_t l_142 = 0x2dffL;
            int32_t l_149 = 0xcd878405L;
            int32_t l_199 = -4L;
            *g_116 |= l_142 & ((void *) 0 != &g_132, safe_rshift_func_uint16_t_u_s(9uL,
                                                                                   (g_125.f1 != (safe_unary_minus_func_uint8_t_u(g_59.f2) && 0x26a6L)) > l_128));
            for (g_59.f4 = -15; g_59.f4 <= -26; g_59.f4 = safe_sub_func_uint16_t_u_u(g_59.f4,
                                                                                     9))
            {
                int32_t * l_148 = &g_62;
                int32_t * l_150 = &g_62;
                int32_t * l_152 = &l_151;
                int32_t l_153 = 0x5eb93ca2L;
                int32_t * l_154 = &l_149;
                int32_t * l_155 = &l_153;
                int32_t * l_156 = &l_149;
                int32_t * l_158 = &l_157;
                int32_t * l_159 = &l_153;
                int32_t * l_160 = (void *) 0;
                int32_t * l_161 = &l_151;
                int32_t * l_162 = (void *) 0;
                int32_t * l_163 = &l_151;
                int32_t * l_164 = &l_151;
                int32_t * l_165 = (void *) 0;
                int32_t * l_166 = &l_153;
                int32_t l_167 = -1L;
                int32_t * l_168 = &g_62;
                int32_t * l_169 = (void *) 0;
                int32_t * l_170 = &l_151;
                int32_t * l_172 = (void *) 0;
                int32_t * l_173 = (void *) 0;
                int32_t * l_174 = &l_149;
                int32_t * l_175 = &l_157;
                int32_t * l_176 = &l_151;
                int32_t * l_177 = &l_153;
                int32_t * l_178 = &l_167;
                int32_t * l_179 = (void *) 0;
                int32_t * l_180 = &g_62;
                int32_t * l_181 = &l_151;
                int32_t * l_182 = (void *) 0;
                int32_t * l_183 = (void *) 0;
                int32_t * l_184 = &l_151;
                int32_t * l_185 = (void *) 0;
                int32_t * l_186 = (void *) 0;
                int32_t * l_187 = &l_151;
                int32_t * l_188 = &l_151;
                int32_t * l_189 = &l_151;
                int32_t * l_190 = &g_62;
                int32_t * l_191 = &l_149;
                int32_t * l_192 = &l_171;
                int32_t * l_193 = &l_167;
                int32_t * l_194 = &l_167;
                int32_t * l_195 = &l_153;
                int32_t * l_196 = &l_157;
                int32_t * l_197 = (void *) 0;
                int32_t * l_198 = &l_167;
                int32_t * l_200 = &l_149;
                int32_t * l_201 = &l_157;
                int32_t * l_202 = &l_153;
                int32_t * l_203 = (void *) 0;
                int32_t * l_204 = &l_167;
                int32_t * l_205 = &g_62;
                int32_t * l_206 = (void *) 0;
                int32_t * l_207 = &l_157;
                int32_t * l_208 = &l_157;
                int32_t * l_209 = &g_62;
                int32_t * l_210 = &l_199;
                int32_t l_211 = 7L;
                int32_t * l_212 = &l_149;
                int32_t * l_213 = &l_171;
                int32_t * l_214 = (void *) 0;
                int32_t * l_215 = (void *) 0;
                int32_t * l_216 = &l_211;
                int32_t * l_217 = &l_211;
                int32_t * l_218 = &l_171;
                int32_t * l_219 = &l_151;
                int32_t * l_220 = &l_157;
                int32_t * l_221 = &l_151;
                int32_t * l_222 = &l_199;
                int32_t * l_223 = (void *) 0;
                int32_t * l_224 = &l_153;
                int32_t * l_225 = &l_149;
                int32_t * l_226 = &l_157;
                int32_t * l_227 = &l_151;
                int32_t l_228 = 0x76412926L;
                int32_t * l_229 = &l_171;
                int32_t * l_230 = &l_157;
                int32_t * l_231 = &l_228;
                int32_t * l_232 = &l_153;
                int32_t * l_233 = &l_151;
                int32_t * l_234 = &l_211;
                int32_t * l_235 = &l_199;
                int32_t * l_236 = &l_157;
                int32_t * l_238 = &l_151;
                int32_t * l_239 = (void *) 0;
                int32_t * l_240 = &l_153;
                int32_t l_241 = -9L;
                int32_t * l_242 = &g_62;
                int32_t * l_243 = &l_237;
                int32_t * l_244 = &l_149;
                int32_t * l_245 = &l_237;
                int32_t * l_246 = &l_151;
                int32_t * l_247 = &g_62;
                int32_t * l_248 = &l_241;
                int32_t * l_249 = (void *) 0;
                int32_t * l_250 = (void *) 0;
                int32_t * l_251 = &g_62;
                int32_t * l_252 = &l_151;
                int32_t * l_253 = &g_62;
                int32_t * l_254 = &l_228;
                int32_t * l_255 = &l_167;
                int32_t * l_256 = &l_149;
                int32_t * l_257 = &l_149;
                int32_t * l_258 = &l_149;
                int32_t * l_259 = &l_149;
                int32_t * l_260 = &g_62;
                int32_t * l_262 = &l_261;
                int32_t * l_263 = (void *) 0;
                int32_t * l_264 = (void *) 0;
                int32_t * l_265 = &l_157;
                uint32_t l_270 = 4294967295uL;
                --g_266;
                l_270++;
            }
        }
        else
        {
            uint32_t l_277 = 18446744073709551606uL;
            int32_t l_290 = 6L;
            uint16_t l_295 = 0uL;
            uint64_t l_298 = 18446744073709551615uL;
            int32_t l_404 = 0xdac667a1L;
            int32_t l_428 = 0xb362dc11L;
            int32_t l_430 = -4L;
            int32_t l_441 = 0x73a75d4eL;
            int32_t l_453 = 0xd382288bL;
            int32_t l_553 = -2L;
            int32_t * l_584 = &l_151;
            int32_t * l_585 = &l_403;
            int32_t * l_586 = &l_269;
            int32_t * l_587 = &l_261;
            int32_t * l_588 = &l_448;
            int32_t * l_589 = (void *) 0;
            int32_t * l_590 = &l_428;
            int32_t * l_591 = &l_441;
            int32_t * l_592 = &l_520;
            int32_t * l_593 = &l_501;
            int32_t * l_594 = &l_520;
            int32_t * l_595 = &l_488;
            int32_t * l_596 = &l_171;
            int32_t * l_597 = &l_453;
            int32_t * l_598 = &l_430;
            int32_t * l_599 = (void *) 0;
            int32_t * l_600 = &l_453;
            int32_t * l_601 = (void *) 0;
            int32_t * l_602 = &l_237;
            int32_t * l_603 = &l_398;
            int32_t * l_604 = &g_62;
            int32_t * l_605 = &l_430;
            int32_t * l_606 = &l_237;
            int32_t * l_607 = &l_520;
            int32_t * l_608 = &l_520;
            int32_t * l_609 = &l_430;
            int32_t * l_610 = &l_171;
            int32_t * l_611 = &l_403;
            int32_t * l_612 = &l_520;
            int32_t * l_613 = &l_157;
            int32_t * l_614 = &g_62;
            int32_t * l_615 = (void *) 0;
            int32_t * l_616 = &l_504;
            int32_t * l_617 = &l_448;
            int32_t * l_618 = &l_477;
            int32_t * l_619 = &l_171;
            int32_t * l_620 = &l_428;
            int32_t * l_621 = &l_269;
            int32_t * l_622 = &l_404;
            int32_t * l_623 = &l_403;
            int32_t * l_624 = (void *) 0;
            int32_t * l_625 = &l_171;
            int32_t * l_626 = (void *) 0;
            int32_t * l_627 = &l_553;
            int32_t * l_628 = (void *) 0;
            int32_t * l_629 = (void *) 0;
            int32_t * l_630 = (void *) 0;
            int32_t * l_631 = &l_398;
            int32_t * l_632 = &l_430;
            int32_t * l_633 = &l_403;
            int32_t * l_634 = &g_62;
            int32_t * l_635 = &l_475;
            int32_t * l_636 = &l_171;
            int32_t * l_637 = &l_157;
            int32_t * l_638 = &l_404;
            int32_t * l_639 = (void *) 0;
            int32_t * l_640 = &l_237;
            int32_t * l_641 = &l_171;
            int32_t * l_642 = &g_62;
            int32_t * l_643 = &l_427;
            int32_t * l_644 = &l_449;
            int32_t * l_645 = (void *) 0;
            int32_t * l_646 = &l_520;
            int32_t * l_647 = &l_157;
            int32_t * l_648 = &l_449;
            int32_t * l_649 = (void *) 0;
            int32_t * l_650 = (void *) 0;
            int32_t * l_651 = &l_449;
            int32_t * l_652 = &l_403;
            int32_t * l_653 = &l_403;
            int32_t * l_654 = &l_261;
            int32_t * l_655 = &l_398;
            int32_t * l_656 = (void *) 0;
            int32_t * l_657 = (void *) 0;
            int32_t * l_658 = &l_157;
            int32_t * l_659 = &l_151;
            int32_t * l_660 = &l_441;
            int32_t * l_661 = &l_553;
            int32_t * l_662 = (void *) 0;
            int32_t * l_663 = &l_450;
            int32_t * l_664 = &l_453;
            int32_t * l_665 = &l_448;
            int32_t * l_666 = &l_501;
            int32_t * l_667 = &l_157;
            int32_t * l_668 = &l_430;
            int32_t * l_669 = &l_427;
            int32_t * l_670 = (void *) 0;
            int32_t * l_671 = &l_504;
            int32_t * l_672 = (void *) 0;
            int32_t * l_673 = &l_504;
            int32_t * l_674 = &g_62;
            int32_t * l_675 = &l_520;
            int32_t * l_676 = (void *) 0;
            int32_t * l_677 = &l_501;
            int32_t * l_678 = &l_151;
            int32_t * l_679 = &l_520;
            int32_t * l_680 = &g_62;
            int32_t * l_681 = &l_449;
            int32_t * l_682 = &l_504;
            int32_t * l_683 = &l_398;
            int32_t * l_684 = &l_398;
            int32_t * l_685 = (void *) 0;
            int32_t * l_686 = &l_269;
            for (l_171 = 0; l_171 <= -17; l_171 = safe_sub_func_int8_t_s_s(l_171,
                                                                           1))
            {
                int32_t l_293 = -9L;
                int32_t * * * l_294 = &g_132;
                int32_t l_324 = 0L;
                int32_t l_340 = 0xeb9d798bL;
                int32_t l_379 = 0xff7825d7L;
                int32_t l_484 = 0x5169d787L;
                int32_t l_514 = 0x60d45001L;
                int32_t l_562 = 0x6b93c577L;
                *g_116 = safe_mul_func_int8_t_s_s((g_126.f2 || l_277) & safe_rshift_func_int8_t_s_s(safe_add_func_uint64_t_u_u(safe_add_func_uint32_t_u_u(safe_lshift_func_uint8_t_u_s(((safe_add_func_uint8_t_u_u((safe_add_func_int64_t_s_s(l_290,
                                                                                                                                                                                                                                              (g_125.f0, safe_rshift_func_int8_t_s_s(l_151 & g_125.f2,
                                                                                                                                                                                                                                                                                     (l_293 | (l_261, 18446744073709551614uL), g_16) > l_293))), l_293) <= l_269,
                                                                                                                                                                                                                   g_125.f2) <= g_25, (void *) 0) == l_294, g_62),
                                                                                                                                                                                       7),
                                                                                                                                                          *p_48) > l_295,
                                                                                                                               * (* (*l_294))) == g_16 && g_59.f4,
                                                                                                    g_125.f1) != 4294967292uL && g_16,
                                                  * (* (*l_294)));
                for (l_151 = 11; l_151 <= -22; l_151 = safe_sub_func_uint16_t_u_u(l_151,
                                                                                  3))
                {
                    uint32_t l_316 = 0xc1cd0e78L;
                    int32_t * l_317 = &l_293;
                    int32_t * l_318 = &l_237;
                    int32_t * l_319 = &l_261;
                    int32_t * l_320 = &l_237;
                    int32_t * l_321 = &l_261;
                    int32_t l_322 = 0x4cfdc269L;
                    int32_t * l_323 = &g_62;
                    int32_t * l_325 = &l_322;
                    int32_t * l_326 = (void *) 0;
                    int32_t * l_327 = (void *) 0;
                    int32_t * l_328 = &l_261;
                    int32_t * l_329 = &l_293;
                    int32_t * l_330 = &l_324;
                    int32_t * l_331 = &l_324;
                    int32_t * l_332 = (void *) 0;
                    int32_t * l_333 = (void *) 0;
                    int32_t * l_334 = &l_324;
                    int32_t * l_335 = &l_322;
                    int32_t l_336 = -8L;
                    int32_t * l_337 = &l_324;
                    int32_t * l_338 = &l_261;
                    int32_t * l_339 = (void *) 0;
                    int32_t * l_341 = &l_293;
                    int32_t * l_342 = &l_324;
                    int32_t * l_343 = &l_336;
                    int32_t * l_344 = &l_322;
                    int32_t * l_345 = &l_269;
                    int32_t * l_346 = &l_261;
                    int32_t * l_347 = (void *) 0;
                    int32_t * l_348 = &l_336;
                    int32_t * l_349 = &l_324;
                    int32_t * l_350 = &l_336;
                    int32_t * l_351 = &l_157;
                    int32_t * l_352 = &l_237;
                    int32_t * l_353 = &l_261;
                    int32_t * l_354 = &l_157;
                    int32_t * l_355 = (void *) 0;
                    int32_t * l_356 = (void *) 0;
                    int32_t * l_357 = (void *) 0;
                    int32_t * l_358 = &l_261;
                    int32_t * l_359 = (void *) 0;
                    int32_t * l_360 = &l_237;
                    int32_t * l_361 = (void *) 0;
                    int32_t * l_362 = &l_261;
                    int32_t * l_363 = &l_261;
                    int32_t * l_364 = &l_322;
                    int32_t * l_365 = &l_237;
                    int32_t * l_366 = &l_237;
                    int32_t * l_367 = &l_340;
                    int32_t * l_368 = &l_269;
                    int32_t * l_369 = (void *) 0;
                    int32_t * l_370 = &l_269;
                    int32_t * l_371 = (void *) 0;
                    int32_t * l_372 = &l_261;
                    int32_t * l_373 = &l_237;
                    int32_t * l_374 = &l_269;
                    int32_t * l_375 = &l_336;
                    int32_t * l_376 = &l_322;
                    int32_t * l_377 = (void *) 0;
                    int32_t * l_378 = &l_336;
                    int32_t * l_380 = (void *) 0;
                    int32_t * l_381 = &l_336;
                    int32_t * l_382 = &l_322;
                    int32_t * l_383 = &l_157;
                    int32_t * l_384 = &l_293;
                    int32_t * l_385 = &l_336;
                    int32_t * l_386 = &l_237;
                    int32_t * l_387 = &l_324;
                    int32_t l_388 = 0xfa146debL;
                    int32_t * l_389 = &l_322;
                    int32_t * l_390 = (void *) 0;
                    int32_t * l_391 = &l_237;
                    int32_t * l_392 = &l_322;
                    int32_t * l_393 = &l_340;
                    int32_t * l_394 = &l_293;
                    int32_t * l_395 = &l_340;
                    int32_t * l_396 = &l_322;
                    int32_t * l_397 = &l_340;
                    int32_t l_399 = 0x3b29e0aL;
                    int32_t * l_400 = &l_399;
                    int32_t * l_401 = &l_340;
                    int32_t * l_402 = &l_398;
                    int32_t * l_405 = &g_62;
                    int32_t * l_406 = &l_336;
                    int32_t * l_407 = &l_388;
                    int32_t * l_408 = &l_237;
                    int32_t * l_409 = (void *) 0;
                    int32_t * l_410 = &l_322;
                    int32_t * l_411 = &l_340;
                    int32_t * l_412 = &l_388;
                    int32_t * l_413 = &l_293;
                    int32_t * l_414 = (void *) 0;
                    int32_t * l_415 = &l_336;
                    int32_t * l_416 = &l_398;
                    int32_t * l_417 = &l_269;
                    int32_t * l_418 = &l_157;
                    int32_t l_419 = 0xea45fba7L;
                    int32_t * l_420 = (void *) 0;
                    int32_t * l_421 = (void *) 0;
                    int32_t * l_422 = &l_398;
                    int32_t * l_423 = &l_336;
                    int32_t * l_424 = &l_324;
                    int32_t * l_425 = &l_388;
                    int32_t * l_426 = &l_293;
                    int32_t * l_429 = &l_398;
                    int32_t * l_431 = &l_403;
                    int32_t * l_432 = &l_427;
                    int32_t * l_433 = &l_379;
                    int32_t * l_434 = &l_430;
                    int32_t * l_435 = (void *) 0;
                    int32_t * l_436 = &l_388;
                    int32_t * l_437 = (void *) 0;
                    int32_t * l_438 = &g_62;
                    int32_t * l_439 = &l_269;
                    int32_t * l_440 = &l_427;
                    int32_t * l_442 = &l_388;
                    int32_t * l_443 = (void *) 0;
                    int32_t * l_444 = &l_430;
                    int32_t * l_445 = &l_336;
                    int32_t * l_446 = (void *) 0;
                    int32_t * l_447 = (void *) 0;
                    int32_t * l_451 = &l_157;
                    int32_t l_452 = 0x2bf08dcbL;
                    int32_t * l_454 = (void *) 0;
                    int32_t * l_455 = &l_427;
                    int32_t * l_456 = &l_450;
                    int32_t * l_457 = (void *) 0;
                    int32_t * l_458 = (void *) 0;
                    int32_t * l_459 = &l_340;
                    int32_t * l_460 = &l_450;
                    int32_t * l_461 = (void *) 0;
                    int32_t * l_462 = &l_404;
                    int32_t * l_463 = &l_399;
                    int32_t * l_464 = &l_388;
                    int32_t * l_465 = &l_261;
                    int32_t * l_466 = (void *) 0;
                    int32_t * l_467 = &l_419;
                    int32_t * l_468 = &l_427;
                    int32_t * l_469 = &l_449;
                    int32_t * l_470 = &l_261;
                    int32_t * l_471 = &l_419;
                    int32_t * l_472 = &l_324;
                    int32_t * l_473 = &l_293;
                    int32_t * l_474 = &l_450;
                    int32_t * l_476 = &l_419;
                    int32_t * l_478 = (void *) 0;
                    int32_t * l_479 = &l_403;
                    int32_t * l_480 = (void *) 0;
                    int32_t * l_481 = (void *) 0;
                    int32_t * l_482 = &l_269;
                    int32_t * l_483 = (void *) 0;
                    int32_t * l_485 = (void *) 0;
                    int32_t * l_486 = &l_441;
                    int32_t * l_487 = &l_322;
                    int32_t * l_489 = &l_293;
                    int32_t * l_490 = &l_324;
                    int32_t * l_491 = (void *) 0;
                    int32_t * l_492 = (void *) 0;
                    int32_t * l_493 = &l_324;
                    int32_t * l_494 = &l_237;
                    int32_t * l_495 = &l_488;
                    int32_t * l_496 = &l_399;
                    int32_t * l_497 = (void *) 0;
                    int32_t * l_498 = &g_62;
                    int32_t * l_499 = &l_453;
                    int32_t * l_500 = &l_237;
                    int32_t * l_502 = &l_428;
                    int32_t * l_503 = &l_340;
                    int32_t * l_505 = &l_237;
                    int32_t * l_506 = &l_261;
                    int32_t * l_507 = &l_488;
                    int32_t * l_508 = (void *) 0;
                    int32_t * l_509 = (void *) 0;
                    int32_t * l_510 = &l_404;
                    int32_t * l_511 = &l_293;
                    int32_t * l_512 = (void *) 0;
                    int32_t * l_513 = &l_430;
                    int32_t * l_515 = (void *) 0;
                    int32_t * l_516 = &l_261;
                    int32_t * l_517 = (void *) 0;
                    int32_t * l_518 = (void *) 0;
                    int32_t * l_519 = &g_62;
                    int32_t * l_521 = (void *) 0;
                    int32_t * l_522 = &l_452;
                    int32_t * l_523 = &l_450;
                    int32_t * l_524 = &l_322;
                    int32_t * l_525 = (void *) 0;
                    int32_t * l_526 = (void *) 0;
                    int32_t * l_527 = &l_504;
                    int32_t * l_528 = &l_520;
                    int32_t * l_529 = (void *) 0;
                    int32_t * l_530 = (void *) 0;
                    int32_t * l_531 = &l_477;
                    int32_t * l_532 = &l_501;
                    int32_t * l_533 = &l_403;
                    int32_t * l_534 = (void *) 0;
                    int32_t * l_535 = &l_514;
                    int32_t l_536 = -6L;
                    int32_t * l_537 = &l_269;
                    int32_t * l_538 = &l_514;
                    int32_t * l_539 = &l_379;
                    int32_t * l_540 = &l_428;
                    int32_t l_541 = 0xef0dabafL;
                    int32_t l_542 = 0x5d170daL;
                    int32_t * l_543 = &l_336;
                    int32_t l_544 = 0x72003204L;
                    int32_t * l_545 = &l_293;
                    int32_t * l_546 = &l_449;
                    int32_t * l_547 = &l_293;
                    int32_t * l_548 = &g_62;
                    int32_t * l_549 = (void *) 0;
                    int32_t * l_550 = &l_441;
                    int32_t * l_551 = &l_322;
                    int32_t * l_552 = &l_450;
                    int32_t * l_554 = &l_541;
                    int32_t * l_555 = &l_404;
                    int32_t * l_556 = &l_237;
                    int32_t * l_557 = (void *) 0;
                    int32_t * l_558 = &l_430;
                    int32_t * l_559 = &l_501;
                    int32_t * l_560 = &l_427;
                    int32_t * l_561 = (void *) 0;
                    int32_t * l_563 = (void *) 0;
                    int32_t * l_564 = &l_541;
                    int32_t * l_565 = &l_404;
                    int32_t * l_567 = &l_475;
                    int32_t * l_568 = &l_450;
                    int32_t * l_569 = &l_542;
                    --l_298;
                    *l_317 |= safe_mod_func_uint16_t_u_u(((safe_sub_func_int16_t_s_s(safe_mod_func_uint64_t_u_u(4uL && (g_126.f3 && (g_125.f2 == safe_mul_func_uint8_t_u_u(* (* (*l_294)),
                                                                                                                                                                           safe_rshift_func_uint16_t_u_u(g_125.f1,
                                                                                                                                                                                                         14)) || safe_rshift_func_int16_t_s_s((((g_266, g_313), safe_add_func_int8_t_s_s(g_80.f3,
                                                                                                                                                                                                                                                                                         *g_116 & g_16) > l_316 != l_316 || 0uL) ^ 65531uL, *p_48) >= -4L,
                                                                                                                                                                                                                                              g_125.f0))),
                                                                                                                g_125.f0),
                                                                                     l_277) && l_316, p_48) != (void *) 0 && * (* (*l_294)), 0xcacce184c6d96f22LL) > * (* (*l_294)),
                                                         l_316) && l_261;
                    g_570++;
                }
                * (*l_294) = * (*g_131);
            }
            *g_132 = func_49(~safe_rshift_func_uint16_t_u_u(safe_mod_func_int16_t_s_s(((safe_add_func_uint64_t_u_u((g_59, safe_mul_func_uint8_t_u_u(safe_mul_func_int8_t_s_s(l_520,
                                                                                                                                                                             l_501) & (1uL & (l_441 != l_504 ^ &l_404 == p_48) > ((&p_48 != *g_107) >= l_428) | l_269) || 0x6bef7124L,
                                                                                                                                                    l_404)) <= 65528uL,
                                                                                                                   g_62) > l_139, -1L), (void *) 0) == *g_132,
                                                                                      0x5768L),
                                                            6),
                             &l_441,
                             l_139,
                             l_584);
            p_48 == &l_441 || p_48 == &l_151 ? (void) 0 : __assert_fail("p_48 == &l_441 || p_48 == &l_151",
                                                                        "t.c",
                                                                        2512,
                                                                        __PRETTY_FUNCTION__);
            g_687++;
            --g_692;
        }
    }
    else
    {
        uint32_t l_695 = 0x2763af55L;
        const int32_t * * const l_700 = (void *) 0;
        l_695++;
        *g_116 = safe_sub_func_uint8_t_u_u(l_700 != l_701,
                                           0x43L) != 0xe5974a446eada6b6LL;
    }
    g_132 == &g_116 || g_132 == &p_48 ? (void) 0 : __assert_fail("g_132 == &g_116 || g_132 == &p_48",
                                                                 "t.c",
                                                                 2528,
                                                                 __PRETTY_FUNCTION__);
    return g_313.f0;
}
static int32_t * func_49(uint8_t p_50,
                         int32_t * p_51,
                         int8_t p_52,
                         int32_t * p_53)
{
    int32_t * l_61 = &g_62;
    int32_t * l_63 = &g_62;
    int32_t * l_64 = &g_62;
    uint32_t l_65 = 8uL;
    int32_t * l_81 = &g_25;
    uint64_t l_87 = 0x9e0fda63e176cbfbLL;
    int32_t * * l_99 = (void *) 0;
    int32_t * * const * l_98 = &l_99;
    l_65++;
    if ((((safe_sub_func_uint64_t_u_u((safe_mul_func_int16_t_s_s(((p_51 != (void *) 0 | safe_add_func_int8_t_s_s(safe_rshift_func_uint8_t_u_s(safe_mul_func_int8_t_s_s((g_59.f4, safe_sub_func_uint64_t_u_u(3uL,
                                                                                                                                                                                                            (*l_61, ((((((((g_80, l_81) == (void *) 0, safe_mod_func_uint32_t_u_u((!safe_mod_func_int8_t_s_s(((0xf147090205405ea3LL ^ 9L) != g_80.f3) < 0x763ff6366113c509LL <= 0x45L,
                                                                                                                                                                                                                                                                                                             g_25), 4294967295uL),
                                                                                                                                                                                                                                                                                  p_52) ^ g_25) <= 0x72b4d3a6L, 0x42e901cc30f106bfLL), p_53) != &g_25) < 1uL | p_52) >= g_62, g_62), 0x8398d9b3eeac61c7LL)) && g_80.f1) <= 1uL > *l_63),
                                                                                                                                                                       g_16),
                                                                                                                                              5),
                                                                                                                 l_87) && *l_81) | g_62) ^ g_62,
                                                                 g_59.f4) ^ g_25, -1L) == p_50,
                                      0x8c93045d781f8e38LL) || p_50) > p_50, *l_81), &g_62) == p_53)
    {
        const int32_t * l_90 = (void *) 0;
        const int32_t * const * l_89 = &l_90;
        const int32_t * const * * l_88 = &l_89;
        *l_88 = (void *) 0;
        l_89 == 0 ? (void) 0 : __assert_fail("l_89 == 0",
                                             "t.c",
                                             2558,
                                             __PRETTY_FUNCTION__);
        return p_53;
    }
    else
    {
        uint8_t l_109 = 1uL;
        uint16_t l_121 = 0uL;
        for (p_52 = 6; p_52 != -7; p_52--)
        {
            uint32_t l_97 = 1uL;
            int32_t * * * l_100 = &l_99;
            g_80.f0 ^= safe_mul_func_int8_t_s_s(p_52,
                                                g_62) && (safe_lshift_func_int16_t_s_s(((l_97, -8L), l_98) == l_100 ^ p_50 != safe_sub_func_int64_t_s_s(safe_mod_func_int64_t_s_s(safe_lshift_func_uint8_t_u_u(p_52 | ((g_107 == &g_108) < *p_53, 0xfaa48cc3aa3d5feeLL),
                                                                                                                                                                                                               0),
                                                                                                                                                                                  p_50) & 1uL,
                                                                                                                                                        g_25),
                                                                                       p_52) || 1L);
            l_109--;
            g_116 = (safe_rshift_func_uint16_t_u_s((safe_lshift_func_int8_t_s_s(0xeaL,
                                                                                4) & g_59.f5) >= g_25,
                                                   2), p_53);
        }
        for (p_50 = -19; p_50 == 43; p_50++)
        {
            int64_t l_119 = 0xd52ebb0be5235086LL;
            int32_t * * l_120 = &l_63;
            if (*p_53)
                break;
            *l_61 &= l_119;
            *l_120 = p_53;
            if (*g_116)
            {
                --l_121;
            }
            else
            {
                int32_t * l_124 = &g_62;
                *l_120 = l_124;
                l_63 == &g_62 ? (void) 0 : __assert_fail("l_63 == &g_62",
                                                         "t.c",
                                                         2596,
                                                         __PRETTY_FUNCTION__);
                g_80 = g_125;
                p_51 = p_51;
            }
        }
    }
    g_116 = l_61;
    g_116 == &g_62 ? (void) 0 : __assert_fail("g_116 == &g_62",
                                              "t.c",
                                              2609,
                                              __PRETTY_FUNCTION__);
    return p_51;
}
int main(void)
{
    int print_hash_value = 0;
    crc32_gentab();
    func_1();
    transparent_crc(g_16, "g_16", print_hash_value);
    transparent_crc(g_25, "g_25", print_hash_value);
    transparent_crc(g_59.f0, "g_59.f0", print_hash_value);
    transparent_crc(g_59.f1, "g_59.f1", print_hash_value);
    transparent_crc(g_59.f2, "g_59.f2", print_hash_value);
    transparent_crc(g_59.f3, "g_59.f3", print_hash_value);
    transparent_crc(g_59.f4, "g_59.f4", print_hash_value);
    transparent_crc(g_59.f5, "g_59.f5", print_hash_value);
    transparent_crc(g_60, "g_60", print_hash_value);
    transparent_crc(g_62, "g_62", print_hash_value);
    transparent_crc(g_80.f0, "g_80.f0", print_hash_value);
    transparent_crc(g_80.f1, "g_80.f1", print_hash_value);
    transparent_crc(g_80.f2, "g_80.f2", print_hash_value);
    transparent_crc(g_80.f3, "g_80.f3", print_hash_value);
    transparent_crc(g_125.f0, "g_125.f0", print_hash_value);
    transparent_crc(g_125.f1, "g_125.f1", print_hash_value);
    transparent_crc(g_125.f2, "g_125.f2", print_hash_value);
    transparent_crc(g_125.f3, "g_125.f3", print_hash_value);
    transparent_crc(g_126.f0, "g_126.f0", print_hash_value);
    transparent_crc(g_126.f1, "g_126.f1", print_hash_value);
    transparent_crc(g_126.f2, "g_126.f2", print_hash_value);
    transparent_crc(g_126.f3, "g_126.f3", print_hash_value);
    transparent_crc(g_126.f4, "g_126.f4", print_hash_value);
    transparent_crc(g_126.f5, "g_126.f5", print_hash_value);
    transparent_crc(g_266, "g_266", print_hash_value);
    transparent_crc(g_313.f0, "g_313.f0", print_hash_value);
    transparent_crc(g_313.f1, "g_313.f1", print_hash_value);
    transparent_crc(g_313.f2, "g_313.f2", print_hash_value);
    transparent_crc(g_313.f3, "g_313.f3", print_hash_value);
    transparent_crc(g_566, "g_566", print_hash_value);
    transparent_crc(g_570, "g_570", print_hash_value);
    transparent_crc(g_687, "g_687", print_hash_value);
    transparent_crc(g_692, "g_692", print_hash_value);
    transparent_crc(g_753.f0, "g_753.f0", print_hash_value);
    transparent_crc(g_753.f1, "g_753.f1", print_hash_value);
    transparent_crc(g_753.f2, "g_753.f2", print_hash_value);
    transparent_crc(g_753.f3, "g_753.f3", print_hash_value);
    transparent_crc(g_753.f4, "g_753.f4", print_hash_value);
    transparent_crc(g_753.f5, "g_753.f5", print_hash_value);
    transparent_crc(g_763.f0, "g_763.f0", print_hash_value);
    transparent_crc(g_763.f1, "g_763.f1", print_hash_value);
    transparent_crc(g_763.f2, "g_763.f2", print_hash_value);
    transparent_crc(g_763.f3, "g_763.f3", print_hash_value);
    transparent_crc(g_763.f4, "g_763.f4", print_hash_value);
    transparent_crc(g_763.f5, "g_763.f5", print_hash_value);
    transparent_crc(g_792.f0, "g_792.f0", print_hash_value);
    transparent_crc(g_792.f1, "g_792.f1", print_hash_value);
    transparent_crc(g_792.f2, "g_792.f2", print_hash_value);
    transparent_crc(g_792.f3, "g_792.f3", print_hash_value);
    transparent_crc(g_792.f4, "g_792.f4", print_hash_value);
    transparent_crc(g_792.f5, "g_792.f5", print_hash_value);
    transparent_crc(g_793.f0, "g_793.f0", print_hash_value);
    transparent_crc(g_793.f1, "g_793.f1", print_hash_value);
    transparent_crc(g_793.f2, "g_793.f2", print_hash_value);
    transparent_crc(g_793.f3, "g_793.f3", print_hash_value);
    transparent_crc(g_794.f0, "g_794.f0", print_hash_value);
    transparent_crc(g_794.f1, "g_794.f1", print_hash_value);
    transparent_crc(g_794.f2, "g_794.f2", print_hash_value);
    transparent_crc(g_794.f3, "g_794.f3", print_hash_value);
    transparent_crc(g_803.f0, "g_803.f0", print_hash_value);
    transparent_crc(g_803.f1, "g_803.f1", print_hash_value);
    transparent_crc(g_803.f2, "g_803.f2", print_hash_value);
    transparent_crc(g_803.f3, "g_803.f3", print_hash_value);
    transparent_crc(g_803.f4, "g_803.f4", print_hash_value);
    if (g_60 < -2270085556831825985)
    {
        * (* (* (&g_132))) |= * (&g_62);
    }
    transparent_crc(g_803.f5, "g_803.f5", print_hash_value);
    transparent_crc(g_804.f0, "g_804.f0", print_hash_value);
    transparent_crc(g_804.f1, "g_804.f1", print_hash_value);
    transparent_crc(g_804.f2, "g_804.f2", print_hash_value);
    transparent_crc(g_804.f3, "g_804.f3", print_hash_value);
    transparent_crc(g_804.f4, "g_804.f4", print_hash_value);
    transparent_crc(g_804.f5, "g_804.f5", print_hash_value);
    transparent_crc(g_818.f0, "g_818.f0", print_hash_value);
    transparent_crc(g_818.f1, "g_818.f1", print_hash_value);
    transparent_crc(g_818.f2, "g_818.f2", print_hash_value);
    transparent_crc(g_818.f3, "g_818.f3", print_hash_value);
    transparent_crc(g_847.f0, "g_847.f0", print_hash_value);
    transparent_crc(g_847.f1, "g_847.f1", print_hash_value);
    transparent_crc(g_847.f2, "g_847.f2", print_hash_value);
    transparent_crc(g_847.f3, "g_847.f3", print_hash_value);
    transparent_crc(g_1163.f0, "g_1163.f0", print_hash_value);
    transparent_crc(g_1163.f1, "g_1163.f1", print_hash_value);
    transparent_crc(g_1163.f2, "g_1163.f2", print_hash_value);
    if (g_108 != 0 && *g_108 != 0 && * (*g_108) != 0 && * (*g_108) < 0)
    {
        print_hash_value ^= (* (* (* (&g_132))), 0xab871195L);
    }
    transparent_crc(g_1163.f3, "g_1163.f3", print_hash_value);
    transparent_crc(g_1202.f0, "g_1202.f0", print_hash_value);
    transparent_crc(g_1202.f1, "g_1202.f1", print_hash_value);
    transparent_crc(g_1202.f2, "g_1202.f2", print_hash_value);
    transparent_crc(g_1202.f3, "g_1202.f3", print_hash_value);
    transparent_crc(g_1416, "g_1416", print_hash_value);
    transparent_crc(g_1441.f0, "g_1441.f0", print_hash_value);
    transparent_crc(g_1441.f1, "g_1441.f1", print_hash_value);
    transparent_crc(g_1441.f2, "g_1441.f2", print_hash_value);
    transparent_crc(g_1441.f3, "g_1441.f3", print_hash_value);
    transparent_crc(g_1441.f4, "g_1441.f4", print_hash_value);
    transparent_crc(g_1441.f5, "g_1441.f5", print_hash_value);
    if (g_3383 != 0 && *g_3383 != 0 && * (*g_3383) != 0 && * (*g_3383) < 0)
    {
        * (&g_2243) &= 0xd866L || g_753.f5;
    }
    transparent_crc(g_1478, "g_1478", print_hash_value);
    transparent_crc(g_1530.f0, "g_1530.f0", print_hash_value);
    transparent_crc(g_1530.f1, "g_1530.f1", print_hash_value);
    transparent_crc(g_1530.f2, "g_1530.f2", print_hash_value);
    transparent_crc(g_1530.f3, "g_1530.f3", print_hash_value);
    transparent_crc(g_1530.f4, "g_1530.f4", print_hash_value);
    if (g_1648 < -509606375)
    {
        for (g_62 = 13; g_62 == -30; --g_62)
        {
            const int32_t * * l_1206 = (void *) 0;
            const int32_t * * * l_1205 = &l_1206;
            int32_t * l_1236 = & (*g_116);
            struct S1 * l_1239 = (void *) 0;
            int32_t l_1271 = 0x45209252L;
            int32_t l_1342 = 0xef6f63aL;
            int32_t l_1353 = 1L;
            int32_t l_1364 = 1L;
            int32_t l_1403 = 1L;
        }
        ;
    }
    transparent_crc(g_1530.f5, "g_1530.f5", print_hash_value);
    transparent_crc(g_1594.f0, "g_1594.f0", print_hash_value);
    transparent_crc(g_1594.f1, "g_1594.f1", print_hash_value);
    transparent_crc(g_1594.f2, "g_1594.f2", print_hash_value);
    transparent_crc(g_1594.f3, "g_1594.f3", print_hash_value);
    transparent_crc(g_1639.f0, "g_1639.f0", print_hash_value);
    transparent_crc(g_1639.f1, "g_1639.f1", print_hash_value);
    transparent_crc(g_1639.f2, "g_1639.f2", print_hash_value);
    transparent_crc(g_1639.f3, "g_1639.f3", print_hash_value);
    transparent_crc(g_1639.f4, "g_1639.f4", print_hash_value);
    transparent_crc(g_1639.f5, "g_1639.f5", print_hash_value);
    transparent_crc(g_1648, "g_1648", print_hash_value);
    transparent_crc(g_2015, "g_2015", print_hash_value);
    transparent_crc(g_2191.f0, "g_2191.f0", print_hash_value);
    transparent_crc(g_2191.f1, "g_2191.f1", print_hash_value);
    transparent_crc(g_2191.f2, "g_2191.f2", print_hash_value);
    transparent_crc(g_2191.f3, "g_2191.f3", print_hash_value);
    transparent_crc(g_2213.f0, "g_2213.f0", print_hash_value);
    transparent_crc(g_2213.f1, "g_2213.f1", print_hash_value);
    transparent_crc(g_2213.f2, "g_2213.f2", print_hash_value);
    transparent_crc(g_2213.f3, "g_2213.f3", print_hash_value);
    transparent_crc(g_2243, "g_2243", print_hash_value);
    if (g_2976 != 0 && *g_2976 != 0 && * (*g_2976) != 0 && * (*g_2976) < 0)
    {
        * (*g_132) &= 0xd866L || g_126.f5;
    }
    transparent_crc(g_2309, "g_2309", print_hash_value);
    transparent_crc(g_2321.f0, "g_2321.f0", print_hash_value);
    transparent_crc(g_2321.f1, "g_2321.f1", print_hash_value);
    transparent_crc(g_2321.f2, "g_2321.f2", print_hash_value);
    if (g_1478 < 1685984286)
    {
        {
            int32_t l_817 = 0xe6cd8062L;
            * (* (* (&g_132))) = l_817;
            * (* (&g_116)) = (g_116 == g_116) < g_763.f4 > (g_4141.f4 || * (* (&g_116)));
        }
    }
    transparent_crc(g_2321.f3, "g_2321.f3", print_hash_value);
    transparent_crc(g_2321.f4, "g_2321.f4", print_hash_value);
    transparent_crc(g_2321.f5, "g_2321.f5", print_hash_value);
    transparent_crc(g_2325.f0, "g_2325.f0", print_hash_value);
    transparent_crc(g_2325.f1, "g_2325.f1", print_hash_value);
    transparent_crc(g_2325.f2, "g_2325.f2", print_hash_value);
    transparent_crc(g_2325.f3, "g_2325.f3", print_hash_value);
    transparent_crc(g_2326.f0, "g_2326.f0", print_hash_value);
    transparent_crc(g_2326.f1, "g_2326.f1", print_hash_value);
    transparent_crc(g_2326.f2, "g_2326.f2", print_hash_value);
    transparent_crc(g_2326.f3, "g_2326.f3", print_hash_value);
    transparent_crc(g_2347.f0, "g_2347.f0", print_hash_value);
    transparent_crc(g_2347.f1, "g_2347.f1", print_hash_value);
    transparent_crc(g_2347.f2, "g_2347.f2", print_hash_value);
    transparent_crc(g_2347.f3, "g_2347.f3", print_hash_value);
    transparent_crc(g_2347.f4, "g_2347.f4", print_hash_value);
    transparent_crc(g_2347.f5, "g_2347.f5", print_hash_value);
    transparent_crc(g_2792.f0, "g_2792.f0", print_hash_value);
    transparent_crc(g_2792.f1, "g_2792.f1", print_hash_value);
    transparent_crc(g_2792.f2, "g_2792.f2", print_hash_value);
    transparent_crc(g_2792.f3, "g_2792.f3", print_hash_value);
    transparent_crc(g_2951, "g_2951", print_hash_value);
    if (g_2280 != 0 && *g_2280 != 0 && *g_2280 < 0)
    {
        {
            int32_t * l_124 = &g_62;
            * (&g_116) = l_124;
            g_116 == &g_62 ? (void) 0 : __assert_fail("g_116 == &g_62",
                                                      "t.c",
                                                      2838,
                                                      __PRETTY_FUNCTION__);
            g_313 = g_1594;
            g_116 = g_116;
        }
    }
    transparent_crc(g_2952.f0, "g_2952.f0", print_hash_value);
    transparent_crc(g_2952.f1, "g_2952.f1", print_hash_value);
    transparent_crc(g_2952.f2, "g_2952.f2", print_hash_value);
    transparent_crc(g_2952.f3, "g_2952.f3", print_hash_value);
    transparent_crc(g_3732, "g_3732", print_hash_value);
    transparent_crc(g_3771.f0, "g_3771.f0", print_hash_value);
    transparent_crc(g_3771.f1, "g_3771.f1", print_hash_value);
    transparent_crc(g_3771.f2, "g_3771.f2", print_hash_value);
    transparent_crc(g_3771.f3, "g_3771.f3", print_hash_value);
    transparent_crc(g_3771.f4, "g_3771.f4", print_hash_value);
    transparent_crc(g_3771.f5, "g_3771.f5", print_hash_value);
    transparent_crc(g_4114, "g_4114", print_hash_value);
    transparent_crc(g_4141.f0, "g_4141.f0", print_hash_value);
    transparent_crc(g_4141.f1, "g_4141.f1", print_hash_value);
    transparent_crc(g_4141.f2, "g_4141.f2", print_hash_value);
    transparent_crc(g_4141.f3, "g_4141.f3", print_hash_value);
    if (g_129 != 0 && *g_129 != 0 && * (*g_129) != 0 && * (* (*g_129)) != 0 && * (* (*g_129)) < 0)
    {
        {
            struct S0 * * l_4142 = (void *) 0;
            struct S0 * * l_4143 = (void *) 0;
            struct S0 * * l_4144 = &g_1529;
            *l_4144 = (g_803, &g_803);
            g_1529 == &g_803 ? (void) 0 : __assert_fail("g_1529 == &g_803",
                                                        "t.c",
                                                        2870,
                                                        __PRETTY_FUNCTION__);
        }
    }
    transparent_crc(g_4141.f4, "g_4141.f4", print_hash_value);
    transparent_crc(g_4141.f5, "g_4141.f5", print_hash_value);
    transparent_crc(g_4181.f0, "g_4181.f0", print_hash_value);
    transparent_crc(g_4181.f1, "g_4181.f1", print_hash_value);
    transparent_crc(g_4181.f2, "g_4181.f2", print_hash_value);
    transparent_crc(g_4181.f3, "g_4181.f3", print_hash_value);
    transparent_crc(g_4582, "g_4582", print_hash_value);
    transparent_crc(g_4585.f0, "g_4585.f0", print_hash_value);
    transparent_crc(g_4585.f1, "g_4585.f1", print_hash_value);
    transparent_crc(g_4585.f2, "g_4585.f2", print_hash_value);
    transparent_crc(g_4585.f3, "g_4585.f3", print_hash_value);
    platform_main_end(crc32_context ^ 0xffffffffuL, print_hash_value);
    return 0;
}
