typedef unsigned int size_t;
typedef signed char int8_t;
typedef short int int16_t;
typedef int int32_t;
typedef long long int int64_t;
typedef unsigned char uint8_t;
typedef unsigned short int uint16_t;
typedef unsigned int uint32_t;
typedef unsigned long long int uint64_t;
int printf(const char *, ...);
void __assert_fail(const char * __assertion,
                   const char * __file,
                   unsigned int __line,
                   const char * __function);
static void platform_main_end(uint32_t crc, int flag)
{
    printf("checksum = %X\n", crc);
}
static int8_t safe_unary_minus_func_int8_t_s(int8_t si)
{
    return -si;
}
static int8_t safe_add_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si1 + si2;
}
static int8_t safe_sub_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si1 - si2;
}
static int8_t safe_mul_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si1 * si2;
}
static int8_t safe_mod_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si2 == 0 || si1 == -128 && si2 == -1 ? si1 : si1 % si2;
}
static int8_t safe_div_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si2 == 0 || si1 == -128 && si2 == -1 ? si1 : si1 / si2;
}
static int8_t safe_lshift_func_int8_t_s_s(int8_t left, int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 || left > 127 >> (int) right ? left : left << (int) right;
}
static int8_t safe_rshift_func_int8_t_s_s(int8_t left, int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static int8_t safe_rshift_func_int8_t_s_u(int8_t left,
                                          unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static int16_t safe_unary_minus_func_int16_t_s(int16_t si)
{
    return -si;
}
static int16_t safe_add_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si1 + si2;
}
static int16_t safe_sub_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si1 - si2;
}
static int16_t safe_mul_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si1 * si2;
}
static int16_t safe_mod_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si2 == 0 || si1 == -32767 - 1 && si2 == -1 ? si1 : si1 % si2;
}
static int16_t safe_div_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si2 == 0 || si1 == -32767 - 1 && si2 == -1 ? si1 : si1 / si2;
}
static int16_t safe_rshift_func_int16_t_s_s(int16_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static int16_t safe_rshift_func_int16_t_s_u(int16_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static int32_t safe_unary_minus_func_int32_t_s(int32_t si)
{
    return si == -2147483647 - 1 ? si : -si;
}
static int32_t safe_add_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return si1 > 0 && si2 > 0 && si1 > 2147483647 - si2 || si1 < 0 && si2 < 0 && si1 < -2147483647 - 1 - si2 ? si1 : si1 + si2;
}
static int32_t safe_sub_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return ((si1 ^ si2) & ((si1 ^ (si1 ^ si2) & ~2147483647) - si2 ^ si2)) < 0 ? si1 : si1 - si2;
}
static int32_t safe_mod_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return si2 == 0 || si1 == -2147483647 - 1 && si2 == -1 ? si1 : si1 % si2;
}
static int32_t safe_div_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return si2 == 0 || si1 == -2147483647 - 1 && si2 == -1 ? si1 : si1 / si2;
}
static int32_t safe_rshift_func_int32_t_s_s(int32_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static int32_t safe_rshift_func_int32_t_s_u(int32_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static int64_t safe_unary_minus_func_int64_t_s(int64_t si)
{
    return si == -9223372036854775807L - 1 ? si : -si;
}
static int64_t safe_add_func_int64_t_s_s(int64_t si1, int64_t si2)
{
    return si1 > 0 && si2 > 0 && si1 > 9223372036854775807L - si2 || si1 < 0 && si2 < 0 && si1 < -9223372036854775807L - 1 - si2 ? si1 : si1 + si2;
}
static int64_t safe_sub_func_int64_t_s_s(int64_t si1, int64_t si2)
{
    return ((si1 ^ si2) & ((si1 ^ (si1 ^ si2) & ~9223372036854775807L) - si2 ^ si2)) < 0 ? si1 : si1 - si2;
}
static int64_t safe_mod_func_int64_t_s_s(int64_t si1, int64_t si2)
{
    return si2 == 0 || si1 == -9223372036854775807L - 1 && si2 == -1 ? si1 : si1 % si2;
}
static int64_t safe_div_func_int64_t_s_s(int64_t si1, int64_t si2)
{
    return si2 == 0 || si1 == -9223372036854775807L - 1 && si2 == -1 ? si1 : si1 / si2;
}
static int64_t safe_rshift_func_int64_t_s_s(int64_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static int64_t safe_rshift_func_int64_t_s_u(int64_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint8_t safe_unary_minus_func_uint8_t_u(uint8_t ui)
{
    return -ui;
}
static uint8_t safe_add_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return ui1 + ui2;
}
static uint8_t safe_sub_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return ui1 - ui2;
}
static uint8_t safe_mul_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return (unsigned int) ui1 * (unsigned int) ui2;
}
static uint8_t safe_mod_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 % ui2;
}
static uint8_t safe_div_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 / ui2;
}
static uint8_t safe_lshift_func_uint8_t_u_s(uint8_t left,
                                            int right)
{
    return (int) right < 0 || (int) right >= 32 || left > 255 >> (int) right ? left : left << (int) right;
}
static uint8_t safe_rshift_func_uint8_t_u_s(uint8_t left,
                                            int right)
{
    return (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static uint8_t safe_rshift_func_uint8_t_u_u(uint8_t left,
                                            unsigned int right)
{
    return (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint16_t safe_unary_minus_func_uint16_t_u(uint16_t ui)
{
    return -ui;
}
static uint16_t safe_add_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui1 + ui2;
}
static uint16_t safe_sub_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui1 - ui2;
}
static uint16_t safe_mul_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return (unsigned int) ui1 * (unsigned int) ui2;
}
static uint16_t safe_mod_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 % ui2;
}
static uint16_t safe_div_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 / ui2;
}
static uint16_t safe_rshift_func_uint16_t_u_s(uint16_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static uint16_t safe_rshift_func_uint16_t_u_u(uint16_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint32_t safe_unary_minus_func_uint32_t_u(uint32_t ui)
{
    return -ui;
}
static uint32_t safe_add_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui1 + ui2;
}
static uint32_t safe_sub_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui1 - ui2;
}
static uint32_t safe_mul_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return (unsigned int) ui1 * (unsigned int) ui2;
}
static uint32_t safe_mod_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 % ui2;
}
static uint32_t safe_div_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 / ui2;
}
static uint32_t safe_rshift_func_uint32_t_u_s(uint32_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static uint32_t safe_rshift_func_uint32_t_u_u(uint32_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint64_t safe_unary_minus_func_uint64_t_u(uint64_t ui)
{
    return -ui;
}
static uint64_t safe_add_func_uint64_t_u_u(uint64_t ui1,
                                           uint64_t ui2)
{
    return ui1 + ui2;
}
static uint64_t safe_sub_func_uint64_t_u_u(uint64_t ui1,
                                           uint64_t ui2)
{
    return ui1 - ui2;
}
static uint64_t safe_mul_func_uint64_t_u_u(uint64_t ui1,
                                           uint64_t ui2)
{
    return (unsigned long long) ui1 * (unsigned long long) ui2;
}
static uint64_t safe_mod_func_uint64_t_u_u(uint64_t ui1,
                                           uint64_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 % ui2;
}
static uint64_t safe_div_func_uint64_t_u_u(uint64_t ui1,
                                           uint64_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 / ui2;
}
static uint64_t safe_rshift_func_uint64_t_u_s(uint64_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static uint64_t safe_rshift_func_uint64_t_u_u(uint64_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static float safe_add_func_float_f_f(float sf1, float sf2)
{
    return 0.5f * sf1 + 0.5f * sf2 > 0.5f * 3.40282347e+38F ? sf1 : sf1 + sf2;
}
static float safe_sub_func_float_f_f(float sf1, float sf2)
{
    return 0.5f * sf1 - 0.5f * sf2 > 0.5f * 3.40282347e+38F ? sf1 : sf1 - sf2;
}
static float safe_mul_func_float_f_f(float sf1, float sf2)
{
    return 0x1.0p-100f * sf1 * (0x1.0p-28f * sf2) > 0x1.0p-100f * (0x1.0p-28f * 3.40282347e+38F) ? sf1 : sf1 * sf2;
}
static float safe_div_func_float_f_f(float sf1, float sf2)
{
    return sf2 < 1.0f && (sf2 == 0.0f || 0x1.0p-49f * sf1 / (0x1.0p100f * sf2) > 0x1.0p-100f * (0x1.0p-49f * 3.40282347e+38F)) ? sf1 : sf1 / sf2;
}
static double safe_add_func_double_f_f(double sf1, double sf2)
{
    return 0.5 * sf1 + 0.5 * sf2 > 0.5 * 1.7976931348623157e+308 ? sf1 : sf1 + sf2;
}
static double safe_sub_func_double_f_f(double sf1, double sf2)
{
    return 0.5 * sf1 - 0.5 * sf2 > 0.5 * 1.7976931348623157e+308 ? sf1 : sf1 - sf2;
}
static double safe_mul_func_double_f_f(double sf1, double sf2)
{
    return 0x1.0p-100 * sf1 * (0x1.0p-924 * sf2) > 0x1.0p-100 * (0x1.0p-924 * 1.7976931348623157e+308) ? sf1 : sf1 * sf2;
}
static double safe_div_func_double_f_f(double sf1, double sf2)
{
    return sf2 < 1.0 && (sf2 == 0.0 || 0x1.0p-974 * sf1 / (0x1.0p100 * sf2) > 0x1.0p-100 * (0x1.0p-974 * 1.7976931348623157e+308)) ? sf1 : sf1 / sf2;
}
static int32_t safe_convert_func_float_to_int32_t(float sf1)
{
    return sf1 <= -2147483647 - 1 || sf1 >= 2147483647 ? 2147483647 : (int32_t) sf1;
}
static uint32_t crc32_tab[256];
static uint32_t crc32_context = 0xffffffffuL;
static void crc32_byte(uint8_t b)
{
    crc32_context = crc32_context >> 8 & 0xffffff ^ crc32_tab[(crc32_context ^ b) & 0xff];
}
void __profile__dump_on_exit();
void __profile__dump_on_exit();
void __profile__dump_on_exit();
void __profile__dump_on_exit();
static long __undefined;
static const uint8_t g_18 = 0x96L;
static uint32_t g_22 = 18446744073709551615uL;
static uint8_t g_59 = 0x26L;
static int8_t g_89 = 0xe8L;
static int8_t g_97[7] = { 0x9aL, 0x9aL, 0x9aL, 0x9aL, 0x9aL, 0x9aL, 0x9aL };
static int8_t g_100 = 0x2fL;
static int16_t g_101 = 0x8db7L;
static int32_t g_120[5] = { 0x9873f28dL, 0x9873f28dL, 0x9873f28dL, 0x9873f28dL, 0x9873f28dL };
static uint32_t g_143 = 4294967295uL;
static int16_t g_540 = 0xe6f4L;
static int16_t g_694 = 0L;
static int8_t g_717 = 0x46L;
static uint32_t g_777 = 0xddf76e03L;
static uint32_t g_849[1] = { 0xbce5a530L };
static int16_t g_935 = -1L;
static uint32_t g_1168 = 0x7d4db357L;
static uint8_t g_1171 = 7uL;
static uint16_t g_1217 = 0xb6f3L;
static int32_t g_1368[3] = { -2L, -2L, -2L };
static int16_t g_1482[4][3][4] = { { { 0L, 1L, -1L, 0x7568L }, { 0L, 1L, -1L, 0x7568L }, { 0L, 1L, -1L, 0x7568L } }, { { 0L, 1L, -1L, 0x7568L }, { 0L, 1L, -1L, 0x7568L }, { 0L, 1L, -1L, 0x7568L } }, { { 0L, 1L, -1L, 0x7568L }, { 0L, 1L, -1L, 0x7568L }, { 0L, 1L, -1L, 0x7568L } }, { { 0L, 1L, -1L, 0x7568L }, { 0L, 1L, -1L, 0x7568L }, { 0L, 1L, -1L, 0x7568L } } };
static int32_t g_1540[6][2] = { { 3L, -8L }, { 3L, -8L }, { 3L, -8L }, { 3L, -8L }, { 3L, -8L }, { 3L, -8L } };
static int32_t g_1548[10][8][3] = { { { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL } }, { { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL } }, { { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL } }, { { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL } }, { { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL } }, { { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL } }, { { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL } }, { { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL } }, { { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL } }, { { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL } } };
static int8_t g_2003[6] = { 8L, 0x85L, 8L, 0x85L, 8L, 0x85L };
static int32_t g_2100 = -1L;
static int16_t g_2184[3][3] = { { 0xc198L, 0x844L, 0xc198L }, { 0xc198L, 0x844L, 0xc198L }, { 0xc198L, 0x844L, 0xc198L } };
static int16_t g_2254 = -10L;
static uint16_t g_2414 = 2uL;
static uint8_t g_2431 = 1uL;
static uint32_t g_2467 = 0x7a51e780L;
static const int32_t g_2468 = 0x6a00ef02L;
static int32_t g_2469 = 1L;
static int32_t g_2470[3][1][10] = { { { 0xd1d11586L, -1L, -6L, -6L, -1L, 0xd1d11586L, -1L, -6L, -6L, -1L } }, { { 0xd1d11586L, -1L, -6L, -6L, -1L, 0xd1d11586L, -1L, -6L, -6L, -1L } }, { { 0xd1d11586L, -1L, -6L, -6L, -1L, 0xd1d11586L, -1L, -6L, -6L, -1L } } };
int main(void)
{
    int i, j, k;
    int print_hash_value = 0;
    print_hash_value;
    print_hash_value;
    print_hash_value;
    print_hash_value;
    for (i = 0; i < 7; i++)
    {
        print_hash_value;
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    print_hash_value;
    print_hash_value;
    for (i = 0; i < 5; i++)
    {
        print_hash_value;
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    print_hash_value;
    print_hash_value;
    print_hash_value;
    print_hash_value;
    print_hash_value;
    for (i = 0; i < 1; i++)
    {
        print_hash_value;
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    print_hash_value;
    print_hash_value;
    print_hash_value;
    print_hash_value;
    for (i = 0; i < 3; i++)
    {
        print_hash_value;
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    for (i = 0; i < 4; i++)
    {
        for (j = 0; j < 3; j++)
        {
            for (k = 0; k < 4; k++)
            {
                print_hash_value;
                if (print_hash_value)
                    printf("index = [%d][%d][%d]\n", i, j, k);
            }
        }
    }
    for (i = 0; i < 6; i++)
    {
        for (j = 0; j < 2; j++)
        {
            print_hash_value;
            if (print_hash_value)
                printf("index = [%d][%d]\n", i, j);
        }
    }
    for (i = 0; i < 10; i++)
    {
        for (j = 0; j < 8; j++)
        {
            for (k = 0; k < 3; k++)
            {
                print_hash_value;
                if (print_hash_value)
                    printf("index = [%d][%d][%d]\n", i, j, k);
            }
        }
    }
    for (i = 0; i < 6; i++)
    {
        print_hash_value;
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    print_hash_value;
    for (i = 0; i < 3; i++)
    {
        for (j = 0; j < 3; j++)
        {
            print_hash_value;
            if (print_hash_value)
                printf("index = [%d][%d]\n", i, j);
        }
    }
    print_hash_value;
    print_hash_value;
    print_hash_value;
    print_hash_value;
    print_hash_value;
    print_hash_value;
    for (i = 0; i < 3; i++)
    {
        for (j = 0; j < 1; j++)
        {
            for (k = 0; k < 10; k++)
            {
                print_hash_value;
                if (print_hash_value)
                    printf("index = [%d][%d][%d]\n", i, j, k);
            }
        }
    }
    platform_main_end(crc32_context ^ 0xffffffffuL, print_hash_value);
    return 0;
}
