typedef unsigned int size_t;
typedef signed char int8_t;
typedef short int int16_t;
typedef int int32_t;
typedef long long int int64_t;
typedef unsigned char uint8_t;
typedef unsigned short int uint16_t;
typedef unsigned int uint32_t;
typedef unsigned long long int uint64_t;
int printf(const char *, ...);
void __assert_fail(const char * __assertion,
                   const char * __file,
                   unsigned int __line,
                   const char * __function);
static void platform_main_end(uint32_t crc, int flag)
{
    printf("checksum = %X\n", crc);
}
static int8_t safe_unary_minus_func_int8_t_s(int8_t si)
{
    return -si;
}
static int8_t safe_add_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si1 + si2;
}
static int8_t safe_sub_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si1 - si2;
}
static int8_t safe_mul_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si1 * si2;
}
static int8_t safe_mod_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si2 == 0 || si1 == -128 && si2 == -1 ? si1 : si1 % si2;
}
static int8_t safe_div_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si2 == 0 || si1 == -128 && si2 == -1 ? si1 : si1 / si2;
}
static int8_t safe_lshift_func_int8_t_s_s(int8_t left, int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 || left > 127 >> (int) right ? left : left << (int) right;
}
static int8_t safe_lshift_func_int8_t_s_u(int8_t left,
                                          unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 || left > 127 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static int8_t safe_rshift_func_int8_t_s_s(int8_t left, int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static int8_t safe_rshift_func_int8_t_s_u(int8_t left,
                                          unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static int16_t safe_unary_minus_func_int16_t_s(int16_t si)
{
    return -si;
}
static int16_t safe_add_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si1 + si2;
}
static int16_t safe_sub_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si1 - si2;
}
static int16_t safe_mul_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si1 * si2;
}
static int16_t safe_mod_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si2 == 0 || si1 == -32767 - 1 && si2 == -1 ? si1 : si1 % si2;
}
static int16_t safe_div_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si2 == 0 || si1 == -32767 - 1 && si2 == -1 ? si1 : si1 / si2;
}
static int16_t safe_lshift_func_int16_t_s_s(int16_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 || left > 32767 >> (int) right ? left : left << (int) right;
}
static int16_t safe_lshift_func_int16_t_s_u(int16_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 || left > 32767 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static int16_t safe_rshift_func_int16_t_s_s(int16_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static int16_t safe_rshift_func_int16_t_s_u(int16_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static int32_t safe_unary_minus_func_int32_t_s(int32_t si)
{
    return si == -2147483647 - 1 ? si : -si;
}
static int32_t safe_add_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return si1 > 0 && si2 > 0 && si1 > 2147483647 - si2 || si1 < 0 && si2 < 0 && si1 < -2147483647 - 1 - si2 ? si1 : si1 + si2;
}
static int32_t safe_sub_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return ((si1 ^ si2) & ((si1 ^ (si1 ^ si2) & ~2147483647) - si2 ^ si2)) < 0 ? si1 : si1 - si2;
}
static int32_t safe_mul_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return si1 > 0 && si2 > 0 && si1 > 2147483647 / si2 || si1 > 0 && si2 <= 0 && si2 < (-2147483647 - 1) / si1 || si1 <= 0 && si2 > 0 && si1 < (-2147483647 - 1) / si2 || si1 <= 0 && si2 <= 0 && si1 != 0 && si2 < 2147483647 / si1 ? si1 : si1 * si2;
}
static int32_t safe_mod_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return si2 == 0 || si1 == -2147483647 - 1 && si2 == -1 ? si1 : si1 % si2;
}
static int32_t safe_div_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return si2 == 0 || si1 == -2147483647 - 1 && si2 == -1 ? si1 : si1 / si2;
}
static int32_t safe_lshift_func_int32_t_s_s(int32_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 || left > 2147483647 >> (int) right ? left : left << (int) right;
}
static int32_t safe_lshift_func_int32_t_s_u(int32_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 || left > 2147483647 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static int32_t safe_rshift_func_int32_t_s_s(int32_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static int32_t safe_rshift_func_int32_t_s_u(int32_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static int64_t safe_unary_minus_func_int64_t_s(int64_t si)
{
    return si == -9223372036854775807L - 1 ? si : -si;
}
static int64_t safe_add_func_int64_t_s_s(int64_t si1, int64_t si2)
{
    return si1 > 0 && si2 > 0 && si1 > 9223372036854775807L - si2 || si1 < 0 && si2 < 0 && si1 < -9223372036854775807L - 1 - si2 ? si1 : si1 + si2;
}
static int64_t safe_sub_func_int64_t_s_s(int64_t si1, int64_t si2)
{
    return ((si1 ^ si2) & ((si1 ^ (si1 ^ si2) & ~9223372036854775807L) - si2 ^ si2)) < 0 ? si1 : si1 - si2;
}
static int64_t safe_mul_func_int64_t_s_s(int64_t si1, int64_t si2)
{
    return si1 > 0 && si2 > 0 && si1 > 9223372036854775807L / si2 || si1 > 0 && si2 <= 0 && si2 < (-9223372036854775807L - 1) / si1 || si1 <= 0 && si2 > 0 && si1 < (-9223372036854775807L - 1) / si2 || si1 <= 0 && si2 <= 0 && si1 != 0 && si2 < 9223372036854775807L / si1 ? si1 : si1 * si2;
}
static int64_t safe_mod_func_int64_t_s_s(int64_t si1, int64_t si2)
{
    return si2 == 0 || si1 == -9223372036854775807L - 1 && si2 == -1 ? si1 : si1 % si2;
}
static int64_t safe_div_func_int64_t_s_s(int64_t si1, int64_t si2)
{
    return si2 == 0 || si1 == -9223372036854775807L - 1 && si2 == -1 ? si1 : si1 / si2;
}
static int64_t safe_lshift_func_int64_t_s_s(int64_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 || left > 9223372036854775807L >> (int) right ? left : left << (int) right;
}
static int64_t safe_lshift_func_int64_t_s_u(int64_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 || left > 9223372036854775807L >> (unsigned int) right ? left : left << (unsigned int) right;
}
static int64_t safe_rshift_func_int64_t_s_s(int64_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static int64_t safe_rshift_func_int64_t_s_u(int64_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint8_t safe_unary_minus_func_uint8_t_u(uint8_t ui)
{
    return -ui;
}
static uint8_t safe_add_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return ui1 + ui2;
}
static uint8_t safe_sub_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return ui1 - ui2;
}
static uint8_t safe_mul_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return (unsigned int) ui1 * (unsigned int) ui2;
}
static uint8_t safe_mod_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 % ui2;
}
static uint8_t safe_div_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 / ui2;
}
static uint8_t safe_lshift_func_uint8_t_u_s(uint8_t left,
                                            int right)
{
    return (int) right < 0 || (int) right >= 32 || left > 255 >> (int) right ? left : left << (int) right;
}
static uint8_t safe_lshift_func_uint8_t_u_u(uint8_t left,
                                            unsigned int right)
{
    return (unsigned int) right >= 32 || left > 255 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static uint8_t safe_rshift_func_uint8_t_u_s(uint8_t left,
                                            int right)
{
    return (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static uint8_t safe_rshift_func_uint8_t_u_u(uint8_t left,
                                            unsigned int right)
{
    return (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint16_t safe_unary_minus_func_uint16_t_u(uint16_t ui)
{
    return -ui;
}
static uint16_t safe_add_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui1 + ui2;
}
static uint16_t safe_sub_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui1 - ui2;
}
static uint16_t safe_mul_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return (unsigned int) ui1 * (unsigned int) ui2;
}
static uint16_t safe_mod_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 % ui2;
}
static uint16_t safe_div_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 / ui2;
}
static uint16_t safe_lshift_func_uint16_t_u_s(uint16_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 || left > 65535 >> (int) right ? left : left << (int) right;
}
static uint16_t safe_lshift_func_uint16_t_u_u(uint16_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 || left > 65535 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static uint16_t safe_rshift_func_uint16_t_u_s(uint16_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static uint16_t safe_rshift_func_uint16_t_u_u(uint16_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint32_t safe_unary_minus_func_uint32_t_u(uint32_t ui)
{
    return -ui;
}
static uint32_t safe_add_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui1 + ui2;
}
static uint32_t safe_sub_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui1 - ui2;
}
static uint32_t safe_mul_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return (unsigned int) ui1 * (unsigned int) ui2;
}
static uint32_t safe_mod_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 % ui2;
}
static uint32_t safe_div_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 / ui2;
}
static uint32_t safe_lshift_func_uint32_t_u_s(uint32_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 || left > 4294967295u >> (int) right ? left : left << (int) right;
}
static uint32_t safe_lshift_func_uint32_t_u_u(uint32_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 || left > 4294967295u >> (unsigned int) right ? left : left << (unsigned int) right;
}
static uint32_t safe_rshift_func_uint32_t_u_s(uint32_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static uint32_t safe_rshift_func_uint32_t_u_u(uint32_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint64_t safe_unary_minus_func_uint64_t_u(uint64_t ui)
{
    return -ui;
}
static uint64_t safe_add_func_uint64_t_u_u(uint64_t ui1,
                                           uint64_t ui2)
{
    return ui1 + ui2;
}
static uint64_t safe_sub_func_uint64_t_u_u(uint64_t ui1,
                                           uint64_t ui2)
{
    return ui1 - ui2;
}
static uint64_t safe_mul_func_uint64_t_u_u(uint64_t ui1,
                                           uint64_t ui2)
{
    return (unsigned long long) ui1 * (unsigned long long) ui2;
}
static uint64_t safe_mod_func_uint64_t_u_u(uint64_t ui1,
                                           uint64_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 % ui2;
}
static uint64_t safe_div_func_uint64_t_u_u(uint64_t ui1,
                                           uint64_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 / ui2;
}
static uint64_t safe_lshift_func_uint64_t_u_s(uint64_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 || left > 18446744073709551615uL >> (int) right ? left : left << (int) right;
}
static uint64_t safe_lshift_func_uint64_t_u_u(uint64_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 || left > 18446744073709551615uL >> (unsigned int) right ? left : left << (unsigned int) right;
}
static uint64_t safe_rshift_func_uint64_t_u_s(uint64_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static uint64_t safe_rshift_func_uint64_t_u_u(uint64_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static float safe_add_func_float_f_f(float sf1, float sf2)
{
    return 0.5f * sf1 + 0.5f * sf2 > 0.5f * 3.40282347e+38F ? sf1 : sf1 + sf2;
}
static float safe_sub_func_float_f_f(float sf1, float sf2)
{
    return 0.5f * sf1 - 0.5f * sf2 > 0.5f * 3.40282347e+38F ? sf1 : sf1 - sf2;
}
static float safe_mul_func_float_f_f(float sf1, float sf2)
{
    return 0x1.0p-100f * sf1 * (0x1.0p-28f * sf2) > 0x1.0p-100f * (0x1.0p-28f * 3.40282347e+38F) ? sf1 : sf1 * sf2;
}
static float safe_div_func_float_f_f(float sf1, float sf2)
{
    return sf2 < 1.0f && (sf2 == 0.0f || 0x1.0p-49f * sf1 / (0x1.0p100f * sf2) > 0x1.0p-100f * (0x1.0p-49f * 3.40282347e+38F)) ? sf1 : sf1 / sf2;
}
static double safe_add_func_double_f_f(double sf1, double sf2)
{
    return 0.5 * sf1 + 0.5 * sf2 > 0.5 * 1.7976931348623157e+308 ? sf1 : sf1 + sf2;
}
static double safe_sub_func_double_f_f(double sf1, double sf2)
{
    return 0.5 * sf1 - 0.5 * sf2 > 0.5 * 1.7976931348623157e+308 ? sf1 : sf1 - sf2;
}
static double safe_mul_func_double_f_f(double sf1, double sf2)
{
    return 0x1.0p-100 * sf1 * (0x1.0p-924 * sf2) > 0x1.0p-100 * (0x1.0p-924 * 1.7976931348623157e+308) ? sf1 : sf1 * sf2;
}
static double safe_div_func_double_f_f(double sf1, double sf2)
{
    return sf2 < 1.0 && (sf2 == 0.0 || 0x1.0p-974 * sf1 / (0x1.0p100 * sf2) > 0x1.0p-100 * (0x1.0p-974 * 1.7976931348623157e+308)) ? sf1 : sf1 / sf2;
}
static int32_t safe_convert_func_float_to_int32_t(float sf1)
{
    return sf1 <= -2147483647 - 1 || sf1 >= 2147483647 ? 2147483647 : (int32_t) sf1;
}
static uint32_t crc32_tab[256];
static uint32_t crc32_context = 0xffffffffuL;
static void crc32_gentab(void)
{
    uint32_t crc;
    const uint32_t poly = 0xedb88320uL;
    int i, j;
    for (i = 0; i < 256; i++)
    {
        crc = i;
        for (j = 8; j > 0; j--)
        {
            if (crc & 1)
            {
                crc = crc >> 1 ^ poly;
            }
            else
            {
                crc >>= 1;
            }
        }
        crc32_tab[i] = crc;
    }
}
static void crc32_byte(uint8_t b)
{
    crc32_context = crc32_context >> 8 & 0xffffff ^ crc32_tab[(crc32_context ^ b) & 0xff];
}
static void crc32_8bytes(uint64_t val)
{
    crc32_byte(val >> 0 & 0xff);
    crc32_byte(val >> 8 & 0xff);
    crc32_byte(val >> 16 & 0xff);
    crc32_byte(val >> 24 & 0xff);
    crc32_byte(val >> 32 & 0xff);
    crc32_byte(val >> 40 & 0xff);
    crc32_byte(val >> 48 & 0xff);
    crc32_byte(val >> 56 & 0xff);
}
static void transparent_crc(uint64_t val, char * vname, int flag)
{
    crc32_8bytes(val);
    if (flag)
    {
        printf("...checksum after hashing %s : %lX\n",
               vname,
               crc32_context ^ 0xffffffffuL);
    }
}
static void transparent_crc_bytes(char * ptr,
                                  int nbytes,
                                  char * vname,
                                  int flag)
{
    int i;
    for (i = 0; i < nbytes; i++)
    {
        crc32_byte(ptr[i]);
    }
    if (flag)
    {
        printf("...checksum after hashing %s : %lX\n",
               vname,
               crc32_context ^ 0xffffffffuL);
    }
}
void __profile__dump_on_exit();
void __profile__unsigned_var(unsigned program_point,
                             const char * var_name,
                             int is_const,
                             unsigned byte_width,
                             unsigned long long value);
void __profile__signed_var(unsigned program_point,
                           const char * var_name,
                           int is_const,
                           unsigned byte_width,
                           long long value);
void __profile__dump_on_exit();
void __profile__unsigned_var(unsigned program_point,
                             const char * var_name,
                             int is_const,
                             unsigned byte_width,
                             unsigned long long value);
void __profile__signed_var(unsigned program_point,
                           const char * var_name,
                           int is_const,
                           unsigned byte_width,
                           long long value);
void __profile__dump_on_exit();
void __profile__unsigned_var(unsigned program_point,
                             const char * var_name,
                             int is_const,
                             unsigned byte_width,
                             unsigned long long value);
void __profile__signed_var(unsigned program_point,
                           const char * var_name,
                           int is_const,
                           unsigned byte_width,
                           long long value);
void __profile__dump_on_exit();
void __profile__unsigned_var(unsigned program_point,
                             const char * var_name,
                             int is_const,
                             unsigned byte_width,
                             unsigned long long value);
void __profile__signed_var(unsigned program_point,
                           const char * var_name,
                           int is_const,
                           unsigned byte_width,
                           long long value);
static long __undefined;
static const uint8_t g_18 = 0x96L;
static uint32_t g_22 = 18446744073709551615uL;
static uint8_t g_59 = 0x26L;
static int8_t g_89 = 0xe8L;
static int8_t g_97[7] = { 0x9aL, 0x9aL, 0x9aL, 0x9aL, 0x9aL, 0x9aL, 0x9aL };
static int8_t g_100 = 0x2fL;
static int16_t g_101 = 0x8db7L;
static int32_t g_120[5] = { 0x9873f28dL, 0x9873f28dL, 0x9873f28dL, 0x9873f28dL, 0x9873f28dL };
static uint32_t g_143 = 4294967295uL;
static int16_t g_540 = 0xe6f4L;
static int16_t g_694 = 0L;
static int8_t g_717 = 0x46L;
static uint32_t g_777 = 0xddf76e03L;
static uint32_t g_849[1] = { 0xbce5a530L };
static int16_t g_935 = -1L;
static uint32_t g_1168 = 0x7d4db357L;
static uint8_t g_1171 = 7uL;
static uint16_t g_1217 = 0xb6f3L;
static int32_t g_1368[3] = { -2L, -2L, -2L };
static int16_t g_1482[4][3][4] = { { { 0L, 1L, -1L, 0x7568L }, { 0L, 1L, -1L, 0x7568L }, { 0L, 1L, -1L, 0x7568L } }, { { 0L, 1L, -1L, 0x7568L }, { 0L, 1L, -1L, 0x7568L }, { 0L, 1L, -1L, 0x7568L } }, { { 0L, 1L, -1L, 0x7568L }, { 0L, 1L, -1L, 0x7568L }, { 0L, 1L, -1L, 0x7568L } }, { { 0L, 1L, -1L, 0x7568L }, { 0L, 1L, -1L, 0x7568L }, { 0L, 1L, -1L, 0x7568L } } };
static int32_t g_1540[6][2] = { { 3L, -8L }, { 3L, -8L }, { 3L, -8L }, { 3L, -8L }, { 3L, -8L }, { 3L, -8L } };
static int32_t g_1548[10][8][3] = { { { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL } }, { { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL } }, { { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL } }, { { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL } }, { { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL } }, { { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL } }, { { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL } }, { { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL } }, { { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL } }, { { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL }, { 6L, 1L, 0x1e78c61eL } } };
static int8_t g_2003[6] = { 8L, 0x85L, 8L, 0x85L, 8L, 0x85L };
static int32_t g_2100 = -1L;
static int16_t g_2184[3][3] = { { 0xc198L, 0x844L, 0xc198L }, { 0xc198L, 0x844L, 0xc198L }, { 0xc198L, 0x844L, 0xc198L } };
static int16_t g_2254 = -10L;
static uint16_t g_2414 = 2uL;
static uint8_t g_2431 = 1uL;
static uint32_t g_2467 = 0x7a51e780L;
static const int32_t g_2468 = 0x6a00ef02L;
static int32_t g_2469 = 1L;
static int32_t g_2470[3][1][10] = { { { 0xd1d11586L, -1L, -6L, -6L, -1L, 0xd1d11586L, -1L, -6L, -6L, -1L } }, { { 0xd1d11586L, -1L, -6L, -6L, -1L, 0xd1d11586L, -1L, -6L, -6L, -1L } }, { { 0xd1d11586L, -1L, -6L, -6L, -1L, 0xd1d11586L, -1L, -6L, -6L, -1L } } };
static uint16_t func_1(void);
static int32_t func_3(int32_t p_4,
                      uint16_t p_5,
                      int32_t p_6,
                      uint8_t p_7,
                      uint32_t p_8);
static int32_t func_19(int16_t p_20);
static int16_t func_25(uint16_t p_26);
static int16_t func_28(int32_t p_29, int32_t p_30);
static int16_t func_33(uint32_t p_34, int16_t p_35);
static int32_t func_46(uint8_t p_47,
                       uint16_t p_48,
                       int16_t p_49,
                       uint8_t p_50,
                       uint16_t p_51);
static int16_t func_54(int32_t p_55,
                       const uint32_t p_56,
                       int8_t p_57,
                       uint8_t p_58);
static uint16_t func_1(void)
{
    uint32_t l_2[1];
    int16_t l_9 = 0x4210L;
    int i;
    if (!(g_777 > g_1168))
    {
        {
            for (i = 0; i < 4; i++)
            {
                transparent_crc(g_1482[i][g_2100][i],
                                "g_1482[i][g_2100][i]",
                                g_2469);
                if (g_2469)
                    printf("index = [%d][%d][%d]\n", i, g_2100, i);
            }
        }
    }
    for (i = 0; i < 1; i++)
        l_2[i] = 0xb50bf34fL;
    if (g_2469 > 1)
    {
        g_1217 ^= i;
    }
    l_2[0] = 0xa8eac8b1L;
    uint32_t BOoOog_22 = ~(-(g_101 - (-g_1217 | g_694)) & ~(g_22 * g_59 ^ (~(-g_143 || ~g_1168) - (-g_89 | g_2469)) * g_1171));
    uint32_t BOoOobg_1168 = ~(~ (~(g_143 - ~(-g_1217 - ((g_22 & g_2469) - g_1168)) & ((g_89 || g_101) ^ ~(~(g_694 & ~g_1171) * g_59)))) || - (~BOoOog_22));
    uint8_t BOoOocg_1171 = ~(~(~g_89 - -g_1168) | (~(g_694 ^ g_143) | -BOoOog_22 - ((~ (~ (~BOoOobg_1168)) || -(~g_22 || g_1217 >> g_2469)) - (g_59 - g_1171) & ~ (~g_101))));
    int16_t BOoOodg_101 = ~((~((g_694 ^ ~g_22) * g_1168) - g_89 * (-g_101 - ((g_1171 | BOoOog_22) >> (BOoOocg_1171 & g_59)) >> ~ (~g_2469) | -g_1217)) * ~g_143 - BOoOobg_1168);
    int32_t BOoOoeg_2469 = ~(~ (~(~ (~g_694) & BOoOocg_1171)) * -(((BOoOodg_101 & BOoOobg_1168) * (g_59 & g_101) | - (-(~g_1168 - BOoOog_22 * ~g_1171))) * -g_143) | ~ (~(-g_22 * (~ (~g_1217) & (~g_2469 ^ ~g_89)))));
    uint32_t BOoOofg_143 = ~(~(-g_2469 | - (~g_1217)) | ((-(g_22 * (BOoOoeg_2469 | g_101 | BOoOocg_1171)) | ~g_1168 << (g_89 || g_694)) & (BOoOog_22 | ~BOoOobg_1168) || ~(g_143 - (g_1171 || BOoOodg_101) & g_59)));
    if (! (!g_101))
    {
        BOoOog_22 = g_22;
        BOoOobg_1168 = g_1168;
        BOoOocg_1171 = g_1171;
        BOoOodg_101 = g_101;
        BOoOoeg_2469 = g_2469;
        BOoOofg_143 = g_143;
        g_22 = ~(((-g_1171 ^ BOoOoeg_2469) * -(BOoOocg_1171 || BOoOog_22) | (g_1168 >> g_694 * ~g_89) * (BOoOofg_143 - -BOoOobg_1168 & ~ (-g_101))) - ~(~(-(~g_22 | (g_1217 | g_2469 & BOoOodg_101)) | g_143) - g_59));
        g_1168 = -((~ (-(~g_1171 - g_1168)) * ((g_1217 || ~g_89) ^ g_143) & ~(((g_101 || BOoOobg_1168) ^ ~(BOoOodg_101 | g_694)) & ~g_2469)) * ~(~(-g_22 * ~BOoOog_22) - (BOoOofg_143 | ~ (~BOoOoeg_2469)) & (g_59 & BOoOocg_1171)));
        g_1171 = ~((~ (~g_22) * ((-BOoOog_22 || -g_89) & ~(~(g_694 ^ BOoOoeg_2469) ^ g_2469)) & ((BOoOocg_1171 & g_59) * ~BOoOobg_1168 || -(g_143 || g_101) ^ g_1171 & g_1168)) * (-g_1217 - BOoOofg_143 | BOoOodg_101));
        g_101 = ~((g_101 - ~g_694) * (~BOoOocg_1171 * -(BOoOog_22 * ~g_89) ^ g_1168) - ((~((g_143 || g_2469) ^ BOoOoeg_2469) || (g_1217 || g_22)) ^ (BOoOobg_1168 & BOoOodg_101 | ~BOoOofg_143)) ^ (~g_1171 || ~ (-g_59)));
        g_2469 = ~(~ (~ (~(BOoOoeg_2469 ^ (BOoOocg_1171 ^ g_1171) - -g_143))) << ~ (~(~(-((g_694 || g_59 * BOoOodg_101) - (~ (-g_89) | BOoOog_22 ^ g_1217)) >> ((g_1168 || g_2469 | BOoOofg_143) & - (~(~BOoOobg_1168 * g_101)))) & ~g_22)));
        g_143 = ~(~((g_59 | BOoOobg_1168) - ~(BOoOoeg_2469 ^ g_1171 ^ BOoOofg_143)) - (~((((BOoOodg_101 * g_1217 || -g_101) | g_2469) - (BOoOog_22 ^ BOoOocg_1171)) * -(g_694 & g_143 * (g_1168 - g_22))) << ~g_89));
        if (g_89 > -24)
        {
            printf("g_22=%llu\n", (unsigned long long) g_22);
            BOoOog_22 = ~((g_22 & (g_59 || BOoOocg_1171 - g_89) | (g_1217 | g_143 >> BOoOoeg_2469)) ^ ((-BOoOofg_143 ^ ~BOoOobg_1168) - g_694 * BOoOog_22 ^ ((g_1171 ^ BOoOodg_101) - g_2469 ^ g_101)) ^ g_1168);
            g_143 = ~((-(g_694 >> BOoOofg_143 & g_1217 * g_101) >> ~ (-(g_22 * (BOoOog_22 | BOoOodg_101))) - -g_1171 ^ ~ (-(~g_89 << -BOoOobg_1168 | ~g_2469))) & (~(~g_143 << ~ (~BOoOoeg_2469)) & -(g_1168 - g_59) || BOoOocg_1171));
        }
        if (BOoOog_22 < 4294967295u)
        {
            printf("g_1168=%llu\n", (unsigned long long) g_1168);
            BOoOog_22 = ~(((-g_1217 ^ ~BOoOoeg_2469 >> BOoOog_22) - (g_101 - BOoOocg_1171 | BOoOobg_1168)) * (~(BOoOodg_101 || g_89 >> g_22) || -(g_143 - (g_2469 | g_59))) >> -(g_694 >> (- (-BOoOofg_143) ^ ~(g_1168 & g_1171))));
            g_1168 = ~(-g_22 | ~BOoOog_22 | ~(~(BOoOofg_143 >> BOoOoeg_2469) << (~(~BOoOodg_101 - BOoOocg_1171 & (~g_694 ^ BOoOobg_1168 << g_1171)) & ((g_143 ^ (-g_2469 | g_101)) >> g_1217 & ~(~(g_59 - g_89) | -g_1168)))));
        }
        if (!g_1168 && (BOoOodg_101 > -29257 || g_1171 < 255))
        {
            i &= g_717;
            printf("g_1171=%llu\n", (unsigned long long) g_1171);
            BOoOoeg_2469 = -(~ (-(~BOoOobg_1168 * (g_59 ^ ~g_1171) ^ ~(-BOoOodg_101 << g_694 * (g_22 >> g_2469 - BOoOoeg_2469) | ~ (~BOoOofg_143)))) << ~ (~(~g_1217 | - (~(~(BOoOog_22 & g_143 * g_101 | g_89) << ~BOoOocg_1171 * g_1168)))));
            g_101 = ~(-g_143 >> (BOoOodg_101 & g_694) * g_1217 * (g_89 * (-(g_22 ^ BOoOocg_1171) ^ ~ (~ (~ (-g_59))))) * - (~BOoOoeg_2469) & ~((~(g_1171 * BOoOobg_1168) & (~ (-(g_1168 || BOoOofg_143)) & g_101 << ~g_2469)) >> ~BOoOog_22));
            BOoOodg_101 = -(~BOoOog_22 - ~((BOoOofg_143 || ~((~g_22 | ~ (-g_101)) * ~(g_89 >> g_694 * ~g_143 | ~((g_1217 ^ BOoOobg_1168 | BOoOocg_1171) ^ g_2469) >> (g_59 ^ (BOoOodg_101 ^ BOoOoeg_2469))))) & -g_1171 << ~g_1168));
        }
        if (g_59 > 38)
        {
            printf("g_101=%lld\n", (long long) g_101);
            BOoOobg_1168 = ~((~BOoOocg_1171 | g_89) & ((g_22 | g_59 | g_101 * (g_694 << (BOoOodg_101 << g_1168) ^ BOoOoeg_2469)) & BOoOobg_1168 * (-g_143 * g_1217)) || - (~(~(g_2469 ^ BOoOog_22 & BOoOofg_143) * - (~g_1171))));
            g_143 = -(((BOoOodg_101 || g_22) ^ g_59 >> BOoOofg_143 << (BOoOog_22 | g_2469)) * (~(g_101 - (g_1217 - g_1171) & g_143 << (g_89 ^ g_1168) << ~ (-BOoOocg_1171) - (~g_694 >> BOoOoeg_2469)) << ~BOoOobg_1168));
        }
        if (!g_1168)
        {
            printf("g_2469=%lld\n", (long long) g_2469);
            BOoOofg_143 = ~((g_1168 >> g_89 ^ BOoOoeg_2469) >> (- (~BOoOog_22) ^ (~((- (~ (-g_101)) | (~g_59 || (BOoOodg_101 | BOoOocg_1171 * g_143 || g_1217) * BOoOofg_143)) * - (~g_694)) | -BOoOobg_1168 - ((g_2469 || g_1171) << g_22))));
            BOoOocg_1171 = ~(~BOoOobg_1168 - (g_101 >> (BOoOofg_143 & g_694 || -g_1171)) | -((g_59 ^ g_22) * g_1168) ^ -(~(g_143 || ~BOoOog_22) ^ ((~g_1217 || (BOoOodg_101 || BOoOocg_1171)) & g_89) << ~BOoOoeg_2469) - g_2469);
        }
        if (BOoOog_22 < BOoOocg_1171 || BOoOodg_101 > -29257)
        {
            printf("g_143=%llu\n", (unsigned long long) g_143);
            g_2469 = -(- (~ (~ (~(BOoOocg_1171 - BOoOog_22 << (g_1168 || g_2469))))) || (~(g_694 >> g_1171 | -g_59) ^ ~BOoOodg_101 >> -BOoOobg_1168) << (g_22 >> (~ (~ (~(g_143 & g_89))) || BOoOoeg_2469 - g_101) * (- (~BOoOofg_143) >> -g_1217)));
            g_101 = -(~ (~g_143) ^ (~ (-(BOoOoeg_2469 - BOoOofg_143)) | BOoOodg_101 >> BOoOocg_1171) << (g_101 & - (~g_1171)) & ~ (~(g_1168 & g_59)) - ((g_89 || -(g_22 || BOoOog_22)) & (g_694 & -BOoOobg_1168 * g_1217 >> g_2469)));
        }
    }
    g_22 = BOoOog_22;
    g_1168 = BOoOobg_1168;
    if (g_1217)
        g_1171 = BOoOocg_1171;
    g_101 = BOoOodg_101;
    g_2469 = BOoOoeg_2469;
    g_143 = BOoOofg_143;
    if (g_100 <= 47)
        g_120[1] = func_3(l_9, g_1168, l_2[0], g_1168, g_1540[1][0]);
    if (g_2431)
        return g_1548[4][3][1];
}
static int32_t func_3(int32_t p_4,
                      uint16_t p_5,
                      int32_t p_6,
                      uint8_t p_7,
                      uint32_t p_8)
{
    const uint8_t l_2352 = 0uL;
    int16_t l_2357 = 0xcdfdL;
    int8_t l_2397 = -6L;
    int32_t l_2415 = 5L;
    int32_t l_2421 = 0x1502036fL;
    int32_t l_2429[1];
    uint16_t l_2465 = 0uL;
    uint8_t l_2515 = 0x8dL;
    int i;
    for (i = 0; i < 1; i++)
        l_2429[i] = 0xdad1bfa1L;
    while (!g_2100 || !(l_2397 < g_100))
    {
        if (p_4)
            printf("index = [%d][%d][%d]\n", i, g_2100, l_2421);
    }
    if (g_143 <= 4294967295u && g_2469 >= 1)
        for (g_717 = -20; g_717 <= 1; ++g_717)
        {
            int8_t l_2362 = 0xdcL;
            uint16_t l_2371 = 0uL;
            int32_t l_2376 = 1L;
            uint32_t l_2398[6][5];
            int32_t l_2418 = 8L;
            int32_t l_2419 = -1L;
            int32_t l_2420 = 0xb04f07edL;
            uint32_t l_2422 = 0x9aa580d4L;
            int32_t l_2511 = 1L;
            int32_t l_2512[4][8][3] = { { { 0x23d4eb6dL, 0x23d4eb6dL, 0L }, { 0x23d4eb6dL, 0x23d4eb6dL, 0L }, { 0x23d4eb6dL, 0x23d4eb6dL, 0L }, { 0x23d4eb6dL, 0x23d4eb6dL, 0L }, { 0x23d4eb6dL, 0x23d4eb6dL, 0L }, { 0x23d4eb6dL, 0x23d4eb6dL, 0L }, { 0x23d4eb6dL, 0x23d4eb6dL, 0L }, { 0x23d4eb6dL, 0x23d4eb6dL, 0L } }, { { 0x23d4eb6dL, 0x23d4eb6dL, 0L }, { 0x23d4eb6dL, 0x23d4eb6dL, 0L }, { 0x23d4eb6dL, 0x23d4eb6dL, 0L }, { 0x23d4eb6dL, 0x23d4eb6dL, 0L }, { 0x23d4eb6dL, 0x23d4eb6dL, 0L }, { 0x23d4eb6dL, 0x23d4eb6dL, 0L }, { 0x23d4eb6dL, 0x23d4eb6dL, 0L }, { 0x23d4eb6dL, 0x23d4eb6dL, 0L } }, { { 0x23d4eb6dL, 0x23d4eb6dL, 0L }, { 0x23d4eb6dL, 0x23d4eb6dL, 0L }, { 0x23d4eb6dL, 0x23d4eb6dL, 0L }, { 0x23d4eb6dL, 0x23d4eb6dL, 0L }, { 0x23d4eb6dL, 0x23d4eb6dL, 0L }, { 0x23d4eb6dL, 0x23d4eb6dL, 0L }, { 0x23d4eb6dL, 0x23d4eb6dL, 0L }, { 0x23d4eb6dL, 0x23d4eb6dL, 0L } }, { { 0x23d4eb6dL, 0x23d4eb6dL, 0L }, { 0x23d4eb6dL, 0x23d4eb6dL, 0L }, { 0x23d4eb6dL, 0x23d4eb6dL, 0L }, { 0x23d4eb6dL, 0x23d4eb6dL, 0L }, { 0x23d4eb6dL, 0x23d4eb6dL, 0L }, { 0x23d4eb6dL, 0x23d4eb6dL, 0L }, { 0x23d4eb6dL, 0x23d4eb6dL, 0L }, { 0x23d4eb6dL, 0x23d4eb6dL, 0L } } };
            int16_t l_2514[7][2] = { { -2L, 0xe089L }, { -2L, 0xe089L }, { -2L, 0xe089L }, { -2L, 0xe089L }, { -2L, 0xe089L }, { -2L, 0xe089L }, { -2L, 0xe089L } };
            int i, j, k;
            for (i = 0; i < 6; i++)
            {
                for (j = 0; j < 5; j++)
                    l_2398[i][j] = 1uL;
            }
            p_4 = l_2352 <= g_1548[9][4][0] & safe_add_func_int16_t_s_s(g_89,
                                                                        safe_mul_func_uint32_t_u_u(4294967295uL,
                                                                                                   (l_2357 && safe_add_func_int16_t_s_s(safe_lshift_func_uint16_t_u_u(l_2362,
                                                                                                                                                                      ((safe_rshift_func_uint16_t_u_s(safe_add_func_uint32_t_u_u(safe_sub_func_int8_t_s_s((safe_rshift_func_int16_t_s_u(l_2357 <= g_849[0] != l_2357,
                                                                                                                                                                                                                                                                                        p_8) ^ l_2362) == g_1368[1] ^ 0x92ab813cL,
                                                                                                                                                                                                                                                          0x59L),
                                                                                                                                                                                                                                 p_7) & l_2362,
                                                                                                                                                                                                      8) >= g_59, l_2357) ^ -8L && 0L) != g_143),
                                                                                                                                        p_4) == 0x1de1faceL == l_2371) != 1L));
            l_2376 = safe_mod_func_int32_t_s_s(g_101,
                                               safe_add_func_uint32_t_u_u(p_5 <= 0xdba3d591L,
                                                                          g_1168)) < l_2357;
            for (g_1168 = 0; g_1168 >= 36; g_1168++)
            {
                uint32_t l_2389 = 0uL;
                int32_t l_2417[8] = { 1L, 1L, 0x595b0fa1L, 1L, 1L, 0x595b0fa1L, 1L, 1L };
                int16_t l_2504 = 5L;
                int32_t l_2505[8][2][3] = { { { 0x9c66cdcdL, 0x3f98a697L, 4L }, { 0x9c66cdcdL, 0x3f98a697L, 4L } }, { { 0x9c66cdcdL, 0x3f98a697L, 4L }, { 0x9c66cdcdL, 0x3f98a697L, 4L } }, { { 0x9c66cdcdL, 0x3f98a697L, 4L }, { 0x9c66cdcdL, 0x3f98a697L, 4L } }, { { 0x9c66cdcdL, 0x3f98a697L, 4L }, { 0x9c66cdcdL, 0x3f98a697L, 4L } }, { { 0x9c66cdcdL, 0x3f98a697L, 4L }, { 0x9c66cdcdL, 0x3f98a697L, 4L } }, { { 0x9c66cdcdL, 0x3f98a697L, 4L }, { 0x9c66cdcdL, 0x3f98a697L, 4L } }, { { 0x9c66cdcdL, 0x3f98a697L, 4L }, { 0x9c66cdcdL, 0x3f98a697L, 4L } }, { { 0x9c66cdcdL, 0x3f98a697L, 4L }, { 0x9c66cdcdL, 0x3f98a697L, 4L } } };
                int16_t l_2513 = 1L;
                int i, j, k;
                for (g_1171 = 0; g_1171 <= 44; g_1171 = safe_add_func_int8_t_s_s(g_1171,
                                                                                 2))
                {
                    uint32_t l_2381 = 1uL;
                    int32_t l_2416[6];
                    uint32_t l_2436 = 0x4366b639L;
                    uint32_t l_2466 = 0x760cfc11L;
                    int32_t l_2502 = 0x2781ddd3L;
                    int i;
                    for (i = 0; i < 6; i++)
                        l_2416[i] = 5L;
                    if (l_2381 > p_4 || safe_add_func_uint16_t_u_u(((~p_6 != (safe_add_func_int32_t_s_s(safe_sub_func_uint32_t_u_u(g_2184[2][0],
                                                                                                                                   l_2389 == p_5 < l_2362),
                                                                                                        p_7 > safe_sub_func_int8_t_s_s(safe_mod_func_int32_t_s_s(+((safe_rshift_func_int16_t_s_u(l_2381 && -1L,
                                                                                                                                                                                                 g_694) == 0uL) < l_2362, g_97[2]),
                                                                                                                                                                 0xe2d14996L),
                                                                                                                                       l_2381)) ^ l_2397) && p_5 && 0x6f70b1c1L) != l_2389, 0uL) == l_2357 == l_2389,
                                                                   l_2398[3][4]))
                    {
                        int32_t l_2413 = 0L;
                        int32_t l_2425 = 0x8de3555fL;
                        int32_t l_2427 = 1L;
                        int32_t l_2428 = -2L;
                        if (safe_sub_func_int32_t_s_s((l_2362, ~g_2003[4] != p_4),
                                                      safe_lshift_func_uint16_t_u_s(safe_unary_minus_func_int32_t_s(g_2003[0]),
                                                                                    6)))
                        {
                            p_4 = p_5;
                            l_2376 = (safe_sub_func_uint32_t_u_u(2uL,
                                                                 (safe_add_func_uint8_t_u_u(safe_sub_func_int16_t_s_s((p_5, 0x2e78be00L <= (safe_mod_func_int32_t_s_s(g_2184[1][1] > ((l_2413 ^ 1L > (((0x544eL ^ p_4, g_1168 == p_4), l_2398[1][1]) < g_97[5])) == l_2413),
                                                                                                                                                                      4294967295uL) & p_7 || g_89)) & l_2352 && p_4,
                                                                                                                      65526uL),
                                                                                            g_2254), -1L) | g_2414) == p_8) <= p_5;
                            if (p_5)
                                break;
                        }
                        else
                        {
                            if (l_2413)
                                break;
                            if (g_1482[2][1][1])
                                continue;
                        }
                        l_2422--;
                        for (l_2420 = 6; l_2420 >= 1; l_2420 -= 1)
                        {
                            int32_t l_2426 = -1L;
                            int32_t l_2430 = -1L;
                            int i;
                            l_2417[l_2420 + 1] = g_97[l_2420];
                            g_2431--;
                        }
                    }
                    else
                    {
                        if (l_2416[5])
                            break;
                        for (p_6 = 0; p_6 == 24; p_6 = safe_add_func_int32_t_s_s(p_6, 5))
                        {
                            return p_5;
                        }
                    }
                    g_2470[0][0][5] &= 0x39a6L >= (l_2436, safe_add_func_uint8_t_u_u(safe_mod_func_uint16_t_u_u(p_4,
                                                                                                                safe_sub_func_int32_t_s_s(l_2418,
                                                                                                                                          safe_sub_func_uint32_t_u_u(((g_101, ((safe_mod_func_uint32_t_u_u((safe_add_func_int16_t_s_s((safe_add_func_uint16_t_u_u((0uL | (safe_mod_func_uint8_t_u_u(safe_mod_func_uint8_t_u_u(((safe_lshift_func_int8_t_s_s((p_4, safe_mod_func_int16_t_s_s(p_7 > (safe_rshift_func_int16_t_s_s(safe_mod_func_int32_t_s_s(safe_lshift_func_uint8_t_u_s(g_777,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       l_2465),
                                                                                                                                                                                                                                                                                                                                                                                                                                                          l_2371) || 6uL,
                                                                                                                                                                                                                                                                                                                                                                                                                                7) < 0x2256L) < 0x4fL,
                                                                                                                                                                                                                                                                                                                                                                                            g_1482[2][2][1]) > 0x8c0eL),
                                                                                                                                                                                                                                                                                                                                                            5) && 255uL, l_2417[0]) || g_777) != p_5,
                                                                                                                                                                                                                                                                                                                              g_120[1]) <= p_4,
                                                                                                                                                                                                                                                                                                    l_2466) ^ p_8, g_100) != p_7 != g_2467 & l_2417[0], l_2416[3]) && l_2418,
                                                                                                                                                                                                                                                                  p_6) > 0x8d34L, p_4) <= l_2436,
                                                                                                                                                                                                                                      l_2389), g_2468) < 6uL,
                                                                                                                                                                                                           0xba6fa250L), g_2469), p_8)), l_2398[2][1]),
                                                                                                                                                                     p_8))),
                                                                                     p_5));
                    for (l_2420 = -4; l_2420 < -28; l_2420 = safe_sub_func_int32_t_s_s(l_2420,
                                                                                       2))
                    {
                        uint16_t l_2499 = 0x99c0L;
                        int32_t l_2501 = 0xeded4bbbL;
                        int32_t l_2503 = -1L;
                        int32_t l_2506 = 0L;
                        int32_t l_2507 = -1L;
                        uint16_t l_2508 = 0xf71cL;
                        if ((safe_rshift_func_int8_t_s_u(+p_5,
                                                         safe_add_func_int32_t_s_s(l_2417[7] == ((l_2417[6] || p_5) | safe_lshift_func_uint8_t_u_s(l_2420,
                                                                                                                                                   safe_lshift_func_uint16_t_u_s(0x21dfL,
                                                                                                                                                                                 p_6) > g_2431 == safe_mod_func_int32_t_s_s(safe_add_func_uint8_t_u_u(l_2417[6],
                                                                                                                                                                                                                                                      0L) & p_8,
                                                                                                                                                                                                                            p_8)) & p_4),
                                                                                   2L)) == g_935, g_1540[1][0]) ^ l_2417[6])
                        {
                            int16_t l_2498 = 0x1dd5L;
                            int32_t l_2500[5][8] = { { -7L, 0x47eedba2L, 8L, 1L, 3L, 2L, 3L, 1L }, { -7L, 0x47eedba2L, 8L, 1L, 3L, 2L, 3L, 1L }, { -7L, 0x47eedba2L, 8L, 1L, 3L, 2L, 3L, 1L }, { -7L, 0x47eedba2L, 8L, 1L, 3L, 2L, 3L, 1L }, { -7L, 0x47eedba2L, 8L, 1L, 3L, 2L, 3L, 1L } };
                            int i, j;
                            l_2500[1][4] &= ~(l_2417[6] != 1uL < (p_5 < ((p_6 <= (safe_add_func_int8_t_s_s(-4L,
                                                                                                           ((((~((1uL ^ safe_lshift_func_uint16_t_u_s(safe_sub_func_int16_t_s_s(l_2397,
                                                                                                                                                                                safe_sub_func_int32_t_s_s(safe_mod_func_uint16_t_u_u(l_2498,
                                                                                                                                                                                                                                     l_2466),
                                                                                                                                                                                                          -10L) != 0uL),
                                                                                                                                                      p_8) & l_2418) == g_2003[3]) ^ g_1168) >= l_2418 > 1L, p_8), p_8), 0x1fL) & p_4) == 0x1fffL), -1L) ^ 65535uL) && l_2499));
                            ++l_2508;
                            l_2418 &= g_59;
                            return l_2429[0];
                        }
                        else
                        {
                            return l_2371;
                        }
                    }
                }
                l_2515++;
                if (p_5)
                {
                    uint32_t l_2518 = 0x2412710bL;
                    --l_2518;
                }
                else
                {
                    uint16_t l_2528[2][10] = { { 6uL, 6uL, 0uL, 0uL, 65535uL, 0uL, 0uL, 6uL, 6uL, 0uL }, { 6uL, 6uL, 0uL, 0uL, 65535uL, 0uL, 0uL, 6uL, 6uL, 0uL } };
                    uint32_t l_2534[6][5] = { { 0x89db86dL, 2uL, 0x89db86dL, 2uL, 0x89db86dL }, { 0x89db86dL, 2uL, 0x89db86dL, 2uL, 0x89db86dL }, { 0x89db86dL, 2uL, 0x89db86dL, 2uL, 0x89db86dL }, { 0x89db86dL, 2uL, 0x89db86dL, 2uL, 0x89db86dL }, { 0x89db86dL, 2uL, 0x89db86dL, 2uL, 0x89db86dL }, { 0x89db86dL, 2uL, 0x89db86dL, 2uL, 0x89db86dL } };
                    int i, j;
                    p_4 = 1uL == (((safe_lshift_func_int16_t_s_s((((safe_rshift_func_uint16_t_u_s(g_2254 & safe_unary_minus_func_uint8_t_u(p_5 || (safe_add_func_uint32_t_u_u(l_2528[0][8] == (+l_2429[0] < (safe_lshift_func_int8_t_s_s(0x1bL,
                                                                                                                                                                                                                                         3) < ((safe_mod_func_uint32_t_u_u((l_2419 == l_2534[5][3] >= g_2470[0][0][5]) <= l_2534[1][2] == l_2534[3][0],
                                                                                                                                                                                                                                                                           4294967290uL) != l_2429[0]) > 1uL <= p_6) || 4294967286uL) ^ 0x64L) == 0xe152L && g_1548[4][6][2],
                                                                                                                                                                              l_2534[0][2]), -1L)),
                                                                                                  p_4) & g_849[0] || 4294967294uL) > 0x45b2L, p_6) < 0x77b3L && g_1368[1]) & 1L & g_1171 & 0x24a1L,
                                                                 l_2534[2][4]) && l_2398[3][4], l_2528[1][4]) == g_2100, l_2515), 7L);
                    for (g_100 = 0; g_100 < 17; ++g_100)
                    {
                        for (g_777 = 0; g_777 <= 4; g_777 += 1)
                        {
                            if (l_2417[6])
                                break;
                            g_120[0] = safe_unary_minus_func_int32_t_s(-3L) >= 0x8490L;
                        }
                        if (g_2470[0][0][5])
                        {
                            if (g_1217)
                                break;
                            continue;
                        }
                    }
                }
            }
            l_2429[0] = safe_add_func_uint32_t_u_u(p_4 < 0xcedaL,
                                                   safe_add_func_int16_t_s_s(safe_unary_minus_func_uint32_t_u(0x5f6c668fL),
                                                                             +safe_sub_func_uint32_t_u_u(l_2515 <= (+(safe_unary_minus_func_int32_t_s(safe_add_func_uint8_t_u_u(p_8,
                                                                                                                                                                                safe_mod_func_int32_t_s_s(0x9434c9ebL ^ safe_add_func_uint16_t_u_u(((g_2100 && g_1168 < safe_lshift_func_uint16_t_u_s((l_2397 < 0x8fL && p_6) < p_8,
                                                                                                                                                                                                                                                                                                      l_2429[0])) ^ 0xe70b22dfL) == g_849[0],
                                                                                                                                                                                                                                                   0xf98eL),
                                                                                                                                                                                                          0xfc9abc26L))) && g_1540[1][0], 4294967292uL) | p_4),
                                                                                                         l_2357))) < 65535uL;
        }
    return l_2465;
}
static int32_t func_19(int16_t p_20)
{
    uint32_t l_21 = 8uL;
    g_22 = l_21;
    g_1482[2][1][1] |= safe_rshift_func_uint16_t_u_s(p_20,
                                                     func_25(l_21));
    return p_20;
}
static int16_t func_25(uint16_t p_26)
{
    uint32_t l_27 = 4294967294uL;
    l_27 = 0x31aa08ecL;
    g_120[1] = 0x415L > ((func_28((l_27, safe_mod_func_int16_t_s_s(func_33(safe_mod_func_int32_t_s_s(p_26,
                                                                                                     0xda6413efL),
                                                                           p_26),
                                                                   g_18)),
                                  p_26) ^ 5uL) == g_1168);
    for (g_59 = 26; g_59 == 51; g_59++)
    {
        uint8_t l_1466 = 254uL;
        int32_t l_1481 = 7L;
        g_120[1] = l_1466;
        l_1481 = (g_97[2] > p_26 | safe_add_func_uint8_t_u_u(0x65L,
                                                             !(safe_rshift_func_int8_t_s_s((0x584L < (l_1466 && safe_lshift_func_int8_t_s_u(safe_sub_func_int8_t_s_s(!(p_26, (safe_mod_func_uint8_t_u_u(l_1466,
                                                                                                                                                                                                        g_22), safe_sub_func_int8_t_s_s(0xcdL > g_694,
                                                                                                                                                                                                                                        0xcfL))) < 255uL < 0xb6L,
                                                                                                                                                                     l_1466),
                                                                                                                                            p_26)), 0x19L),
                                                                                           l_1466) > 0xbfd8L) == 0uL)) >= l_27;
    }
    return p_26;
}
static int16_t func_28(int32_t p_29, int32_t p_30)
{
    int32_t l_1461 = 1L;
    int16_t l_1462[7][1];
    int i, j;
    for (i = 0; i < 7; i++)
    {
        for (j = 0; j < 1; j++)
        {
            int16_t BCoCog_101 = ~((-l_1461 | g_22) / ~(~(g_777 / g_540) || g_101));
            int32_t BCoCobl_1461 = ~((~ (~g_101) ^ -(g_540 & ~BCoCog_101 || ~g_777)) % ~(l_1461 << g_22));
            int16_t BCoCocg_540 = ~((BCoCog_101 & ~BCoCobl_1461 || g_540) - ~l_1461 || - (-(~g_777 | g_101 - g_22)));
            uint32_t BCoCodg_22 = ~(g_101 + (g_540 - BCoCog_101 & g_22) % (g_777 | BCoCobl_1461 && (BCoCocg_540 || l_1461)));
            uint32_t BCoCoeg_777 = -(~(-BCoCocg_540 || ~(g_540 | g_777)) + -BCoCog_101 - (-(~(BCoCobl_1461 && l_1461) || g_101 ^ -BCoCodg_22) - -g_22));
            if (g_540)
                if (g_22 >= 8u)
                {
                    BCoCog_101 = g_101;
                    BCoCobl_1461 = l_1461;
                    BCoCocg_540 = g_540;
                    BCoCodg_22 = g_22;
                    BCoCoeg_777 = g_777;
                    g_101 = ~(~(-BCoCocg_540 | (~((l_1461 & (g_22 && BCoCodg_22)) - ~BCoCog_101) || g_777)) + - (~ (~(BCoCobl_1461 / (g_101 | BCoCoeg_777)))) % - (~ (~ (~g_540))));
                    l_1461 = ~(((-l_1461 | g_777 ^ BCoCoeg_777) ^ (BCoCog_101 | BCoCobl_1461)) / ~g_540 % (~(g_101 && ~BCoCocg_540) & ~(g_22 || ~BCoCodg_22)));
                    g_540 = ~(~ (~(g_101 - BCoCog_101 | BCoCodg_22)) >> (~(g_22 & g_777) && ~(l_1461 ^ ~g_540)) + ~ (~(BCoCocg_540 | - (~ (~BCoCobl_1461)) && BCoCoeg_777)));
                    while (l_1461 <= -5 && g_22 > 8u)
                    {
                        {
                            for (j = 0; j < 3; j++)
                            {
                                for (p_29 = 0; p_29 < 4; p_29++)
                                {
                                    transparent_crc(g_1482[BCoCobl_1461][j][p_29],
                                                    "g_1482[BCoCobl_1461][j][p_29]",
                                                    i);
                                    if (i)
                                        printf("index = [%d][%d][%d]\n", BCoCobl_1461, j, p_29);
                                }
                            }
                        }
                    }
                    g_22 = -(-g_22 + ((BCoCog_101 / g_540 + l_1461 || BCoCodg_22) + BCoCocg_540) || ~((BCoCobl_1461 || g_101 || g_777) | -BCoCoeg_777));
                    g_777 = ~((BCoCog_101 / ~BCoCobl_1461 && g_777) - (BCoCodg_22 & BCoCocg_540) || ~((g_540 && ~BCoCoeg_777) | (g_101 + l_1461 && g_22)));
                    uint32_t BHoHog_22 = ~(l_1461 | (g_777 || ~ (~(g_22 ^ g_540)) || g_101));
                    int32_t BHoHobl_1461 = ~(~ (~(g_22 ^ ~g_101)) && ~((g_540 || g_777 || l_1461) >> ~ (~BHoHog_22)));
                    int16_t BHoHocg_101 = ~(~(g_101 / ~g_777) << (~(l_1461 ^ BHoHobl_1461 | BHoHog_22) && g_22 | g_540));
                    int16_t BHoHodg_540 = ~(~(~(g_101 & g_22) - (~ (~g_540) || (BHoHog_22 && ~(BHoHocg_101 || BHoHobl_1461)) ^ l_1461)) | ~ (~g_777));
                    uint32_t BHoHoeg_777 = ~(~(BHoHobl_1461 && BHoHocg_101) / (l_1461 ^ g_777) || (BHoHodg_540 & g_101) / g_540 & ~(g_22 | BHoHog_22));
                    if (g_540)
                    {
                        BHoHog_22 = g_22;
                        if (g_22 > g_777)
                        LABEL_HoHof:
                            BHoHobl_1461 = l_1461;
                        BHoHocg_101 = g_101;
                        BHoHodg_540 = g_540;
                        int32_t BPoPogl_1461 = ~((g_540 - g_101 ^ g_22) << (l_1461 || - (-g_777)));
                        uint32_t BPoPohg_777 = ~(g_101 | (g_540 || ~BPoPogl_1461) || l_1461 * g_22 | g_777);
                        int16_t BPoPoig_540 = ~(((l_1461 ^ g_101) & BPoPohg_777) - ~(g_540 - (BPoPogl_1461 | g_777)) - g_22);
                        uint32_t BPoPojg_22 = ~(~((BPoPogl_1461 | BPoPoig_540) - g_101 & (g_22 | g_540 || - (~l_1461))) * (~ (-BPoPohg_777) * ~g_777));
                        int16_t BPoPokg_101 = ~(~ (~ (~(-BPoPojg_22 & ((BPoPoig_540 | g_22) - g_101 | ~ (-BPoPogl_1461))))) | ~ (~(~ (-(l_1461 | BPoPohg_777)) & (~g_777 ^ g_540))));
                        if (BPoPojg_22 <= 4294967292u && g_540 < BPoPokg_101)
                        {
                            BPoPogl_1461 = l_1461;
                        LABEL_PoPol:
                            BPoPohg_777 = g_777;
                            BPoPoig_540 = g_540;
                            BPoPojg_22 = g_22;
                            BPoPokg_101 = g_101;
                            l_1461 = ~(-(~BPoPogl_1461 * BPoPohg_777) | (~g_777 || -(BPoPojg_22 ^ g_22) | BPoPoig_540) ^ (l_1461 & BPoPokg_101 ^ ~g_540 ^ g_101));
                            g_777 = ~(BPoPohg_777 - BPoPoig_540 - ((g_540 || BPoPojg_22) & (l_1461 & g_101) & (BPoPogl_1461 ^ - (~((BPoPokg_101 >> ~g_22) * g_777)))));
                            g_540 = ~((BPoPoig_540 & (-(~(g_777 ^ ((g_101 || BPoPokg_101) ^ g_22)) * l_1461) ^ (g_540 || -(BPoPohg_777 - BPoPojg_22)))) - ~BPoPogl_1461);
                            g_22 = -(~BPoPojg_22 * g_22 - ~ (~(BPoPokg_101 * BPoPohg_777 | g_101 ^ l_1461 & (BPoPogl_1461 | g_540))) || (BPoPoig_540 || g_777));
                            g_101 = -(- (~(BPoPokg_101 - g_777)) | (~ (~((BPoPohg_777 || g_101) ^ ~ (~BPoPogl_1461))) ^ BPoPoig_540 * ~l_1461 | (g_22 | BPoPojg_22 & ~g_540)));
                            if (!BPoPoig_540)
                            {
                                printf("g_540=%lld\n", (long long) g_540);
                                g_777 = ~(-(g_777 | BPoPojg_22) || (-(BPoPokg_101 & ~(BPoPohg_777 || ~BPoPoig_540)) & g_540 & (BPoPogl_1461 & g_101 * g_22) || ~l_1461));
                            }
                            if (g_101 && l_1461 < BPoPokg_101 && !g_101)
                            {
                                printf("g_22=%llu\n", (unsigned long long) g_22);
                                g_540 = ~(g_101 - (~(-BPoPohg_777 << BPoPokg_101) & (g_777 & BPoPoig_540 >> (BPoPogl_1461 | ~g_540))) ^ BPoPojg_22 << l_1461 ^ -g_22);
                                g_777 = ~((BPoPohg_777 || g_777 || - (~l_1461)) * (-g_101 * (-BPoPokg_101 << BPoPoig_540) - (g_540 * ~g_22 >> BPoPogl_1461 - BPoPojg_22)));
                                continue;
                            }
                            if (g_101 && !g_22)
                            {
                                printf("g_101=%lld\n", (long long) g_101);
                                goto LABEL_HoHof;
                            }
                        }
                        l_1461 = BPoPogl_1461;
                        g_777 = BPoPohg_777;
                        g_540 = BPoPoig_540;
                        g_22 = BPoPojg_22;
                        g_101 = BPoPokg_101;
                        BHoHoeg_777 = g_777;
                        g_22 = ~(~(l_1461 | g_22) & ~(~ (~ (~g_540)) - (~(BHoHobl_1461 / BHoHog_22) || g_777) - g_101 && ~BHoHocg_101 / ~BHoHodg_540 | BHoHoeg_777));
                        l_1461 = ~((BHoHodg_540 / g_22 && l_1461) / (BHoHoeg_777 & g_101 - (g_777 & g_540) || ~ (~(~BHoHocg_101 ^ BHoHobl_1461)) - BHoHog_22));
                        if (!(g_22 > g_777))
                        {
                            for (BHoHobl_1461 = 0; BHoHobl_1461 < 7; BHoHobl_1461++)
                            {
                                for (g_2469 = 0; g_2469 < 1; g_2469++)
                                    l_1462[BHoHobl_1461][g_2469] = 0L;
                            }
                            ;
                        }
                        g_101 = ~(~ (~(g_101 / (g_540 & g_777) ^ BHoHobl_1461)) - BHoHog_22 / ~ (~(~l_1461 - BHoHodg_540)) - ~ (~((~BHoHoeg_777 || g_22) ^ ~ (~BHoHocg_101))));
                        g_540 = ~((~l_1461 ^ ~(BHoHobl_1461 && BHoHodg_540 & g_101) ^ ~(BHoHocg_101 || ~g_22)) & g_540 / (g_777 - BHoHog_22) - ~BHoHoeg_777);
                        g_777 = ~(~(BHoHocg_101 || ~BHoHodg_540 - l_1461) / ((~g_777 | BHoHoeg_777) - ~BHoHog_22 || g_22) && (g_540 && (~BHoHobl_1461 || g_101)));
                        if (!g_777 || !BHoHodg_540)
                        {
                            printf("g_22=%llu\n", (unsigned long long) g_22);
                            goto LABEL_HoHof;
                        }
                        if (BHoHoeg_777 > BHoHog_22)
                        {
                            printf("l_1461=%lld\n", (long long) l_1461);
                            break;
                        }
                        if (BHoHobl_1461 > BHoHocg_101 || g_777 > 4294967294u)
                        {
                            printf("g_101=%lld\n", (long long) g_101);
                            break;
                        }
                        if (! (! (!BHoHobl_1461)))
                        {
                            printf("g_540=%lld\n", (long long) g_540);
                            continue;
                        }
                        if (g_540 && BHoHog_22 < g_777)
                        {
                            g_101 += 1;
                            printf("g_777=%llu\n", (unsigned long long) g_777);
                            g_777 = ~(~BHoHocg_101 - (~ (~g_101) ^ ~ (~(~BHoHoeg_777 & g_540 << (~BHoHog_22 >> g_777))) & (l_1461 / BHoHobl_1461 ^ ~(BHoHodg_540 >> g_22))));
                            continue;
                        }
                    }
                    g_22 = BHoHog_22;
                    l_1461 = BHoHobl_1461;
                    g_101 = BHoHocg_101;
                    while (g_22 > 4294967295u)
                    {
                        g_2431 += 1;
                    }
                    g_540 = BHoHodg_540;
                    if (g_22 <= 4294967295u)
                        g_777 = BHoHoeg_777;
                    if (g_101 <= 6413 && !BCoCobl_1461 && !(g_22 < 4294967295u))
                    {
                        printf("l_1461=%lld\n", (long long) l_1461);
                        g_777 = ~((-((BCoCocg_540 || (g_101 || BCoCobl_1461 << BCoCog_101) >> g_777) && BCoCodg_22) | -g_540) - (l_1461 && ~BCoCoeg_777 && -g_22));
                        l_1461 = -((- (~(~ (-BCoCocg_540) / g_22)) && ~(~g_777 << -((g_540 << BCoCobl_1461) % BCoCoeg_777) & ~g_101)) + l_1461 / ~(~BCoCodg_22 / BCoCog_101));
                    }
                    if (BCoCodg_22 > 8u)
                    {
                        for (i = 0; i < 4; i++)
                        {
                            for (p_29 = 0; p_29 < 3; p_29++)
                                g_1368[p_29] = 0x4ea06463L;
                            transparent_crc(g_1482[l_1461][i][i], "g_1482[l_1461][i][i]", i);
                            if (i)
                                printf("index = [%d][%d][%d]\n", l_1461, i, i);
                        }
                        ;
                        printf("g_777=%llu\n", (unsigned long long) g_777);
                        BCoCodg_22 = ~((~ (-l_1461) | (~ (~(BCoCog_101 >> (~BCoCobl_1461 || g_540))) | -(g_22 - (g_101 | BCoCodg_22) & (-BCoCoeg_777 || g_777)))) - ~BCoCocg_540);
                        break;
                    }
                }
            g_101 = BCoCog_101;
            l_1461 = BCoCobl_1461;
            g_540 = BCoCocg_540;
            g_22 = BCoCodg_22;
            if (!g_777)
            {
                {
                    for (g_100 = 0; g_100 <= 5; g_100 += 1)
                    {
                        return p_30;
                    }
                    return g_120[1];
                }
            }
            g_777 = BCoCoeg_777;
            l_1462[i][j] = 0L;
        }
    }
    for (g_101 = 10; g_101 == -12; g_101 = safe_sub_func_uint8_t_u_u(g_101,
                                                                     9))
    {
        uint32_t l_1447 = 0xdbb284dbL;
        int32_t l_1463 = 0xe4b3772fL;
        l_1463 |= safe_mod_func_uint16_t_u_u(safe_lshift_func_int16_t_s_s((l_1447 != safe_add_func_int8_t_s_s((safe_mod_func_uint16_t_u_u(l_1447 >= safe_add_func_uint16_t_u_u(safe_lshift_func_uint8_t_u_s(g_540 > safe_add_func_uint8_t_u_u(g_22,
                                                                                                                                                                                                                                              0x5103L >= safe_mul_func_uint32_t_u_u((+l_1447 && g_777, l_1461),
                                                                                                                                                                                                                                                                                    0L == 0xffc0ef70L)),
                                                                                                                                                                                                            4) > g_97[2],
                                                                                                                                                                               p_29) & p_30,
                                                                                                                                          p_30) < p_29 && 255uL) < 8L,
                                                                                                              g_540), 0x1c47L),
                                                                          l_1461),
                                             l_1462[4][0]) != l_1462[0][0];
    }
    while (!g_540)
    {
        p_30 &= safe_mod_func_uint32_t_u_u(g_694, 0xe4729dd1L);
    }
    if (g_540)
        return p_29;
}
static int16_t func_33(uint32_t p_34, int16_t p_35)
{
    int8_t l_725[4] = { 0x6cL, -1L, 0x6cL, -1L };
    int32_t l_778 = 0L;
    int8_t l_790 = 0xcfL;
    int32_t l_793 = -10L;
    uint32_t l_877[3][1];
    int8_t l_880 = 0x4cL;
    int32_t l_919 = 0x24f96b7bL;
    int32_t l_922 = 1L;
    uint32_t l_940[8] = { 0x70725f80L, 0x971e3b31L, 0x70725f80L, 0x971e3b31L, 0x70725f80L, 0x971e3b31L, 0x70725f80L, 0x971e3b31L };
    uint32_t l_980 = 0xc75d6c4fL;
    uint8_t l_1007 = 0x6cL;
    uint32_t l_1052 = 0xc1e7b1a1L;
    int8_t l_1191[5] = { -3L, 2L, -3L, 2L, -3L };
    uint32_t l_1281 = 0x7b51dd50L;
    int32_t l_1327 = 0xc40777ebL;
    int32_t l_1329 = 0x90371e5eL;
    uint32_t l_1423 = 0uL;
    uint32_t l_1433 = 18446744073709551615uL;
    int32_t l_1439[6];
    int i, j;
    for (i = 0; i < 3; i++)
    {
        for (j = 0; j < 1; j++)
            l_877[i][j] = 0x46984abcL;
    }
    while (!g_777)
    {
        {
            transparent_crc(g_2184[l_1327][l_778],
                            "g_2184[l_1327][l_778]",
                            l_1329);
            if (l_1329)
                printf("index = [%d][%d]\n", l_1327, l_778);
        }
    }
    for (i = 0; i < 6; i++)
        l_1439[i] = 9L;
    for (g_59 = 0; g_59 != 4; ++g_59)
    {
        uint8_t l_722 = 0xe0L;
        int32_t l_770 = 0x6e81370eL;
        uint32_t l_779 = 1uL;
        int32_t l_792 = 0x2e89f638L;
        if (safe_lshift_func_int16_t_s_u(p_35 <= l_722,
                                         safe_sub_func_int8_t_s_s(l_725[2] <= ((safe_sub_func_int32_t_s_s(g_22,
                                                                                                          safe_mod_func_uint32_t_u_u(0x7abe5fafL >= (safe_sub_func_uint8_t_u_u(g_120[1],
                                                                                                                                                                               l_722), safe_lshift_func_int8_t_s_u(l_722,
                                                                                                                                                                                                                   ((safe_lshift_func_int8_t_s_s(g_22,
                                                                                                                                                                                                                                                 3) | l_725[2] || g_89) >= p_35 <= g_97[5], l_722) >= 4294967295uL) == g_694),
                                                                                                                                     l_725[2])) >= p_35 ^ 0uL) != 8L) ^ 0x968fe10L,
                                                                  p_34)))
        {
            uint32_t l_749 = 4294967288uL;
            if (~safe_add_func_uint32_t_u_u((0L != ((l_725[2] || safe_sub_func_int8_t_s_s(0x65L,
                                                                                          safe_mod_func_uint32_t_u_u(p_34,
                                                                                                                     l_722))) ^ safe_add_func_uint16_t_u_u((g_717, safe_lshift_func_int8_t_s_u(0xa7L & 6L,
                                                                                                                                                                                               0)),
                                                                                                                                                           (p_35 == g_143) >= g_18 < g_101) < -1L) < p_35, 0x11329388L),
                                            4294967295uL))
            {
                int32_t l_769[1];
                int i;
                for (i = 0; i < 1; i++)
                    l_769[i] = 0x804970a5L;
                g_120[1] = 1L;
                if (p_35)
                    continue;
                l_749 = safe_rshift_func_uint16_t_u_u(g_97[2], 13);
                l_770 = safe_lshift_func_int8_t_s_s(5uL >= (0uL < safe_add_func_int8_t_s_s(safe_rshift_func_int16_t_s_s(g_18 != safe_sub_func_int32_t_s_s(safe_unary_minus_func_int32_t_s(safe_mod_func_int8_t_s_s(safe_mod_func_int32_t_s_s(0x5b48709bL,
                                                                                                                                                                                                                                             safe_rshift_func_int16_t_s_s(g_18,
                                                                                                                                                                                                                                                                          p_35) || 3L),
                                                                                                                                                                                                                   safe_sub_func_int32_t_s_s(g_694,
                                                                                                                                                                                                                                             (safe_rshift_func_int16_t_s_u(p_35,
                                                                                                                                                                                                                                                                           7) || g_18 || l_769[0]) <= p_34))),
                                                                                                                                                          g_22),
                                                                                                                        6) != p_35 != g_100,
                                                                                           l_722)),
                                                    p_34);
            }
            else
            {
                int16_t l_775 = -4L;
                int32_t l_776 = -3L;
                for (l_793 = 0; l_793 < 10; l_793++)
                {
                    transparent_crc(g_2470[l_922][l_922][l_793],
                                    "g_2470[l_922][l_922][l_793]",
                                    g_2100);
                    if (g_2100)
                    {
                        {
                            int32_t l_1358 = 0x27225a3dL;
                            --g_1171;
                            if (l_1052)
                                break;
                        }
                        printf("index = [%d][%d][%d]\n", l_922, l_922, l_793);
                    }
                }
                if (l_749)
                    break;
                ;
                g_777 = (g_143 ^ (l_725[2], 0xb43536d7L > 0x43474b68L)) >= ((g_18 < (safe_add_func_int8_t_s_s(l_722,
                                                                                                              0xfaL) & safe_mod_func_int8_t_s_s((l_775 | l_776 || g_101 || g_89, p_34) <= 6L <= 0x62L,
                                                                                                                                                0x36L)) && g_143) > 0x8eL) != p_34 == p_34;
            }
            --l_779;
        }
        else
        {
            int16_t l_786 = 8L;
            int32_t l_789 = 2L;
            int32_t l_791 = 0xb2b08dc3L;
            uint32_t l_794 = 0x67a078f5L;
            for (g_1171 = 0; g_1171 <= 4; g_1171 += 1)
            {
                int i;
                return g_120[g_1171];
            }
            ;
            l_778 = safe_rshift_func_int16_t_s_u(g_717, 9);
            for (g_2431 = 26; g_2431 == 51; g_2431++)
            {
                uint8_t l_1466 = 254uL;
                int32_t l_1481 = 7L;
                g_120[1] = l_1466;
                l_1481 = (g_97[2] > g_1217 | safe_add_func_uint8_t_u_u(0x65L,
                                                                       !(safe_rshift_func_int8_t_s_s((0x584L < (l_1466 && safe_lshift_func_int8_t_s_u(safe_sub_func_int8_t_s_s(!(g_1217, (safe_mod_func_uint8_t_u_u(l_1466,
                                                                                                                                                                                                                    l_1281), safe_sub_func_int8_t_s_s(0xcdL > g_540,
                                                                                                                                                                                                                                                      0xcfL))) < 255uL < 0xb6L,
                                                                                                                                                                               l_1466),
                                                                                                                                                      g_1217)), 0x19L),
                                                                                                     l_1466) > 0xbfd8L) == 0uL)) >= l_794;
            }
            ;
            if (p_34)
            {
                if (l_1281 == g_540)
                {
                    int16_t l_801[8][10] = { { 0xbfacL, 0L, -1L, -1L, 0L, 0xbfacL, 0L, -1L, -1L, 0L }, { 0xbfacL, 0L, -1L, -1L, 0L, 0xbfacL, 0L, -1L, -1L, 0L }, { 0xbfacL, 0L, -1L, -1L, 0L, 0xbfacL, 0L, -1L, -1L, 0L }, { 0xbfacL, 0L, -1L, -1L, 0L, 0xbfacL, 0L, -1L, -1L, 0L }, { 0xbfacL, 0L, -1L, -1L, 0L, 0xbfacL, 0L, -1L, -1L, 0L }, { 0xbfacL, 0L, -1L, -1L, 0L, 0xbfacL, 0L, -1L, -1L, 0L }, { 0xbfacL, 0L, -1L, -1L, 0L, 0xbfacL, 0L, -1L, -1L, 0L }, { 0xbfacL, 0L, -1L, -1L, 0L, 0xbfacL, 0L, -1L, -1L, 0L } };
                    int32_t l_821[9][7] = { { 0x9b3bbbb0L, 0x33ed253bL, 2L, 4L, 2L, 0x33ed253bL, 0x9b3bbbb0L }, { 0x9b3bbbb0L, 0x33ed253bL, 2L, 4L, 2L, 0x33ed253bL, 0x9b3bbbb0L }, { 0x9b3bbbb0L, 0x33ed253bL, 2L, 4L, 2L, 0x33ed253bL, 0x9b3bbbb0L }, { 0x9b3bbbb0L, 0x33ed253bL, 2L, 4L, 2L, 0x33ed253bL, 0x9b3bbbb0L }, { 0x9b3bbbb0L, 0x33ed253bL, 2L, 4L, 2L, 0x33ed253bL, 0x9b3bbbb0L }, { 0x9b3bbbb0L, 0x33ed253bL, 2L, 4L, 2L, 0x33ed253bL, 0x9b3bbbb0L }, { 0x9b3bbbb0L, 0x33ed253bL, 2L, 4L, 2L, 0x33ed253bL, 0x9b3bbbb0L }, { 0x9b3bbbb0L, 0x33ed253bL, 2L, 4L, 2L, 0x33ed253bL, 0x9b3bbbb0L }, { 0x9b3bbbb0L, 0x33ed253bL, 2L, 4L, 2L, 0x33ed253bL, 0x9b3bbbb0L } };
                    uint32_t l_843 = 4294967290uL;
                    int32_t l_1046 = 0x7fd8aa4L;
                    int i, j;
                    for (g_2467 = 0; g_2467 > 15; ++g_2467)
                    {
                        g_120[1] ^= safe_add_func_uint32_t_u_u(i, l_1046);
                        g_120[1] = 0x19d1a3feL;
                        if (l_786)
                            continue;
                    }
                    for (l_793 = 0; l_793 <= 24; l_793 = safe_add_func_uint16_t_u_u(l_793,
                                                                                    2))
                    {
                        int32_t l_820 = -1L;
                        const int32_t l_844 = 1L;
                        int32_t l_846 = 0xefba0ca9L;
                        int32_t l_848 = 0x52fbe6a1L;
                        uint32_t l_885 = 2uL;
                        int32_t l_936[2][6] = { { 0L, 0L, -3L, 0L, 0L, -3L }, { 0L, 0L, -3L, 0L, 0L, -3L } };
                        int i, j;
                        l_801[7][5] = l_786;
                        for (l_779 = 0; l_779 <= 7; l_779 += 1)
                        {
                            int i, j;
                            g_120[3] = l_801[l_779][l_779];
                            l_821[6][1] = safe_rshift_func_uint8_t_u_s(safe_lshift_func_uint8_t_u_u((g_97[2], safe_lshift_func_int16_t_s_u((safe_rshift_func_int16_t_s_u(safe_add_func_uint8_t_u_u(4294967286uL != 0x9cdcb11eL,
                                                                                                                                                                                                   (l_801[l_779][l_779] ^ g_100 == safe_mod_func_int16_t_s_s((2uL | safe_mod_func_int8_t_s_s(l_1281 || safe_add_func_int16_t_s_s((g_97[2], 0x978c1b61L > 4294967291uL),
                                                                                                                                                                                                                                                                                                                                 l_820) < 0xb988L,
                                                                                                                                                                                                                                                                                             l_1281) || l_790) >= l_786 == 0x1f887ac6L,
                                                                                                                                                                                                                                                             l_1281)) > 6uL),
                                                                                                                                                                         6) != l_786) <= l_801[7][5],
                                                                                                                                           l_786)),
                                                                                                    3),
                                                                       l_801[7][5]);
                        }
                        if (0x4df543ceL && l_790)
                        {
                            uint32_t l_847 = 0xb97bac9cL;
                            for (g_100 = 0; g_100 >= -10; g_100--)
                            {
                                const uint32_t l_845 = 0xb19552afL;
                                l_846 = safe_sub_func_int8_t_s_s(0x65L,
                                                                 safe_unary_minus_func_int8_t_s(+(g_97[2] < safe_add_func_uint32_t_u_u(safe_rshift_func_int8_t_s_u(l_1281 >= g_100 || l_790,
                                                                                                                                                                   ((safe_sub_func_uint16_t_u_u(safe_rshift_func_uint8_t_u_s(safe_sub_func_int32_t_s_s(safe_mod_func_uint8_t_u_u(l_1281,
                                                                                                                                                                                                                                                                                 safe_add_func_uint32_t_u_u(l_801[7][1],
                                                                                                                                                                                                                                                                                                            ~(l_790 <= (0xcc872d8fL == 4uL) && g_120[1]))),
                                                                                                                                                                                                                                                       l_786) & l_843 & l_786 ^ g_2467,
                                                                                                                                                                                                                             g_97[2]) < -1L >= 0x60360610L ^ 0x1eL,
                                                                                                                                                                                                0xba9aL), l_844), l_1281)) == 3L,
                                                                                                                                       4294967295uL)))) <= l_845 != l_786;
                                if (l_847)
                                    break;
                                if (l_786)
                                    continue;
                            }
                            g_120[1] = 0x53887f5cL;
                        }
                        else
                        {
                            uint16_t l_875 = 6uL;
                            int32_t l_881 = 0L;
                            int32_t l_884[2][7] = { { 0xb1f54b37L, 0xb1f54b37L, -9L, 0xb1f54b37L, 0xb1f54b37L, -9L, 0xb1f54b37L }, { 0xb1f54b37L, 0xb1f54b37L, -9L, 0xb1f54b37L, 0xb1f54b37L, -9L, 0xb1f54b37L } };
                            uint16_t l_953 = 0x2ee0L;
                            int i, j;
                            g_849[0]--;
                            for (l_848 = 0; l_848 >= 0; l_848 -= 1)
                            {
                                int32_t l_876 = 1L;
                                int i;
                                if (safe_lshift_func_uint16_t_u_s(+safe_sub_func_uint8_t_u_u(g_849[l_848],
                                                                                             l_786),
                                                                  8))
                                {
                                    g_120[1] = 0xb8ed6298L;
                                    if (l_786)
                                        continue;
                                    {
                                        transparent_crc(g_2184[l_922][l_881],
                                                        "g_2184[l_922][l_881]",
                                                        i);
                                        if (i)
                                            printf("index = [%d][%d]\n", l_922, l_881);
                                    }
                                    l_846 &= safe_mod_func_uint32_t_u_u(l_786, 0xe4729dd1L);
                                }
                                else
                                {
                                    uint16_t l_861 = 0x987dL;
                                    g_120[1] = safe_add_func_int16_t_s_s(0x6d2dL, l_861) > 9L;
                                    return g_849[l_848];
                                }
                                for (l_779 = 0; l_779 <= 3; l_779 += 1)
                                {
                                    uint8_t l_870 = 0x7bL;
                                    int32_t l_882 = -8L;
                                    int32_t l_883 = -1L;
                                    l_875 &= (g_120[3], safe_add_func_int32_t_s_s(((g_849[0] & (safe_sub_func_uint16_t_u_u(g_120[4],
                                                                                                                           (safe_sub_func_int32_t_s_s((safe_sub_func_uint16_t_u_u(l_790,
                                                                                                                                                                                  l_870 & safe_mod_func_uint32_t_u_u((l_844 != (g_97[0] || g_97[3]), safe_lshift_func_int8_t_s_u((g_120[1], l_820),
                                                                                                                                                                                                                                                                                 l_794)),
                                                                                                                                                                                                                     l_1281)), g_18),
                                                                                                                                                      4294967295uL), l_1281)) || l_794) ^ l_1281) & g_2467) != l_779 & l_786,
                                                                                  l_870)) > 8uL;
                                    l_877[2][0]--;
                                    --l_885;
                                }
                                g_120[1] = (safe_lshift_func_int8_t_s_u(-7L,
                                                                        4), 1uL) <= safe_lshift_func_uint16_t_u_u(g_97[5] >= l_786 < safe_sub_func_uint8_t_u_u(l_786,
                                                                                                                                                               +(+safe_mod_func_int16_t_s_s((l_790 == safe_lshift_func_int16_t_s_s(safe_rshift_func_uint8_t_u_u(safe_lshift_func_uint8_t_u_s(((safe_rshift_func_uint8_t_u_u(0xa3L,
                                                                                                                                                                                                                                                                                                                            3) <= (safe_sub_func_uint8_t_u_u(l_786 ^ g_97[2] <= 7uL >= 0x5416L < l_779,
                                                                                                                                                                                                                                                                                                                                                             l_846) < -3L, l_1281) & 0x514bL) == 0x4a10a230L) > 1uL,
                                                                                                                                                                                                                                                                                             l_790) & 0x80bdL,
                                                                                                                                                                                                                                                                1) <= 0xb0L,
                                                                                                                                                                                                                                   g_849[0]) == l_1281 ^ l_786) == l_1281,
                                                                                                                                                                                            0xc7b8L) < l_877[0][0])),
                                                                                                                  5);
                            }
                            l_778 = g_97[2] > (safe_mod_func_uint16_t_u_u(l_1281 < l_1281,
                                                                          safe_mod_func_int16_t_s_s((safe_add_func_uint8_t_u_u((l_885, safe_mod_func_uint8_t_u_u((~(l_778 & 0xe4e5fd7L ^ (((l_844 == (l_794 | (((safe_rshift_func_uint8_t_u_s(l_794,
                                                                                                                                                                                                                                              l_1281) & 0xc189e11aL) > 0x2171c1cL, l_1281) < g_97[2], 0xabafL) && 0xfL, 0x444bL) >= 9L, 0xcab1L) || l_786) && 0x2cf198dbL)) ^ 7uL, 0x5d7cL) ^ l_919,
                                                                                                                                                                 g_18)),
                                                                                                                               l_1281), g_2467),
                                                                                                    l_786)) ^ -1L) <= 0x8L;
                            for (l_919 = 0; l_919 != -11; --l_919)
                            {
                                uint8_t l_923 = 0uL;
                                int32_t l_937 = 0xb482d4e8L;
                                int32_t l_938 = 0x297be1a5L;
                                int32_t l_939 = 0xff539210L;
                                int32_t l_1001 = 0x1c89d44eL;
                                l_923 += 1;
                                ++l_923;
                                if (-1L != safe_sub_func_uint8_t_u_u(l_820,
                                                                     ~((l_1281 || (safe_lshift_func_int8_t_s_s(l_844,
                                                                                                               ~0xb7L & ((~safe_rshift_func_uint8_t_u_u(0xd5L,
                                                                                                                                                        (g_100, g_849[0]) == g_100) || l_1281) & l_820)), l_786)) == 0xdbb7L)) <= g_100 != l_936[0][5])
                                {
                                    g_120[1] = l_725[2];
                                    --l_940[0];
                                }
                                else
                                {
                                    int32_t l_956 = 0xa1c5a82eL;
                                    g_120[1] = ((((g_849[0] ^ l_801[6][9]) & 0x3a09L) == (g_97[3] == safe_lshift_func_uint8_t_u_s(((l_1281, l_786 < (l_786 || ((safe_mod_func_int16_t_s_s(safe_mod_func_int8_t_s_s(safe_lshift_func_uint8_t_u_u((safe_mod_func_uint16_t_u_u(g_120[0],
                                                                                                                                                                                                                                                                            l_786) & l_786) != l_938,
                                                                                                                                                                                                                                                2),
                                                                                                                                                                                                                   g_849[0]) <= l_953 || l_953,
                                                                                                                                                                                          l_786) <= l_801[7][5] || 0xfca679b8L) == g_120[1]) > l_801[0][3] || l_923)) != l_953, l_821[6][1]),
                                                                                                                                  l_1281)) < 0xabL == 65535uL, 0x310916caL), g_120[0]);
                                    l_884[0][0] = (safe_sub_func_int8_t_s_s(l_956,
                                                                            safe_sub_func_uint32_t_u_u(safe_add_func_int8_t_s_s((safe_add_func_int8_t_s_s(safe_mod_func_int8_t_s_s(g_100,
                                                                                                                                                                                   l_1281 ^ 0x4c3bL) & +l_1281 == 1L < g_100 || safe_add_func_int8_t_s_s(((l_725[0] & + (-5L) >= 0xefL) < l_820, -9L),
                                                                                                                                                                                                                                                         0x84L) >= l_936[0][5] > 0x4c33d59bL,
                                                                                                                                                          g_2467) ^ g_849[0] ^ 1L ^ l_843) > g_540,
                                                                                                                                g_540),
                                                                                                       g_97[2]) | 0xad02aafL), -1L);
                                    l_821[3][2] = (safe_rshift_func_uint8_t_u_s((l_786 <= 0xded1L == (l_786 ^ safe_add_func_uint16_t_u_u(safe_unary_minus_func_uint16_t_u(safe_lshift_func_uint8_t_u_u(safe_mod_func_uint8_t_u_u(safe_lshift_func_int8_t_s_s((l_1052 == safe_rshift_func_uint16_t_u_u(0x5cc1L,
                                                                                                                                                                                                                                                                                                      (safe_lshift_func_uint16_t_u_u(safe_add_func_int16_t_s_s((safe_lshift_func_uint16_t_u_s(safe_lshift_func_uint8_t_u_u((g_97[2] == safe_rshift_func_uint16_t_u_u(safe_sub_func_uint8_t_u_u(g_97[2],
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               (l_1281 || (safe_rshift_func_int16_t_s_s(safe_add_func_uint32_t_u_u(0x4849c4eL,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   l_1281) <= l_1281 <= l_937 ^ g_120[1],
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        g_540) > l_956, l_939)) <= 7L == g_18) != l_794,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                     g_100) >= l_786) < 255uL != g_100,
                                                                                                                                                                                                                                                                                                                                                                                                                           1),
                                                                                                                                                                                                                                                                                                                                                                                              l_786) != g_2467, l_923) > 8L,
                                                                                                                                                                                                                                                                                                                                                               l_1281),
                                                                                                                                                                                                                                                                                                                                     9), 0xb22cL))) > 0xd0d7bb55L,
                                                                                                                                                                                                                                                             7),
                                                                                                                                                                                                                                 3uL) == l_1281 | l_1281,
                                                                                                                                                                                                       l_884[0][5])) ^ g_717,
                                                                                                                                         l_956) <= l_1281)) >= l_1281,
                                                                                1), 0xe75eL) == 0x5eecL;
                                }
                                g_120[1] ^= safe_add_func_uint32_t_u_u(l_939, l_938);
                                return l_1001;
                            }
                        }
                        for (g_2467 = 17; g_2467 <= 34; g_2467 = safe_add_func_int32_t_s_s(g_2467,
                                                                                           2))
                        {
                            uint32_t l_1004 = 0x3c1b13c2L;
                            l_1329 += 1;
                            if (l_786)
                                break;
                            if (l_1004)
                                break;
                        }
                    }
                    for (j = -29; j != -3; j++)
                    {
                        g_2431--;
                        if (g_540)
                            continue;
                        for (l_786 = 0; l_786 == -12; l_786 = safe_sub_func_int8_t_s_s(l_786,
                                                                                       2))
                        {
                            return g_849[0];
                        }
                    }
                    l_793 = (l_1281 || l_801[6][3] & g_849[0]) > safe_lshift_func_int8_t_s_u(safe_mod_func_uint16_t_u_u(l_786,
                                                                                                                        safe_mod_func_int8_t_s_s(((safe_lshift_func_int16_t_s_u(safe_rshift_func_uint8_t_u_s(l_786,
                                                                                                                                                                                                             +(safe_mod_func_uint8_t_u_u(safe_sub_func_uint8_t_u_u(((+(safe_mod_func_int16_t_s_s((safe_add_func_int8_t_s_s(g_18 ^ safe_add_func_int8_t_s_s(((safe_rshift_func_uint8_t_u_s(((safe_rshift_func_uint8_t_u_s(l_821[6][1] ^ (((safe_mod_func_uint32_t_u_u(safe_rshift_func_int16_t_s_u(0x5fbed003L || safe_rshift_func_int8_t_s_u(safe_lshift_func_int16_t_s_s(-5L,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          0),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             5) != l_790,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  l_1281),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                     l_1046) < 0x3eL, 0xe788d646L) == l_801[3][2], l_725[2]) || l_801[5][3]) || 0x23L,
                                                                                                                                                                                                                                                                                                                                                                                                                         l_801[7][5]), 0x32L) & 255uL || l_1281) && l_1281,
                                                                                                                                                                                                                                                                                                                                                                                          l_877[2][0]), l_1046), g_100),
                                                                                                                                                                                                                                                                                                                                                           0x67L),
                                                                                                                                                                                                                                                                                                                           0uL) >= 0x78d41ac2L, l_786) ^ 255uL,
                                                                                                                                                                                                                                                                                                 l_725[2]), 0x1712L), l_919), l_786),
                                                                                                                                                                                                                                                                   l_1281),
                                                                                                                                                                                                                                         l_1046) && g_2467)),
                                                                                                                                                                                l_1281) ^ l_779, l_786), g_849[0]),
                                                                                                                                                 l_793)),
                                                                                             l_786);
                }
                else
                {
                    int32_t l_1051[4] = { 0xa2dd9a0L, 0L, 0xa2dd9a0L, 0L };
                    int32_t l_1081 = 1L;
                    int32_t l_1226[1][2][5] = { { { 0L, -1L, 0L, -1L, 0L }, { 0L, -1L, 0L, -1L, 0L } } };
                    int32_t l_1273 = 0x20573342L;
                    int32_t l_1359 = 0x441bd344L;
                    uint8_t l_1361 = 0x58L;
                    int32_t l_1369 = -7L;
                    int i, j, k;
                    l_1051[0] = safe_lshift_func_uint16_t_u_s(safe_lshift_func_int8_t_s_s(l_786,
                                                                                          1),
                                                              14);
                    g_2467 |= l_940[3];
                    for (l_779 = 0; l_779 > 1; ++l_779)
                    {
                        uint8_t l_1069 = 1uL;
                        int8_t l_1216 = 0xbdL;
                        int32_t l_1219 = 0x1be859f7L;
                        int32_t l_1224 = 7L;
                        int32_t l_1227 = -6L;
                        int32_t l_1228 = 0x1ee42556L;
                        int32_t l_1229 = 0xd31b29f5L;
                        int32_t l_1231[6];
                        uint32_t l_1233 = 1uL;
                        int i;
                        for (i = 0; i < 6; i++)
                            l_1231[i] = 7L;
                        if ((l_1281, (safe_add_func_uint8_t_u_u(safe_sub_func_int32_t_s_s(safe_sub_func_int32_t_s_s(-3L == (safe_add_func_uint16_t_u_u(safe_rshift_func_uint16_t_u_s(0x6b9eL,
                                                                                                                                                                                     l_1281),
                                                                                                                                                       safe_add_func_int32_t_s_s(safe_mod_func_int16_t_s_s(((l_1069, ((~(l_1051[0], safe_add_func_uint16_t_u_u(safe_sub_func_uint32_t_u_u(l_786 >= ~(0x941cb444L | g_849[0] || g_18) < l_1281 == l_1051[0],
                                                                                                                                                                                                                                                                                          1uL) <= l_1281,
                                                                                                                                                                                                                                                               l_786) > l_786) == 6L) <= 0L, l_786)) & 5L, l_1281),
                                                                                                                                                                                                           1uL),
                                                                                                                                                                                 4294967288uL) >= l_793) != l_1281),
                                                                                                                    0xff1d970aL),
                                                                                          1L),
                                                                l_1281), l_790) & l_786))
                        {
                            uint8_t l_1080 = 1uL;
                            l_919 = safe_sub_func_uint32_t_u_u(safe_sub_func_uint32_t_u_u(1uL,
                                                                                          l_1051[3]),
                                                               g_849[0] < l_1069 != 1L > g_100);
                            g_120[1] = (g_849[0] || 0xd3L) <= l_919;
                            if (l_1080)
                                break;
                            if (l_1069)
                                break;
                        }
                        else
                        {
                            int16_t l_1094 = 0xecc4L;
                            int32_t l_1149[2];
                            int16_t l_1163[7][10];
                            int i, j;
                            for (i = 0; i < 2; i++)
                            {
                                {
                                    uint8_t l_1840 = 0x4fL;
                                    int32_t l_1843 = 1L;
                                    int32_t l_1850 = -10L;
                                    int32_t l_1851 = 0x86429966L;
                                    int32_t l_1852 = 0xca3d88b8L;
                                    int32_t l_1855 = 1L;
                                    l_1840 = g_2414;
                                    --l_980;
                                    --g_1217;
                                }
                                l_1149[i] = 0xba560eb5L;
                            }
                            for (i = 0; i < 7; i++)
                            {
                                for (j = 0; j < 10; j++)
                                    l_1163[i][j] = 6L;
                            }
                            l_1081 = l_786 == l_786;
                            for (l_786 = 16; l_786 != -28; l_786 = safe_sub_func_int16_t_s_s(l_786,
                                                                                             5))
                            {
                                int32_t l_1095 = -6L;
                                for (g_2467 = 0; g_2467 <= 0; g_2467 += 1)
                                {
                                    int i, j;
                                    return l_877[g_2467][g_2467];
                                }
                                l_1095 = ((g_120[1] || -5L) && safe_lshift_func_int16_t_s_u((safe_rshift_func_int16_t_s_u(l_786 || (0xbbL ^ safe_mod_func_uint8_t_u_u(safe_sub_func_uint8_t_u_u(g_120[1],
                                                                                                                                                                                                (-1L > (l_779, 1L), safe_add_func_int16_t_s_s(l_1281,
                                                                                                                                                                                                                                              l_1281) & 4294967289uL) <= l_1281 != l_1069),
                                                                                                                                                                      g_120[1]) | l_786) == l_786,
                                                                                                                          l_1281) >= 0x20L, 0x45caL),
                                                                                            l_786) > -2L <= 0x8bb0L < l_1094, l_1069) ^ l_786;
                                for (l_919 = 0; l_919 <= 0; l_919 += 1)
                                {
                                    int i, j;
                                    g_120[2] = l_877[l_919][l_919];
                                }
                            }
                            if ((l_1281, l_1281))
                            {
                                uint16_t l_1101[10] = { 0xea04L, 0xea04L, 0uL, 0xea04L, 0xea04L, 0uL, 0xea04L, 0xea04L, 0uL, 0xea04L };
                                int i;
                                if (l_790)
                                    break;
                                if (safe_add_func_int8_t_s_s(safe_add_func_int8_t_s_s((l_786 == ((((((!((l_1281 ^ (l_1069 || (l_1101[9] & (-7L | (safe_sub_func_uint8_t_u_u(l_786,
                                                                                                                                                                            safe_add_func_uint32_t_u_u(g_2467,
                                                                                                                                                                                                       0x1cb4d9c6L)) && l_790) >= l_877[2][0] >= l_1281)) <= l_794)) <= 4L), l_1281) || l_1281) != l_1281, l_786), 0xdf52L), g_100) ^ l_1069) || g_100, 0L),
                                                                                      255uL),
                                                             l_1281))
                                {
                                    uint16_t l_1114[5][1][4] = { { { 0x8b41L, 0x38efL, 1uL, 0x38efL } }, { { 0x8b41L, 0x38efL, 1uL, 0x38efL } }, { { 0x8b41L, 0x38efL, 1uL, 0x38efL } }, { { 0x8b41L, 0x38efL, 1uL, 0x38efL } }, { { 0x8b41L, 0x38efL, 1uL, 0x38efL } } };
                                    int i, j, k;
                                    j = safe_sub_func_uint8_t_u_u(safe_sub_func_int32_t_s_s(l_786,
                                                                                            8L & -1L),
                                                                  5uL) ^ safe_sub_func_uint32_t_u_u(0x9b71de32L ^ l_1281 < l_1281,
                                                                                                    +((l_1101[9] != g_120[0]) <= 0x33L, l_1051[0]));
                                    g_120[1] ^= !((l_1114[4][0][3] == safe_mod_func_uint32_t_u_u(((safe_lshift_func_int8_t_s_s(safe_add_func_int16_t_s_s(+(!(g_849[0] > g_100) ^ 0x43e281L),
                                                                                                                                                         g_97[2] >= g_2467),
                                                                                                                               safe_sub_func_int8_t_s_s(~(safe_mod_func_uint16_t_u_u(0xc6L || 0x36L,
                                                                                                                                                                                     l_1281) & 0x68L || g_540, l_1051[0]),
                                                                                                                                                        l_1094) != 0x2e20L) || l_1281) | l_1094) & l_786,
                                                                                                 l_1281)) > 1uL) < 1uL > l_786 > 0x5e87ade6L == 0x38c86f29L;
                                }
                                else
                                {
                                    int8_t l_1148 = 0x89L;
                                    l_1149[1] = 0x88L > (((l_786 || safe_mod_func_uint32_t_u_u(l_1281,
                                                                                               safe_add_func_int32_t_s_s(safe_lshift_func_int8_t_s_u(safe_mod_func_uint16_t_u_u(safe_mod_func_int32_t_s_s(safe_sub_func_uint16_t_u_u((l_1281, 0L ^ ((safe_add_func_int8_t_s_s(safe_add_func_int16_t_s_s(safe_lshift_func_uint16_t_u_s(l_786,
                                                                                                                                                                                                                                                                                                                                      (g_97[2] | 0x826cL) < ((safe_rshift_func_uint8_t_u_s(l_794,
                                                                                                                                                                                                                                                                                                                                                                                           l_786) <= 253uL | l_1094) >= l_1148)),
                                                                                                                                                                                                                                                                                                        l_1281) < l_794,
                                                                                                                                                                                                                                                                              l_1148) || g_97[2]) | 0x9933L)) || g_2467,
                                                                                                                                                                                                                                     0L),
                                                                                                                                                                                                          l_1281) >= 0x23ddbf23L,
                                                                                                                                                                                g_100),
                                                                                                                                                     1) && l_1069,
                                                                                                                         0x57543a32L))) != 1L, l_1281) | 4294967295uL) ^ 0xb771L;
                                    if (l_786)
                                        break;
                                    g_120[1] = safe_mod_func_int16_t_s_s(((safe_lshift_func_int8_t_s_s(((safe_sub_func_uint32_t_u_u(((safe_mod_func_int16_t_s_s(0L,
                                                                                                                                                                ((+65533uL > (safe_mod_func_uint32_t_u_u(safe_add_func_int16_t_s_s((l_1149[1], g_2431 >= l_786 >= (l_1163[1][2] || (safe_sub_func_int16_t_s_s(l_786 != l_1101[9] >= (l_1051[2] == 4294967295uL),
                                                                                                                                                                                                                                                                                                              l_1281) ^ g_2467) & l_786)) && l_786,
                                                                                                                                                                                                                                   l_786),
                                                                                                                                                                                                         l_1051[1]) > 2L) || l_786) < l_794, l_1081)) < l_1281 && g_540) ^ 0x5443L) < l_779,
                                                                                                                                    l_786), l_1149[0]), l_786),
                                                                                                       2) != l_1101[6]) <= l_786, l_1281) >= l_1094,
                                                                         g_18);
                                }
                                l_919 = safe_rshift_func_int8_t_s_s(l_1081 ^ 4294967295uL, 0);
                            }
                            else
                            {
                                for (g_100 = 3; g_100 >= 1; g_100 -= 1)
                                {
                                    int i;
                                    if (g_120[g_100])
                                        break;
                                    if (l_725[g_100])
                                        break;
                                    return l_786;
                                }
                            }
                        }
                        if (l_722)
                        {
                            uint16_t l_1172 = 0x80d0L;
                            j &= ((l_1281 >= l_1172 && (g_849[0], (0x4e57L != safe_unary_minus_func_uint8_t_u(((safe_sub_func_uint16_t_u_u(safe_sub_func_int16_t_s_s(!(safe_unary_minus_func_uint16_t_u(l_786) | l_1281),
                                                                                                                                                                     safe_rshift_func_int16_t_s_u(safe_sub_func_uint16_t_u_u(safe_sub_func_uint8_t_u_u(0uL,
                                                                                                                                                                                                                                                       (l_1069, safe_sub_func_int32_t_s_s((safe_add_func_int8_t_s_s((!l_722, l_786) <= l_725[0],
                                                                                                                                                                                                                                                                                                                    l_786) != l_1172) > l_1191[1] < l_1172 & 0uL,
                                                                                                                                                                                                                                                                                          0x349e8373L)) | l_786),
                                                                                                                                                                                                                             l_794),
                                                                                                                                                                                                  l_786)) & g_2431,
                                                                                                                                           -5L) < l_1069, g_849[0]) | l_1172) >= l_1069) && l_786) != 0uL | l_779 | 0x7351L)) & l_725[3], l_794);
                            j -= 1;
                            g_1217 |= safe_mod_func_int16_t_s_s(-4L,
                                                                safe_mod_func_uint8_t_u_u(safe_sub_func_uint8_t_u_u(safe_add_func_int16_t_s_s(safe_lshift_func_int16_t_s_u(safe_mod_func_int32_t_s_s(((safe_lshift_func_int8_t_s_u(g_849[0],
                                                                                                                                                                                                                                   !0xe43bdf21L) || (((safe_lshift_func_int16_t_s_s(safe_rshift_func_int8_t_s_u(~safe_lshift_func_int16_t_s_s(l_1281,
                                                                                                                                                                                                                                                                                                                                              11),
                                                                                                                                                                                                                                                                                                                6),
                                                                                                                                                                                                                                                                                    6), 0x9037L) || l_794) ^ (l_786 & (l_1281 && safe_rshift_func_uint8_t_u_s(l_1281,
                                                                                                                                                                                                                                                                                                                                                              g_2467))) != l_1081) >= l_794 && g_849[0]) > g_120[1], 0xb8L) ^ l_1281,
                                                                                                                                                                                                     4294967295uL),
                                                                                                                                                                           g_100),
                                                                                                                                              -1L) <= g_100 ^ l_1069,
                                                                                                                    l_1172),
                                                                                          0xfbL)) > l_1216;
                        }
                        else
                        {
                            int32_t l_1218 = 0L;
                            int32_t l_1220 = 0xd6a84518L;
                            int32_t l_1221 = 0x3e2f8b07L;
                            int32_t l_1222 = 0xbc228decL;
                            int32_t l_1223 = 0L;
                            int32_t l_1225 = 0x92788a2fL;
                            int32_t l_1230 = 0x8a193837L;
                            int32_t l_1232[1][1];
                            int i, j;
                            for (i = 0; i < 1; i++)
                            {
                                for (j = 0; j < 1; j++)
                                    l_1232[i][j] = 0xbe2ce0adL;
                            }
                            l_1233++;
                        }
                        if (l_779)
                        {
                            uint32_t l_1241[4][8] = { { 0x92359c80L, 18446744073709551615uL, 1uL, 5uL, 0xe2f39250L, 1uL, 0xe2f39250L, 5uL }, { 0x92359c80L, 18446744073709551615uL, 1uL, 5uL, 0xe2f39250L, 1uL, 0xe2f39250L, 5uL }, { 0x92359c80L, 18446744073709551615uL, 1uL, 5uL, 0xe2f39250L, 1uL, 0xe2f39250L, 5uL }, { 0x92359c80L, 18446744073709551615uL, 1uL, 5uL, 0xe2f39250L, 1uL, 0xe2f39250L, 5uL } };
                            uint16_t l_1252 = 0x759aL;
                            int i, j;
                            g_120[4] |= (safe_lshift_func_uint16_t_u_s(6uL,
                                                                       8), (safe_unary_minus_func_int32_t_s(safe_sub_func_int16_t_s_s((((l_1241[2][6] | 0L) & ((safe_rshift_func_uint16_t_u_u(safe_unary_minus_func_int16_t_s(l_1191[0]) & (l_1281, ((safe_rshift_func_uint16_t_u_u(safe_lshift_func_uint16_t_u_u((l_1281, safe_add_func_int16_t_s_s((~l_1252, safe_add_func_uint16_t_u_u((((g_18 | safe_lshift_func_uint16_t_u_s(safe_add_func_uint8_t_u_u(((0x1ca4L < l_1281 && g_100) | g_97[2]) ^ l_786,
                                                                                                                                                                                                                                                                                                                                                                                                                                                            l_786),
                                                                                                                                                                                                                                                                                                                                                                                                                                  l_1281)) != l_1281 || l_790) > l_1051[2], 0x6db4L),
                                                                                                                                                                                                                                                                                                                                                                                          l_778)) || l_1281,
                                                                                                                                                                                                                                                                                                                                                     0x5d57L)),
                                                                                                                                                                                                                                                                                                                  g_97[2]),
                                                                                                                                                                                                                                                                                    l_1219) || 1uL || l_786) | l_1281) != g_849[0]),
                                                                                                                                                                                              l_790) && 1L) > 0x1dc0L, l_786)) != 0x35a6L || 0xe981L) | l_779,
                                                                                                                                      1L)), l_779));
                        }
                        else
                        {
                            uint16_t l_1263[6][10] = { { 0xe2a8L, 0x6dabL, 0uL, 0xb1ccL, 0xb1ccL, 0uL, 0x6dabL, 0xe2a8L, 0uL, 0xe2a8L }, { 0xe2a8L, 0x6dabL, 0uL, 0xb1ccL, 0xb1ccL, 0uL, 0x6dabL, 0xe2a8L, 0uL, 0xe2a8L }, { 0xe2a8L, 0x6dabL, 0uL, 0xb1ccL, 0xb1ccL, 0uL, 0x6dabL, 0xe2a8L, 0uL, 0xe2a8L }, { 0xe2a8L, 0x6dabL, 0uL, 0xb1ccL, 0xb1ccL, 0uL, 0x6dabL, 0xe2a8L, 0uL, 0xe2a8L }, { 0xe2a8L, 0x6dabL, 0uL, 0xb1ccL, 0xb1ccL, 0uL, 0x6dabL, 0xe2a8L, 0uL, 0xe2a8L }, { 0xe2a8L, 0x6dabL, 0uL, 0xb1ccL, 0xb1ccL, 0uL, 0x6dabL, 0xe2a8L, 0uL, 0xe2a8L } };
                            int32_t l_1277[9];
                            int16_t l_1321 = 0x3afeL;
                            int i, j;
                            for (i = 0; i < 9; i++)
                            {
                                if (l_794)
                                    break;
                                l_1277[i] = -1L;
                            }
                            for (j = 0; j <= -8; --j)
                            {
                                uint8_t l_1265 = 0xa0L;
                                int32_t l_1272 = 0xa92a5564L;
                                uint8_t l_1274 = 1uL;
                                int32_t l_1325 = 0x5f0f06dL;
                                int32_t l_1326 = 0xa526867eL;
                                int8_t l_1360 = 0xe8L;
                                if (safe_rshift_func_int16_t_s_s(1L,
                                                                 l_790 < (l_1263[4][9] && !(l_1265 || l_786), ((l_786, safe_sub_func_uint8_t_u_u(safe_lshift_func_int16_t_s_u((safe_lshift_func_uint8_t_u_u(g_97[2],
                                                                                                                                                                                                            2) >= g_100 | 8L, g_2467),
                                                                                                                                                                              g_849[0]) ^ g_120[1],
                                                                                                                                                 l_1281)) == g_18) >= l_786 < l_1263[0][9])) >= l_1081)
                                {
                                    uint32_t l_1278 = 0x7a1781b4L;
                                    l_1274--;
                                    l_1278--;
                                }
                                else
                                {
                                    uint8_t l_1292 = 255uL;
                                    int32_t l_1301 = 0L;
                                    g_143 ^= 0x10e3b930L;
                                    l_1277[4] &= safe_rshift_func_int16_t_s_u(safe_mod_func_uint16_t_u_u(9uL || (g_849[0] < (g_1217 >= g_849[0] || l_786), safe_sub_func_int16_t_s_s(safe_sub_func_int8_t_s_s(0xddL,
                                                                                                                                                                                                              0uL ^ safe_lshift_func_uint16_t_u_u((l_1292 <= safe_lshift_func_uint16_t_u_s(safe_rshift_func_uint16_t_u_u(safe_add_func_uint32_t_u_u(safe_mod_func_uint32_t_u_u(l_779 & -1L,
                                                                                                                                                                                                                                                                                                                                                                               g_2431),
                                                                                                                                                                                                                                                                                                                                                    l_1219),
                                                                                                                                                                                                                                                                                                                         7),
                                                                                                                                                                                                                                                                                           l_786), g_2467),
                                                                                                                                                                                                                                                  1)),
                                                                                                                                                                                     0uL) & l_786 || l_1281),
                                                                                                         l_940[0]),
                                                                              l_786);
                                    l_1301 = 0x9fc577abL;
                                }
                                for (l_790 = 0; l_790 >= 7; l_790 = safe_add_func_uint8_t_u_u(l_790,
                                                                                              3))
                                {
                                    return l_786;
                                }
                                if ((l_786, safe_add_func_int8_t_s_s(safe_lshift_func_int8_t_s_u(l_786,
                                                                                                 3),
                                                                     (l_1277[4], safe_rshift_func_uint8_t_u_u(g_540,
                                                                                                              safe_lshift_func_int8_t_s_s(g_2467 > safe_add_func_uint16_t_u_u(l_1281,
                                                                                                                                                                              (~safe_add_func_uint8_t_u_u((l_786 >= safe_mod_func_uint16_t_u_u(safe_sub_func_int8_t_s_s(g_97[0],
                                                                                                                                                                                                                                                                        (g_849[0], l_1321)) || l_1281,
                                                                                                                                                                                                                                               g_2467) && l_1229) ^ l_786,
                                                                                                                                                                                                          l_1081) && l_1226[0][1][2], l_1281)),
                                                                                                                                          5))) >= l_1281) >= 65527uL == l_1277[4]))
                                {
                                    uint32_t l_1322 = 1uL;
                                    int32_t l_1328[3];
                                    uint16_t l_1330[7][2] = { { 1uL, 0uL }, { 1uL, 0uL }, { 1uL, 0uL }, { 1uL, 0uL }, { 1uL, 0uL }, { 1uL, 0uL }, { 1uL, 0uL } };
                                    int i, j;
                                    for (i = 0; i < 3; i++)
                                        l_1328[i] = 5L;
                                    for (p_35 = 0; p_35 < -17; --p_35)
                                    {
                                        uint8_t l_198 = 1uL;
                                        int16_t l_261 = -10L;
                                        uint16_t l_350 = 5uL;
                                        int32_t l_367 = 1L;
                                        int32_t l_391[3][6] = { { 0xd2d39850L, 1L, 1L, 0L, 0L, 1L }, { 0xd2d39850L, 1L, 1L, 0L, 0L, 1L }, { 0xd2d39850L, 1L, 1L, 0L, 0L, 1L } };
                                        uint32_t l_431 = 0x13f79e03L;
                                        int i, j;
                                        if (l_1007)
                                            break;
                                        l_1369 ^= l_1007;
                                        for (l_778 = 0; l_778 == 26; ++l_778)
                                        {
                                            uint32_t l_210 = 0uL;
                                            int8_t l_281[8][7] = { { 0xe1L, 5L, -1L, 5L, 0xe1L, 0x96L, -1L }, { 0xe1L, 5L, -1L, 5L, 0xe1L, 0x96L, -1L }, { 0xe1L, 5L, -1L, 5L, 0xe1L, 0x96L, -1L }, { 0xe1L, 5L, -1L, 5L, 0xe1L, 0x96L, -1L }, { 0xe1L, 5L, -1L, 5L, 0xe1L, 0x96L, -1L }, { 0xe1L, 5L, -1L, 5L, 0xe1L, 0x96L, -1L }, { 0xe1L, 5L, -1L, 5L, 0xe1L, 0x96L, -1L }, { 0xe1L, 5L, -1L, 5L, 0xe1L, 0x96L, -1L } };
                                            uint32_t l_326 = 0xa0de782L;
                                            int32_t l_363 = 0L;
                                            int32_t l_392 = -1L;
                                            int32_t l_395 = 0L;
                                            const uint32_t l_420 = 0xa82ea14bL;
                                            const int16_t l_427 = 0L;
                                            int i, j;
                                            if (l_1369 || safe_mod_func_uint16_t_u_u(safe_rshift_func_int8_t_s_u(0x73L,
                                                                                                                 5) | safe_mod_func_int32_t_s_s(g_59,
                                                                                                                                                safe_rshift_func_uint16_t_u_s(safe_sub_func_int8_t_s_s((0x7cb8L < 0xb2b8L, (l_198 ^ 0xdbL) != l_198) && 0xd1L,
                                                                                                                                                                                                       g_1171),
                                                                                                                                                                              11)) != l_1369,
                                                                                     0xa615L))
                                            {
                                                uint32_t l_207 = 0x44d27d01L;
                                                g_120[3] = p_35;
                                                for (g_143 = -26; g_143 >= 44; g_143++)
                                                {
                                                    return l_198;
                                                }
                                                g_120[1] = (((g_120[1] && l_1321 || safe_rshift_func_uint16_t_u_u(((g_2414, safe_mod_func_uint32_t_u_u(safe_mod_func_uint16_t_u_u((0x47c1L >= (l_1360 ^ l_207) <= safe_sub_func_uint16_t_u_u((g_18 && g_2414, l_1007),
                                                                                                                                                                                                                                             l_1007) ^ g_120[1]) < g_120[0],
                                                                                                                                                                                  g_120[1]) & g_97[2],
                                                                                                                                                       0x3a8961daL) & 0L), p_35),
                                                                                                                  4) & g_120[1]) ^ l_1369) == l_207 | l_210) & 0xd933a2bcL & l_1007;
                                            }
                                            else
                                            {
                                                uint8_t l_258 = 0x75L;
                                                int32_t l_262 = 0x18ec19c0L;
                                                for (g_143 = -24; g_143 < 42; ++g_143)
                                                {
                                                    l_1231[2] |= g_2414;
                                                    return l_198;
                                                }
                                                l_1369 = (0x5eL || safe_lshift_func_uint16_t_u_s(safe_sub_func_uint8_t_u_u(0x746c22c4L && safe_add_func_int16_t_s_s((g_2414, safe_rshift_func_uint8_t_u_u(l_1360,
                                                                                                                                                                                                          6)) && safe_add_func_uint8_t_u_u(p_35,
                                                                                                                                                                                                                                           safe_lshift_func_int16_t_s_u(safe_rshift_func_int8_t_s_s(safe_add_func_int8_t_s_s(l_1360 == (safe_sub_func_uint32_t_u_u((l_198 || 0x50L) | safe_sub_func_uint32_t_u_u((l_1231[2] == g_89, l_1007) >= l_1321,
                                                                                                                                                                                                                                                                                                                                                                                                                 p_35) == 0xff3a24cfL,
                                                                                                                                                                                                                                                                                                                                                                   0x3913078bL) >= g_89, 1L) != p_35,
                                                                                                                                                                                                                                                                                                                             l_1369),
                                                                                                                                                                                                                                                                                                    l_1369) > l_1321 | -6L,
                                                                                                                                                                                                                                                                        1)),
                                                                                                                                                                    g_120[2]),
                                                                                                                           0L),
                                                                                                 15)) != l_1369;
                                                for (g_1171 = 0; g_1171 > 43; g_1171 = safe_add_func_uint8_t_u_u(g_1171,
                                                                                                                 2))
                                                {
                                                    uint16_t l_236 = 1uL;
                                                    g_120[1] = 0x724d0293L;
                                                    l_236 = g_89;
                                                    l_262 = safe_sub_func_int8_t_s_s((((l_1360 || (1uL < (safe_rshift_func_uint16_t_u_u(safe_sub_func_uint8_t_u_u(safe_mod_func_uint8_t_u_u(255uL,
                                                                                                                                                                                            safe_rshift_func_uint8_t_u_s(safe_rshift_func_uint8_t_u_s(safe_sub_func_int8_t_s_s(safe_mod_func_int16_t_s_s(l_1359,
                                                                                                                                                                                                                                                                                                         65535uL),
                                                                                                                                                                                                                                                                               l_198) > (safe_rshift_func_uint16_t_u_u(p_35,
                                                                                                                                                                                                                                                                                                                       ((safe_rshift_func_int16_t_s_u((l_258, (safe_add_func_uint32_t_u_u(g_143,
                                                                                                                                                                                                                                                                                                                                                                                          g_120[1]) == l_198, l_236)) & l_258,
                                                                                                                                                                                                                                                                                                                                                      p_35) || g_97[2], l_1360), 0x2ca6L)) > 0x62L),
                                                                                                                                                                                                                                                      p_35) | l_261,
                                                                                                                                                                                                                         0)) | l_210 && l_1369,
                                                                                                                                                                  255uL) | g_18,
                                                                                                                                        11), g_2414) || l_236, 0x43L) | 1uL) ^ p_35, l_1281) < 0L < l_1359 != l_1360) >= l_1007,
                                                                                     l_1360);
                                                    l_1360 = (safe_lshift_func_uint8_t_u_s(safe_rshift_func_uint8_t_u_u((((safe_add_func_uint16_t_u_u(l_1007,
                                                                                                                                                      l_1321) == (safe_mod_func_int32_t_s_s((safe_add_func_int16_t_s_s(safe_sub_func_int16_t_s_s(safe_rshift_func_int8_t_s_s(safe_mod_func_uint16_t_u_u((safe_sub_func_uint32_t_u_u(l_281[4][6],
                                                                                                                                                                                                                                                                                                                                    l_258) ^ (safe_add_func_uint32_t_u_u(safe_sub_func_int32_t_s_s(safe_rshift_func_uint16_t_u_u(0x25d96900L <= safe_sub_func_uint32_t_u_u(safe_sub_func_int32_t_s_s(l_236,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     l_1281) < (safe_lshift_func_int16_t_s_s(0uL < safe_mod_func_int8_t_s_s(g_2414,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            g_97[4]) == g_120[2],
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             g_89) < 7uL),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                           2uL),
                                                                                                                                                                                                                                                                                                                                                                                                                                 p_35),
                                                                                                                                                                                                                                                                                                                                                                                                   0x96e64d66L) >= l_1360,
                                                                                                                                                                                                                                                                                                                                                                         0xfc6b1e59L) < -5L | 4294967292uL)) != l_1369 ^ 8L,
                                                                                                                                                                                                                                                                                                        -7L) & g_2414,
                                                                                                                                                                                                                                                                             l_1369) > l_236 <= -1L,
                                                                                                                                                                                                                                                 p_35),
                                                                                                                                                                                                                       p_35) >= g_143 ^ 0xf7bfL, g_89) == l_198,
                                                                                                                                                                                            l_1321) && g_59) | 1uL) != 0x6cL) <= l_281[0][2], 0x35L),
                                                                                                                        l_1007) && p_35,
                                                                                           4) & g_143) < 0x73054497L != l_1321;
                                                }
                                                for (g_1171 = 0; g_1171 <= 4; g_1171 += 1)
                                                {
                                                    int i;
                                                    g_120[g_1171] = safe_sub_func_int32_t_s_s(g_97[g_1171 + 2],
                                                                                              safe_unary_minus_func_uint8_t_u((safe_sub_func_int16_t_s_s((g_97[g_1171], 0xc6c2L) ^ 0xfeb2L,
                                                                                                                                                         safe_rshift_func_uint16_t_u_u(g_97[g_1171 + 1],
                                                                                                                                                                                       safe_rshift_func_uint16_t_u_u(g_120[g_1171],
                                                                                                                                                                                                                     5) != safe_mod_func_int8_t_s_s(safe_add_func_uint32_t_u_u(safe_mod_func_uint32_t_u_u(g_120[g_1171],
                                                                                                                                                                                                                                                                                                          (0x60L < g_120[g_1171], l_281[3][1])),
                                                                                                                                                                                                                                                                               0x2c0b2767L) >= l_778 != g_89 != 255uL,
                                                                                                                                                                                                                                                    0xe6L)) >= l_1360) != -6L || g_120[0]) && g_97[g_1171 + 2])) & l_1321;
                                                    g_120[2] = -8L == 0uL;
                                                    l_326 = (((65535uL > safe_mod_func_uint8_t_u_u(safe_sub_func_uint8_t_u_u((l_262 || (l_198 || safe_mod_func_uint8_t_u_u(safe_lshift_func_uint16_t_u_s(safe_sub_func_uint32_t_u_u(safe_rshift_func_int8_t_s_u(g_89,
                                                                                                                                                                                                                                                                (l_1359 > (l_281[4][6], p_35) != (safe_rshift_func_uint16_t_u_u(0xb25dL,
                                                                                                                                                                                                                                                                                                                                8) || 1uL)) <= l_1360),
                                                                                                                                                                                                                                    l_1321) | g_97[2],
                                                                                                                                                                                                         1),
                                                                                                                                                                           l_1321))) & p_35 || g_89,
                                                                                                                             l_1231[0]) & l_258,
                                                                                                   p_35) <= g_89 < g_120[g_1171] == 0x8b28L) < l_1360 || l_1231[2]) != l_1360) <= 246uL;
                                                    l_262 |= ~g_120[1];
                                                }
                                            }
                                            for (l_1007 = 20; l_1007 < 40; l_1007 = safe_add_func_uint32_t_u_u(l_1007,
                                                                                                               1))
                                            {
                                                int8_t l_362 = 0x43L;
                                                int32_t l_366 = -2L;
                                                uint8_t l_369 = 0x5aL;
                                                int32_t l_393 = 0L;
                                                if (safe_add_func_int16_t_s_s((l_1231[1] || g_2414 >= + (-1L) >= safe_lshift_func_int8_t_s_s(safe_sub_func_int8_t_s_s((safe_mod_func_int16_t_s_s(safe_lshift_func_int16_t_s_s(l_1007,
                                                                                                                                                                                                                              2) == (safe_lshift_func_uint16_t_u_s(g_59 || safe_rshift_func_uint16_t_u_s(((safe_add_func_int16_t_s_s(((safe_mod_func_int16_t_s_s(g_2414,
                                                                                                                                                                                                                                                                                                                                                                 g_1171) <= 0x56719cf5L < (+((1uL && 0xd84e0731L) > l_281[6][4] < g_143 > 0x15L & 0xf7L) | g_143), g_2414) == l_350, l_1369),
                                                                                                                                                                                                                                                                                                                                     0xa7b5L), 2L), g_935),
                                                                                                                                                                                                                                                                                                         11) >= l_1321,
                                                                                                                                                                                                                                                                   l_210), 0x25L) < 7uL,
                                                                                                                                                                                                 g_59) <= 1uL, l_210),
                                                                                                                                                                      g_59) ^ 246uL,
                                                                                                                                             g_18)) <= 0x83L >= 6uL & g_97[2],
                                                                              l_1369))
                                                {
                                                    uint32_t l_364 = 0uL;
                                                    int32_t l_365 = 1L;
                                                    l_364 = safe_add_func_int8_t_s_s((safe_lshift_func_uint16_t_u_u((p_35 != l_1360) > (safe_lshift_func_uint16_t_u_u(0xa1L != ((-6L && (safe_rshift_func_int8_t_s_u(0x8L,
                                                                                                                                                                                                                     (g_2414 < ((g_97[2] | (safe_sub_func_uint16_t_u_u((l_362 != 0xfefa8ae2L, l_1321) != g_97[2],
                                                                                                                                                                                                                                                                       l_1360) && 0x6386802aL) >= g_97[1]) >= l_1360), l_1369)) < 2uL && l_281[4][6])) != l_198),
                                                                                                                                                                      0) ^ l_1369) != g_97[2] || 0xf9L,
                                                                                                                    l_363) || 0xd2L, g_2414),
                                                                                     -7L) && g_2414;
                                                    ++l_369;
                                                    if (l_281[4][3])
                                                        break;
                                                    l_366 = l_1369;
                                                }
                                                else
                                                {
                                                    uint32_t l_384 = 0uL;
                                                    l_367 = safe_sub_func_uint16_t_u_u(safe_add_func_uint16_t_u_u((p_35, safe_mod_func_int32_t_s_s(((((((g_89, safe_mod_func_uint8_t_u_u(g_97[2] ^ ~ (+l_1360),
                                                                                                                                                                                         (g_97[3] & (safe_sub_func_uint16_t_u_u(l_384 >= g_935,
                                                                                                                                                                                                                                ((safe_lshift_func_int16_t_s_u(g_2414 || (((safe_rshift_func_int16_t_s_u(1uL != g_2414,
                                                                                                                                                                                                                                                                                                         4), 0x8dL) >= l_1360, g_2414), 0x343f8062L),
                                                                                                                                                                                                                                                               g_2414) > 4L > g_2414, g_120[1]) != g_89, l_1369) == 0xcb3f649dL) | g_2414) || l_1360) | g_120[3] && 0xe5L) < 0uL) >= g_97[1] || 0x3f5aL) ^ l_261 || g_2414) | l_366, 0L) || -1L) ^ 0x8506b361L) >= p_35 ^ -6L,
                                                                                                                                                   0x3f0d7356L)),
                                                                                                                  l_1360),
                                                                                       l_1281);
                                                    l_980--;
                                                }
                                                l_1369 = (g_18 ^ 0uL & ((g_59 == safe_mod_func_uint8_t_u_u((safe_sub_func_int16_t_s_s((l_1369 & safe_add_func_int8_t_s_s(safe_sub_func_int8_t_s_s(safe_lshift_func_int16_t_s_s((safe_mod_func_uint32_t_u_u(safe_sub_func_int16_t_s_s(l_1321 <= g_143 > safe_lshift_func_uint16_t_u_u(safe_sub_func_uint16_t_u_u(l_1360,
                                                                                                                                                                                                                                                                                                                                                                (((safe_rshift_func_uint8_t_u_s(l_1321,
                                                                                                                                                                                                                                                                                                                                                                                                1) & (((l_281[4][6] || g_2414) && g_2414) | 0uL)) == g_120[1] || l_1007) < l_326 < l_1321 || 0x3cL) < g_18),
                                                                                                                                                                                                                                                                                                                                     4) >= -1L,
                                                                                                                                                                                                                                                                                     g_935),
                                                                                                                                                                                                                                                           l_1052) || g_2414) >= l_420,
                                                                                                                                                                                                                               l_1360),
                                                                                                                                                                                                  l_1360) & -1L | l_281[4][6],
                                                                                                                                                                         0x42L) < g_97[3]) <= g_120[1],
                                                                                                                                      g_120[3]) | l_980) != 0L == l_391[1][4],
                                                                                                           l_395)) > 0x32L || l_1327) ^ g_2414 | l_1369) < g_89 < 1uL;
                                                for (g_1171 = 0; g_1171 <= 4; g_1171 += 1)
                                                {
                                                    int i;
                                                    return g_120[g_1171];
                                                }
                                                if (g_143)
                                                    break;
                                            }
                                            for (l_363 = 0; l_363 == -23; --l_363)
                                            {
                                                uint32_t l_461[2][4][5] = { { { 0xee2ec9cfL, 0x5ddd064bL, 4294967288uL, 0x62b936cdL, 4294967288uL }, { 0xee2ec9cfL, 0x5ddd064bL, 4294967288uL, 0x62b936cdL, 4294967288uL }, { 0xee2ec9cfL, 0x5ddd064bL, 4294967288uL, 0x62b936cdL, 4294967288uL }, { 0xee2ec9cfL, 0x5ddd064bL, 4294967288uL, 0x62b936cdL, 4294967288uL } }, { { 0xee2ec9cfL, 0x5ddd064bL, 4294967288uL, 0x62b936cdL, 4294967288uL }, { 0xee2ec9cfL, 0x5ddd064bL, 4294967288uL, 0x62b936cdL, 4294967288uL }, { 0xee2ec9cfL, 0x5ddd064bL, 4294967288uL, 0x62b936cdL, 4294967288uL }, { 0xee2ec9cfL, 0x5ddd064bL, 4294967288uL, 0x62b936cdL, 4294967288uL } } };
                                                int i, j, k;
                                                g_120[1] = (0x7ddef103L >= ((safe_rshift_func_int16_t_s_u((0x2cd8L == ((((0xce5L > p_35, -9L) || (safe_mod_func_uint32_t_u_u(g_120[1] > (0xd6feed26L | l_427 >= ((((safe_unary_minus_func_uint8_t_u(safe_rshift_func_int8_t_s_s(g_97[1],
                                                                                                                                                                                                                                                                                2) != 0xef0cL) > 0x88d4L && l_1360) ^ g_120[1]) >= l_281[3][0] | -6L) == 1L) ^ 7uL),
                                                                                                                                                                             1uL) < g_143 | l_1360, 0uL)) ^ -1L | l_281[0][3]) == l_980)) >= 0xbde2d00bL,
                                                                                                          7), 7L) > p_35 || l_420), l_1052);
                                                l_431--;
                                                l_1369 = (safe_unary_minus_func_int16_t_s(((safe_unary_minus_func_uint16_t_u((l_326, ((~safe_add_func_uint8_t_u_u(l_427 == safe_rshift_func_uint8_t_u_u(safe_lshift_func_int16_t_s_s(safe_sub_func_int16_t_s_s(g_120[2],
                                                                                                                                                                                                                                                               safe_add_func_uint8_t_u_u((g_2414 || safe_mod_func_int16_t_s_s(((l_395 & 0xad109901L < ((safe_rshift_func_uint8_t_u_s(g_89,
                                                                                                                                                                                                                                                                                                                                                                                     7) != g_2414 <= safe_sub_func_int32_t_s_s(safe_lshift_func_uint16_t_u_s(safe_rshift_func_int8_t_s_u(safe_sub_func_uint8_t_u_u((((g_89, 4uL) > 0uL == 0xc8c73883L) <= l_427 ^ g_18 && l_1007 || g_120[1]) & l_1327,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   p_35),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         l_461[1][1][2]),
                                                                                                                                                                                                                                                                                                                                                                                                                                                             l_1360),
                                                                                                                                                                                                                                                                                                                                                                                                                               g_89)) <= l_461[1][1][2] < 0x237eL) <= 0x28L) < 65535uL | l_363) >= g_2414,
                                                                                                                                                                                                                                                                                                                              l_1231[4]) < 5uL) ^ l_1359,
                                                                                                                                                                                                                                                                                         g_59) >= 0uL | g_97[2]) <= g_59,
                                                                                                                                                                                                                                     g_120[1]) ^ l_1360,
                                                                                                                                                                                                        7),
                                                                                                                                                                  g_2414) < 1L || l_1360) ^ l_1281, 6uL))) | g_143) != l_1281, l_919)), 1uL) != 255uL;
                                            }
                                            g_120[1] ^= (0L & 0x37L) >= safe_sub_func_uint16_t_u_u(1uL,
                                                                                                   safe_lshift_func_int8_t_s_u(g_97[3] >= safe_sub_func_uint16_t_u_u((safe_lshift_func_uint8_t_u_s(((((safe_lshift_func_uint16_t_u_s(((0xc0653759L ^ l_363, g_2414) == (l_392 != l_1369), 1uL),
                                                                                                                                                                                                                                     l_1369), 4L), l_1281) || 0x464eee5aL) | 8uL) & g_694,
                                                                                                                                                                                                   5), 0x83f7da68L) && g_18,
                                                                                                                                                                     1uL),
                                                                                                                               5) <= g_1171 < 65531uL || l_980);
                                        }
                                    }
                                    ;
                                    --l_1322;
                                    l_1330[3][0]++;
                                    if (l_1326)
                                        continue;
                                }
                                else
                                {
                                    int32_t l_1333[3];
                                    int i;
                                    for (i = 0; i < 3; i++)
                                        l_1333[i] = 8L;
                                    l_1333[2] = l_1281;
                                    g_120[3] = safe_lshift_func_uint16_t_u_s(safe_rshift_func_uint16_t_u_u(0x461cL,
                                                                                                           7),
                                                                             l_1051[0] < (l_779 < safe_add_func_uint16_t_u_u((0x1114L | g_100) != safe_mod_func_uint32_t_u_u(safe_mod_func_int16_t_s_s(g_1217,
                                                                                                                                                                                                       safe_add_func_uint16_t_u_u((safe_rshift_func_int16_t_s_u(((-1L ^ safe_add_func_int8_t_s_s(0x17d87be6L != safe_rshift_func_int8_t_s_s(safe_unary_minus_func_uint32_t_u(!g_2467) ^ 0x50L,
                                                                                                                                                                                                                                                                                                                                            g_540) ^ l_786,
                                                                                                                                                                                                                                                                                                 l_786)) < 8uL, l_722),
                                                                                                                                                                                                                                                                14), l_1329),
                                                                                                                                                                                                                                  j)),
                                                                                                                                                                             0x45d6e44fL),
                                                                                                                             l_794)));
                                }
                                if (l_790 >= ((l_1051[0] != ((l_786 == (g_849[0] ^ l_1265 > l_1281)) < l_786 == g_849[0])) <= safe_lshift_func_uint8_t_u_s((safe_lshift_func_int8_t_s_u(l_1281,
                                                                                                                                                                                        g_100), 0xf4L),
                                                                                                                                                           2)))
                                {
                                    l_1277[4] = l_786;
                                }
                                else
                                {
                                    int32_t l_1358 = 0x27225a3dL;
                                    --l_1361;
                                    if (l_794)
                                        break;
                                }
                            }
                        }
                        if (g_1217)
                            break;
                        for (g_143 = -1; g_143 == 31; ++g_143)
                        {
                            l_1081 ^= safe_add_func_int8_t_s_s(l_1359,
                                                               1L) < (l_1281 != (((-2L > g_18, (g_100 != 0xaeL & ((g_1368[1] > (l_794 <= l_786) & l_1359) == g_97[5]) > l_1369) == 4294967286uL), -1L) ^ 255uL));
                        }
                    }
                    g_120[1] = safe_sub_func_uint16_t_u_u((0x68dcacffL | safe_sub_func_int8_t_s_s((safe_mod_func_uint32_t_u_u(((g_97[2], safe_lshift_func_int16_t_s_u(g_1368[2] && 0L,
                                                                                                                                                                      0)) | (l_1361 && safe_mod_func_int8_t_s_s(l_786 && safe_rshift_func_int16_t_s_s((((~((safe_add_func_uint16_t_u_u((safe_lshift_func_uint8_t_u_u((safe_add_func_uint8_t_u_u(l_1369,
                                                                                                                                                                                                                                                                                                                                                l_1281) && 1L != 0x1161L != l_1281 ^ l_1052 ^ g_2431) < l_1361,
                                                                                                                                                                                                                                                                                                                     g_120[1]) >= g_849[0], -1L) | 0x3f27L,
                                                                                                                                                                                                                                                                                       g_1368[0]), 0x8d90L) ^ l_794) ^ l_725[2] | 0xc3L && g_1368[1]) <= l_1281, l_1226[0][1][2]), l_1226[0][0][2]),
                                                                                                                                                                                                                                                      2),
                                                                                                                                                                                                                l_1281)) <= l_1273) >= 0x27L >= g_97[6] != 2L != 0x1c966bf2L,
                                                                                                                              l_794) | -3L) < g_2467 > l_786 == l_1281,
                                                                                                  l_1191[1])) <= l_790,
                                                          8L);
                }
                ;
                break;
            }
            if (p_34)
                break;
            for (l_778 = 0; l_778 <= -8; l_778--)
            {
                return l_786;
            }
            for (g_694 = 2; g_694 < 14; g_694 = safe_add_func_uint16_t_u_u(g_694,
                                                                           3))
            {
                for (g_777 = 0; g_777 <= 3; g_777 += 1)
                {
                    uint8_t l_870 = 0x7bL;
                    int32_t l_882 = -8L;
                    int32_t l_883 = -1L;
                    g_1217 &= (g_120[3], safe_add_func_int32_t_s_s(((g_849[0] & (safe_sub_func_uint16_t_u_u(g_120[4],
                                                                                                            (safe_sub_func_int32_t_s_s((safe_sub_func_uint16_t_u_u(l_880,
                                                                                                                                                                   l_870 & safe_mod_func_uint32_t_u_u((g_2468 != (g_97[0] || g_97[3]), safe_lshift_func_int8_t_s_u((g_120[1], j),
                                                                                                                                                                                                                                                                   l_1052)),
                                                                                                                                                                                                      l_779)), g_18),
                                                                                                                                       4294967295uL), l_779)) || l_1052) ^ l_779) & l_1423) != g_777 & g_101,
                                                                   l_870)) > 8uL;
                    l_877[2][0]--;
                    --l_794;
                }
                ;
                l_794--;
            }
        }
    }
    if (p_34 == g_540)
    {
        int16_t l_801[8][10] = { { 0xbfacL, 0L, -1L, -1L, 0L, 0xbfacL, 0L, -1L, -1L, 0L }, { 0xbfacL, 0L, -1L, -1L, 0L, 0xbfacL, 0L, -1L, -1L, 0L }, { 0xbfacL, 0L, -1L, -1L, 0L, 0xbfacL, 0L, -1L, -1L, 0L }, { 0xbfacL, 0L, -1L, -1L, 0L, 0xbfacL, 0L, -1L, -1L, 0L }, { 0xbfacL, 0L, -1L, -1L, 0L, 0xbfacL, 0L, -1L, -1L, 0L }, { 0xbfacL, 0L, -1L, -1L, 0L, 0xbfacL, 0L, -1L, -1L, 0L }, { 0xbfacL, 0L, -1L, -1L, 0L, 0xbfacL, 0L, -1L, -1L, 0L }, { 0xbfacL, 0L, -1L, -1L, 0L, 0xbfacL, 0L, -1L, -1L, 0L } };
        int32_t l_821[9][7] = { { 0x9b3bbbb0L, 0x33ed253bL, 2L, 4L, 2L, 0x33ed253bL, 0x9b3bbbb0L }, { 0x9b3bbbb0L, 0x33ed253bL, 2L, 4L, 2L, 0x33ed253bL, 0x9b3bbbb0L }, { 0x9b3bbbb0L, 0x33ed253bL, 2L, 4L, 2L, 0x33ed253bL, 0x9b3bbbb0L }, { 0x9b3bbbb0L, 0x33ed253bL, 2L, 4L, 2L, 0x33ed253bL, 0x9b3bbbb0L }, { 0x9b3bbbb0L, 0x33ed253bL, 2L, 4L, 2L, 0x33ed253bL, 0x9b3bbbb0L }, { 0x9b3bbbb0L, 0x33ed253bL, 2L, 4L, 2L, 0x33ed253bL, 0x9b3bbbb0L }, { 0x9b3bbbb0L, 0x33ed253bL, 2L, 4L, 2L, 0x33ed253bL, 0x9b3bbbb0L }, { 0x9b3bbbb0L, 0x33ed253bL, 2L, 4L, 2L, 0x33ed253bL, 0x9b3bbbb0L }, { 0x9b3bbbb0L, 0x33ed253bL, 2L, 4L, 2L, 0x33ed253bL, 0x9b3bbbb0L } };
        uint32_t l_843 = 4294967290uL;
        int32_t l_1046 = 0x7fd8aa4L;
        int i, j;
        for (g_143 = 0; g_143 > 15; ++g_143)
        {
            g_120[1] = 0x19d1a3feL;
            if (p_35)
                continue;
        }
        g_2467 |= 0x10ddf4f3L;
        for (l_1423 = -24; l_1423 < 42; ++l_1423)
        {
            {
                int i;
                if (g_120[l_790])
                    break;
                if (l_725[l_790])
                    break;
                return g_540;
            }
            l_1439[2] |= g_1217;
            {
                transparent_crc(g_2003[g_2100], "g_2003[g_2100]", i);
                if (i)
                    printf("index = [%d]\n", g_2100);
            }
            return l_1007;
        }
        ;
        for (l_793 = 0; l_793 <= 24; l_793 = safe_add_func_uint16_t_u_u(l_793,
                                                                        2))
        {
            int32_t l_820 = -1L;
            const int32_t l_844 = 1L;
            int32_t l_846 = 0xefba0ca9L;
            int32_t l_848 = 0x52fbe6a1L;
            uint32_t l_885 = 2uL;
            int32_t l_936[2][6] = { { 0L, 0L, -3L, 0L, 0L, -3L }, { 0L, 0L, -3L, 0L, 0L, -3L } };
            int i, j;
            l_801[7][5] = p_35;
            {
                uint32_t l_384 = 0uL;
                i = safe_sub_func_uint16_t_u_u(safe_add_func_uint16_t_u_u((g_101, safe_mod_func_int32_t_s_s(((((((l_790, safe_mod_func_uint8_t_u_u(g_97[2] ^ ~ (+g_89),
                                                                                                                                                   (g_97[3] & (safe_sub_func_uint16_t_u_u(l_384 >= g_2254,
                                                                                                                                                                                          ((safe_lshift_func_int16_t_s_u(g_1217 || (((safe_rshift_func_int16_t_s_u(1uL != g_2414,
                                                                                                                                                                                                                                                                   4), 0x8dL) >= l_790, g_2414), 0x343f8062L),
                                                                                                                                                                                                                         g_2414) > 4L > g_1217, g_120[1]) != l_790, j) == 0xcb3f649dL) | g_1217) || l_790) | g_120[3] && 0xe5L) < 0uL) >= g_97[1] || 0x3f5aL) ^ g_540 || g_2414) | l_846, 0L) || -1L) ^ 0x8506b361L) >= g_101 ^ -6L,
                                                                                                            0x3f0d7356L)),
                                                                          g_717),
                                               g_1168);
                l_843--;
            }
            for (g_777 = 0; g_777 <= 7; g_777 += 1)
            {
                int i, j;
                g_120[3] = l_801[g_777][g_777];
                l_821[6][1] = safe_rshift_func_uint8_t_u_s(safe_lshift_func_uint8_t_u_u((g_97[2], safe_lshift_func_int16_t_s_u((safe_rshift_func_int16_t_s_u(safe_add_func_uint8_t_u_u(4294967286uL != 0x9cdcb11eL,
                                                                                                                                                                                       (l_801[g_777][g_777] ^ g_89 == safe_mod_func_int16_t_s_s((2uL | safe_mod_func_int8_t_s_s(p_34 || safe_add_func_int16_t_s_s((g_97[2], 0x978c1b61L > 4294967291uL),
                                                                                                                                                                                                                                                                                                                  l_820) < 0xb988L,
                                                                                                                                                                                                                                                                                p_34) || l_790) >= p_35 == 0x1f887ac6L,
                                                                                                                                                                                                                                                p_34)) > 6uL),
                                                                                                                                                             6) != g_694) <= l_801[7][5],
                                                                                                                               p_35)),
                                                                                        3),
                                                           l_801[7][5]);
            }
            if (g_935)
            {
                if (i)
                    printf("index = [%d][%d]\n", g_2469, l_919);
                continue;
            }
            if (0x4df543ceL && l_790)
            {
                uint32_t l_847 = 0xb97bac9cL;
                for (g_89 = 0; g_89 >= -10; g_89--)
                {
                    const uint32_t l_845 = 0xb19552afL;
                    l_846 = safe_sub_func_int8_t_s_s(0x65L,
                                                     safe_unary_minus_func_int8_t_s(+(g_97[2] < safe_add_func_uint32_t_u_u(safe_rshift_func_int8_t_s_u(p_34 >= g_100 || l_790,
                                                                                                                                                       ((safe_sub_func_uint16_t_u_u(safe_rshift_func_uint8_t_u_s(safe_sub_func_int32_t_s_s(safe_mod_func_uint8_t_u_u(p_34,
                                                                                                                                                                                                                                                                     safe_add_func_uint32_t_u_u(l_801[7][1],
                                                                                                                                                                                                                                                                                                ~(l_790 <= (0xcc872d8fL == 4uL) && g_120[1]))),
                                                                                                                                                                                                                                           p_35) & l_843 & p_35 ^ g_143,
                                                                                                                                                                                                                 g_97[2]) < -1L >= 0x60360610L ^ 0x1eL,
                                                                                                                                                                                    0xba9aL), l_844), p_34)) == 3L,
                                                                                                                           4294967295uL)))) <= l_845 != p_35;
                    if (l_847)
                        break;
                    if (p_35)
                        continue;
                }
                g_120[1] = 0x53887f5cL;
            }
            else
            {
                uint16_t l_875 = 6uL;
                int32_t l_881 = 0L;
                int32_t l_884[2][7] = { { 0xb1f54b37L, 0xb1f54b37L, -9L, 0xb1f54b37L, 0xb1f54b37L, -9L, 0xb1f54b37L }, { 0xb1f54b37L, 0xb1f54b37L, -9L, 0xb1f54b37L, 0xb1f54b37L, -9L, 0xb1f54b37L } };
                uint16_t l_953 = 0x2ee0L;
                int i, j;
                g_849[0]--;
                for (l_848 = 0; l_848 >= 0; l_848 -= 1)
                {
                    int32_t l_876 = 1L;
                    int i;
                    if (safe_lshift_func_uint16_t_u_s(+safe_sub_func_uint8_t_u_u(g_849[l_848],
                                                                                 p_35),
                                                      8))
                    {
                        g_120[1] = 0xb8ed6298L;
                        {
                            return g_849[0];
                        }
                        if (p_35)
                            continue;
                        l_846 &= safe_mod_func_uint32_t_u_u(p_35, 0xe4729dd1L);
                    }
                    else
                    {
                        uint16_t l_861 = 0x987dL;
                        g_120[1] = safe_add_func_int16_t_s_s(0x6d2dL, l_861) > 9L;
                        if (l_846)
                            printf("index = [%d][%d][%d]\n", l_876, l_1329, l_846);
                        return g_849[l_848];
                    }
                    for (g_777 = 0; g_777 <= 3; g_777 += 1)
                    {
                        uint8_t l_870 = 0x7bL;
                        int32_t l_882 = -8L;
                        int32_t l_883 = -1L;
                        for (l_882 = 0; l_882 < 3; l_882++)
                        {
                            transparent_crc(g_2184[l_881][l_882],
                                            "g_2184[l_881][l_882]",
                                            l_881);
                            if (l_881)
                                printf("index = [%d][%d]\n", l_881, l_882);
                        }
                        ;
                        l_875 &= (g_120[3], safe_add_func_int32_t_s_s(((g_849[0] & (safe_sub_func_uint16_t_u_u(g_120[4],
                                                                                                               (safe_sub_func_int32_t_s_s((safe_sub_func_uint16_t_u_u(l_790,
                                                                                                                                                                      l_870 & safe_mod_func_uint32_t_u_u((l_844 != (g_97[0] || g_97[3]), safe_lshift_func_int8_t_s_u((g_120[1], l_820),
                                                                                                                                                                                                                                                                     g_22)),
                                                                                                                                                                                                         p_34)), g_18),
                                                                                                                                          4294967295uL), p_34)) || g_22) ^ p_34) & g_143) != g_777 & p_35,
                                                                      l_870)) > 8uL;
                        for (l_1007 = 0; l_1007 != 4; ++l_1007)
                        {
                            uint8_t l_722 = 0xe0L;
                            int32_t l_770 = 0x6e81370eL;
                            uint32_t l_779 = 1uL;
                            int32_t l_792 = 0x2e89f638L;
                            if (safe_lshift_func_int16_t_s_u(g_694 <= l_722,
                                                             safe_sub_func_int8_t_s_s(l_725[2] <= ((safe_sub_func_int32_t_s_s(g_143,
                                                                                                                              safe_mod_func_uint32_t_u_u(0x7abe5fafL >= (safe_sub_func_uint8_t_u_u(g_120[1],
                                                                                                                                                                                                   l_722), safe_lshift_func_int8_t_s_u(l_722,
                                                                                                                                                                                                                                       ((safe_lshift_func_int8_t_s_s(g_143,
                                                                                                                                                                                                                                                                     3) | l_725[2] || g_717) >= g_694 <= g_97[5], l_722) >= 4294967295uL) == g_694),
                                                                                                                                                         l_725[2])) >= g_694 ^ 0uL) != 8L) ^ 0x968fe10L,
                                                                                      l_1281)))
                            {
                                uint32_t l_749 = 4294967288uL;
                                if (~safe_add_func_uint32_t_u_u((0L != ((l_725[2] || safe_sub_func_int8_t_s_s(0x65L,
                                                                                                              safe_mod_func_uint32_t_u_u(l_1281,
                                                                                                                                         l_722))) ^ safe_add_func_uint16_t_u_u((l_790, safe_lshift_func_int8_t_s_u(0xa7L & 6L,
                                                                                                                                                                                                                   0)),
                                                                                                                                                                               (g_694 == l_1052) >= g_18 < g_101) < -1L) < g_694, 0x11329388L),
                                                                4294967295uL))
                                {
                                    int32_t l_769[1];
                                    int i;
                                    for (i = 0; i < 1; i++)
                                        l_769[i] = 0x804970a5L;
                                    g_120[1] = 1L;
                                    if (g_694)
                                        continue;
                                    l_749 = safe_rshift_func_uint16_t_u_u(g_97[2], 13);
                                    l_770 = safe_lshift_func_int8_t_s_s(5uL >= (0uL < safe_add_func_int8_t_s_s(safe_rshift_func_int16_t_s_s(g_18 != safe_sub_func_int32_t_s_s(safe_unary_minus_func_int32_t_s(safe_mod_func_int8_t_s_s(safe_mod_func_int32_t_s_s(0x5b48709bL,
                                                                                                                                                                                                                                                                 safe_rshift_func_int16_t_s_s(g_18,
                                                                                                                                                                                                                                                                                              g_694) || 3L),
                                                                                                                                                                                                                                       safe_sub_func_int32_t_s_s(g_694,
                                                                                                                                                                                                                                                                 (safe_rshift_func_int16_t_s_u(g_694,
                                                                                                                                                                                                                                                                                               7) || g_18 || l_769[0]) <= l_1281))),
                                                                                                                                                                              g_143),
                                                                                                                                            6) != g_694 != l_880,
                                                                                                               l_722)),
                                                                        l_1281);
                                }
                                else
                                {
                                    int16_t l_775 = -4L;
                                    int32_t l_776 = -3L;
                                    g_777 = (l_1052 ^ (l_725[2], 0xb43536d7L > 0x43474b68L)) >= ((g_18 < (safe_add_func_int8_t_s_s(l_722,
                                                                                                                                   0xfaL) & safe_mod_func_int8_t_s_s((l_775 | l_776 || g_101 || g_717, l_1281) <= 6L <= 0x62L,
                                                                                                                                                                     0x36L)) && l_1052) > 0x8eL) != l_1281 == l_1281;
                                }
                                --l_779;
                            }
                            else
                            {
                                int16_t l_786 = 8L;
                                int32_t l_789 = 2L;
                                int32_t l_791 = 0xb2b08dc3L;
                                uint32_t l_794 = 0x67a078f5L;
                                i = safe_rshift_func_int16_t_s_u(l_790, 9);
                                if (l_1281)
                                    break;
                                for (i = 0; i <= -8; i--)
                                {
                                    return l_786;
                                }
                                for (g_694 = 2; g_694 < 14; g_694 = safe_add_func_uint16_t_u_u(g_694,
                                                                                               3))
                                {
                                    l_794--;
                                }
                            }
                        }
                        ;
                        l_877[2][0]--;
                        --l_885;
                    }
                    g_120[1] = (safe_lshift_func_int8_t_s_u(-7L,
                                                            4), 1uL) <= safe_lshift_func_uint16_t_u_u(g_97[5] >= p_35 < safe_sub_func_uint8_t_u_u(p_35,
                                                                                                                                                  +(+safe_mod_func_int16_t_s_s((g_717 == safe_lshift_func_int16_t_s_s(safe_rshift_func_uint8_t_u_u(safe_lshift_func_uint8_t_u_s(((safe_rshift_func_uint8_t_u_u(0xa3L,
                                                                                                                                                                                                                                                                                                               3) <= (safe_sub_func_uint8_t_u_u(g_101 ^ g_97[2] <= 7uL >= 0x5416L < g_777,
                                                                                                                                                                                                                                                                                                                                                l_846) < -3L, p_34) & 0x514bL) == 0x4a10a230L) > 1uL,
                                                                                                                                                                                                                                                                                g_717) & 0x80bdL,
                                                                                                                                                                                                                                                   1) <= 0xb0L,
                                                                                                                                                                                                                      g_849[0]) == p_34 ^ p_35) == p_34,
                                                                                                                                                                               0xc7b8L) < l_877[0][0])),
                                                                                                      5);
                }
                {
                    int8_t l_524 = -8L;
                    l_524 = g_100;
                    l_1329 &= l_524;
                }
                l_778 = g_97[2] > (safe_mod_func_uint16_t_u_u(p_34 < p_34,
                                                              safe_mod_func_int16_t_s_s((safe_add_func_uint8_t_u_u((l_885, safe_mod_func_uint8_t_u_u((~(l_778 & 0xe4e5fd7L ^ (((l_844 == (g_22 | (((safe_rshift_func_uint8_t_u_s(g_22,
                                                                                                                                                                                                                                 p_34) & 0xc189e11aL) > 0x2171c1cL, p_34) < g_97[2], 0xabafL) && 0xfL, 0x444bL) >= 9L, 0xcab1L) || g_101) && 0x2cf198dbL)) ^ 7uL, 0x5d7cL) ^ l_919,
                                                                                                                                                     g_18)),
                                                                                                                   p_34), g_143),
                                                                                        p_35)) ^ -1L) <= 0x8L;
                for (l_919 = 0; l_919 != -11; --l_919)
                {
                    uint8_t l_923 = 0uL;
                    int32_t l_937 = 0xb482d4e8L;
                    int32_t l_938 = 0x297be1a5L;
                    int32_t l_939 = 0xff539210L;
                    int32_t l_1001 = 0x1c89d44eL;
                    l_923 += 1;
                    ++l_923;
                    if (l_848)
                        break;
                    l_875 ^= l_1329;
                    if (-1L != safe_sub_func_uint8_t_u_u(l_820,
                                                         ~((p_34 || (safe_lshift_func_int8_t_s_s(l_844,
                                                                                                 ~0xb7L & ((~safe_rshift_func_uint8_t_u_u(0xd5L,
                                                                                                                                          (g_100, g_849[0]) == g_100) || p_34) & l_820)), g_935)) == 0xdbb7L)) <= g_100 != l_936[0][5])
                    {
                        g_120[1] = l_725[2];
                        --l_940[0];
                    }
                    else
                    {
                        int32_t l_956 = 0xa1c5a82eL;
                        for (l_1007 = 13; l_1007 >= 1; l_1007 = safe_sub_func_int32_t_s_s(l_1007,
                                                                                          9))
                        {
                            uint8_t l_1840 = 0x4fL;
                            int32_t l_1843 = 1L;
                            int32_t l_1850 = -10L;
                            int32_t l_1851 = 0x86429966L;
                            int32_t l_1852 = 0xca3d88b8L;
                            int32_t l_1855 = 1L;
                            l_1840 = l_875;
                            --g_777;
                            --g_1217;
                        }
                        ;
                        g_120[1] = ((((g_849[0] ^ l_801[6][9]) & 0x3a09L) == (g_97[3] == safe_lshift_func_uint8_t_u_s(((p_34, p_35 < (g_935 || ((safe_mod_func_int16_t_s_s(safe_mod_func_int8_t_s_s(safe_lshift_func_uint8_t_u_u((safe_mod_func_uint16_t_u_u(g_120[0],
                                                                                                                                                                                                                                                             g_935) & p_35) != l_938,
                                                                                                                                                                                                                                 2),
                                                                                                                                                                                                    g_849[0]) <= l_953 || l_953,
                                                                                                                                                                           p_35) <= l_801[7][5] || 0xfca679b8L) == g_120[1]) > l_801[0][3] || l_923)) != l_953, l_821[6][1]),
                                                                                                                      p_34)) < 0xabL == 65535uL, 0x310916caL), g_120[0]);
                        l_884[0][0] = (safe_sub_func_int8_t_s_s(l_956,
                                                                safe_sub_func_uint32_t_u_u(safe_add_func_int8_t_s_s((safe_add_func_int8_t_s_s(safe_mod_func_int8_t_s_s(g_89,
                                                                                                                                                                       p_34 ^ 0x4c3bL) & +p_34 == 1L < g_100 || safe_add_func_int8_t_s_s(((l_725[0] & + (-5L) >= 0xefL) < l_820, -9L),
                                                                                                                                                                                                                                         0x84L) >= l_936[0][5] > 0x4c33d59bL,
                                                                                                                                              g_143) ^ g_849[0] ^ 1L ^ l_843) > g_540,
                                                                                                                    g_540),
                                                                                           g_97[2]) | 0xad02aafL), -1L);
                        l_821[3][2] = (safe_rshift_func_uint8_t_u_s((p_35 <= 0xded1L == (g_935 ^ safe_add_func_uint16_t_u_u(safe_unary_minus_func_uint16_t_u(safe_lshift_func_uint8_t_u_u(safe_mod_func_uint8_t_u_u(safe_lshift_func_int8_t_s_s((l_980 == safe_rshift_func_uint16_t_u_u(0x5cc1L,
                                                                                                                                                                                                                                                                                        (safe_lshift_func_uint16_t_u_u(safe_add_func_int16_t_s_s((safe_lshift_func_uint16_t_u_s(safe_lshift_func_uint8_t_u_u((g_97[2] == safe_rshift_func_uint16_t_u_u(safe_sub_func_uint8_t_u_u(g_97[2],
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 (p_34 || (safe_rshift_func_int16_t_s_s(safe_add_func_uint32_t_u_u(0x4849c4eL,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   p_34) <= p_34 <= l_937 ^ g_120[1],
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        g_540) > l_956, l_939)) <= 7L == g_18) != g_22,
                                                                                                                                                                                                                                                                                                                                                                                                                                                       g_89) >= g_694) < 255uL != g_89,
                                                                                                                                                                                                                                                                                                                                                                                                             1),
                                                                                                                                                                                                                                                                                                                                                                                g_694) != g_143, l_923) > 8L,
                                                                                                                                                                                                                                                                                                                                                 p_34),
                                                                                                                                                                                                                                                                                                                       9), 0xb22cL))) > 0xd0d7bb55L,
                                                                                                                                                                                                                                                7),
                                                                                                                                                                                                                    3uL) == p_34 | p_34,
                                                                                                                                                                                          l_884[0][5])) ^ l_880,
                                                                                                                            l_956) <= p_34)) >= p_34,
                                                                    1), 0xe75eL) == 0x5eecL;
                    }
                    {
                        int32_t l_1415 = -1L;
                        int i;
                        for (l_922 = 0; l_922 < 6; l_922++)
                        {
                            for (g_2469 = 0; g_2469 < 2; g_2469++)
                            {
                                transparent_crc(g_1540[l_922][g_2469],
                                                "g_1540[l_922][g_2469]",
                                                l_1415);
                                if (l_1415)
                                    printf("index = [%d][%d]\n", l_922, g_2469);
                            }
                        }
                        ;
                        l_846 &= g_120[g_100] ^ ((-1L == (safe_sub_func_int8_t_s_s(safe_sub_func_int8_t_s_s(safe_sub_func_int8_t_s_s(safe_lshift_func_uint8_t_u_u(g_120[g_100] >= ((((safe_mod_func_int8_t_s_s(safe_rshift_func_int16_t_s_u(safe_mod_func_int16_t_s_s((0xc0L >= (g_849[g_2431] > (((safe_add_func_int16_t_s_s(g_935,
                                                                                                                                                                                                                                                                                                                              safe_rshift_func_int16_t_s_s((safe_add_func_uint8_t_u_u(safe_add_func_uint8_t_u_u(g_540,
                                                                                                                                                                                                                                                                                                                                                                                                                l_880) == safe_unary_minus_func_uint32_t_u(safe_sub_func_int16_t_s_s(0x780fL,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     0xb48cL) <= g_120[1] ^ g_540),
                                                                                                                                                                                                                                                                                                                                                                                      g_2467), g_935),
                                                                                                                                                                                                                                                                                                                                                           g_935)), g_120[g_100]) && p_34) ^ g_540) > 0xfd94L) | g_18) == g_1217,
                                                                                                                                                                                                                                                                      g_120[4]) >= 0x6db3L,
                                                                                                                                                                                                                                            13),
                                                                                                                                                                                                               255uL), g_935) ^ g_935 || g_935) ^ g_935) != g_120[1]),
                                                                                                                                                                  4),
                                                                                                                                     g_935),
                                                                                                            0xcL),
                                                                                   0x61L), l_1415)) <= 0x17e2L >= l_846 | g_100 && l_1191[1] || g_18);
                        return g_120[g_100];
                    }
                    g_120[1] ^= safe_add_func_uint32_t_u_u(l_939, l_938);
                    return l_1001;
                }
            }
            for (g_143 = 17; g_143 <= 34; g_143 = safe_add_func_int32_t_s_s(g_143,
                                                                            2))
            {
                uint32_t l_1004 = 0x3c1b13c2L;
                if (p_35)
                    break;
                if (l_1004)
                    break;
            }
        }
        for (l_922 = -29; l_922 != -3; l_922++)
        {
            if (l_1439[5])
                break;
            l_1007--;
            {
                int8_t l_725[4] = { 0x6cL, -1L, 0x6cL, -1L };
                int32_t l_778 = 0L;
                int8_t l_790 = 0xcfL;
                int32_t l_793 = -10L;
                uint32_t l_877[3][1];
                int8_t l_880 = 0x4cL;
                int32_t l_919 = 0x24f96b7bL;
                int32_t l_922 = 1L;
                uint32_t l_940[8] = { 0x70725f80L, 0x971e3b31L, 0x70725f80L, 0x971e3b31L, 0x70725f80L, 0x971e3b31L, 0x70725f80L, 0x971e3b31L };
                uint32_t l_980 = 0xc75d6c4fL;
                uint8_t l_1007 = 0x6cL;
                uint32_t l_1052 = 0xc1e7b1a1L;
                int8_t l_1191[5] = { -3L, 2L, -3L, 2L, -3L };
                uint32_t l_1281 = 0x7b51dd50L;
                int32_t l_1327 = 0xc40777ebL;
                int32_t l_1329 = 0x90371e5eL;
                uint32_t l_1423 = 0uL;
                uint32_t l_1433 = 18446744073709551615uL;
                int32_t l_1439[6];
                int i, j;
                for (i = 0; i < 3; i++)
                {
                    for (j = 0; j < 1; j++)
                        l_877[i][j] = 0x46984abcL;
                }
                for (i = 0; i < 6; i++)
                    l_1439[i] = 9L;
                for (g_2431 = 0; g_2431 != 4; ++g_2431)
                {
                    uint8_t l_722 = 0xe0L;
                    int32_t l_770 = 0x6e81370eL;
                    uint32_t l_779 = 1uL;
                    int32_t l_792 = 0x2e89f638L;
                    if (safe_lshift_func_int16_t_s_u(g_694 <= l_722,
                                                     safe_sub_func_int8_t_s_s(l_725[2] <= ((safe_sub_func_int32_t_s_s(l_980,
                                                                                                                      safe_mod_func_uint32_t_u_u(0x7abe5fafL >= (safe_sub_func_uint8_t_u_u(g_120[1],
                                                                                                                                                                                           l_722), safe_lshift_func_int8_t_s_u(l_722,
                                                                                                                                                                                                                               ((safe_lshift_func_int8_t_s_s(l_980,
                                                                                                                                                                                                                                                             3) | l_725[2] || l_880) >= g_694 <= g_97[5], l_722) >= 4294967295uL) == g_694),
                                                                                                                                                 l_725[2])) >= g_694 ^ 0uL) != 8L) ^ 0x968fe10L,
                                                                              l_1052)))
                    {
                        uint32_t l_749 = 4294967288uL;
                        if (~safe_add_func_uint32_t_u_u((0L != ((l_725[2] || safe_sub_func_int8_t_s_s(0x65L,
                                                                                                      safe_mod_func_uint32_t_u_u(l_1052,
                                                                                                                                 l_722))) ^ safe_add_func_uint16_t_u_u((l_790, safe_lshift_func_int8_t_s_u(0xa7L & 6L,
                                                                                                                                                                                                           0)),
                                                                                                                                                                       (g_694 == l_1281) >= g_18 < g_694) < -1L) < g_694, 0x11329388L),
                                                        4294967295uL))
                        {
                            int32_t l_769[1];
                            int i;
                            for (i = 0; i < 1; i++)
                                l_769[i] = 0x804970a5L;
                            g_120[1] = 1L;
                            if (g_694)
                                continue;
                            l_749 = safe_rshift_func_uint16_t_u_u(g_97[2], 13);
                            l_770 = safe_lshift_func_int8_t_s_s(5uL >= (0uL < safe_add_func_int8_t_s_s(safe_rshift_func_int16_t_s_s(g_18 != safe_sub_func_int32_t_s_s(safe_unary_minus_func_int32_t_s(safe_mod_func_int8_t_s_s(safe_mod_func_int32_t_s_s(0x5b48709bL,
                                                                                                                                                                                                                                                         safe_rshift_func_int16_t_s_s(g_18,
                                                                                                                                                                                                                                                                                      g_694) || 3L),
                                                                                                                                                                                                                               safe_sub_func_int32_t_s_s(g_694,
                                                                                                                                                                                                                                                         (safe_rshift_func_int16_t_s_u(g_694,
                                                                                                                                                                                                                                                                                       7) || g_18 || l_769[0]) <= l_1052))),
                                                                                                                                                                      l_980),
                                                                                                                                    6) != g_694 != g_100,
                                                                                                       l_722)),
                                                                l_1052);
                        }
                        else
                        {
                            int16_t l_775 = -4L;
                            int32_t l_776 = -3L;
                            g_777 = (l_1281 ^ (l_725[2], 0xb43536d7L > 0x43474b68L)) >= ((g_18 < (safe_add_func_int8_t_s_s(l_722,
                                                                                                                           0xfaL) & safe_mod_func_int8_t_s_s((l_775 | l_776 || g_694 || l_880, l_1052) <= 6L <= 0x62L,
                                                                                                                                                             0x36L)) && l_1281) > 0x8eL) != l_1052 == l_1052;
                        }
                        --l_779;
                    }
                    else
                    {
                        int16_t l_786 = 8L;
                        int32_t l_789 = 2L;
                        int32_t l_791 = 0xb2b08dc3L;
                        uint32_t l_794 = 0x67a078f5L;
                        l_778 = safe_rshift_func_int16_t_s_u(l_790, 9);
                        if (l_1052)
                            break;
                        for (l_778 = 0; l_778 <= -8; l_778--)
                        {
                            return l_786;
                        }
                        for (g_694 = 2; g_694 < 14; g_694 = safe_add_func_uint16_t_u_u(g_694,
                                                                                       3))
                        {
                            l_794--;
                        }
                    }
                }
                if (l_1052 == g_694)
                {
                    int16_t l_801[8][10] = { { 0xbfacL, 0L, -1L, -1L, 0L, 0xbfacL, 0L, -1L, -1L, 0L }, { 0xbfacL, 0L, -1L, -1L, 0L, 0xbfacL, 0L, -1L, -1L, 0L }, { 0xbfacL, 0L, -1L, -1L, 0L, 0xbfacL, 0L, -1L, -1L, 0L }, { 0xbfacL, 0L, -1L, -1L, 0L, 0xbfacL, 0L, -1L, -1L, 0L }, { 0xbfacL, 0L, -1L, -1L, 0L, 0xbfacL, 0L, -1L, -1L, 0L }, { 0xbfacL, 0L, -1L, -1L, 0L, 0xbfacL, 0L, -1L, -1L, 0L }, { 0xbfacL, 0L, -1L, -1L, 0L, 0xbfacL, 0L, -1L, -1L, 0L }, { 0xbfacL, 0L, -1L, -1L, 0L, 0xbfacL, 0L, -1L, -1L, 0L } };
                    int32_t l_821[9][7] = { { 0x9b3bbbb0L, 0x33ed253bL, 2L, 4L, 2L, 0x33ed253bL, 0x9b3bbbb0L }, { 0x9b3bbbb0L, 0x33ed253bL, 2L, 4L, 2L, 0x33ed253bL, 0x9b3bbbb0L }, { 0x9b3bbbb0L, 0x33ed253bL, 2L, 4L, 2L, 0x33ed253bL, 0x9b3bbbb0L }, { 0x9b3bbbb0L, 0x33ed253bL, 2L, 4L, 2L, 0x33ed253bL, 0x9b3bbbb0L }, { 0x9b3bbbb0L, 0x33ed253bL, 2L, 4L, 2L, 0x33ed253bL, 0x9b3bbbb0L }, { 0x9b3bbbb0L, 0x33ed253bL, 2L, 4L, 2L, 0x33ed253bL, 0x9b3bbbb0L }, { 0x9b3bbbb0L, 0x33ed253bL, 2L, 4L, 2L, 0x33ed253bL, 0x9b3bbbb0L }, { 0x9b3bbbb0L, 0x33ed253bL, 2L, 4L, 2L, 0x33ed253bL, 0x9b3bbbb0L }, { 0x9b3bbbb0L, 0x33ed253bL, 2L, 4L, 2L, 0x33ed253bL, 0x9b3bbbb0L } };
                    uint32_t l_843 = 4294967290uL;
                    int32_t l_1046 = 0x7fd8aa4L;
                    int i, j;
                    for (l_1281 = 0; l_1281 > 15; ++l_1281)
                    {
                        g_120[1] = 0x19d1a3feL;
                        if (g_694)
                            continue;
                    }
                    for (l_793 = 0; l_793 <= 24; l_793 = safe_add_func_uint16_t_u_u(l_793,
                                                                                    2))
                    {
                        int32_t l_820 = -1L;
                        const int32_t l_844 = 1L;
                        int32_t l_846 = 0xefba0ca9L;
                        int32_t l_848 = 0x52fbe6a1L;
                        uint32_t l_885 = 2uL;
                        int32_t l_936[2][6] = { { 0L, 0L, -3L, 0L, 0L, -3L }, { 0L, 0L, -3L, 0L, 0L, -3L } };
                        int i, j;
                        l_801[7][5] = g_694;
                        for (g_777 = 0; g_777 <= 7; g_777 += 1)
                        {
                            int i, j;
                            g_120[3] = l_801[g_777][g_777];
                            l_821[6][1] = safe_rshift_func_uint8_t_u_s(safe_lshift_func_uint8_t_u_u((g_97[2], safe_lshift_func_int16_t_s_u((safe_rshift_func_int16_t_s_u(safe_add_func_uint8_t_u_u(4294967286uL != 0x9cdcb11eL,
                                                                                                                                                                                                   (l_801[g_777][g_777] ^ l_880 == safe_mod_func_int16_t_s_s((2uL | safe_mod_func_int8_t_s_s(l_1052 || safe_add_func_int16_t_s_s((g_97[2], 0x978c1b61L > 4294967291uL),
                                                                                                                                                                                                                                                                                                                                 l_820) < 0xb988L,
                                                                                                                                                                                                                                                                                             l_1052) || l_790) >= g_694 == 0x1f887ac6L,
                                                                                                                                                                                                                                                             l_1052)) > 6uL),
                                                                                                                                                                         6) != g_694) <= l_801[7][5],
                                                                                                                                           g_694)),
                                                                                                    3),
                                                                       l_801[7][5]);
                        }
                        if (0x4df543ceL && l_790)
                        {
                            uint32_t l_847 = 0xb97bac9cL;
                            for (l_880 = 0; l_880 >= -10; l_880--)
                            {
                                const uint32_t l_845 = 0xb19552afL;
                                l_846 = safe_sub_func_int8_t_s_s(0x65L,
                                                                 safe_unary_minus_func_int8_t_s(+(g_97[2] < safe_add_func_uint32_t_u_u(safe_rshift_func_int8_t_s_u(l_1052 >= g_100 || l_790,
                                                                                                                                                                   ((safe_sub_func_uint16_t_u_u(safe_rshift_func_uint8_t_u_s(safe_sub_func_int32_t_s_s(safe_mod_func_uint8_t_u_u(l_1052,
                                                                                                                                                                                                                                                                                 safe_add_func_uint32_t_u_u(l_801[7][1],
                                                                                                                                                                                                                                                                                                            ~(l_790 <= (0xcc872d8fL == 4uL) && g_120[1]))),
                                                                                                                                                                                                                                                       g_694) & l_843 & g_694 ^ l_1281,
                                                                                                                                                                                                                             g_97[2]) < -1L >= 0x60360610L ^ 0x1eL,
                                                                                                                                                                                                0xba9aL), l_844), l_1052)) == 3L,
                                                                                                                                       4294967295uL)))) <= l_845 != g_694;
                                if (l_847)
                                    break;
                                if (g_694)
                                    continue;
                            }
                            g_120[1] = 0x53887f5cL;
                        }
                        else
                        {
                            uint16_t l_875 = 6uL;
                            int32_t l_881 = 0L;
                            int32_t l_884[2][7] = { { 0xb1f54b37L, 0xb1f54b37L, -9L, 0xb1f54b37L, 0xb1f54b37L, -9L, 0xb1f54b37L }, { 0xb1f54b37L, 0xb1f54b37L, -9L, 0xb1f54b37L, 0xb1f54b37L, -9L, 0xb1f54b37L } };
                            uint16_t l_953 = 0x2ee0L;
                            int i, j;
                            g_849[0]--;
                            for (l_848 = 0; l_848 >= 0; l_848 -= 1)
                            {
                                int32_t l_876 = 1L;
                                int i;
                                if (safe_lshift_func_uint16_t_u_s(+safe_sub_func_uint8_t_u_u(g_849[l_848],
                                                                                             g_694),
                                                                  8))
                                {
                                    g_120[1] = 0xb8ed6298L;
                                    if (g_694)
                                        continue;
                                    l_846 &= safe_mod_func_uint32_t_u_u(g_694, 0xe4729dd1L);
                                }
                                else
                                {
                                    uint16_t l_861 = 0x987dL;
                                    g_120[1] = safe_add_func_int16_t_s_s(0x6d2dL, l_861) > 9L;
                                    return g_849[l_848];
                                }
                                for (g_777 = 0; g_777 <= 3; g_777 += 1)
                                {
                                    uint8_t l_870 = 0x7bL;
                                    int32_t l_882 = -8L;
                                    int32_t l_883 = -1L;
                                    l_875 &= (g_120[3], safe_add_func_int32_t_s_s(((g_849[0] & (safe_sub_func_uint16_t_u_u(g_120[4],
                                                                                                                           (safe_sub_func_int32_t_s_s((safe_sub_func_uint16_t_u_u(l_790,
                                                                                                                                                                                  l_870 & safe_mod_func_uint32_t_u_u((l_844 != (g_97[0] || g_97[3]), safe_lshift_func_int8_t_s_u((g_120[1], l_820),
                                                                                                                                                                                                                                                                                 l_980)),
                                                                                                                                                                                                                     l_1052)), g_18),
                                                                                                                                                      4294967295uL), l_1052)) || l_980) ^ l_1052) & l_1281) != g_777 & g_694,
                                                                                  l_870)) > 8uL;
                                    l_877[2][0]--;
                                    --l_885;
                                }
                                g_120[1] = (safe_lshift_func_int8_t_s_u(-7L,
                                                                        4), 1uL) <= safe_lshift_func_uint16_t_u_u(g_97[5] >= g_694 < safe_sub_func_uint8_t_u_u(g_694,
                                                                                                                                                               +(+safe_mod_func_int16_t_s_s((l_790 == safe_lshift_func_int16_t_s_s(safe_rshift_func_uint8_t_u_u(safe_lshift_func_uint8_t_u_s(((safe_rshift_func_uint8_t_u_u(0xa3L,
                                                                                                                                                                                                                                                                                                                            3) <= (safe_sub_func_uint8_t_u_u(g_694 ^ g_97[2] <= 7uL >= 0x5416L < g_777,
                                                                                                                                                                                                                                                                                                                                                             l_846) < -3L, l_1052) & 0x514bL) == 0x4a10a230L) > 1uL,
                                                                                                                                                                                                                                                                                             l_790) & 0x80bdL,
                                                                                                                                                                                                                                                                1) <= 0xb0L,
                                                                                                                                                                                                                                   g_849[0]) == l_1052 ^ g_694) == l_1052,
                                                                                                                                                                                            0xc7b8L) < l_877[0][0])),
                                                                                                                  5);
                            }
                            l_778 = g_97[2] > (safe_mod_func_uint16_t_u_u(l_1052 < l_1052,
                                                                          safe_mod_func_int16_t_s_s((safe_add_func_uint8_t_u_u((l_885, safe_mod_func_uint8_t_u_u((~(l_778 & 0xe4e5fd7L ^ (((l_844 == (l_980 | (((safe_rshift_func_uint8_t_u_s(l_980,
                                                                                                                                                                                                                                              l_1052) & 0xc189e11aL) > 0x2171c1cL, l_1052) < g_97[2], 0xabafL) && 0xfL, 0x444bL) >= 9L, 0xcab1L) || g_694) && 0x2cf198dbL)) ^ 7uL, 0x5d7cL) ^ l_919,
                                                                                                                                                                 g_18)),
                                                                                                                               l_1052), l_1281),
                                                                                                    g_694)) ^ -1L) <= 0x8L;
                            for (l_919 = 0; l_919 != -11; --l_919)
                            {
                                uint8_t l_923 = 0uL;
                                int32_t l_937 = 0xb482d4e8L;
                                int32_t l_938 = 0x297be1a5L;
                                int32_t l_939 = 0xff539210L;
                                int32_t l_1001 = 0x1c89d44eL;
                                ++l_923;
                                if (-1L != safe_sub_func_uint8_t_u_u(l_820,
                                                                     ~((l_1052 || (safe_lshift_func_int8_t_s_s(l_844,
                                                                                                               ~0xb7L & ((~safe_rshift_func_uint8_t_u_u(0xd5L,
                                                                                                                                                        (g_100, g_849[0]) == g_100) || l_1052) & l_820)), g_694)) == 0xdbb7L)) <= g_100 != l_936[0][5])
                                {
                                    g_120[1] = l_725[2];
                                    --l_940[0];
                                }
                                else
                                {
                                    int32_t l_956 = 0xa1c5a82eL;
                                    g_120[1] = ((((g_849[0] ^ l_801[6][9]) & 0x3a09L) == (g_97[3] == safe_lshift_func_uint8_t_u_s(((l_1052, g_694 < (g_694 || ((safe_mod_func_int16_t_s_s(safe_mod_func_int8_t_s_s(safe_lshift_func_uint8_t_u_u((safe_mod_func_uint16_t_u_u(g_120[0],
                                                                                                                                                                                                                                                                            g_694) & g_694) != l_938,
                                                                                                                                                                                                                                                2),
                                                                                                                                                                                                                   g_849[0]) <= l_953 || l_953,
                                                                                                                                                                                          g_694) <= l_801[7][5] || 0xfca679b8L) == g_120[1]) > l_801[0][3] || l_923)) != l_953, l_821[6][1]),
                                                                                                                                  l_1052)) < 0xabL == 65535uL, 0x310916caL), g_120[0]);
                                    l_884[0][0] = (safe_sub_func_int8_t_s_s(l_956,
                                                                            safe_sub_func_uint32_t_u_u(safe_add_func_int8_t_s_s((safe_add_func_int8_t_s_s(safe_mod_func_int8_t_s_s(l_880,
                                                                                                                                                                                   l_1052 ^ 0x4c3bL) & +l_1052 == 1L < g_100 || safe_add_func_int8_t_s_s(((l_725[0] & + (-5L) >= 0xefL) < l_820, -9L),
                                                                                                                                                                                                                                                         0x84L) >= l_936[0][5] > 0x4c33d59bL,
                                                                                                                                                          l_1281) ^ g_849[0] ^ 1L ^ l_843) > g_694,
                                                                                                                                g_694),
                                                                                                       g_97[2]) | 0xad02aafL), -1L);
                                    l_821[3][2] = (safe_rshift_func_uint8_t_u_s((g_694 <= 0xded1L == (g_694 ^ safe_add_func_uint16_t_u_u(safe_unary_minus_func_uint16_t_u(safe_lshift_func_uint8_t_u_u(safe_mod_func_uint8_t_u_u(safe_lshift_func_int8_t_s_s((l_980 == safe_rshift_func_uint16_t_u_u(0x5cc1L,
                                                                                                                                                                                                                                                                                                     (safe_lshift_func_uint16_t_u_u(safe_add_func_int16_t_s_s((safe_lshift_func_uint16_t_u_s(safe_lshift_func_uint8_t_u_u((g_97[2] == safe_rshift_func_uint16_t_u_u(safe_sub_func_uint8_t_u_u(g_97[2],
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              (l_1052 || (safe_rshift_func_int16_t_s_s(safe_add_func_uint32_t_u_u(0x4849c4eL,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  l_1052) <= l_1052 <= l_937 ^ g_120[1],
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       g_694) > l_956, l_939)) <= 7L == g_18) != l_980,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                    l_880) >= g_694) < 255uL != l_880,
                                                                                                                                                                                                                                                                                                                                                                                                                          1),
                                                                                                                                                                                                                                                                                                                                                                                             g_694) != l_1281, l_923) > 8L,
                                                                                                                                                                                                                                                                                                                                                              l_1052),
                                                                                                                                                                                                                                                                                                                                    9), 0xb22cL))) > 0xd0d7bb55L,
                                                                                                                                                                                                                                                             7),
                                                                                                                                                                                                                                 3uL) == l_1052 | l_1052,
                                                                                                                                                                                                       l_884[0][5])) ^ l_880,
                                                                                                                                         l_956) <= l_1052)) >= l_1052,
                                                                                1), 0xe75eL) == 0x5eecL;
                                }
                                g_120[1] ^= safe_add_func_uint32_t_u_u(l_939, l_938);
                                return l_1001;
                            }
                        }
                        for (l_1281 = 17; l_1281 <= 34; l_1281 = safe_add_func_int32_t_s_s(l_1281,
                                                                                           2))
                        {
                            uint32_t l_1004 = 0x3c1b13c2L;
                            if (g_694)
                                break;
                            if (l_1004)
                                break;
                        }
                    }
                    for (l_922 = -29; l_922 != -3; l_922++)
                    {
                        l_1007--;
                        if (g_694)
                            continue;
                        for (g_694 = 0; g_694 == -12; g_694 = safe_sub_func_int8_t_s_s(g_694,
                                                                                       2))
                        {
                            return g_849[0];
                        }
                    }
                    l_793 = (l_1052 || l_801[6][3] & g_849[0]) > safe_lshift_func_int8_t_s_u(safe_mod_func_uint16_t_u_u(g_694,
                                                                                                                        safe_mod_func_int8_t_s_s(((safe_lshift_func_int16_t_s_u(safe_rshift_func_uint8_t_u_s(g_694,
                                                                                                                                                                                                             +(safe_mod_func_uint8_t_u_u(safe_sub_func_uint8_t_u_u(((+(safe_mod_func_int16_t_s_s((safe_add_func_int8_t_s_s(g_18 ^ safe_add_func_int8_t_s_s(((safe_rshift_func_uint8_t_u_s(((safe_rshift_func_uint8_t_u_s(l_821[6][1] ^ (((safe_mod_func_uint32_t_u_u(safe_rshift_func_int16_t_s_u(0x5fbed003L || safe_rshift_func_int8_t_s_u(safe_lshift_func_int16_t_s_s(-5L,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          0),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             5) != l_790,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  l_1052),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                     l_1046) < 0x3eL, 0xe788d646L) == l_801[3][2], l_725[2]) || l_801[5][3]) || 0x23L,
                                                                                                                                                                                                                                                                                                                                                                                                                         l_801[7][5]), 0x32L) & 255uL || l_1052) && l_1052,
                                                                                                                                                                                                                                                                                                                                                                                          l_877[2][0]), l_1046), l_880),
                                                                                                                                                                                                                                                                                                                                                           0x67L),
                                                                                                                                                                                                                                                                                                                           0uL) >= 0x78d41ac2L, g_694) ^ 255uL,
                                                                                                                                                                                                                                                                                                 l_725[2]), 0x1712L), l_919), g_694),
                                                                                                                                                                                                                                                                   l_1052),
                                                                                                                                                                                                                                         l_1046) && l_1281)),
                                                                                                                                                                                l_1052) ^ g_777, g_694), g_849[0]),
                                                                                                                                                 l_793)),
                                                                                             g_694);
                }
                else
                {
                    int32_t l_1051[4] = { 0xa2dd9a0L, 0L, 0xa2dd9a0L, 0L };
                    int32_t l_1081 = 1L;
                    int32_t l_1226[1][2][5] = { { { 0L, -1L, 0L, -1L, 0L }, { 0L, -1L, 0L, -1L, 0L } } };
                    int32_t l_1273 = 0x20573342L;
                    int32_t l_1359 = 0x441bd344L;
                    uint8_t l_1361 = 0x58L;
                    int32_t l_1369 = -7L;
                    int i, j, k;
                    l_1051[0] = safe_lshift_func_uint16_t_u_s(safe_lshift_func_int8_t_s_s(g_694,
                                                                                          1),
                                                              14);
                    l_1052 |= l_940[3];
                    for (g_777 = 0; g_777 > 1; ++g_777)
                    {
                        uint8_t l_1069 = 1uL;
                        int8_t l_1216 = 0xbdL;
                        int32_t l_1219 = 0x1be859f7L;
                        int32_t l_1224 = 7L;
                        int32_t l_1227 = -6L;
                        int32_t l_1228 = 0x1ee42556L;
                        int32_t l_1229 = 0xd31b29f5L;
                        int32_t l_1231[6];
                        uint32_t l_1233 = 1uL;
                        int i;
                        for (i = 0; i < 6; i++)
                            l_1231[i] = 7L;
                        if ((l_1052, (safe_add_func_uint8_t_u_u(safe_sub_func_int32_t_s_s(safe_sub_func_int32_t_s_s(-3L == (safe_add_func_uint16_t_u_u(safe_rshift_func_uint16_t_u_s(0x6b9eL,
                                                                                                                                                                                     l_1052),
                                                                                                                                                       safe_add_func_int32_t_s_s(safe_mod_func_int16_t_s_s(((l_1069, ((~(l_1051[0], safe_add_func_uint16_t_u_u(safe_sub_func_uint32_t_u_u(g_694 >= ~(0x941cb444L | g_849[0] || g_18) < l_1052 == l_1051[0],
                                                                                                                                                                                                                                                                                          1uL) <= l_1052,
                                                                                                                                                                                                                                                               g_694) > g_694) == 6L) <= 0L, g_694)) & 5L, l_1052),
                                                                                                                                                                                                           1uL),
                                                                                                                                                                                 4294967288uL) >= l_793) != l_1052),
                                                                                                                    0xff1d970aL),
                                                                                          1L),
                                                                l_1052), l_790) & g_694))
                        {
                            uint8_t l_1080 = 1uL;
                            l_919 = safe_sub_func_uint32_t_u_u(safe_sub_func_uint32_t_u_u(1uL,
                                                                                          l_1051[3]),
                                                               g_849[0] < l_1069 != 1L > l_880);
                            g_120[1] = (g_849[0] || 0xd3L) <= l_919;
                            if (l_1080)
                                break;
                            if (l_1069)
                                break;
                        }
                        else
                        {
                            int16_t l_1094 = 0xecc4L;
                            int32_t l_1149[2];
                            int16_t l_1163[7][10];
                            int i, j;
                            for (i = 0; i < 2; i++)
                                l_1149[i] = 0xba560eb5L;
                            for (i = 0; i < 7; i++)
                            {
                                for (j = 0; j < 10; j++)
                                    l_1163[i][j] = 6L;
                            }
                            l_1081 = g_694 == g_694;
                            for (g_694 = 16; g_694 != -28; g_694 = safe_sub_func_int16_t_s_s(g_694,
                                                                                             5))
                            {
                                int32_t l_1095 = -6L;
                                for (l_1281 = 0; l_1281 <= 0; l_1281 += 1)
                                {
                                    int i, j;
                                    return l_877[l_1281][l_1281];
                                }
                                l_1095 = ((g_120[1] || -5L) && safe_lshift_func_int16_t_s_u((safe_rshift_func_int16_t_s_u(g_694 || (0xbbL ^ safe_mod_func_uint8_t_u_u(safe_sub_func_uint8_t_u_u(g_120[1],
                                                                                                                                                                                                (-1L > (g_777, 1L), safe_add_func_int16_t_s_s(l_1052,
                                                                                                                                                                                                                                              l_1052) & 4294967289uL) <= l_1052 != l_1069),
                                                                                                                                                                      g_120[1]) | g_694) == g_694,
                                                                                                                          l_1052) >= 0x20L, 0x45caL),
                                                                                            g_694) > -2L <= 0x8bb0L < l_1094, l_1069) ^ g_694;
                                for (l_919 = 0; l_919 <= 0; l_919 += 1)
                                {
                                    int i, j;
                                    g_120[2] = l_877[l_919][l_919];
                                }
                            }
                            if ((l_1052, l_1052))
                            {
                                uint16_t l_1101[10] = { 0xea04L, 0xea04L, 0uL, 0xea04L, 0xea04L, 0uL, 0xea04L, 0xea04L, 0uL, 0xea04L };
                                int i;
                                if (l_790)
                                    break;
                                if (safe_add_func_int8_t_s_s(safe_add_func_int8_t_s_s((g_694 == ((((((!((l_1052 ^ (l_1069 || (l_1101[9] & (-7L | (safe_sub_func_uint8_t_u_u(g_694,
                                                                                                                                                                            safe_add_func_uint32_t_u_u(l_1281,
                                                                                                                                                                                                       0x1cb4d9c6L)) && l_790) >= l_877[2][0] >= l_1052)) <= l_980)) <= 4L), l_1052) || l_1052) != l_1052, g_694), 0xdf52L), g_100) ^ l_1069) || l_880, 0L),
                                                                                      255uL),
                                                             l_1052))
                                {
                                    uint16_t l_1114[5][1][4] = { { { 0x8b41L, 0x38efL, 1uL, 0x38efL } }, { { 0x8b41L, 0x38efL, 1uL, 0x38efL } }, { { 0x8b41L, 0x38efL, 1uL, 0x38efL } }, { { 0x8b41L, 0x38efL, 1uL, 0x38efL } }, { { 0x8b41L, 0x38efL, 1uL, 0x38efL } } };
                                    int i, j, k;
                                    l_922 = safe_sub_func_uint8_t_u_u(safe_sub_func_int32_t_s_s(g_694,
                                                                                                8L & -1L),
                                                                      5uL) ^ safe_sub_func_uint32_t_u_u(0x9b71de32L ^ l_1052 < l_1052,
                                                                                                        +((l_1101[9] != g_120[0]) <= 0x33L, l_1051[0]));
                                    g_120[1] ^= !((l_1114[4][0][3] == safe_mod_func_uint32_t_u_u(((safe_lshift_func_int8_t_s_s(safe_add_func_int16_t_s_s(+(!(g_849[0] > l_880) ^ 0x43e281L),
                                                                                                                                                         g_97[2] >= l_1281),
                                                                                                                               safe_sub_func_int8_t_s_s(~(safe_mod_func_uint16_t_u_u(0xc6L || 0x36L,
                                                                                                                                                                                     l_1052) & 0x68L || g_694, l_1051[0]),
                                                                                                                                                        l_1094) != 0x2e20L) || l_1052) | l_1094) & g_694,
                                                                                                 l_1052)) > 1uL) < 1uL > g_694 > 0x5e87ade6L == 0x38c86f29L;
                                }
                                else
                                {
                                    int8_t l_1148 = 0x89L;
                                    l_1149[1] = 0x88L > (((g_694 || safe_mod_func_uint32_t_u_u(l_1052,
                                                                                               safe_add_func_int32_t_s_s(safe_lshift_func_int8_t_s_u(safe_mod_func_uint16_t_u_u(safe_mod_func_int32_t_s_s(safe_sub_func_uint16_t_u_u((l_1052, 0L ^ ((safe_add_func_int8_t_s_s(safe_add_func_int16_t_s_s(safe_lshift_func_uint16_t_u_s(g_694,
                                                                                                                                                                                                                                                                                                                                      (g_97[2] | 0x826cL) < ((safe_rshift_func_uint8_t_u_s(l_980,
                                                                                                                                                                                                                                                                                                                                                                                           g_694) <= 253uL | l_1094) >= l_1148)),
                                                                                                                                                                                                                                                                                                        l_1052) < l_980,
                                                                                                                                                                                                                                                                              l_1148) || g_97[2]) | 0x9933L)) || l_1281,
                                                                                                                                                                                                                                     0L),
                                                                                                                                                                                                          l_1052) >= 0x23ddbf23L,
                                                                                                                                                                                g_100),
                                                                                                                                                     1) && l_1069,
                                                                                                                         0x57543a32L))) != 1L, l_1052) | 4294967295uL) ^ 0xb771L;
                                    if (g_694)
                                        break;
                                    g_120[1] = safe_mod_func_int16_t_s_s(((safe_lshift_func_int8_t_s_s(((safe_sub_func_uint32_t_u_u(((safe_mod_func_int16_t_s_s(0L,
                                                                                                                                                                ((+65533uL > (safe_mod_func_uint32_t_u_u(safe_add_func_int16_t_s_s((l_1149[1], g_2431 >= g_694 >= (l_1163[1][2] || (safe_sub_func_int16_t_s_s(g_694 != l_1101[9] >= (l_1051[2] == 4294967295uL),
                                                                                                                                                                                                                                                                                                              l_1052) ^ l_1281) & g_694)) && g_694,
                                                                                                                                                                                                                                   g_694),
                                                                                                                                                                                                         l_1051[1]) > 2L) || g_694) < g_777, l_1081)) < l_1052 && g_694) ^ 0x5443L) < g_777,
                                                                                                                                    g_694), l_1149[0]), g_694),
                                                                                                       2) != l_1101[6]) <= g_694, l_1052) >= l_1094,
                                                                         g_18);
                                }
                                l_919 = safe_rshift_func_int8_t_s_s(l_1081 ^ 4294967295uL, 0);
                            }
                            else
                            {
                                for (g_100 = 3; g_100 >= 1; g_100 -= 1)
                                {
                                    int i;
                                    if (g_120[g_100])
                                        break;
                                    if (l_725[g_100])
                                        break;
                                    return g_694;
                                }
                            }
                        }
                        if (g_2431)
                        {
                            uint16_t l_1172 = 0x80d0L;
                            l_922 &= ((l_1052 >= l_1172 && (g_849[0], (0x4e57L != safe_unary_minus_func_uint8_t_u(((safe_sub_func_uint16_t_u_u(safe_sub_func_int16_t_s_s(!(safe_unary_minus_func_uint16_t_u(g_694) | l_1052),
                                                                                                                                                                         safe_rshift_func_int16_t_s_u(safe_sub_func_uint16_t_u_u(safe_sub_func_uint8_t_u_u(0uL,
                                                                                                                                                                                                                                                           (l_1069, safe_sub_func_int32_t_s_s((safe_add_func_int8_t_s_s((!g_2431, g_694) <= l_725[0],
                                                                                                                                                                                                                                                                                                                        g_694) != l_1172) > l_1191[1] < l_1172 & 0uL,
                                                                                                                                                                                                                                                                                              0x349e8373L)) | g_694),
                                                                                                                                                                                                                                 l_980),
                                                                                                                                                                                                      g_694)) & g_2431,
                                                                                                                                               -5L) < l_1069, g_849[0]) | l_1172) >= l_1069) && g_694) != 0uL | g_777 | 0x7351L)) & l_725[3], l_980);
                            g_1217 |= safe_mod_func_int16_t_s_s(-4L,
                                                                safe_mod_func_uint8_t_u_u(safe_sub_func_uint8_t_u_u(safe_add_func_int16_t_s_s(safe_lshift_func_int16_t_s_u(safe_mod_func_int32_t_s_s(((safe_lshift_func_int8_t_s_u(g_849[0],
                                                                                                                                                                                                                                   !0xe43bdf21L) || (((safe_lshift_func_int16_t_s_s(safe_rshift_func_int8_t_s_u(~safe_lshift_func_int16_t_s_s(l_1052,
                                                                                                                                                                                                                                                                                                                                              11),
                                                                                                                                                                                                                                                                                                                6),
                                                                                                                                                                                                                                                                                    6), 0x9037L) || g_777) ^ (g_694 & (l_1052 && safe_rshift_func_uint8_t_u_s(l_1052,
                                                                                                                                                                                                                                                                                                                                                              l_1281))) != l_1081) >= g_777 && g_849[0]) > g_120[1], 0xb8L) ^ l_1052,
                                                                                                                                                                                                     4294967295uL),
                                                                                                                                                                           l_880),
                                                                                                                                              -1L) <= l_880 ^ l_1069,
                                                                                                                    l_1172),
                                                                                          0xfbL)) > l_1216;
                        }
                        else
                        {
                            int32_t l_1218 = 0L;
                            int32_t l_1220 = 0xd6a84518L;
                            int32_t l_1221 = 0x3e2f8b07L;
                            int32_t l_1222 = 0xbc228decL;
                            int32_t l_1223 = 0L;
                            int32_t l_1225 = 0x92788a2fL;
                            int32_t l_1230 = 0x8a193837L;
                            int32_t l_1232[1][1];
                            int i, j;
                            for (i = 0; i < 1; i++)
                            {
                                for (j = 0; j < 1; j++)
                                    l_1232[i][j] = 0xbe2ce0adL;
                            }
                            l_1233++;
                        }
                        if (g_777)
                        {
                            uint32_t l_1241[4][8] = { { 0x92359c80L, 18446744073709551615uL, 1uL, 5uL, 0xe2f39250L, 1uL, 0xe2f39250L, 5uL }, { 0x92359c80L, 18446744073709551615uL, 1uL, 5uL, 0xe2f39250L, 1uL, 0xe2f39250L, 5uL }, { 0x92359c80L, 18446744073709551615uL, 1uL, 5uL, 0xe2f39250L, 1uL, 0xe2f39250L, 5uL }, { 0x92359c80L, 18446744073709551615uL, 1uL, 5uL, 0xe2f39250L, 1uL, 0xe2f39250L, 5uL } };
                            uint16_t l_1252 = 0x759aL;
                            int i, j;
                            g_120[4] |= (safe_lshift_func_uint16_t_u_s(6uL,
                                                                       8), (safe_unary_minus_func_int32_t_s(safe_sub_func_int16_t_s_s((((l_1241[2][6] | 0L) & ((safe_rshift_func_uint16_t_u_u(safe_unary_minus_func_int16_t_s(l_1191[0]) & (l_1052, ((safe_rshift_func_uint16_t_u_u(safe_lshift_func_uint16_t_u_u((l_1052, safe_add_func_int16_t_s_s((~l_1252, safe_add_func_uint16_t_u_u((((g_18 | safe_lshift_func_uint16_t_u_s(safe_add_func_uint8_t_u_u(((0x1ca4L < l_1052 && l_880) | g_97[2]) ^ g_694,
                                                                                                                                                                                                                                                                                                                                                                                                                                                            g_694),
                                                                                                                                                                                                                                                                                                                                                                                                                                  l_1052)) != l_1052 || l_790) > l_1051[2], 0x6db4L),
                                                                                                                                                                                                                                                                                                                                                                                          l_778)) || l_1052,
                                                                                                                                                                                                                                                                                                                                                     0x5d57L)),
                                                                                                                                                                                                                                                                                                                  g_97[2]),
                                                                                                                                                                                                                                                                                    l_1219) || 1uL || g_694) | l_1052) != g_849[0]),
                                                                                                                                                                                              l_790) && 1L) > 0x1dc0L, g_694)) != 0x35a6L || 0xe981L) | g_777,
                                                                                                                                      1L)), g_777));
                        }
                        else
                        {
                            uint16_t l_1263[6][10] = { { 0xe2a8L, 0x6dabL, 0uL, 0xb1ccL, 0xb1ccL, 0uL, 0x6dabL, 0xe2a8L, 0uL, 0xe2a8L }, { 0xe2a8L, 0x6dabL, 0uL, 0xb1ccL, 0xb1ccL, 0uL, 0x6dabL, 0xe2a8L, 0uL, 0xe2a8L }, { 0xe2a8L, 0x6dabL, 0uL, 0xb1ccL, 0xb1ccL, 0uL, 0x6dabL, 0xe2a8L, 0uL, 0xe2a8L }, { 0xe2a8L, 0x6dabL, 0uL, 0xb1ccL, 0xb1ccL, 0uL, 0x6dabL, 0xe2a8L, 0uL, 0xe2a8L }, { 0xe2a8L, 0x6dabL, 0uL, 0xb1ccL, 0xb1ccL, 0uL, 0x6dabL, 0xe2a8L, 0uL, 0xe2a8L }, { 0xe2a8L, 0x6dabL, 0uL, 0xb1ccL, 0xb1ccL, 0uL, 0x6dabL, 0xe2a8L, 0uL, 0xe2a8L } };
                            int32_t l_1277[9];
                            int16_t l_1321 = 0x3afeL;
                            int i, j;
                            for (i = 0; i < 9; i++)
                                l_1277[i] = -1L;
                            for (l_922 = 0; l_922 <= -8; --l_922)
                            {
                                uint8_t l_1265 = 0xa0L;
                                int32_t l_1272 = 0xa92a5564L;
                                uint8_t l_1274 = 1uL;
                                int32_t l_1325 = 0x5f0f06dL;
                                int32_t l_1326 = 0xa526867eL;
                                int8_t l_1360 = 0xe8L;
                                if (safe_rshift_func_int16_t_s_s(1L,
                                                                 l_790 < (l_1263[4][9] && !(l_1265 || g_694), ((g_694, safe_sub_func_uint8_t_u_u(safe_lshift_func_int16_t_s_u((safe_lshift_func_uint8_t_u_u(g_97[2],
                                                                                                                                                                                                            2) >= g_100 | 8L, l_1281),
                                                                                                                                                                              g_849[0]) ^ g_120[1],
                                                                                                                                                 l_1052)) == g_18) >= g_694 < l_1263[0][9])) >= l_1081)
                                {
                                    uint32_t l_1278 = 0x7a1781b4L;
                                    l_1274--;
                                    l_1278--;
                                }
                                else
                                {
                                    uint8_t l_1292 = 255uL;
                                    int32_t l_1301 = 0L;
                                    l_1281 ^= 0x10e3b930L;
                                    l_1277[4] &= safe_rshift_func_int16_t_s_u(safe_mod_func_uint16_t_u_u(9uL || (g_849[0] < (g_1217 >= g_849[0] || g_694), safe_sub_func_int16_t_s_s(safe_sub_func_int8_t_s_s(0xddL,
                                                                                                                                                                                                              0uL ^ safe_lshift_func_uint16_t_u_u((l_1292 <= safe_lshift_func_uint16_t_u_s(safe_rshift_func_uint16_t_u_u(safe_add_func_uint32_t_u_u(safe_mod_func_uint32_t_u_u(g_777 & -1L,
                                                                                                                                                                                                                                                                                                                                                                               g_2431),
                                                                                                                                                                                                                                                                                                                                                    l_1219),
                                                                                                                                                                                                                                                                                                                         7),
                                                                                                                                                                                                                                                                                           g_694), l_1281),
                                                                                                                                                                                                                                                  1)),
                                                                                                                                                                                     0uL) & g_694 || l_1052),
                                                                                                         l_940[0]),
                                                                              g_694);
                                    l_1301 = 0x9fc577abL;
                                }
                                for (l_790 = 0; l_790 >= 7; l_790 = safe_add_func_uint8_t_u_u(l_790,
                                                                                              3))
                                {
                                    return g_694;
                                }
                                if ((g_694, safe_add_func_int8_t_s_s(safe_lshift_func_int8_t_s_u(g_694,
                                                                                                 3),
                                                                     (l_1277[4], safe_rshift_func_uint8_t_u_u(g_694,
                                                                                                              safe_lshift_func_int8_t_s_s(l_1052 > safe_add_func_uint16_t_u_u(l_1052,
                                                                                                                                                                              (~safe_add_func_uint8_t_u_u((g_694 >= safe_mod_func_uint16_t_u_u(safe_sub_func_int8_t_s_s(g_97[0],
                                                                                                                                                                                                                                                                        (g_849[0], l_1321)) || l_1052,
                                                                                                                                                                                                                                               l_1281) && l_1229) ^ g_694,
                                                                                                                                                                                                          l_1081) && l_1226[0][1][2], l_1052)),
                                                                                                                                          5))) >= l_1052) >= 65527uL == l_1277[4]))
                                {
                                    uint32_t l_1322 = 1uL;
                                    int32_t l_1328[3];
                                    uint16_t l_1330[7][2] = { { 1uL, 0uL }, { 1uL, 0uL }, { 1uL, 0uL }, { 1uL, 0uL }, { 1uL, 0uL }, { 1uL, 0uL }, { 1uL, 0uL } };
                                    int i, j;
                                    for (i = 0; i < 3; i++)
                                        l_1328[i] = 5L;
                                    --l_1322;
                                    l_1330[3][0]++;
                                    if (l_1326)
                                        continue;
                                }
                                else
                                {
                                    int32_t l_1333[3];
                                    int i;
                                    for (i = 0; i < 3; i++)
                                        l_1333[i] = 8L;
                                    l_1333[2] = l_1052;
                                    g_120[3] = safe_lshift_func_uint16_t_u_s(safe_rshift_func_uint16_t_u_u(0x461cL,
                                                                                                           7),
                                                                             l_1051[0] < (g_777 < safe_add_func_uint16_t_u_u((0x1114L | g_100) != safe_mod_func_uint32_t_u_u(safe_mod_func_int16_t_s_s(g_1217,
                                                                                                                                                                                                       safe_add_func_uint16_t_u_u((safe_rshift_func_int16_t_s_u(((-1L ^ safe_add_func_int8_t_s_s(0x17d87be6L != safe_rshift_func_int8_t_s_s(safe_unary_minus_func_uint32_t_u(!l_1281) ^ 0x50L,
                                                                                                                                                                                                                                                                                                                                            g_694) ^ g_694,
                                                                                                                                                                                                                                                                                                 g_694)) < 8uL, g_2431),
                                                                                                                                                                                                                                                                14), l_1329),
                                                                                                                                                                                                                                  l_922)),
                                                                                                                                                                             0x45d6e44fL),
                                                                                                                             l_980)));
                                }
                                if (l_790 >= ((l_1051[0] != ((g_694 == (g_849[0] ^ l_1265 > l_1052)) < g_694 == g_849[0])) <= safe_lshift_func_uint8_t_u_s((safe_lshift_func_int8_t_s_u(l_1052,
                                                                                                                                                                                        l_880), 0xf4L),
                                                                                                                                                           2)))
                                {
                                    l_1277[4] = g_694;
                                }
                                else
                                {
                                    int32_t l_1358 = 0x27225a3dL;
                                    --l_1361;
                                    if (l_980)
                                        break;
                                }
                            }
                        }
                        for (l_1281 = -1; l_1281 == 31; ++l_1281)
                        {
                            l_1081 ^= safe_add_func_int8_t_s_s(l_1359,
                                                               1L) < (l_1052 != (((-2L > g_18, (l_880 != 0xaeL & ((g_1368[1] > (g_777 <= g_694) & l_1359) == g_97[5]) > l_1369) == 4294967286uL), -1L) ^ 255uL));
                        }
                    }
                    g_120[1] = safe_sub_func_uint16_t_u_u((0x68dcacffL | safe_sub_func_int8_t_s_s((safe_mod_func_uint32_t_u_u(((g_97[2], safe_lshift_func_int16_t_s_u(g_1368[2] && 0L,
                                                                                                                                                                      0)) | (l_1361 && safe_mod_func_int8_t_s_s(g_694 && safe_rshift_func_int16_t_s_s((((~((safe_add_func_uint16_t_u_u((safe_lshift_func_uint8_t_u_u((safe_add_func_uint8_t_u_u(l_1369,
                                                                                                                                                                                                                                                                                                                                                l_1052) && 1L != 0x1161L != l_1052 ^ l_980 ^ g_2431) < l_1361,
                                                                                                                                                                                                                                                                                                                     g_120[1]) >= g_849[0], -1L) | 0x3f27L,
                                                                                                                                                                                                                                                                                       g_1368[0]), 0x8d90L) ^ g_777) ^ l_725[2] | 0xc3L && g_1368[1]) <= l_1052, l_1226[0][1][2]), l_1226[0][0][2]),
                                                                                                                                                                                                                                                      2),
                                                                                                                                                                                                                l_1052)) <= l_1273) >= 0x27L >= g_97[6] != 2L != 0x1c966bf2L,
                                                                                                                              g_777) | -3L) < l_1281 > g_694 == l_1052,
                                                                                                  l_1191[1])) <= l_790,
                                                          8L);
                }
                for (g_100 = 4; g_100 >= 0; g_100 -= 1)
                {
                    int16_t l_1414 = 0x1ae5L;
                    int32_t l_1416 = -7L;
                    for (g_2431 = 0; g_2431 <= 0; g_2431 += 1)
                    {
                        int32_t l_1415 = -1L;
                        int i;
                        l_1416 &= g_120[g_100] ^ ((-1L == (safe_sub_func_int8_t_s_s(safe_sub_func_int8_t_s_s(safe_sub_func_int8_t_s_s(safe_lshift_func_uint8_t_u_u(g_120[g_100] >= ((((safe_mod_func_int8_t_s_s(safe_rshift_func_int16_t_s_u(safe_mod_func_int16_t_s_s((0xc0L >= (g_849[g_2431] > (((safe_add_func_int16_t_s_s(g_694,
                                                                                                                                                                                                                                                                                                                               safe_rshift_func_int16_t_s_s((safe_add_func_uint8_t_u_u(safe_add_func_uint8_t_u_u(g_694,
                                                                                                                                                                                                                                                                                                                                                                                                                 l_790) == safe_unary_minus_func_uint32_t_u(safe_sub_func_int16_t_s_s(0x780fL,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      0xb48cL) <= g_120[1] ^ g_694),
                                                                                                                                                                                                                                                                                                                                                                                       l_1281), g_694),
                                                                                                                                                                                                                                                                                                                                                            g_694)), g_120[g_100]) && l_980) ^ l_1414) > 0xfd94L) | g_18) == g_1217,
                                                                                                                                                                                                                                                                       g_120[4]) >= 0x6db3L,
                                                                                                                                                                                                                                             13),
                                                                                                                                                                                                                255uL), g_694) ^ g_694 || g_694) ^ g_694) != g_120[1]),
                                                                                                                                                                   4),
                                                                                                                                      g_694),
                                                                                                             0xcL),
                                                                                    0x61L), l_1415)) <= 0x17e2L >= l_922 | g_100 && l_1191[1] || g_18);
                        return g_120[g_100];
                    }
                    l_1329 = g_694;
                    l_1416 = safe_add_func_int8_t_s_s(8L,
                                                      safe_add_func_uint8_t_u_u(safe_add_func_uint32_t_u_u(l_1423,
                                                                                                           g_1217) & (0xa6f0f4f8L != (l_1414 == l_1052) & +safe_add_func_uint16_t_u_u(l_1416,
                                                                                                                                                                                      g_18)),
                                                                                (l_980, l_790)) > g_1368[0]);
                    for (l_1416 = 0; l_1416 >= 0; l_1416 -= 1)
                    {
                        int8_t l_1432 = -1L;
                        int32_t l_1440 = 0x9d9c4759L;
                        l_1440 &= (g_694 < safe_add_func_uint8_t_u_u(l_1052,
                                                                     ((safe_unary_minus_func_int32_t_s(3L), 250uL), safe_sub_func_uint8_t_u_u((g_694 == l_1432, l_1433 > (safe_lshift_func_int8_t_s_u(safe_mod_func_uint32_t_u_u(~((l_1423 ^ g_849[0]) >= g_1217) || l_980,
                                                                                                                                                                                                                                 -6L) ^ g_849[0],
                                                                                                                                                                                                      l_1052) >= l_1416) | 0xa9a8L) & -8L,
                                                                                                                                              l_1439[5]))), 6uL) && g_120[1];
                    }
                }
                return g_97[6];
            }
            if (g_540)
                continue;
            if (l_1329)
                printf("index = [%d][%d]\n", l_922, l_793);
            for (g_101 = 0; g_101 == -12; g_101 = safe_sub_func_int8_t_s_s(g_101,
                                                                           2))
            {
                for (l_1281 = 0; l_1281 <= 7; l_1281 += 1)
                {
                    int i, j;
                    g_120[3] = l_801[l_1281][l_1281];
                    l_821[6][1] = safe_rshift_func_uint8_t_u_s(safe_lshift_func_uint8_t_u_u((g_97[2], safe_lshift_func_int16_t_s_u((safe_rshift_func_int16_t_s_u(safe_add_func_uint8_t_u_u(4294967286uL != 0x9cdcb11eL,
                                                                                                                                                                                           (l_801[l_1281][l_1281] ^ g_89 == safe_mod_func_int16_t_s_s((2uL | safe_mod_func_int8_t_s_s(l_843 || safe_add_func_int16_t_s_s((g_97[2], 0x978c1b61L > 4294967291uL),
                                                                                                                                                                                                                                                                                                                         l_1327) < 0xb988L,
                                                                                                                                                                                                                                                                                      l_843) || l_880) >= g_2254 == 0x1f887ac6L,
                                                                                                                                                                                                                                                      l_843)) > 6uL),
                                                                                                                                                                 6) != g_935) <= l_801[7][5],
                                                                                                                                   g_2254)),
                                                                                            3),
                                                               l_801[7][5]);
                }
                ;
                if (l_1423)
                    break;
                return g_849[0];
            }
        }
        l_793 = (p_34 || l_801[6][3] & g_849[0]) > safe_lshift_func_int8_t_s_u(safe_mod_func_uint16_t_u_u(p_35,
                                                                                                          safe_mod_func_int8_t_s_s(((safe_lshift_func_int16_t_s_u(safe_rshift_func_uint8_t_u_s(p_35,
                                                                                                                                                                                               +(safe_mod_func_uint8_t_u_u(safe_sub_func_uint8_t_u_u(((+(safe_mod_func_int16_t_s_s((safe_add_func_int8_t_s_s(g_18 ^ safe_add_func_int8_t_s_s(((safe_rshift_func_uint8_t_u_s(((safe_rshift_func_uint8_t_u_s(l_821[6][1] ^ (((safe_mod_func_uint32_t_u_u(safe_rshift_func_int16_t_s_u(0x5fbed003L || safe_rshift_func_int8_t_s_u(safe_lshift_func_int16_t_s_s(-5L,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            0),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               5) != l_790,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    p_34),
                                                                                                                                                                                                                                                                                                                                                                                                                                                       l_1046) < 0x3eL, 0xe788d646L) == l_801[3][2], l_725[2]) || l_801[5][3]) || 0x23L,
                                                                                                                                                                                                                                                                                                                                                                                                           l_801[7][5]), 0x32L) & 255uL || p_34) && p_34,
                                                                                                                                                                                                                                                                                                                                                                            l_877[2][0]), l_1046), g_89),
                                                                                                                                                                                                                                                                                                                                             0x67L),
                                                                                                                                                                                                                                                                                                             0uL) >= 0x78d41ac2L, p_35) ^ 255uL,
                                                                                                                                                                                                                                                                                   l_725[2]), 0x1712L), l_919), p_35),
                                                                                                                                                                                                                                                     p_34),
                                                                                                                                                                                                                           l_1046) && g_143)),
                                                                                                                                                                  p_34) ^ g_777, p_35), g_849[0]),
                                                                                                                                   l_793)),
                                                                               p_35);
    }
    else
    {
        int32_t l_1051[4] = { 0xa2dd9a0L, 0L, 0xa2dd9a0L, 0L };
        int32_t l_1081 = 1L;
        int32_t l_1226[1][2][5] = { { { 0L, -1L, 0L, -1L, 0L }, { 0L, -1L, 0L, -1L, 0L } } };
        int32_t l_1273 = 0x20573342L;
        int32_t l_1359 = 0x441bd344L;
        uint8_t l_1361 = 0x58L;
        int32_t l_1369 = -7L;
        int i, j, k;
        if (g_101 > l_778)
        {
            g_2003[0] |= safe_add_func_uint8_t_u_u(safe_add_func_int16_t_s_s(((safe_rshift_func_uint16_t_u_u(g_1482[0][1][0],
                                                                                                             ~(-6L < l_1433 >= g_120[1] | (l_1433, l_1433)) != (safe_lshift_func_uint16_t_u_s((g_1548[4][6][2] || (safe_rshift_func_int8_t_s_s(1L,
                                                                                                                                                                                                                                               4) <= 0xc812e52fL || g_1368[1]) <= 0uL, l_725[1]),
                                                                                                                                                                                              3) != i) < 65535uL) | g_1482[2][1][1]) <= 4294967292uL && l_1329) > g_89,
                                                                             g_849[0]),
                                                   g_1171);
            g_2414 ^= g_2100;
        }
        l_1051[0] = safe_lshift_func_uint16_t_u_s(safe_lshift_func_int8_t_s_s(g_935,
                                                                              1),
                                                  14);
        while (!g_18)
        {
            for (g_101 = 16; g_101 != -28; g_101 = safe_sub_func_int16_t_s_s(g_101,
                                                                             5))
            {
                int32_t l_1095 = -6L;
                for (l_1281 = 0; l_1281 <= 0; l_1281 += 1)
                {
                    int i, j;
                    return l_877[l_1281][l_1281];
                }
                l_1095 = ((g_120[1] || -5L) && safe_lshift_func_int16_t_s_u((safe_rshift_func_int16_t_s_u(g_935 || (0xbbL ^ safe_mod_func_uint8_t_u_u(safe_sub_func_uint8_t_u_u(g_120[1],
                                                                                                                                                                                (-1L > (g_2467, 1L), safe_add_func_int16_t_s_s(p_34,
                                                                                                                                                                                                                               p_34) & 4294967289uL) <= p_34 != g_59),
                                                                                                                                                      g_120[1]) | g_935) == g_935,
                                                                                                          p_34) >= 0x20L, 0x45caL),
                                                                            g_935) > -2L <= 0x8bb0L < g_540, g_59) ^ g_540;
                for (l_1052 = 0; l_1052 != 38; ++l_1052)
                {
                    k = l_1007 < safe_sub_func_int8_t_s_s(safe_add_func_int32_t_s_s(g_777 < 0L,
                                                                                    g_777 >= 0L),
                                                          -1L) >= (safe_lshift_func_uint8_t_u_u((k || 252uL, (safe_lshift_func_int8_t_s_s(l_1359,
                                                                                                                                          7) != 0L == g_694, g_849[0])),
                                                                                                g_22) >= l_922);
                }
                ;
                for (g_2100 = 0; g_2100 <= 0; g_2100 += 1)
                {
                    int i, j;
                    g_120[2] = l_877[g_2100][g_2100];
                }
            }
            ;
        }
        l_1052 |= l_940[3];
        int16_t BHoHogg_101 = ~((l_778 ^ l_919) & ~ (~g_101) - (~g_143 / l_1052 >> (l_1329 || g_1171 ^ l_1423)) & ~ (~(~g_777 - l_1361)));
        uint8_t BHoHohl_1361 = ~(~ (~(BHoHogg_101 && ~(~l_1052 & g_1171))) ^ ~(~g_143 ^ (~ (~ (~ (~l_1423))) && (l_778 | ~g_101) << (l_1329 && l_1361) && l_919 / g_777)));
        uint32_t BHoHoil_1423 = ~(~ (~(~(l_1052 & l_919) - (~ (~l_1329) || ~ (~(g_777 ^ ~(~g_143 && BHoHogg_101 & l_1423))) || ~ (~(~BHoHohl_1361 || g_101 | (l_1361 || g_1171)))))) | l_778);
        int32_t BHoHojl_919 = ~((BHoHohl_1361 | l_1329) & ~(~ (~l_1423) | ~((BHoHogg_101 || ~g_143) | ~l_1052 ^ g_1171) || ~ (~(~g_101 ^ ~BHoHoil_1423))) & ~ (~(l_778 | ~(~(l_1361 - g_777) & l_919))));
        uint8_t BHoHokg_1171 = ~(~ (~ (~BHoHohl_1361)) - ~ (~ (~ (~ (~(l_1423 / (l_1052 - BHoHoil_1423)))))) | ~(~ (~BHoHojl_919) | ~g_101 | l_1329 && l_919 - ~l_1361 >> (g_1171 && g_777) / (BHoHogg_101 || g_143 || ~l_778)));
        uint32_t BHoHoll_1052 = ~(~((~l_1361 || l_778 ^ l_1423) - l_1329 - ~ (~ (~ (~g_101))) ^ g_143) | ~ (~g_777) & ~(BHoHokg_1171 >> g_1171 & (l_919 ^ l_1052) - BHoHogg_101) ^ ~BHoHoil_1423 - (BHoHohl_1361 && BHoHojl_919));
        if (!(g_777 <= 3723980291u) || ! (!l_1361))
        {
            BHoHogg_101 = g_101;
            BHoHohl_1361 = l_1361;
            uint32_t B4o4ol_1052 = ~(~(g_100 & l_1081) * ((~l_1369 | l_1007 << g_694 && (l_919 ^ l_1327) * l_1433) * l_790 & -l_1052));
            int32_t B4o4obl_919 = -((~ (~l_919) && l_1007) * ~(~(~(l_1081 - l_1327) - ~l_790) ^ (-(l_1369 ^ l_1433) >> ~(~g_694 | g_100) && ~(l_1052 & ~B4o4ol_1052))));
            int8_t B4o4ocg_100 = ~(((~l_1081 | (g_100 && (l_1007 && l_1052))) & (~l_919 * g_694 | l_1433)) - (~ (-(~ (-(B4o4ol_1052 ^ B4o4obl_919)) ^ ~l_790)) - (~l_1369 ^ l_1327)));
            int32_t B4o4odl_1369 = ~(-(~ (~l_919) & l_790) ^ (~ (-(B4o4ocg_100 * l_1369)) ^ -(l_1433 >> g_694) * (-l_1327 | l_1007) - B4o4ol_1052 & ((g_100 && l_1052 & B4o4obl_919) ^ l_1081)));
            int8_t B4o4oel_790 = -(~ (-(- (~l_919) & - (-l_1327))) & ~(~((~(~l_790 & g_694) && l_1433) | (l_1081 & B4o4obl_919 && g_100)) | (B4o4odl_1369 ^ l_1369 && (-((B4o4ocg_100 && l_1052) * l_1007) && B4o4ol_1052))));
            uint32_t B4o4ofl_1433 = ~(~ (-(l_1052 >> (-g_694 && l_1327))) ^ -(~(~(~l_1007 * B4o4oel_790 - (B4o4odl_1369 && B4o4ocg_100)) && (l_1369 | ~l_919) - -l_1081) * ((l_790 ^ - (~B4o4obl_919) & ~(~l_1433 && ~B4o4ol_1052)) & ~ (~g_100))));
            if (B4o4ocg_100 < g_100)
            {
                B4o4ol_1052 = l_1052;
                B4o4obl_919 = l_919;
                B4o4ocg_100 = g_100;
                B4o4odl_1369 = l_1369;
            LABEL_4o4og:
                B4o4oel_790 = l_790;
                B4o4ofl_1433 = l_1433;
                l_1052 = ~((-(l_1052 >> l_1081 | ~ (~B4o4ocg_100)) ^ (g_100 * (B4o4oel_790 & - (~l_1007)) - (g_694 - B4o4obl_919 ^ l_919 | ~l_790) && (B4o4odl_1369 && ~(l_1433 ^ l_1327)))) & ~(B4o4ofl_1433 * (B4o4ol_1052 - l_1369)));
                l_919 = ~((l_1433 && ~l_1081) * l_790 * (~(- (-B4o4odl_1369) & (~(-B4o4oel_790 ^ ~l_1369) && (l_1007 && (B4o4obl_919 && l_1327)) | ~ (-g_100))) * ~(~ (~((l_1052 ^ g_694) - B4o4ofl_1433)) | ~(B4o4ocg_100 & B4o4ol_1052 | l_919))));
                g_100 = ~(~ (~((~l_1369 ^ -l_1081) * ~(~B4o4odl_1369 - B4o4ol_1052))) | (- (~(l_1007 - B4o4oel_790)) | ~ (~ (~l_1327)) ^ (l_1433 | -((- (-B4o4ofl_1433) << (-l_1052 | l_919) * g_694) * (B4o4obl_919 & ~(~B4o4ocg_100 - (l_790 ^ ~g_100)))))));
                l_1369 = ~(- (~(l_1433 - B4o4obl_919)) & -(l_1052 >> g_100 && -B4o4oel_790) - (-(l_1007 && g_694 | B4o4ofl_1433) | ~ (-B4o4odl_1369)) && ~ (~((~l_1327 && l_1369 - -B4o4ol_1052 && ~ (~l_790)) * -(~l_1081 | B4o4ocg_100 & l_919))));
                l_790 = ~(~ (~ (- (-(B4o4ofl_1433 | -l_1327 - l_1369)))) * (- (-(g_100 * B4o4odl_1369 & -(B4o4oel_790 & B4o4ol_1052))) * (g_694 * ((l_1007 ^ -B4o4ocg_100) * ~ (-l_1052)) * - (~l_1433)) && - (~(~l_790 - ((B4o4obl_919 | ~l_1081) - ~l_919)))));
                l_1433 = -((l_1081 - l_790 | l_1327 | (B4o4ofl_1433 && g_694)) - (~(-B4o4odl_1369 * (B4o4oel_790 * g_100)) ^ (-B4o4obl_919 && B4o4ocg_100) ^ l_1052 & (~B4o4ol_1052 ^ l_919)) | -((-l_1369 && l_1433) & l_1007));
                if (l_790 < B4o4oel_790)
                {
                    printf("l_1052=%llu\n", (unsigned long long) l_1052);
                    l_1052 = ~(~(-l_1007 - ~(l_1327 << l_919) && -((B4o4oel_790 << (~l_1369 << ~(B4o4odl_1369 | g_100)) & -(l_1052 & B4o4ofl_1433) | B4o4ocg_100) << - (~((g_694 << l_1433) * l_790 | B4o4ol_1052)))) << (~B4o4obl_919 | ~l_1081));
                    goto LABEL_4o4og;
                }
                if (!l_1327 && l_919 > 2012425961)
                {
                    printf("l_919=%lld\n", (long long) l_919);
                    goto LABEL_4o4og;
                }
                if (!l_1081)
                {
                    printf("g_100=%lld\n", (long long) g_100);
                    l_790 = -((~ (-(g_100 >> l_790)) - (l_1052 * l_1327 && - (~(~l_1369 && ~B4o4ocg_100 | B4o4odl_1369)))) * ~ (~(-(l_1007 | B4o4oel_790) & l_1433 - ((~l_919 | l_1081) << (~B4o4obl_919 >> B4o4ol_1052 >> (~g_694 & -B4o4ofl_1433))))));
                    goto LABEL_4o4og;
                }
                if (!(B4o4oel_790 < B4o4ocg_100))
                {
                    printf("l_1369=%lld\n", (long long) l_1369);
                    l_1052 = ~(-l_1052 * -((g_694 << B4o4ocg_100 | ~g_100 >> l_1007) * (~l_1433 << ~(B4o4oel_790 >> B4o4ol_1052 ^ l_1369)) * ~ (-(l_1081 >> B4o4ofl_1433 & l_919)) * -(~B4o4odl_1369 && B4o4obl_919) | ~ (~(~l_790 << l_1327))));
                    goto LABEL_4o4og;
                }
                if (l_1052 < 1811930623u)
                {
                    printf("l_790=%lld\n", (long long) l_790);
                    l_790 = -(~ (- (~((~l_1433 && l_790) - ((B4o4ocg_100 << l_1007 ^ ~B4o4obl_919) - ~g_694)))) | B4o4odl_1369 & -(((l_1327 - l_1369 ^ -(B4o4ol_1052 - l_1052)) & -(l_919 - l_1081 ^ ~B4o4oel_790)) * - (~(B4o4ofl_1433 && g_100))));
                }
                if (!(g_694 < B4o4ol_1052))
                {
                    printf("l_1433=%llu\n", (unsigned long long) l_1433);
                    l_790 = -(~ (~ (~(-l_1327 & l_1007 | l_919 << (B4o4odl_1369 >> l_1081) * l_1433 >> B4o4ol_1052 * B4o4ocg_100))) | -((~(l_1369 && ~(~B4o4obl_919 >> l_1052)) && g_694 & ~B4o4ofl_1433) << ~(~ (- (~l_790)) >> ~(B4o4oel_790 << g_100))));
                    l_919 = -(~((l_1369 << g_100 & -(l_1327 * B4o4ofl_1433) << (l_1007 >> B4o4obl_919)) >> ((B4o4ocg_100 ^ ~B4o4odl_1369) >> ~l_790)) << ~(l_1052 - (l_919 << B4o4ol_1052 >> ~B4o4oel_790)) ^ - (~ (~l_1433)) * (l_1081 << g_694));
                    goto LABEL_4o4og;
                }
            }
            l_1052 = B4o4ol_1052;
            l_919 = B4o4obl_919;
            g_100 = B4o4ocg_100;
            l_1369 = B4o4odl_1369;
            l_790 = B4o4oel_790;
            l_1433 = B4o4ofl_1433;
            BHoHoil_1423 = l_1423;
            if (g_18 >= 150)
                BHoHojl_919 = l_919;
            BHoHokg_1171 = g_1171;
            BHoHoll_1052 = l_1052;
            while (l_980 < l_1281)
            {
                for (l_1007 = -26; l_1007 <= 16; l_1007++)
                {
                    int8_t l_524 = -8L;
                    l_524 = l_880;
                    l_1081 &= l_524;
                }
                ;
            }
            g_101 = ~(~(~ (~BHoHojl_919) & (~(~g_1171 | BHoHogg_101) - (g_143 - BHoHokg_1171) ^ BHoHoll_1052)) & ~(~l_1361 & BHoHohl_1361 ^ ~(BHoHoil_1423 - g_101)) ^ ~(~l_919 ^ ~(l_1423 || ~(g_777 & l_1052 | (~l_778 && l_1329)))));
            l_1361 = ~(~ (~g_1171) | ((l_919 | (~BHoHogg_101 && g_777 | BHoHohl_1361) >> ~g_143 >> ((g_101 ^ ~l_778 || (~l_1423 || BHoHoll_1052)) && l_1052)) ^ (~(~BHoHojl_919 || l_1329 / l_1361) ^ BHoHoil_1423) | BHoHokg_1171));
            l_1423 = ~(~ (~ (~(BHoHogg_101 / ~g_101))) & ~(~ (~BHoHokg_1171) / (~(BHoHoll_1052 && l_919) ^ ((g_777 - (~BHoHohl_1361 && (l_1423 && (g_143 & g_1171) / l_1329)) || ~BHoHoil_1423) ^ l_1361))) ^ ~(l_778 && BHoHojl_919) - l_1052);
            l_919 = ~(~(~l_1423 || ~(~(BHoHohl_1361 & ~l_1329) || (BHoHogg_101 & (BHoHoll_1052 ^ ~l_919) || ~(g_1171 / ~BHoHojl_919)))) / (~ (~ (~(~BHoHokg_1171 - g_777))) & (l_1052 ^ ~(l_1361 << (g_101 ^ l_778 && BHoHoil_1423)) & g_143)));
            g_1171 = ~(~ (~ (~(~ (~BHoHoil_1423) && BHoHoll_1052))) || ~(~ (~(~g_1171 ^ l_1423)) / ~ (~(~g_101 && ~(BHoHokg_1171 || BHoHogg_101))) & ~(g_143 >> (~l_1361 ^ l_919 && l_778 ^ g_777)) || l_1329 | BHoHojl_919) & ~(l_1052 - BHoHohl_1361));
            l_1052 = ~(l_1361 ^ ~ (~l_778) << (~(~BHoHogg_101 || ~(~l_1423 | ~(BHoHokg_1171 || (g_101 || g_777) || BHoHojl_919) - ~g_1171)) | ~ (~(l_919 & g_143)) || ~(l_1329 || l_1052 || BHoHoil_1423 && ~BHoHoll_1052)) || ~ (~ (~BHoHohl_1361)));
            if (BHoHokg_1171 > l_1423)
            {
                printf("g_101=%lld\n", (long long) g_101);
                BHoHoil_1423 = ~(~ (~ (~(((l_1329 >> g_143 & BHoHogg_101) >> g_777) / (~g_101 - l_1052)))) && (~(l_1361 >> g_1171 ^ BHoHokg_1171) || (~ (~ (~l_1423)) && ~ (~(l_778 && BHoHoll_1052))) / ~ (~BHoHohl_1361) << ~(~(BHoHojl_919 >> ~BHoHoil_1423) && l_919)));
                for (j = 0; j < 3; j++)
                    g_1368[j] = 5L;
                for (g_89 = 4; g_89 >= 0; g_89 -= 1)
                {
                    int16_t l_1414 = 0x1ae5L;
                    int32_t l_1416 = -7L;
                    for (BHoHohl_1361 = 0; BHoHohl_1361 <= 0; BHoHohl_1361 += 1)
                    {
                        int32_t l_1415 = -1L;
                        int i;
                        l_1416 &= g_120[g_89] ^ ((-1L == (safe_sub_func_int8_t_s_s(safe_sub_func_int8_t_s_s(safe_sub_func_int8_t_s_s(safe_lshift_func_uint8_t_u_u(g_120[g_89] >= ((((safe_mod_func_int8_t_s_s(safe_rshift_func_int16_t_s_u(safe_mod_func_int16_t_s_s((0xc0L >= (g_849[BHoHohl_1361] > (((safe_add_func_int16_t_s_s(g_101,
                                                                                                                                                                                                                                                                                                                                   safe_rshift_func_int16_t_s_s((safe_add_func_uint8_t_u_u(safe_add_func_uint8_t_u_u(g_694,
                                                                                                                                                                                                                                                                                                                                                                                                                     g_100) == safe_unary_minus_func_uint32_t_u(safe_sub_func_int16_t_s_s(0x780fL,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          0xb48cL) <= g_120[1] ^ g_694),
                                                                                                                                                                                                                                                                                                                                                                                           BHoHoll_1052), g_101),
                                                                                                                                                                                                                                                                                                                                                                g_101)), g_120[g_89]) && l_980) ^ l_1414) > 0xfd94L) | g_18) == g_1217,
                                                                                                                                                                                                                                                                     g_120[4]) >= 0x6db3L,
                                                                                                                                                                                                                                           13),
                                                                                                                                                                                                              255uL), g_101) ^ g_101 || g_101) ^ g_101) != g_120[1]),
                                                                                                                                                                  4),
                                                                                                                                     g_101),
                                                                                                            0xcL),
                                                                                   0x61L), l_1415)) <= 0x17e2L >= BHoHojl_919 | g_89 && l_1191[1] || g_18);
                        {
                            return BHoHokg_1171;
                        }
                        return g_120[g_89];
                    }
                    l_1359 = g_101;
                    l_1416 = safe_add_func_int8_t_s_s(8L,
                                                      safe_add_func_uint8_t_u_u(safe_add_func_uint32_t_u_u(g_777,
                                                                                                           g_1217) & (0xa6f0f4f8L != (l_1414 == l_980) & +safe_add_func_uint16_t_u_u(l_1416,
                                                                                                                                                                                     g_18)),
                                                                                (l_980, g_100)) > g_1368[0]);
                    for (l_1416 = 0; l_1416 >= 0; l_1416 -= 1)
                    {
                        int8_t l_1432 = -1L;
                        int32_t l_1440 = 0x9d9c4759L;
                        if (safe_lshift_func_uint16_t_u_s(+safe_sub_func_uint8_t_u_u(g_849[l_1369],
                                                                                     g_101),
                                                          8))
                        {
                            g_120[1] = 0xb8ed6298L;
                            if (g_101)
                                continue;
                            BHoHojl_919 &= safe_mod_func_uint32_t_u_u(g_101, 0xe4729dd1L);
                        }
                        else
                        {
                            uint16_t l_861 = 0x987dL;
                            g_120[1] = safe_add_func_int16_t_s_s(0x6d2dL, l_861) > 9L;
                            return g_849[l_1369];
                        }
                        ;
                        l_1440 &= (g_540 < safe_add_func_uint8_t_u_u(l_980,
                                                                     ((safe_unary_minus_func_int32_t_s(3L), 250uL), safe_sub_func_uint8_t_u_u((g_101 == l_1432, l_1433 > (safe_lshift_func_int8_t_s_u(safe_mod_func_uint32_t_u_u(~((g_777 ^ g_849[0]) >= g_1217) || l_980,
                                                                                                                                                                                                                                 -6L) ^ g_849[0],
                                                                                                                                                                                                      l_980) >= l_1416) | 0xa9a8L) & -8L,
                                                                                                                                              l_1439[5]))), 6uL) && g_120[1];
                    }
                }
                {
                    for (g_2469 = 0; g_2469 < 3; g_2469++)
                    {
                        transparent_crc(g_2184[k][g_2469],
                                        "g_2184[k][g_2469]",
                                        BHoHojl_919);
                        if (BHoHojl_919)
                            printf("index = [%d][%d]\n", k, g_2469);
                    }
                }
                ;
                l_1052 = ~(((~l_778 | BHoHojl_919 << BHoHokg_1171) / l_1361 & (~l_1329 - (BHoHoil_1423 & l_1423) ^ BHoHoll_1052)) - (~BHoHohl_1361 && g_1171 & g_101 ^ (g_777 ^ l_919) && (~BHoHogg_101 | l_1052) >> ~g_143));
            }
            if (g_143 <= 4294967295u && g_143 > l_1007)
                if (!(g_101 > BHoHoil_1423))
                {
                    printf("l_1361=%llu\n", (unsigned long long) l_1361);
                    BHoHohl_1361 = ~((g_777 & l_919) - (BHoHohl_1361 << ~(l_778 || BHoHojl_919)) ^ l_1329 / ~(BHoHoil_1423 & ~ (~l_1423)) - (~ (~ (~(l_1361 && l_1052))) ^ (BHoHogg_101 - g_1171 && g_143 - ~BHoHoll_1052 || ~ (~(g_101 << BHoHokg_1171)))));
                    BHoHojl_919 = ~(~ (~(~ (~(l_1423 >> l_1329)) - (l_778 - (BHoHoll_1052 - l_919) << ~(BHoHohl_1361 / g_1171)))) - ((BHoHojl_919 << l_1052) / ~l_1361 << (~ (~(g_101 - ~BHoHoil_1423 << ~(BHoHogg_101 >> BHoHokg_1171))) & (g_777 | g_143))));
                    l_1361 = ~(~(~(g_777 & ~(l_1329 << BHoHogg_101)) << (~ (~l_919) - g_143 & g_101 || ~(g_1171 & ~BHoHokg_1171 || l_1423)) && ~(l_1052 && ~ (~(BHoHojl_919 ^ l_1361)) - (BHoHohl_1361 | BHoHoil_1423))) - ~ (~ (~(BHoHoll_1052 << ~l_778))));
                }
            if (g_777 < 3723980291u)
            {
                printf("l_1423=%llu\n", (unsigned long long) l_1423);
                BHoHoll_1052 = ~(~(~((BHoHoil_1423 || l_1361 || ~g_1171) << ~l_1052) - ~(((BHoHojl_919 ^ BHoHoll_1052) & ~((g_101 ^ l_1423) & ~(~l_1329 >> g_777))) - (l_778 || BHoHohl_1361)) & BHoHogg_101 / BHoHokg_1171) && l_919 ^ g_143);
                BHoHoil_1423 = ~((~(~(l_1361 | ~(~(~BHoHohl_1361 | g_777) & ~BHoHokg_1171)) && g_143) && ~(~(~(BHoHojl_919 || l_919) && g_1171) ^ ~ (~(BHoHogg_101 >> BHoHoll_1052 / (l_1423 >> g_101) ^ ~(~l_1329 ^ l_1052))))) / ~ (~(l_778 && ~ (~BHoHoil_1423))));
                l_1361 = ~((~ (~ (~(~ (~g_777) / (BHoHoll_1052 >> ~(l_919 && BHoHogg_101))))) - ((BHoHojl_919 ^ g_1171) << g_143)) / ((l_1361 & (l_778 - l_1423 / g_101 && (l_1052 || BHoHokg_1171))) >> (~BHoHoil_1423 && (l_1329 || BHoHohl_1361))));
            }
            if (BHoHokg_1171 > BHoHojl_919)
            {
                {
                    uint32_t l_384 = 0uL;
                    l_922 = safe_sub_func_uint16_t_u_u(safe_add_func_uint16_t_u_u((g_935, safe_mod_func_int32_t_s_s(((((((l_790, safe_mod_func_uint8_t_u_u(g_97[2] ^ ~ (+g_717),
                                                                                                                                                           (g_97[3] & (safe_sub_func_uint16_t_u_u(l_384 >= g_694,
                                                                                                                                                                                                  ((safe_lshift_func_int16_t_s_u(g_2414 || (((safe_rshift_func_int16_t_s_u(1uL != g_1217,
                                                                                                                                                                                                                                                                           4), 0x8dL) >= g_100, g_1217), 0x343f8062L),
                                                                                                                                                                                                                                 g_1217) > 4L > g_2414, g_120[1]) != l_790, g_2100) == 0xcb3f649dL) | g_2414) || g_100) | g_120[3] && 0xe5L) < 0uL) >= g_97[1] || 0x3f5aL) ^ BHoHogg_101 || g_1217) | l_1327, 0L) || -1L) ^ 0x8506b361L) >= g_935 ^ -6L,
                                                                                                                    0x3f0d7356L)),
                                                                                  g_100),
                                                       g_22);
                    l_1423--;
                }
                printf("l_919=%lld\n", (long long) l_919);
                l_1423 = ~((~ (~l_1329) ^ ~(BHoHohl_1361 >> BHoHoil_1423) << l_1052) & ~ (~(~(~ (~g_777) / (~g_1171 | ~ (~l_778)) | l_919 / BHoHogg_101 >> ~l_1361) - ((BHoHokg_1171 ^ BHoHojl_919) - (~g_101 & (g_143 & ~(l_1423 ^ BHoHoll_1052)))))));
                BHoHokg_1171 = ~(((~(~l_778 >> l_1052) << ~g_777 || BHoHojl_919) & (l_1329 ^ ~BHoHohl_1361) << ~ (~(l_919 | ~g_1171))) / ~(~(g_143 / l_1423) | g_101) / (~BHoHogg_101 >> (~(BHoHokg_1171 | BHoHoil_1423) & BHoHoll_1052) | l_1361));
            }
            if (!BHoHokg_1171 && l_919 > l_1329)
            {
                printf("g_1171=%llu\n", (unsigned long long) g_1171);
                l_1423 = ~(~(l_1361 / ~ (~BHoHoil_1423) ^ (~(BHoHogg_101 || g_101 ^ l_1423) ^ ~BHoHojl_919)) | ~(~l_1329 ^ BHoHoll_1052) && ~((~ (~g_777) << (g_1171 & ~((l_1052 ^ l_778) << ~ (~g_143)))) - ~ (~ (~ (~(l_919 || (BHoHohl_1361 || BHoHokg_1171)))))));
                g_1171 = ~(~(BHoHoll_1052 >> ~(l_1329 >> (BHoHokg_1171 | l_1052 && ~g_777) / ~ (~l_919) >> (BHoHogg_101 ^ ~ (~ (~l_778))) - ~BHoHoil_1423 >> ~(g_1171 ^ (BHoHojl_919 << ~l_1361 && BHoHohl_1361 - g_143)))) || g_101 ^ l_1423);
            }
            if (!l_1361)
            {
                printf("l_1052=%llu\n", (unsigned long long) l_1052);
                BHoHohl_1361 = ~(~(g_777 || ~(g_101 & l_919) || g_143) / (l_1329 >> ~(BHoHoil_1423 | BHoHogg_101 & ~l_1361)) || ~ (~(((BHoHoll_1052 << BHoHokg_1171 / l_1423) - ~l_778 || l_1052 / (BHoHojl_919 || g_1171)) / BHoHohl_1361)));
                g_1171 = ~(~(~ (~l_1423) << (l_1052 | ~ (~ (~(~l_1361 / (~BHoHojl_919 | ~BHoHoil_1423)))))) / ~((~ (~g_1171) ^ (~ (~g_101) / (~BHoHokg_1171 & l_778 - l_1329) ^ l_919)) << ((g_777 & BHoHogg_101) / g_143 | BHoHoll_1052 / BHoHohl_1361)));
                BHoHojl_919 = ~(~(~(~l_1052 && ~g_777) && (g_143 & l_919 && ~(g_101 >> l_1329 - g_1171) | ~ (~ (~BHoHogg_101)))) || ~(~(l_778 & BHoHojl_919 ^ l_1361 / BHoHoll_1052) | ~(BHoHoil_1423 & ~BHoHokg_1171 / (BHoHohl_1361 / ~l_1423))));
            }
        }
        g_101 = BHoHogg_101;
        l_1361 = BHoHohl_1361;
        l_1423 = BHoHoil_1423;
        l_919 = BHoHojl_919;
        g_1171 = BHoHokg_1171;
        l_1052 = BHoHoll_1052;
        for (g_777 = 0; g_777 > 1; ++g_777)
        {
            uint8_t l_1069 = 1uL;
            int8_t l_1216 = 0xbdL;
            int32_t l_1219 = 0x1be859f7L;
            int32_t l_1224 = 7L;
            int32_t l_1227 = -6L;
            int32_t l_1228 = 0x1ee42556L;
            int32_t l_1229 = 0xd31b29f5L;
            int32_t l_1231[6];
            uint32_t l_1233 = 1uL;
            int i;
            l_1219 &= g_120[g_89] ^ ((-1L == (safe_sub_func_int8_t_s_s(safe_sub_func_int8_t_s_s(safe_sub_func_int8_t_s_s(safe_lshift_func_uint8_t_u_u(g_120[g_89] >= ((((safe_mod_func_int8_t_s_s(safe_rshift_func_int16_t_s_u(safe_mod_func_int16_t_s_s((0xc0L >= (g_849[g_2431] > (((safe_add_func_int16_t_s_s(g_935,
                                                                                                                                                                                                                                                                                                                 safe_rshift_func_int16_t_s_s((safe_add_func_uint8_t_u_u(safe_add_func_uint8_t_u_u(g_935,
                                                                                                                                                                                                                                                                                                                                                                                                   g_89) == safe_unary_minus_func_uint32_t_u(safe_sub_func_int16_t_s_s(0x780fL,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                       0xb48cL) <= g_120[1] ^ g_935),
                                                                                                                                                                                                                                                                                                                                                                         g_143), g_935),
                                                                                                                                                                                                                                                                                                                                              g_935)), g_120[g_89]) && g_143) ^ g_935) > 0xfd94L) | g_18) == g_1217,
                                                                                                                                                                                                                                                         g_120[4]) >= 0x6db3L,
                                                                                                                                                                                                                               13),
                                                                                                                                                                                                  255uL), g_935) ^ g_935 || g_935) ^ g_935) != g_120[1]),
                                                                                                                                                      4),
                                                                                                                         g_935),
                                                                                                0xcL),
                                                                       0x61L), l_919)) <= 0x17e2L >= g_2100 | g_89 && l_1191[1] || g_18);
            for (i = 0; i < 6; i++)
                l_1231[i] = 7L;
            if ((p_34, (safe_add_func_uint8_t_u_u(safe_sub_func_int32_t_s_s(safe_sub_func_int32_t_s_s(-3L == (safe_add_func_uint16_t_u_u(safe_rshift_func_uint16_t_u_s(0x6b9eL,
                                                                                                                                                                       p_34),
                                                                                                                                         safe_add_func_int32_t_s_s(safe_mod_func_int16_t_s_s(((l_1069, ((~(l_1051[0], safe_add_func_uint16_t_u_u(safe_sub_func_uint32_t_u_u(p_35 >= ~(0x941cb444L | g_849[0] || g_18) < p_34 == l_1051[0],
                                                                                                                                                                                                                                                                            1uL) <= p_34,
                                                                                                                                                                                                                                                 p_35) > g_935) == 6L) <= 0L, g_935)) & 5L, p_34),
                                                                                                                                                                                             1uL),
                                                                                                                                                                   4294967288uL) >= l_793) != p_34),
                                                                                                      0xff1d970aL),
                                                                            1L),
                                                  p_34), g_717) & g_935))
            {
                uint8_t l_1080 = 1uL;
                l_919 = safe_sub_func_uint32_t_u_u(safe_sub_func_uint32_t_u_u(1uL,
                                                                              l_1051[3]),
                                                   g_849[0] < l_1069 != 1L > g_89);
                g_120[1] = (g_849[0] || 0xd3L) <= l_919;
                if (l_1080)
                    break;
                if (l_1069)
                    break;
            }
            else
            {
                int16_t l_1094 = 0xecc4L;
                int32_t l_1149[2];
                int16_t l_1163[7][10];
                int i, j;
                for (i = 0; i < 2; i++)
                    l_1149[i] = 0xba560eb5L;
                for (i = 0; i < 7; i++)
                {
                    if (l_1423)
                    {
                        for (g_59 = 26; g_59 == 51; g_59++)
                        {
                            uint8_t l_1466 = 254uL;
                            int32_t l_1481 = 7L;
                            g_120[1] = l_1466;
                            l_1481 = (g_97[2] > g_1217 | safe_add_func_uint8_t_u_u(0x65L,
                                                                                   !(safe_rshift_func_int8_t_s_s((0x584L < (l_1466 && safe_lshift_func_int8_t_s_u(safe_sub_func_int8_t_s_s(!(g_1217, (safe_mod_func_uint8_t_u_u(l_1466,
                                                                                                                                                                                                                                g_143), safe_sub_func_int8_t_s_s(0xcdL > BHoHogg_101,
                                                                                                                                                                                                                                                                 0xcfL))) < 255uL < 0xb6L,
                                                                                                                                                                                           l_1466),
                                                                                                                                                                  g_1217)), 0x19L),
                                                                                                                 l_1466) > 0xbfd8L) == 0uL)) >= g_143;
                        }
                        ;
                        break;
                    }
                    for (j = 0; j < 10; j++)
                        l_1163[i][j] = 6L;
                }
                l_1081 = p_35 == p_35;
                for (g_935 = 16; g_935 != -28; g_935 = safe_sub_func_int16_t_s_s(g_935,
                                                                                 5))
                {
                    int32_t l_1095 = -6L;
                    for (g_143 = 0; g_143 <= 0; g_143 += 1)
                    {
                        int i, j;
                        return l_877[g_143][g_143];
                    }
                    for (i = 0; i <= 0; i += 1)
                    {
                        int i, j;
                        g_120[2] = l_877[i][i];
                    }
                    if (g_143)
                        break;
                    ;
                    g_120[1] |= g_849[0] <= safe_add_func_int32_t_s_s(g_777,
                                                                      g_777) <= (((safe_mod_func_uint8_t_u_u(safe_lshift_func_int8_t_s_u(k && (g_777 == g_2100) > (safe_rshift_func_int16_t_s_u((((g_97[2] | l_1007 && !(safe_rshift_func_int16_t_s_s((0L | l_1224, k),
                                                                                                                                                                                                                                                      l_1423) ^ g_2100) ^ 0L) == l_1007, 1L) || 0xe5L) <= l_1069,
                                                                                                                                                                                                15) || g_2100),
                                                                                                                                         3) > g_101 ^ g_777,
                                                                                                             l_1423) ^ g_1368[1] || 1L) != -5L, 4294967290uL) <= g_777) ^ 0x2d0829cL;
                    l_1095 = ((g_120[1] || -5L) && safe_lshift_func_int16_t_s_u((safe_rshift_func_int16_t_s_u(p_35 || (0xbbL ^ safe_mod_func_uint8_t_u_u(safe_sub_func_uint8_t_u_u(g_120[1],
                                                                                                                                                                                   (-1L > (g_777, 1L), safe_add_func_int16_t_s_s(p_34,
                                                                                                                                                                                                                                 p_34) & 4294967289uL) <= p_34 != l_1069),
                                                                                                                                                         g_120[1]) | p_35) == p_35,
                                                                                                              p_34) >= 0x20L, 0x45caL),
                                                                                p_35) > -2L <= 0x8bb0L < l_1094, l_1069) ^ g_101;
                    for (l_919 = 0; l_919 <= 0; l_919 += 1)
                    {
                        int i, j;
                        g_120[2] = l_877[l_919][l_919];
                    }
                }
                {
                    int16_t l_775 = -4L;
                    int32_t l_776 = -3L;
                    l_1433 = (l_1052 ^ (l_725[2], 0xb43536d7L > 0x43474b68L)) >= ((g_18 < (safe_add_func_int8_t_s_s(l_1069,
                                                                                                                    0xfaL) & safe_mod_func_int8_t_s_s((l_775 | l_776 || l_1094 || g_717, g_143) <= 6L <= 0x62L,
                                                                                                                                                      0x36L)) && l_1052) > 0x8eL) != g_143 == g_143;
                }
                if ((p_34, p_34))
                {
                    uint16_t l_1101[10] = { 0xea04L, 0xea04L, 0uL, 0xea04L, 0xea04L, 0uL, 0xea04L, 0xea04L, 0uL, 0xea04L };
                    int i;
                    for (l_1081 = 0; l_1081 < 6; l_1081++)
                        l_1231[l_1081] = 7L;
                    if (g_717)
                        break;
                    {
                        int16_t l_786 = 8L;
                        int32_t l_789 = 2L;
                        int32_t l_791 = 0xb2b08dc3L;
                        uint32_t l_794 = 0x67a078f5L;
                        {
                            for (l_778 = 0; l_778 < 3; l_778++)
                            {
                                for (l_919 = 0; l_919 < 4; l_919++)
                                {
                                    transparent_crc(g_1482[l_1359][l_778][l_919],
                                                    "g_1482[l_1359][l_778][l_919]",
                                                    l_789);
                                    if (l_789)
                                        printf("index = [%d][%d][%d]\n", l_1359, l_778, l_919);
                                }
                            }
                        }
                        l_922 = safe_rshift_func_int16_t_s_u(l_1216, 9);
                        if (l_1433)
                        {
                            {
                                for (l_791 = 0; l_791 < 2; l_791++)
                                {
                                    transparent_crc(g_1540[l_1228][l_791],
                                                    "g_1540[l_1228][l_791]",
                                                    j);
                                    if (j)
                                        printf("index = [%d][%d]\n", l_1228, l_791);
                                }
                            }
                            break;
                        }
                        for (l_922 = 0; l_922 <= -8; l_922--)
                        {
                            return l_786;
                        }
                        for (g_694 = 2; g_694 < 14; g_694 = safe_add_func_uint16_t_u_u(g_694,
                                                                                       3))
                        {
                            {
                                uint32_t l_1322 = 1uL;
                                int32_t l_1328[3];
                                uint16_t l_1330[7][2] = { { 1uL, 0uL }, { 1uL, 0uL }, { 1uL, 0uL }, { 1uL, 0uL }, { 1uL, 0uL }, { 1uL, 0uL }, { 1uL, 0uL } };
                                int i, j;
                                for (i = 0; i < 3; i++)
                                {
                                    if (p_35)
                                        continue;
                                    l_1328[i] = 5L;
                                }
                                {
                                    if (l_1069)
                                        break;
                                }
                                --l_1322;
                                l_1330[3][0]++;
                                {
                                    g_120[1] = 0xb8ed6298L;
                                    if (l_786)
                                        continue;
                                    BHoHojl_919 &= safe_mod_func_uint32_t_u_u(l_786, 0xe4729dd1L);
                                }
                                if (l_1273)
                                    continue;
                            }
                            l_794--;
                        }
                    }
                    g_1482[2][1][1] |= safe_rshift_func_uint16_t_u_s(g_540,
                                                                     func_25(BHoHoil_1423));
                    if (safe_add_func_int8_t_s_s(safe_add_func_int8_t_s_s((p_35 == ((((((!((p_34 ^ (l_1069 || (l_1101[9] & (-7L | (safe_sub_func_uint8_t_u_u(p_35,
                                                                                                                                                             safe_add_func_uint32_t_u_u(g_143,
                                                                                                                                                                                        0x1cb4d9c6L)) && g_717) >= l_877[2][0] >= p_34)) <= g_22)) <= 4L), p_34) || p_34) != p_34, p_35), 0xdf52L), g_100) ^ l_1069) || g_89, 0L),
                                                                          255uL),
                                                 p_34))
                    {
                        uint16_t l_1114[5][1][4] = { { { 0x8b41L, 0x38efL, 1uL, 0x38efL } }, { { 0x8b41L, 0x38efL, 1uL, 0x38efL } }, { { 0x8b41L, 0x38efL, 1uL, 0x38efL } }, { { 0x8b41L, 0x38efL, 1uL, 0x38efL } }, { { 0x8b41L, 0x38efL, 1uL, 0x38efL } } };
                        int i, j, k;
                        for (g_89 = 4; g_89 >= 0; g_89 -= 1)
                        {
                            int16_t l_1414 = 0x1ae5L;
                            int32_t l_1416 = -7L;
                            for (g_59 = 0; g_59 <= 0; g_59 += 1)
                            {
                                int32_t l_1415 = -1L;
                                int i;
                                l_1416 &= g_120[g_89] ^ ((-1L == (safe_sub_func_int8_t_s_s(safe_sub_func_int8_t_s_s(safe_sub_func_int8_t_s_s(safe_lshift_func_uint8_t_u_u(g_120[g_89] >= ((((safe_mod_func_int8_t_s_s(safe_rshift_func_int16_t_s_u(safe_mod_func_int16_t_s_s((0xc0L >= (g_849[g_59] > (((safe_add_func_int16_t_s_s(g_694,
                                                                                                                                                                                                                                                                                                                                   safe_rshift_func_int16_t_s_s((safe_add_func_uint8_t_u_u(safe_add_func_uint8_t_u_u(g_540,
                                                                                                                                                                                                                                                                                                                                                                                                                     g_717) == safe_unary_minus_func_uint32_t_u(safe_sub_func_int16_t_s_s(0x780fL,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          0xb48cL) <= g_120[1] ^ g_540),
                                                                                                                                                                                                                                                                                                                                                                                           l_1052), g_694),
                                                                                                                                                                                                                                                                                                                                                                g_694)), g_120[g_89]) && BHoHoil_1423) ^ l_1414) > 0xfd94L) | g_18) == g_1217,
                                                                                                                                                                                                                                                                             g_120[4]) >= 0x6db3L,
                                                                                                                                                                                                                                                   13),
                                                                                                                                                                                                                      255uL), g_694) ^ g_694 || g_694) ^ g_694) != g_120[1]),
                                                                                                                                                                          4),
                                                                                                                                             g_694),
                                                                                                                    0xcL),
                                                                                           0x61L), l_1415)) <= 0x17e2L >= l_1224 | g_89 && l_1191[1] || g_18);
                                return g_120[g_89];
                            }
                            l_1327 = g_694;
                            l_1416 = safe_add_func_int8_t_s_s(8L,
                                                              safe_add_func_uint8_t_u_u(safe_add_func_uint32_t_u_u(l_1423,
                                                                                                                   g_1217) & (0xa6f0f4f8L != (l_1414 == g_143) & +safe_add_func_uint16_t_u_u(l_1416,
                                                                                                                                                                                             g_18)),
                                                                                        (BHoHoil_1423, g_100)) > g_1368[0]);
                            for (l_1416 = 0; l_1416 >= 0; l_1416 -= 1)
                            {
                                int8_t l_1432 = -1L;
                                int32_t l_1440 = 0x9d9c4759L;
                                l_1440 &= (BHoHogg_101 < safe_add_func_uint8_t_u_u(g_143,
                                                                                   ((safe_unary_minus_func_int32_t_s(3L), 250uL), safe_sub_func_uint8_t_u_u((g_694 == l_1432, g_1168 > (safe_lshift_func_int8_t_s_u(safe_mod_func_uint32_t_u_u(~((l_1423 ^ g_849[0]) >= g_1217) || BHoHoil_1423,
                                                                                                                                                                                                                                               -6L) ^ g_849[0],
                                                                                                                                                                                                                    g_143) >= l_1416) | 0xa9a8L) & -8L,
                                                                                                                                                            l_1439[5]))), 6uL) && g_120[1];
                            }
                        }
                        ;
                        l_922 = safe_sub_func_uint8_t_u_u(safe_sub_func_int32_t_s_s(p_35,
                                                                                    8L & -1L),
                                                          5uL) ^ safe_sub_func_uint32_t_u_u(0x9b71de32L ^ p_34 < p_34,
                                                                                            +((l_1101[9] != g_120[0]) <= 0x33L, l_1051[0]));
                        g_120[1] ^= !((l_1114[4][0][3] == safe_mod_func_uint32_t_u_u(((safe_lshift_func_int8_t_s_s(safe_add_func_int16_t_s_s(+(!(g_849[0] > g_89) ^ 0x43e281L),
                                                                                                                                             g_97[2] >= g_143),
                                                                                                                   safe_sub_func_int8_t_s_s(~(safe_mod_func_uint16_t_u_u(0xc6L || 0x36L,
                                                                                                                                                                         p_34) & 0x68L || g_540, l_1051[0]),
                                                                                                                                            l_1094) != 0x2e20L) || p_34) | l_1094) & p_35,
                                                                                     p_34)) > 1uL) < 1uL > p_35 > 0x5e87ade6L == 0x38c86f29L;
                    }
                    else
                    {
                        int8_t l_1148 = 0x89L;
                        l_1149[1] = 0x88L > (((g_935 || safe_mod_func_uint32_t_u_u(p_34,
                                                                                   safe_add_func_int32_t_s_s(safe_lshift_func_int8_t_s_u(safe_mod_func_uint16_t_u_u(safe_mod_func_int32_t_s_s(safe_sub_func_uint16_t_u_u((p_34, 0L ^ ((safe_add_func_int8_t_s_s(safe_add_func_int16_t_s_s(safe_lshift_func_uint16_t_u_s(p_35,
                                                                                                                                                                                                                                                                                                                        (g_97[2] | 0x826cL) < ((safe_rshift_func_uint8_t_u_s(g_22,
                                                                                                                                                                                                                                                                                                                                                                             p_35) <= 253uL | l_1094) >= l_1148)),
                                                                                                                                                                                                                                                                                          p_34) < g_22,
                                                                                                                                                                                                                                                                l_1148) || g_97[2]) | 0x9933L)) || g_143,
                                                                                                                                                                                                                         0L),
                                                                                                                                                                                              p_34) >= 0x23ddbf23L,
                                                                                                                                                                    g_100),
                                                                                                                                         1) && l_1069,
                                                                                                             0x57543a32L))) != 1L, p_34) | 4294967295uL) ^ 0xb771L;
                        l_1228 &= (g_935 < safe_add_func_uint8_t_u_u(l_1233,
                                                                     ((safe_unary_minus_func_int32_t_s(3L), 250uL), safe_sub_func_uint8_t_u_u((l_1094 == l_1148, l_1233 > (safe_lshift_func_int8_t_s_u(safe_mod_func_uint32_t_u_u(~((l_980 ^ g_849[0]) >= g_2414) || l_1052,
                                                                                                                                                                                                                                  -6L) ^ g_849[0],
                                                                                                                                                                                                       l_1233) >= l_1224) | 0xa9a8L) & -8L,
                                                                                                                                              l_1439[5]))), 6uL) && g_120[1];
                        {
                            int i;
                            return g_120[BHoHokg_1171];
                        }
                        if (g_101)
                            break;
                        g_120[1] = safe_mod_func_int16_t_s_s(((safe_lshift_func_int8_t_s_s(((safe_sub_func_uint32_t_u_u(((safe_mod_func_int16_t_s_s(0L,
                                                                                                                                                    ((+65533uL > (safe_mod_func_uint32_t_u_u(safe_add_func_int16_t_s_s((l_1149[1], g_59 >= p_35 >= (l_1163[1][2] || (safe_sub_func_int16_t_s_s(g_935 != l_1101[9] >= (l_1051[2] == 4294967295uL),
                                                                                                                                                                                                                                                                                               p_34) ^ g_143) & p_35)) && p_35,
                                                                                                                                                                                                                       g_935),
                                                                                                                                                                                             l_1051[1]) > 2L) || g_101) < g_1168, l_1081)) < p_34 && g_540) ^ 0x5443L) < g_777,
                                                                                                                        p_35), l_1149[0]), p_35),
                                                                                           2) != l_1101[6]) <= p_35, p_34) >= l_1094,
                                                             g_18);
                    }
                    l_919 = safe_rshift_func_int8_t_s_s(l_1081 ^ 4294967295uL, 0);
                }
                else
                {
                    for (g_100 = 3; g_100 >= 1; g_100 -= 1)
                    {
                        int i;
                        g_59 += 1;
                        if (g_120[g_100])
                            break;
                        if (l_725[g_100])
                            break;
                        return p_35;
                    }
                }
            }
            if (g_1171)
            {
                uint16_t l_1172 = 0x80d0L;
                {
                    for (g_100 = 3; g_100 >= 1; g_100 -= 1)
                    {
                        int i;
                        if (g_120[g_100])
                            break;
                        for (g_717 = 3; g_717 >= 1; g_717 -= 1)
                        {
                            int i;
                            if (g_120[g_717])
                                break;
                            if (l_725[g_717])
                                break;
                            return BHoHogg_101;
                        }
                        ;
                        if (l_725[g_100])
                            break;
                        return g_935;
                    }
                }
                l_922 &= ((p_34 >= l_1172 && (g_849[0], (0x4e57L != safe_unary_minus_func_uint8_t_u(((safe_sub_func_uint16_t_u_u(safe_sub_func_int16_t_s_s(!(safe_unary_minus_func_uint16_t_u(p_35) | p_34),
                                                                                                                                                           safe_rshift_func_int16_t_s_u(safe_sub_func_uint16_t_u_u(safe_sub_func_uint8_t_u_u(0uL,
                                                                                                                                                                                                                                             (l_1069, safe_sub_func_int32_t_s_s((safe_add_func_int8_t_s_s((!g_1171, g_935) <= l_725[0],
                                                                                                                                                                                                                                                                                                          g_101) != l_1172) > l_1191[1] < l_1172 & 0uL,
                                                                                                                                                                                                                                                                                0x349e8373L)) | g_935),
                                                                                                                                                                                                                   g_22),
                                                                                                                                                                                        p_35)) & g_59,
                                                                                                                                 -5L) < l_1069, g_849[0]) | l_1172) >= l_1069) && g_694) != 0uL | g_777 | 0x7351L)) & l_725[3], g_22);
                l_790 += 1;
                g_1217 |= safe_mod_func_int16_t_s_s(-4L,
                                                    safe_mod_func_uint8_t_u_u(safe_sub_func_uint8_t_u_u(safe_add_func_int16_t_s_s(safe_lshift_func_int16_t_s_u(safe_mod_func_int32_t_s_s(((safe_lshift_func_int8_t_s_u(g_849[0],
                                                                                                                                                                                                                       !0xe43bdf21L) || (((safe_lshift_func_int16_t_s_s(safe_rshift_func_int8_t_s_u(~safe_lshift_func_int16_t_s_s(p_34,
                                                                                                                                                                                                                                                                                                                                  11),
                                                                                                                                                                                                                                                                                                    6),
                                                                                                                                                                                                                                                                        6), 0x9037L) || g_1168) ^ (p_35 & (p_34 && safe_rshift_func_uint8_t_u_s(p_34,
                                                                                                                                                                                                                                                                                                                                                g_143))) != l_1081) >= g_1168 && g_849[0]) > g_120[1], 0xb8L) ^ p_34,
                                                                                                                                                                                         4294967295uL),
                                                                                                                                                               g_89),
                                                                                                                                  -1L) <= g_89 ^ l_1069,
                                                                                                        l_1172),
                                                                              0xfbL)) > l_1216;
            }
            else
            {
                int32_t l_1218 = 0L;
                int32_t l_1220 = 0xd6a84518L;
                int32_t l_1221 = 0x3e2f8b07L;
                int32_t l_1222 = 0xbc228decL;
                int32_t l_1223 = 0L;
                int32_t l_1225 = 0x92788a2fL;
                int32_t l_1230 = 0x8a193837L;
                int32_t l_1232[1][1];
                int i, j;
                for (i = 0; i < 1; i++)
                {
                    for (j = 0; j < 1; j++)
                    {
                        {
                            for (i = 0; i < 4; i++)
                            {
                                transparent_crc(g_1482[l_1229][l_1223][i],
                                                "g_1482[l_1229][l_1223][i]",
                                                l_793);
                                if (l_793)
                                    printf("index = [%d][%d][%d]\n", l_1229, l_1223, i);
                            }
                        }
                        l_1232[i][j] = 0xbe2ce0adL;
                    }
                }
                for (g_694 = 0; g_694 != 13; g_694++)
                {
                    uint32_t l_83 = 0xb3def23eL;
                    l_778 = l_778;
                    l_1216 = g_694 > (safe_add_func_int8_t_s_s(safe_lshift_func_uint8_t_u_u(l_1361,
                                                                                            safe_rshift_func_uint16_t_u_s(0xa4a7L,
                                                                                                                          (l_83 ^ ((g_1217 == (safe_lshift_func_int16_t_s_u(((g_59 || (g_89 <= safe_sub_func_uint8_t_u_u(g_59,
                                                                                                                                                                                                                         g_18 ^ l_83) | 0x39L) <= g_2414 & 0x3186L) <= l_1281, g_2414) & 1L,
                                                                                                                                                                            l_83) ^ 65532uL) & l_83 || 0x439aL) && 255uL)) == g_1217 != g_18)),
                                                               5L) >= l_1361 == g_18 != g_694) <= g_2414;
                    return g_89;
                }
                ;
                if (l_1281)
                    break;
                l_1233++;
            }
            {
                for (l_778 = 0; l_778 < 3; l_778++)
                {
                    transparent_crc(g_1548[l_1227][g_2100][l_778],
                                    "g_1548[l_1227][g_2100][l_778]",
                                    l_1329);
                    if (l_1329)
                        printf("index = [%d][%d][%d]\n", l_1227, g_2100, l_778);
                }
            }
            if (g_777)
            {
                uint32_t l_1241[4][8] = { { 0x92359c80L, 18446744073709551615uL, 1uL, 5uL, 0xe2f39250L, 1uL, 0xe2f39250L, 5uL }, { 0x92359c80L, 18446744073709551615uL, 1uL, 5uL, 0xe2f39250L, 1uL, 0xe2f39250L, 5uL }, { 0x92359c80L, 18446744073709551615uL, 1uL, 5uL, 0xe2f39250L, 1uL, 0xe2f39250L, 5uL }, { 0x92359c80L, 18446744073709551615uL, 1uL, 5uL, 0xe2f39250L, 1uL, 0xe2f39250L, 5uL } };
                uint16_t l_1252 = 0x759aL;
                int i, j;
                g_2003[0] |= safe_add_func_uint8_t_u_u(safe_add_func_int16_t_s_s(((safe_rshift_func_uint16_t_u_u(g_1482[0][1][0],
                                                                                                                 ~(-6L < BHoHoil_1423 >= g_120[1] | (BHoHoil_1423, BHoHoil_1423)) != (safe_lshift_func_uint16_t_u_s((g_1548[4][6][2] || (safe_rshift_func_int8_t_s_s(1L,
                                                                                                                                                                                                                                                                     4) <= 0xc812e52fL || g_1368[1]) <= 0uL, l_725[1]),
                                                                                                                                                                                                                    3) != k) < 65535uL) | g_1482[2][1][1]) <= 4294967292uL && l_1327) > l_880,
                                                                                 g_849[0]),
                                                       g_1171);
                g_120[4] |= (safe_lshift_func_uint16_t_u_s(6uL,
                                                           8), (safe_unary_minus_func_int32_t_s(safe_sub_func_int16_t_s_s((((l_1241[2][6] | 0L) & ((safe_rshift_func_uint16_t_u_u(safe_unary_minus_func_int16_t_s(l_1191[0]) & (p_34, ((safe_rshift_func_uint16_t_u_u(safe_lshift_func_uint16_t_u_u((p_34, safe_add_func_int16_t_s_s((~l_1252, safe_add_func_uint16_t_u_u((((g_18 | safe_lshift_func_uint16_t_u_s(safe_add_func_uint8_t_u_u(((0x1ca4L < p_34 && g_89) | g_97[2]) ^ p_35,
                                                                                                                                                                                                                                                                                                                                                                                                                                            p_35),
                                                                                                                                                                                                                                                                                                                                                                                                                  p_34)) != p_34 || g_717) > l_1051[2], 0x6db4L),
                                                                                                                                                                                                                                                                                                                                                                          l_778)) || p_34,
                                                                                                                                                                                                                                                                                                                                     0x5d57L)),
                                                                                                                                                                                                                                                                                                    g_97[2]),
                                                                                                                                                                                                                                                                      l_1219) || 1uL || p_35) | p_34) != g_849[0]),
                                                                                                                                                                                  l_790) && 1L) > 0x1dc0L, p_35)) != 0x35a6L || 0xe981L) | g_777,
                                                                                                                          1L)), g_777));
            }
            else
            {
                uint16_t l_1263[6][10] = { { 0xe2a8L, 0x6dabL, 0uL, 0xb1ccL, 0xb1ccL, 0uL, 0x6dabL, 0xe2a8L, 0uL, 0xe2a8L }, { 0xe2a8L, 0x6dabL, 0uL, 0xb1ccL, 0xb1ccL, 0uL, 0x6dabL, 0xe2a8L, 0uL, 0xe2a8L }, { 0xe2a8L, 0x6dabL, 0uL, 0xb1ccL, 0xb1ccL, 0uL, 0x6dabL, 0xe2a8L, 0uL, 0xe2a8L }, { 0xe2a8L, 0x6dabL, 0uL, 0xb1ccL, 0xb1ccL, 0uL, 0x6dabL, 0xe2a8L, 0uL, 0xe2a8L }, { 0xe2a8L, 0x6dabL, 0uL, 0xb1ccL, 0xb1ccL, 0uL, 0x6dabL, 0xe2a8L, 0uL, 0xe2a8L }, { 0xe2a8L, 0x6dabL, 0uL, 0xb1ccL, 0xb1ccL, 0uL, 0x6dabL, 0xe2a8L, 0uL, 0xe2a8L } };
                int32_t l_1277[9];
                int16_t l_1321 = 0x3afeL;
                int i, j;
                {
                    uint32_t l_749 = 4294967288uL;
                    if (~safe_add_func_uint32_t_u_u((0L != ((l_725[2] || safe_sub_func_int8_t_s_s(0x65L,
                                                                                                  safe_mod_func_uint32_t_u_u(g_2467,
                                                                                                                             l_1069))) ^ safe_add_func_uint16_t_u_u((g_717, safe_lshift_func_int8_t_s_u(0xa7L & 6L,
                                                                                                                                                                                                        0)),
                                                                                                                                                                    (p_35 == l_1433) >= g_18 < g_540) < -1L) < p_35, 0x11329388L),
                                                    4294967295uL))
                    {
                        int32_t l_769[1];
                        int i;
                        for (i = 0; i < 1; i++)
                        {
                            for (g_1171 = -26; g_1171 <= 16; g_1171++)
                            {
                                int8_t l_524 = -8L;
                                g_1171 += 1;
                                l_524 = g_89;
                                {
                                    int16_t l_1094 = 0xecc4L;
                                    int32_t l_1149[2];
                                    int16_t l_1163[7][10];
                                    int i, j;
                                    for (g_59 = 0; g_59 <= 0; g_59 += 1)
                                    {
                                        int32_t l_1415 = -1L;
                                        int i;
                                        l_1224 &= g_120[l_524] ^ ((-1L == (safe_sub_func_int8_t_s_s(safe_sub_func_int8_t_s_s(safe_sub_func_int8_t_s_s(safe_lshift_func_uint8_t_u_u(g_120[l_524] >= ((((safe_mod_func_int8_t_s_s(safe_rshift_func_int16_t_s_u(safe_mod_func_int16_t_s_s((0xc0L >= (g_849[g_59] > (((safe_add_func_int16_t_s_s(g_2254,
                                                                                                                                                                                                                                                                                                                                             safe_rshift_func_int16_t_s_s((safe_add_func_uint8_t_u_u(safe_add_func_uint8_t_u_u(g_694,
                                                                                                                                                                                                                                                                                                                                                                                                                               l_880) == safe_unary_minus_func_uint32_t_u(safe_sub_func_int16_t_s_s(0x780fL,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    0xb48cL) <= g_120[1] ^ g_694),
                                                                                                                                                                                                                                                                                                                                                                                                     BHoHoll_1052), g_2254),
                                                                                                                                                                                                                                                                                                                                                                          g_2254)), g_120[l_524]) && BHoHoll_1052) ^ l_1321) > 0xfd94L) | g_18) == g_2414,
                                                                                                                                                                                                                                                                                       g_120[4]) >= 0x6db3L,
                                                                                                                                                                                                                                                             13),
                                                                                                                                                                                                                                255uL), g_2254) ^ g_2254 || g_2254) ^ g_2254) != g_120[1]),
                                                                                                                                                                                   4),
                                                                                                                                                      g_2254),
                                                                                                                             0xcL),
                                                                                                    0x61L), l_1415)) <= 0x17e2L >= l_919 | l_524 && l_1191[1] || g_18);
                                        return g_120[l_524];
                                    }
                                    ;
                                    for (i = 0; i < 2; i++)
                                        l_1149[i] = 0xba560eb5L;
                                    for (i = 0; i < 7; i++)
                                    {
                                        for (j = 0; j < 10; j++)
                                            l_1163[i][j] = 6L;
                                    }
                                    i = g_694 == g_694;
                                    for (g_935 = 16; g_935 != -28; g_935 = safe_sub_func_int16_t_s_s(g_935,
                                                                                                     5))
                                    {
                                        int32_t l_1095 = -6L;
                                        for (BHoHoil_1423 = 0; BHoHoil_1423 <= 0; BHoHoil_1423 += 1)
                                        {
                                            int i, j;
                                            return l_877[BHoHoil_1423][BHoHoil_1423];
                                        }
                                        for (l_1095 = 0; l_1095 < 9; l_1095++)
                                            l_1277[l_1095] = -1L;
                                        l_1095 = ((g_120[1] || -5L) && safe_lshift_func_int16_t_s_u((safe_rshift_func_int16_t_s_u(g_694 || (0xbbL ^ safe_mod_func_uint8_t_u_u(safe_sub_func_uint8_t_u_u(g_120[1],
                                                                                                                                                                                                        (-1L > (g_143, 1L), safe_add_func_int16_t_s_s(g_22,
                                                                                                                                                                                                                                                      g_22) & 4294967289uL) <= g_22 != l_1361),
                                                                                                                                                                              g_120[1]) | g_694) == g_694,
                                                                                                                                  g_22) >= 0x20L, 0x45caL),
                                                                                                    g_694) > -2L <= 0x8bb0L < l_1094, l_1361) ^ g_2254;
                                        for (l_1329 = 0; l_1329 <= 0; l_1329 += 1)
                                        {
                                            int i, j;
                                            g_120[2] = l_877[l_1329][l_1329];
                                        }
                                    }
                                    if ((g_22, g_22))
                                    {
                                        uint16_t l_1101[10] = { 0xea04L, 0xea04L, 0uL, 0xea04L, 0xea04L, 0uL, 0xea04L, 0xea04L, 0uL, 0xea04L };
                                        int i;
                                        if (l_524)
                                            break;
                                        if (safe_add_func_int8_t_s_s(safe_add_func_int8_t_s_s((g_694 == ((((((!((g_22 ^ (l_1361 || (l_1101[9] & (-7L | (safe_sub_func_uint8_t_u_u(g_694,
                                                                                                                                                                                  safe_add_func_uint32_t_u_u(BHoHoil_1423,
                                                                                                                                                                                                             0x1cb4d9c6L)) && l_524) >= l_877[2][0] >= g_22)) <= g_22)) <= 4L), g_22) || g_22) != g_22, g_694), 0xdf52L), l_1216) ^ l_1361) || g_717, 0L),
                                                                                              255uL),
                                                                     g_22))
                                        {
                                            uint16_t l_1114[5][1][4] = { { { 0x8b41L, 0x38efL, 1uL, 0x38efL } }, { { 0x8b41L, 0x38efL, 1uL, 0x38efL } }, { { 0x8b41L, 0x38efL, 1uL, 0x38efL } }, { { 0x8b41L, 0x38efL, 1uL, 0x38efL } }, { { 0x8b41L, 0x38efL, 1uL, 0x38efL } } };
                                            int i, j, k;
                                            l_778 = safe_sub_func_uint8_t_u_u(safe_sub_func_int32_t_s_s(g_694,
                                                                                                        8L & -1L),
                                                                              5uL) ^ safe_sub_func_uint32_t_u_u(0x9b71de32L ^ g_22 < g_22,
                                                                                                                +((l_1101[9] != g_120[0]) <= 0x33L, l_1051[0]));
                                            g_120[1] ^= !((l_1114[4][0][3] == safe_mod_func_uint32_t_u_u(((safe_lshift_func_int8_t_s_s(safe_add_func_int16_t_s_s(+(!(g_849[0] > g_717) ^ 0x43e281L),
                                                                                                                                                                 g_97[2] >= BHoHoil_1423),
                                                                                                                                       safe_sub_func_int8_t_s_s(~(safe_mod_func_uint16_t_u_u(0xc6L || 0x36L,
                                                                                                                                                                                             g_22) & 0x68L || g_2254, l_1051[0]),
                                                                                                                                                                l_1094) != 0x2e20L) || g_22) | l_1094) & g_694,
                                                                                                         g_22)) > 1uL) < 1uL > g_694 > 0x5e87ade6L == 0x38c86f29L;
                                        }
                                        else
                                        {
                                            int8_t l_1148 = 0x89L;
                                            l_1149[1] = 0x88L > (((g_935 || safe_mod_func_uint32_t_u_u(g_22,
                                                                                                       safe_add_func_int32_t_s_s(safe_lshift_func_int8_t_s_u(safe_mod_func_uint16_t_u_u(safe_mod_func_int32_t_s_s(safe_sub_func_uint16_t_u_u((g_22, 0L ^ ((safe_add_func_int8_t_s_s(safe_add_func_int16_t_s_s(safe_lshift_func_uint16_t_u_s(g_694,
                                                                                                                                                                                                                                                                                                                                            (g_97[2] | 0x826cL) < ((safe_rshift_func_uint8_t_u_s(g_22,
                                                                                                                                                                                                                                                                                                                                                                                                 g_694) <= 253uL | l_1094) >= l_1148)),
                                                                                                                                                                                                                                                                                                              g_22) < g_22,
                                                                                                                                                                                                                                                                                    l_1148) || g_97[2]) | 0x9933L)) || BHoHoil_1423,
                                                                                                                                                                                                                                             0L),
                                                                                                                                                                                                                  g_22) >= 0x23ddbf23L,
                                                                                                                                                                                        l_1216),
                                                                                                                                                             1) && l_1361,
                                                                                                                                 0x57543a32L))) != 1L, g_22) | 4294967295uL) ^ 0xb771L;
                                            if (g_2254)
                                                break;
                                            g_120[1] = safe_mod_func_int16_t_s_s(((safe_lshift_func_int8_t_s_s(((safe_sub_func_uint32_t_u_u(((safe_mod_func_int16_t_s_s(0L,
                                                                                                                                                                        ((+65533uL > (safe_mod_func_uint32_t_u_u(safe_add_func_int16_t_s_s((l_1149[1], g_59 >= g_694 >= (l_1163[1][2] || (safe_sub_func_int16_t_s_s(g_935 != l_1101[9] >= (l_1051[2] == 4294967295uL),
                                                                                                                                                                                                                                                                                                                    g_22) ^ BHoHoil_1423) & g_694)) && g_694,
                                                                                                                                                                                                                                           g_935),
                                                                                                                                                                                                                 l_1051[1]) > 2L) || g_2254) < BHoHoll_1052, i)) < g_22 && g_2254) ^ 0x5443L) < g_143,
                                                                                                                                            g_694), l_1149[0]), g_694),
                                                                                                               2) != l_1101[6]) <= g_694, g_22) >= l_1094,
                                                                                 g_18);
                                        }
                                        l_1329 = safe_rshift_func_int8_t_s_s(i ^ 4294967295uL, 0);
                                    }
                                    else
                                    {
                                        for (l_1216 = 3; l_1216 >= 1; l_1216 -= 1)
                                        {
                                            int i;
                                            if (g_120[l_1216])
                                                break;
                                            if (l_725[l_1216])
                                                break;
                                            return g_694;
                                        }
                                    }
                                }
                                l_922 &= l_524;
                            }
                            {
                                uint32_t l_1241[4][8] = { { 0x92359c80L, 18446744073709551615uL, 1uL, 5uL, 0xe2f39250L, 1uL, 0xe2f39250L, 5uL }, { 0x92359c80L, 18446744073709551615uL, 1uL, 5uL, 0xe2f39250L, 1uL, 0xe2f39250L, 5uL }, { 0x92359c80L, 18446744073709551615uL, 1uL, 5uL, 0xe2f39250L, 1uL, 0xe2f39250L, 5uL }, { 0x92359c80L, 18446744073709551615uL, 1uL, 5uL, 0xe2f39250L, 1uL, 0xe2f39250L, 5uL } };
                                uint16_t l_1252 = 0x759aL;
                                int i, j;
                                g_120[4] |= (safe_lshift_func_uint16_t_u_s(6uL,
                                                                           8), (safe_unary_minus_func_int32_t_s(safe_sub_func_int16_t_s_s((((l_1241[2][6] | 0L) & ((safe_rshift_func_uint16_t_u_u(safe_unary_minus_func_int16_t_s(l_1191[0]) & (l_1433, ((safe_rshift_func_uint16_t_u_u(safe_lshift_func_uint16_t_u_u((l_1433, safe_add_func_int16_t_s_s((~l_1252, safe_add_func_uint16_t_u_u((((g_18 | safe_lshift_func_uint16_t_u_s(safe_add_func_uint8_t_u_u(((0x1ca4L < l_1433 && l_880) | g_97[2]) ^ g_2254,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                g_2254),
                                                                                                                                                                                                                                                                                                                                                                                                                                      l_1433)) != l_1433 || l_880) > l_1051[2], 0x6db4L),
                                                                                                                                                                                                                                                                                                                                                                                              l_1219)) || l_1433,
                                                                                                                                                                                                                                                                                                                                                         0x5d57L)),
                                                                                                                                                                                                                                                                                                                      g_97[2]),
                                                                                                                                                                                                                                                                                        j) || 1uL || g_2254) | l_1433) != g_849[0]),
                                                                                                                                                                                                  l_880) && 1L) > 0x1dc0L, g_2254)) != 0x35a6L || 0xe981L) | l_1433,
                                                                                                                                          1L)), l_1433));
                            }
                            g_935 += 1;
                            ;
                            l_769[i] = 0x804970a5L;
                        }
                        g_120[1] = 1L;
                        if (p_35)
                            continue;
                        l_749 = safe_rshift_func_uint16_t_u_u(g_97[2], 13);
                        l_1224 = safe_lshift_func_int8_t_s_s(5uL >= (0uL < safe_add_func_int8_t_s_s(safe_rshift_func_int16_t_s_s(g_18 != safe_sub_func_int32_t_s_s(safe_unary_minus_func_int32_t_s(safe_mod_func_int8_t_s_s(safe_mod_func_int32_t_s_s(0x5b48709bL,
                                                                                                                                                                                                                                                      safe_rshift_func_int16_t_s_s(g_18,
                                                                                                                                                                                                                                                                                   p_35) || 3L),
                                                                                                                                                                                                                            safe_sub_func_int32_t_s_s(g_935,
                                                                                                                                                                                                                                                      (safe_rshift_func_int16_t_s_u(p_35,
                                                                                                                                                                                                                                                                                    7) || g_18 || l_769[0]) <= g_2467))),
                                                                                                                                                                   g_22),
                                                                                                                                 6) != p_35 != g_100,
                                                                                                    l_1069)),
                                                             g_2467);
                    }
                    else
                    {
                        int16_t l_775 = -4L;
                        int32_t l_776 = -3L;
                        g_1168 = (l_1433 ^ (l_725[2], 0xb43536d7L > 0x43474b68L)) >= ((g_18 < (safe_add_func_int8_t_s_s(l_1069,
                                                                                                                        0xfaL) & safe_mod_func_int8_t_s_s((l_775 | l_776 || g_540 || g_717, g_2467) <= 6L <= 0x62L,
                                                                                                                                                          0x36L)) && l_1433) > 0x8eL) != g_2467 == g_2467;
                    }
                    for (BHoHojl_919 = 0; BHoHojl_919 < 2; BHoHojl_919++)
                    {
                        transparent_crc(g_1540[l_1228][BHoHojl_919],
                                        "g_1540[l_1228][BHoHojl_919]",
                                        l_1359);
                        if (l_1359)
                            printf("index = [%d][%d]\n", l_1228, BHoHojl_919);
                    }
                    ;
                    for (g_2100 = 0; g_2100 < 4; g_2100++)
                    {
                        transparent_crc(g_1482[l_1229][l_1229][g_2100],
                                        "g_1482[l_1229][l_1229][g_2100]",
                                        l_1228);
                        if (l_1228)
                            printf("index = [%d][%d][%d]\n", l_1229, l_1229, g_2100);
                    }
                    ;
                    --l_1233;
                }
                {
                    {
                        int8_t l_94[2];
                        uint32_t l_134 = 18446744073709551615uL;
                        uint16_t l_142 = 0x7bcbL;
                        int i;
                        for (i = 0; i < 2; i++)
                            l_94[i] = 1L;
                        for (l_1081 = 0; l_1081 <= 1; l_1081 += 1)
                        {
                            int i;
                            for (BHoHohl_1361 = 0; BHoHohl_1361 <= 1; BHoHohl_1361 += 1)
                            {
                                int i;
                                return l_94[l_1081];
                            }
                            if (l_94[l_1081])
                                continue;
                            if (l_94[0])
                                continue;
                        }
                        for (g_100 = 0; g_100 > -19; g_100 = safe_sub_func_uint16_t_u_u(g_100,
                                                                                        7))
                        {
                            uint8_t l_103[4] = { 1uL, 0xabL, 1uL, 0xabL };
                            int i;
                            g_97[2] ^= g_1217;
                            for (g_1168 = 1; g_1168 <= 6; g_1168 += 1)
                            {
                                int16_t l_110[7] = { 0xd96cL, -2L, 0xd96cL, -2L, 0xd96cL, -2L, 0xd96cL };
                                int8_t l_168 = 0xe9L;
                                int8_t l_181 = 0xcfL;
                                int i;
                                for (g_89 = 6; g_89 >= 1; g_89 -= 1)
                                {
                                    int i;
                                    l_1081 = safe_mod_func_int32_t_s_s(g_97[g_89], g_1171);
                                    l_790 = g_18;
                                    g_2254 &= 0xec293c97L;
                                }
                                l_103[3]++;
                                if (safe_rshift_func_int8_t_s_u(((g_18 ^ safe_add_func_uint32_t_u_u(l_110[0] == (g_2254 == safe_mod_func_uint16_t_u_u(0uL,
                                                                                                                                                      (safe_unary_minus_func_uint16_t_u(g_100) | (l_94[1], (safe_add_func_uint16_t_u_u((((safe_mod_func_int8_t_s_s(g_2414,
                                                                                                                                                                                                                                                                   safe_sub_func_uint8_t_u_u(g_120[1] > (l_1219 | g_2414),
                                                                                                                                                                                                                                                                                             g_2414)) ^ BHoHohl_1361 || 0x17461b67L) && g_97[2]) == 1L, g_18),
                                                                                                                                                                                                                                       g_120[4]), g_120[3]))) & g_100)),
                                                                                                    g_2254) > 0x3ad0L) & g_2254 || g_89) != l_94[1] == l_1361,
                                                                g_18) <= -9L)
                                {
                                    int8_t l_141 = -10L;
                                    g_143 ^= g_97[6] < safe_mod_func_int16_t_s_s((g_120[1] ^ safe_add_func_uint32_t_u_u(g_2254 <= (safe_sub_func_uint8_t_u_u(l_103[1],
                                                                                                                                                             ((safe_sub_func_uint16_t_u_u(l_134 >= g_1168 > 0uL,
                                                                                                                                                                                          ((safe_sub_func_int32_t_s_s(safe_add_func_uint8_t_u_u(((((l_790 & safe_lshift_func_uint8_t_u_u(l_94[0] <= l_110[0],
                                                                                                                                                                                                                                                                                         g_2254) || g_2414) | 0xf7L) & l_141, 0x6cL) | l_790) < l_94[1],
                                                                                                                                                                                                                                                l_103[3]) >= g_1171 > g_89,
                                                                                                                                                                                                                      1L) || g_101) >= g_1168, g_1171) > l_142 < g_1168) == l_1219, g_89) && 0x68L && l_1361) >= l_110[0] ^ g_2414) != g_120[1]) != -5L,
                                                                                                                        0xb89ae2e4L) > l_1361) > g_100 || 0x3285cc41L,
                                                                                 g_97[2]);
                                }
                                else
                                {
                                    int32_t l_167 = 0xbd733d80L;
                                    if (g_101)
                                        break;
                                    g_120[4] = safe_rshift_func_int16_t_s_u(safe_lshift_func_int16_t_s_u(safe_rshift_func_int16_t_s_s(safe_mod_func_uint8_t_u_u(g_97[4] ^ (BHoHohl_1361 | safe_lshift_func_int16_t_s_u(safe_mod_func_int16_t_s_s((safe_rshift_func_int8_t_s_u(2L,
                                                                                                                                                                                                                                                                              +(((g_89, safe_rshift_func_uint8_t_u_s(l_103[3] > ((g_2414 & 0x8d56L) > safe_lshift_func_uint8_t_u_s(safe_add_func_uint8_t_u_u(safe_sub_func_uint32_t_u_u(65535uL ^ 4L >= -10L,
                                                                                                                                                                                                                                                                                                                                                                                                                                        g_120[0]),
                                                                                                                                                                                                                                                                                                                                                                                                             g_89),
                                                                                                                                                                                                                                                                                                                                                                                   l_1081) == 0xb673d79cL ^ 1L) | l_790,
                                                                                                                                                                                                                                                                                                                     l_103[3]) <= l_1219) != -8L) < l_167) | BHoHohl_1361), g_1168),
                                                                                                                                                                                                                                                 l_103[3]) ^ 0xbac23114L | l_110[0],
                                                                                                                                                                                                                       l_168)) | g_89,
                                                                                                                                                                -2L),
                                                                                                                                      12),
                                                                                                         10),
                                                                            l_790);
                                    g_120[4] = (safe_add_func_uint16_t_u_u(safe_mod_func_int32_t_s_s(safe_lshift_func_uint8_t_u_s(safe_lshift_func_uint8_t_u_s(255uL >= 254uL < (safe_mod_func_uint16_t_u_u(g_2254,
                                                                                                                                                                                                            65531uL) || 0x8f5f89a5L),
                                                                                                                                                               (+(((~g_101 & (g_1217, l_168) < (((l_790 && g_89 && l_167) == g_89, 6L) ^ g_143, 0x9d48L)) < 0x5183df78L, l_142) & 1L) != l_167 || l_181 || l_790) <= 4294967286uL) || 0x76d7L,
                                                                                                                                  1),
                                                                                                     l_1081) || 0xfb851665L,
                                                                           0x69f6L) >= g_2414, 0xdeba2dddL) <= l_1361;
                                }
                            }
                            for (BHoHohl_1361 = 0; BHoHohl_1361 != 33; BHoHohl_1361++)
                            {
                                return g_2414;
                            }
                            if (l_103[3])
                                break;
                        }
                    }
                    for (g_2469 = 0; g_2469 < 8; g_2469++)
                    {
                        for (l_1329 = 0; l_1329 < 3; l_1329++)
                        {
                            transparent_crc(g_1548[l_1359][g_2469][l_1329],
                                            "g_1548[l_1359][g_2469][l_1329]",
                                            l_1327);
                            if (l_1327)
                                printf("index = [%d][%d][%d]\n", l_1359, g_2469, l_1329);
                        }
                    }
                }
                for (i = 0; i < 9; i++)
                    l_1277[i] = -1L;
                {
                    uint16_t l_1172 = 0x80d0L;
                    l_1224 &= ((l_1052 >= l_1172 && (g_849[0], (0x4e57L != safe_unary_minus_func_uint8_t_u(((safe_sub_func_uint16_t_u_u(safe_sub_func_int16_t_s_s(!(safe_unary_minus_func_uint16_t_u(g_2254) | l_1052),
                                                                                                                                                                  safe_rshift_func_int16_t_s_u(safe_sub_func_uint16_t_u_u(safe_sub_func_uint8_t_u_u(0uL,
                                                                                                                                                                                                                                                    (g_1171, safe_sub_func_int32_t_s_s((safe_add_func_int8_t_s_s((!BHoHokg_1171, l_1321) <= l_725[0],
                                                                                                                                                                                                                                                                                                                 g_101) != l_1172) > l_1191[1] < l_1172 & 0uL,
                                                                                                                                                                                                                                                                                       0x349e8373L)) | l_1321),
                                                                                                                                                                                                                          l_1433),
                                                                                                                                                                                               g_2254)) & g_59,
                                                                                                                                        -5L) < g_1171, g_849[0]) | l_1172) >= g_1171) && BHoHogg_101) != 0uL | l_1052 | 0x7351L)) & l_725[3], l_1433);
                    g_2414 |= safe_mod_func_int16_t_s_s(-4L,
                                                        safe_mod_func_uint8_t_u_u(safe_sub_func_uint8_t_u_u(safe_add_func_int16_t_s_s(safe_lshift_func_int16_t_s_u(safe_mod_func_int32_t_s_s(((safe_lshift_func_int8_t_s_u(g_849[0],
                                                                                                                                                                                                                           !0xe43bdf21L) || (((safe_lshift_func_int16_t_s_s(safe_rshift_func_int8_t_s_u(~safe_lshift_func_int16_t_s_s(l_1052,
                                                                                                                                                                                                                                                                                                                                      11),
                                                                                                                                                                                                                                                                                                        6),
                                                                                                                                                                                                                                                                            6), 0x9037L) || l_980) ^ (g_2254 & (l_1052 && safe_rshift_func_uint8_t_u_s(l_1052,
                                                                                                                                                                                                                                                                                                                                                       l_1052))) != l_1327) >= l_980 && g_849[0]) > g_120[1], 0xb8L) ^ l_1052,
                                                                                                                                                                                             4294967295uL),
                                                                                                                                                                   g_100),
                                                                                                                                      -1L) <= g_100 ^ g_1171,
                                                                                                            l_1172),
                                                                                  0xfbL)) > g_717;
                }
                for (l_922 = 0; l_922 <= -8; --l_922)
                {
                    uint8_t l_1265 = 0xa0L;
                    int32_t l_1272 = 0xa92a5564L;
                    uint8_t l_1274 = 1uL;
                    int32_t l_1325 = 0x5f0f06dL;
                    int32_t l_1326 = 0xa526867eL;
                    int8_t l_1360 = 0xe8L;
                    if (safe_rshift_func_int16_t_s_s(1L,
                                                     g_717 < (l_1263[4][9] && !(l_1265 || p_35), ((p_35, safe_sub_func_uint8_t_u_u(safe_lshift_func_int16_t_s_u((safe_lshift_func_uint8_t_u_u(g_97[2],
                                                                                                                                                                                              2) >= g_100 | 8L, g_143),
                                                                                                                                                                g_849[0]) ^ g_120[1],
                                                                                                                                   p_34)) == g_18) >= g_101 < l_1263[0][9])) >= l_1081)
                    {
                        uint32_t l_1278 = 0x7a1781b4L;
                        l_1274--;
                        l_1278--;
                    }
                    else
                    {
                        uint8_t l_1292 = 255uL;
                        int32_t l_1301 = 0L;
                        l_1281 ^= 0x10e3b930L;
                        l_1277[4] &= safe_rshift_func_int16_t_s_u(safe_mod_func_uint16_t_u_u(9uL || (g_849[0] < (g_1217 >= g_849[0] || g_935), safe_sub_func_int16_t_s_s(safe_sub_func_int8_t_s_s(0xddL,
                                                                                                                                                                                                  0uL ^ safe_lshift_func_uint16_t_u_u((l_1292 <= safe_lshift_func_uint16_t_u_s(safe_rshift_func_uint16_t_u_u(safe_add_func_uint32_t_u_u(safe_mod_func_uint32_t_u_u(g_777 & -1L,
                                                                                                                                                                                                                                                                                                                                                                   g_59),
                                                                                                                                                                                                                                                                                                                                        l_1219),
                                                                                                                                                                                                                                                                                                             7),
                                                                                                                                                                                                                                                                               p_35), g_143),
                                                                                                                                                                                                                                      1)),
                                                                                                                                                                         0uL) & p_35 || p_34),
                                                                                             l_940[0]),
                                                                  p_35);
                        l_1233 += 1;
                        l_1301 = 0x9fc577abL;
                    }
                    for (l_790 = 0; l_790 >= 7; l_790 = safe_add_func_uint8_t_u_u(l_790,
                                                                                  3))
                    {
                        if (g_2254)
                            continue;
                        for (g_100 = 0; g_100 <= 5; g_100 += 1)
                        {
                            return l_1325;
                        }
                        ;
                        return p_35;
                    }
                    if (l_1052)
                        break;
                    if ((p_35, safe_add_func_int8_t_s_s(safe_lshift_func_int8_t_s_u(p_35,
                                                                                    3),
                                                        (l_1277[4], safe_rshift_func_uint8_t_u_u(g_540,
                                                                                                 safe_lshift_func_int8_t_s_s(l_1052 > safe_add_func_uint16_t_u_u(p_34,
                                                                                                                                                                 (~safe_add_func_uint8_t_u_u((p_35 >= safe_mod_func_uint16_t_u_u(safe_sub_func_int8_t_s_s(g_97[0],
                                                                                                                                                                                                                                                          (g_849[0], l_1321)) || p_34,
                                                                                                                                                                                                                                 g_143) && l_1229) ^ p_35,
                                                                                                                                                                                             l_1081) && l_1226[0][1][2], p_34)),
                                                                                                                             5))) >= p_34) >= 65527uL == l_1277[4]))
                    {
                        uint32_t l_1322 = 1uL;
                        int32_t l_1328[3];
                        uint16_t l_1330[7][2] = { { 1uL, 0uL }, { 1uL, 0uL }, { 1uL, 0uL }, { 1uL, 0uL }, { 1uL, 0uL }, { 1uL, 0uL }, { 1uL, 0uL } };
                        int i, j;
                        for (i = 0; i < 3; i++)
                            l_1328[i] = 5L;
                        --l_1322;
                        {
                            transparent_crc(g_2003[i], "g_2003[i]", l_1219);
                            if (l_1219)
                                printf("index = [%d]\n", i);
                        }
                        l_1330[3][0]++;
                        for (l_778 = 0; l_778 < 3; l_778++)
                        {
                            {
                                BHoHoil_1423--;
                            }
                            l_1328[l_778] = 0x4ea06463L;
                        }
                        if (l_1326)
                            continue;
                    }
                    else
                    {
                        int32_t l_1333[3];
                        int i;
                        for (i = 0; i < 3; i++)
                            l_1333[i] = 8L;
                        l_1333[2] = p_34;
                        g_120[3] = safe_lshift_func_uint16_t_u_s(safe_rshift_func_uint16_t_u_u(0x461cL,
                                                                                               7),
                                                                 l_1051[0] < (g_777 < safe_add_func_uint16_t_u_u((0x1114L | g_100) != safe_mod_func_uint32_t_u_u(safe_mod_func_int16_t_s_s(g_1217,
                                                                                                                                                                                           safe_add_func_uint16_t_u_u((safe_rshift_func_int16_t_s_u(((-1L ^ safe_add_func_int8_t_s_s(0x17d87be6L != safe_rshift_func_int8_t_s_s(safe_unary_minus_func_uint32_t_u(!g_143) ^ 0x50L,
                                                                                                                                                                                                                                                                                                                                g_540) ^ p_35,
                                                                                                                                                                                                                                                                                     p_35)) < 8uL, g_1171),
                                                                                                                                                                                                                                                    14), l_1329),
                                                                                                                                                                                                                      l_922)),
                                                                                                                                                                 0x45d6e44fL),
                                                                                                                 g_22)));
                    }
                    if (g_717 >= ((l_1051[0] != ((p_35 == (g_849[0] ^ l_1265 > p_34)) < p_35 == g_849[0])) <= safe_lshift_func_uint8_t_u_s((safe_lshift_func_int8_t_s_u(p_34,
                                                                                                                                                                        g_89), 0xf4L),
                                                                                                                                           2)))
                    {
                        l_1277[4] = p_35;
                    }
                    else
                    {
                        int32_t l_1358 = 0x27225a3dL;
                        --l_1361;
                        if (l_1274)
                            break;
                        if (g_22)
                            break;
                    }
                }
            }
            for (l_1281 = -1; l_1281 == 31; ++l_1281)
            {
                {
                    l_1439[2] |= g_1217;
                    return l_1069;
                }
                l_1081 ^= safe_add_func_int8_t_s_s(l_1359,
                                                   1L) < (p_34 != (((-2L > g_18, (g_89 != 0xaeL & ((g_1368[1] > (g_1168 <= p_35) & l_1359) == g_97[5]) > l_1369) == 4294967286uL), -1L) ^ 255uL));
            }
        }
        g_120[1] = safe_sub_func_uint16_t_u_u((0x68dcacffL | safe_sub_func_int8_t_s_s((safe_mod_func_uint32_t_u_u(((g_97[2], safe_lshift_func_int16_t_s_u(g_1368[2] && 0L,
                                                                                                                                                          0)) | (l_1361 && safe_mod_func_int8_t_s_s(p_35 && safe_rshift_func_int16_t_s_s((((~((safe_add_func_uint16_t_u_u((safe_lshift_func_uint8_t_u_u((safe_add_func_uint8_t_u_u(l_1369,
                                                                                                                                                                                                                                                                                                                                   p_34) && 1L != 0x1161L != p_34 ^ l_980 ^ g_59) < l_1361,
                                                                                                                                                                                                                                                                                                        g_120[1]) >= g_849[0], -1L) | 0x3f27L,
                                                                                                                                                                                                                                                                          g_1368[0]), 0x8d90L) ^ g_1168) ^ l_725[2] | 0xc3L && g_1368[1]) <= p_34, l_1226[0][1][2]), l_1226[0][0][2]),
                                                                                                                                                                                                                                         2),
                                                                                                                                                                                                    p_34)) <= l_1273) >= 0x27L >= g_97[6] != 2L != 0x1c966bf2L,
                                                                                                                  g_1168) | -3L) < g_143 > p_35 == p_34,
                                                                                      l_1191[1])) <= g_717,
                                              8L);
    }
    for (g_100 = 4; g_100 >= 0; g_100 -= 1)
    {
        int16_t l_1414 = 0x1ae5L;
        int32_t l_1416 = -7L;
        while (!l_1414)
        {
            l_1423 += 1;
        }
        for (g_1171 = 0; g_1171 <= 0; g_1171 += 1)
        {
            int32_t l_1415 = -1L;
            int i;
            if (l_922 <= 1)
                if (l_778 <= 0)
                    l_1416 &= g_120[g_100] ^ ((-1L == (safe_sub_func_int8_t_s_s(safe_sub_func_int8_t_s_s(safe_sub_func_int8_t_s_s(safe_lshift_func_uint8_t_u_u(g_120[g_100] >= ((((safe_mod_func_int8_t_s_s(safe_rshift_func_int16_t_s_u(safe_mod_func_int16_t_s_s((0xc0L >= (g_849[g_1171] > (((safe_add_func_int16_t_s_s(p_35,
                                                                                                                                                                                                                                                                                                                           safe_rshift_func_int16_t_s_s((safe_add_func_uint8_t_u_u(safe_add_func_uint8_t_u_u(g_540,
                                                                                                                                                                                                                                                                                                                                                                                                             g_717) == safe_unary_minus_func_uint32_t_u(safe_sub_func_int16_t_s_s(0x780fL,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  0xb48cL) <= g_120[1] ^ g_540),
                                                                                                                                                                                                                                                                                                                                                                                   g_143), p_35),
                                                                                                                                                                                                                                                                                                                                                        p_35)), g_120[g_100]) && g_22) ^ l_1414) > 0xfd94L) | g_18) == g_1217,
                                                                                                                                                                                                                                                                   g_120[4]) >= 0x6db3L,
                                                                                                                                                                                                                                         13),
                                                                                                                                                                                                            255uL), p_35) ^ p_35 || p_35) ^ p_35) != g_120[1]),
                                                                                                                                                               4),
                                                                                                                                  p_35),
                                                                                                         0xcL),
                                                                                0x61L), l_1415)) <= 0x17e2L >= l_922 | g_100 && l_1191[1] || g_18);
            return g_120[g_100];
        }
        l_1329 = p_35;
        l_1416 = safe_add_func_int8_t_s_s(8L,
                                          safe_add_func_uint8_t_u_u(safe_add_func_uint32_t_u_u(l_1423,
                                                                                               g_1217) & (0xa6f0f4f8L != (l_1414 == p_34) & +safe_add_func_uint16_t_u_u(l_1416,
                                                                                                                                                                        g_18)),
                                                                    (g_22, l_790)) > g_1368[0]);
        for (l_919 = 0; l_919 < 3; l_919++)
            g_1368[l_919] = -1L;
        for (l_1416 = 0; l_1416 >= 0; l_1416 -= 1)
        {
            int8_t l_1432 = -1L;
            int32_t l_1440 = 0x9d9c4759L;
            l_1440 &= (g_935 < safe_add_func_uint8_t_u_u(p_34,
                                                         ((safe_unary_minus_func_int32_t_s(3L), 250uL), safe_sub_func_uint8_t_u_u((p_35 == l_1432, l_1433 > (safe_lshift_func_int8_t_s_u(safe_mod_func_uint32_t_u_u(~((l_1423 ^ g_849[0]) >= g_1217) || g_22,
                                                                                                                                                                                                                    -6L) ^ g_849[0],
                                                                                                                                                                                         p_34) >= l_1416) | 0xa9a8L) & -8L,
                                                                                                                                  l_1439[5]))), 6uL) && g_120[1];
        }
    }
    return g_97[6];
}
static int32_t func_46(uint8_t p_47,
                       uint16_t p_48,
                       int16_t p_49,
                       uint8_t p_50,
                       uint16_t p_51)
{
    uint32_t l_74 = 0xf6860338L;
    l_74 |= 0x10ddf4f3L;
    return p_51;
}
static int16_t func_54(int32_t p_55,
                       const uint32_t p_56,
                       int8_t p_57,
                       uint8_t p_58)
{
    int16_t l_68 = 0xeeb3L;
    uint16_t l_73 = 0xad67L;
    g_59 = g_22;
    p_55 = ((safe_sub_func_uint16_t_u_u(safe_lshift_func_uint16_t_u_s(g_18,
                                                                      safe_mod_func_int32_t_s_s(((safe_lshift_func_int8_t_s_s(((l_68 == l_68) <= p_56 ^ (l_68, g_18 >= !(safe_lshift_func_uint8_t_u_s((p_57 > ((l_68 == ~((l_73 < g_22 & 1L, l_68) > 1L)) <= 0x8971L) > p_56, g_22),
                                                                                                                                                                                                      1) & 6uL || g_18)) <= 0x164dL) == p_56,
                                                                                                                              7) == l_68) < p_56, -1L),
                                                                                                l_68)) > p_56,
                                        -10L), g_59) && g_18, p_56);
    return l_73;
}
int main(void)
{
    int i, j, k;
    int print_hash_value = 0;
    crc32_gentab();
    func_1();
    transparent_crc(g_18, "g_18", print_hash_value);
    transparent_crc(g_22, "g_22", print_hash_value);
    transparent_crc(g_59, "g_59", print_hash_value);
    transparent_crc(g_89, "g_89", print_hash_value);
    for (i = 0; i < 7; i++)
    {
        transparent_crc(g_97[i], "g_97[i]", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    transparent_crc(g_100, "g_100", print_hash_value);
    transparent_crc(g_101, "g_101", print_hash_value);
    for (i = 0; i < 5; i++)
    {
        transparent_crc(g_120[i], "g_120[i]", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    transparent_crc(g_143, "g_143", print_hash_value);
    transparent_crc(g_540, "g_540", print_hash_value);
    transparent_crc(g_694, "g_694", print_hash_value);
    transparent_crc(g_717, "g_717", print_hash_value);
    transparent_crc(g_777, "g_777", print_hash_value);
    for (i = 0; i < 1; i++)
    {
        transparent_crc(g_849[i], "g_849[i]", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    transparent_crc(g_935, "g_935", print_hash_value);
    transparent_crc(g_1168, "g_1168", print_hash_value);
    transparent_crc(g_1171, "g_1171", print_hash_value);
    transparent_crc(g_1217, "g_1217", print_hash_value);
    for (i = 0; i < 3; i++)
    {
        transparent_crc(g_1368[i], "g_1368[i]", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    for (i = 0; i < 4; i++)
    {
        for (j = 0; j < 3; j++)
        {
            for (k = 0; k < 4; k++)
            {
                transparent_crc(g_1482[i][j][k],
                                "g_1482[i][j][k]",
                                print_hash_value);
                if (print_hash_value)
                    printf("index = [%d][%d][%d]\n", i, j, k);
            }
        }
    }
    for (i = 0; i < 6; i++)
    {
        for (j = 0; j < 2; j++)
        {
            transparent_crc(g_1540[i][j], "g_1540[i][j]", print_hash_value);
            if (print_hash_value)
                printf("index = [%d][%d]\n", i, j);
        }
    }
    for (i = 0; i < 10; i++)
    {
        for (j = 0; j < 8; j++)
        {
            for (k = 0; k < 3; k++)
            {
                transparent_crc(g_1548[i][j][k],
                                "g_1548[i][j][k]",
                                print_hash_value);
                if (print_hash_value)
                    printf("index = [%d][%d][%d]\n", i, j, k);
            }
        }
    }
    for (i = 0; i < 6; i++)
    {
        transparent_crc(g_2003[i], "g_2003[i]", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    transparent_crc(g_2100, "g_2100", print_hash_value);
    for (i = 0; i < 3; i++)
    {
        for (j = 0; j < 3; j++)
        {
            transparent_crc(g_2184[i][j], "g_2184[i][j]", print_hash_value);
            if (print_hash_value)
                printf("index = [%d][%d]\n", i, j);
        }
    }
    transparent_crc(g_2254, "g_2254", print_hash_value);
    transparent_crc(g_2414, "g_2414", print_hash_value);
    transparent_crc(g_2431, "g_2431", print_hash_value);
    transparent_crc(g_2467, "g_2467", print_hash_value);
    transparent_crc(g_2468, "g_2468", print_hash_value);
    transparent_crc(g_2469, "g_2469", print_hash_value);
    for (i = 0; i < 3; i++)
    {
        for (j = 0; j < 1; j++)
        {
            for (k = 0; k < 10; k++)
            {
                transparent_crc(g_2470[i][j][k],
                                "g_2470[i][j][k]",
                                print_hash_value);
                if (print_hash_value)
                    printf("index = [%d][%d][%d]\n", i, j, k);
            }
        }
    }
    platform_main_end(crc32_context ^ 0xffffffffuL, print_hash_value);
    return 0;
}
